Welcome
Return to Introduction

FileBoss Help Version 1.220
August 2005

Welcome to FileBoss, the professional tool for manipulating files. Whether you're tired of the limitations of Windows Explorer and dual-pane file managers when trying to copy, sort, rename, or just clean up your files and folders or you just want a helpful and reliable friend when dealing with your files, FileBoss is for you.

Key points to make your time with FileBoss more productive

· Solution Guide & How To Do Everything (to go there just [image] )
FileBoss manipulates files and folders in so many ways even its authors sometimes forget how powerful it is. Glance over the Solution Guide & How to Do Everything section to see what you might be missing that could make the time spent at your keyboard much easier.
You can see Solution Guide at any time just select 'Help | How to do Everything!' from FileBoss' main menu or simply press Ctrl+F1.

· Drop Zones
While Drop Zones are just a small part of FileBoss they are incredibly powerful. So much so that once you have used you may wonder how life could have been good before you found them. For more on Drop Zones

· File Sets
While FileBoss' Explore View, the traditional way to roam around your file system, is extremely helpful and would be an invaluable program unto itself, File Sets allow you to utilize the full potential and power of FileBoss. And all the commands and routines you use to manipulate files and folders in Explore View work the same in File Sets. For more on File Sets and Explore View see the topic Two Views - One Engine, just [image] .

· Help Everywhere
Help can be found almost everywhere in FileBoss:
· The Help Guide is only a click away [image] (or press Ctrl-G) and is an excellent place to find out how to do what you want to do with your files.
· the last command on most menus
· right-clicking over a check box or other control in dialogs
· help buttons on almost all dialogs and even messages
· in pop up balloons that notify you of special features
Everywhere you turn FileBoss is there to help.

· FileBoss Forum on the Web
To ask questions or just lurk around for more hints, tips and just plain old information on how to get the most out of FileBoss check out The Utility Factory's Forum for FileBoss on the web. It is run by a bunch of really helpful nerds who work in the Web Presence shed (shown at the upper-left in the picture above).

Ref: HID_HELP_INTRODUCTION


Two Views - One Engine

FileBoss has two fundamental ways of looking at your file system, Explore View and File Set view. But whichever view you use to find and select files the same powerful commands and routines are available to manipulate the files and folders you select.

Explore View - Traditional Look, Untraditional Power and Flexibility
Explore View is outwardly similar to Windows Explorer. As you select folders in the left pane (the folder tree) the contents are displayed in the right window pane.

Here are just a few of the major enhancements FileBoss provides for this traditional view:
· Easy and reliable selections
with Sticky Select and many other advanced selection tools that allow, among other things, to open or delete files while other files remain selected.
· Persistency
All open Windows are reopened when FileBoss restarts (optional, of course)
· Tabbed windows
for easy access
· Bookmarks
for quick access to common locations
· Simple to Complex file filtering
with multiple, easily configured filters
· Hiding entries
by type or individually
· Touchable
on one level or penetrating through subfolders
· Easy Drag & Drop
with selectable default action (copy, move, or create short cuts)
· Sophisticated copy engine
that not only deftly handles error conditions but also records which files have been copied and which have not
· Can display folders connected to Drop Zones
that are treated like any other Explore View
· Allows external tools
to be selected based on file types and name patterns
· Allows Auto-Viewers
to be defined that are automatically activated when files of specific types have the focus. Auto-Viewers can be quickly turned on and off as needed.
· Renaming
can be accomplished one file at a time or in groups with search and replace, sequential and common transformations (case change, space deletion and replacements, etc.)
· Intrinsic file duplication
command (makes copies of files with just two clicks).
· Up to 50 Explore Views
open at one time. (Configurable from 10 to 50.)
· And this list doesn't even include many of the main features of FileBoss accessible via this interface such as Copying -- Moving -- Duplicating Folders -- Changing Attributes and much, much more

Sample Explore View
Ref: HIDH_DYNAMICTYPE

File Sets Selectively Manipulate Files by the Thousands
The main advantage of File Sets over Explore Views is that File Sets allow manipulating (whether it be copying, renaming, duplicating, weeding out, comparing or any other vital operation to keep you computer running smoothly) thousands of files at once rather than just those in one folder.
At its simplest, creating a File Set is just a matter of specifying a folder and clicking OK. FileBoss will then collect all the files in and below the specified folder and present them in a traditional manner.
Here are just a few of the major advantages of using File Groups over the traditional Explore View:
· A single File Set can contain all or selected files
from one folder, several folders, whole drives and even multiple drives (or parts there of) across networks
· Selected files in a File Set can be copied while retaining their original tree structure.
Note this is not the same as copying all the files in all the folders below the top folder (though that is easy to do too) but rather copies only the selected files in those folders.
· Files can be compared from multiple sources
· Removing obsolete files and general disk cleanup
becomes much easier as all files in a File Set can be sorted together for easy evaluation
· Finding duplicate files
among hundreds of thousands becomes a two-click operation
· Using explicit, multiple file and folder specifications
for which files to include and which files to exclude you can tailor a File Set to fit your exact needs (more about this power in the next section)
· A File Set is an ideal source of files
used in other programs. For instance one File Set could reference all the graphic files used for a specific project (no matter where they reside on your system) and they could be dragged to the your graphics program as and when needed.
More about creating and using File Sets
· File Sets are easily saved to disk
for later recall. A File Set can be saved as a definition so that when it is reopened it will automatically scan for files or it can be saved as a File Set where all the entries in the File Set can be quickly restored without reference to what is actually on disk.
· File Sets are simple to edit
entries in a File Set can be removed so that the trees can be seen instead of the forest.
· Multiple File Sets
can be active at the the same time - limited only by your computer's memory.
· Persistency
whether explicitly saved to disk or not File Sets that were open when FileBoss last closed are automatically reopened when FileBoss is next started. (Naturally this can be turned off and on at your discretion.)
· Shifting back and forth between File Sets and Explore Views
is simple: just right-click on a folder and select the 'Explore Folder in New Window' option. Or, after right-clicking on a folder, select 'Create File Set from Folder' to start another, more specific File Set. (Note that both of these commands are available in any FileBoss window as long as the folder belongs to the file System (not a virtual folder such as My Computer or My Network.)

Note that File Set Views have a different color for their left pane than Explore Views. This is just to make it easier to know which is which. The colors used can, of course, be changed in the 'Tools | Options...' dialog.

Sample File Set Window


Help Here, Help There, Help Everywhere

Help!! Help!! Help!!
Return to Introduction

Help Here, Help There, Help Everywhere

· Help Guide
The Help Guide ( [image], Ctrl-G or Help | Show Help Guide...) displays a small floating dialog providing quick access to many useful topics in the main help system. The topics it contains also provide a great overview of what FileBoss can do.
By default the Help Guide is displayed automatically when FileBoss first starts and it will display a different topic from the Help file each time. Either or both of these behaviors can be turned off using the two check boxes at the bottom of the dialog. Click here for more about the Help Guide.

· Context help for Dialogs
Right-click almost any item and detailed help will be displayed. Can be turned off or set to only show help when right-clicked while the Shift key is held down. Configure in the Advanced 2 Options page (use Tools | Options... from the main menu.)

Dialogs that have context help will have a help pointer (typically on the right side of the title bar). Click on the help pointer and then on the control you'd like help for. This is the same help that would be displayed if you right-clicked the control.

· Context help for Menu Items
Right-click any item. (Can be turned off or set to only show help when right-clicked while the Shift key is held down. Configure in the Advanced 2 Options page (use Tools | Options... from the main menu.)

To get the same help as right-clicking you can use the help pointer found on the help menu, 'Help | Help Pointer' or its command button

· Wizards
Wizards, accessible from the 'File | Wizards >' menu, will guide you through some common operations collecting information about what you want to do and then filling in the appropriate forms (dialogs) for you. There are wizards that will help you:
Create Fie Sets -- Compare Folders/Paths -- Find Duplicates -- Create Drop Zones

· This Help File
The best place to find out how to do something is the Solution Guide in this help document. To see the solution guide now [image] .

Ref: HIDH_ALL_ABOUT_HELP


Select Files and Folders

Selecting Files and Folders
Quick Jumps within this Topic

Selecting by Mouse | Selecting by Keyboard
Selecting by Menu Commands | Selecting by File Descriptions
Selecting with Toolbar buttons | Using the Sticky and Locked Selections

Select Files Your Way
Many of FileBoss' features (e.g. copy, delete, touch, rename, drag and drop, etc.) operate on files and folders you have selected. And since FileBoss can manipulate thousands of files at a time, easy and varied methods of selection are extremely important.

FileBoss provides a number of different methods for selecting files and folders so that you can use the way that suits your needs best. It also expands on the common Windows conventions for selecting files (e.g. Sticky Selection Mode, Locked Selection and Persistent Selections) to make all of your file manipulation tasks faster and more accurate.

Selecting by Mouse
Click on any item to select or deselect it. Hold down the left mouse button while dragging across multiple files to select contiguous files, hold down the Shift key while dragging the mouse to deselect contiguous files.

Mouse Select Options
Two options affect how the mouse selects files:

Sticky Selections
Specifies that when an entry is clicked with the mouse other selected entries will not be automatically deselected. This allows you to quickly selected multiple entries and ranges of entries without worrying about loosing the selected status of previously selected items.
When Sticky Mode is not active, hold down the Ctrl key while clicking the mouse to make the selections additive just like in many other programs..
When Sticky Mode is active, hold down the Ctrl key while clicking the mouse to temporarily cancel Sticky Mode.
Sticky Selections is on by default.

Lock Selections
Prevents any changes to the selection status of files by clicking or clicking and dragging the mouse. Note that this only applies to actions of the mouse. You can still change selections with toolbar buttons, menu commands and keyboard.

Selecting by Keyboard
You can select and deselect files and folders in the File View using the Space Bar or the Arrow keys along with the Shift and Ctrl keys.
by moving around with the up and down arrow keys (and the Page Up, Page Down keys)

Quickly:
Space Bar to select or deselect
Shift + Arrow keys to select as highlight moves
Shift+Ctrl + Arrow keys to deselect.

How to Do It
· Use the Up and Down arrow keys or the Page Up / Page Down keys to move to the file you want to select or deselect.
· To select the highlighted file tap the space bar. If the file is already selected tapping the Space Bar will deselect it.
· To select a range of files starting with the current file, hold down a Shift key while using the Up or Down Arrow keys to move the highlight bar. To deselect a range of files, hold down the Ctrl key along with the Shift Key.

(Note: Selecting and deselecting files with the keyboard can be done even with the selection status locked. Locking only prevents the selection state from being changed with the mouse.)

Selecting by Menu Commands

Select... and Deselect... (Filename, Times, Attributes or other Criteria)
Displays dialog where you can specify which files (or folders) should be selected or deselected. The criteria includes pattern matching for file names, file attributes, a range of file sizes, ranges for the accessed, modified and created file times.

All (Ctrl+A)
Selects all files and folders except, as noted above, any entries that have been hidden.

Files
Selects all files. (If clicked while the Ctrl key is held down, any selected files will be deselected)

Select Folders
Selects all folders. (If clicked while the Ctrl key is held down, any selected folders will be deselected)

None (Ctrl+E)
Deselects all files and folders. If none were selected nothing is changed.

Reverse
Selects items which are not currently selected and deselects all those that are.

Sticky Selections
Specifies that when an entry is clicked with the mouse other selected entries will not be automatically deselected. This allows you to quickly selected multiple entries and ranges of entries without worrying about loosing the selected status of previously selected items.
When Sticky Mode is not active, hold down the Ctrl key while clicking the mouse to make the selections additive just like in many other programs..
When Sticky Mode is active, hold down the Ctrl key while clicking the mouse to temporarily cancel Sticky Mode.
Sticky Selections is on by default.

Lock Selections
Prevents any changes to the selection status of files by clicking or clicking and dragging the mouse. Note that this only applies to actions of the mouse. You can still change selections with toolbar buttons, menu commands and keyboard.

Statistics
Displays the properties box showing how many files and folders are selected, their total size in bytes and other information about the types of files selected.

(Please Note: None of these commands, or any other select command, will affect entries that have been hidden. Hidden files are those that can't be seen because they are inactive. )

Selecting by Filename Patterns, Date & Times, File Sizes and Attributes
Selecting by Description displays a dialog box where you can describe the files you want to either select or deselect.

Your description can include one or more of the following:
· Multiple filename patterns to include (or even exclude from the operation).
· From - To ranges for file times - created, accessed and modified
· From - To file sizes
· File attributes

(Note: Selecting and deselecting files with the keyboard can be done even with the selection status locked. Locking only prevents the selection state from being changed with the mouse.)

For more information on this option see the Help for the Select Dialog by clicking here.

Selecting with Toolbar buttons

From left to right the buttons represent the commands:

Select All
Selects all files and folders except, as noted above, any entries that have been hidden.

Select Files
Selects all files. (If clicked while the Ctrl key is held down, any selected files will be deselected)

Select Folders
Selects all folders. (If clicked while the Ctrl key is held down, any selected folders will be deselected)

Clear all Selections
Deselects all files and folders. If none were selected nothing is changed.

Reverse Selected and Non-Selected Entries
Selects and items which are not currently selected and deselects all those that are.

Select by Filename, Times, Attributes or other Criteria
Displays dialog where you can specify which files (or folders) should be selected. The criteria includes pattern matching for file names, file attributes, a range of file sizes, ranges for the accessed, modified and created file times.

Sticky Selections
Specifies that when an entry is clicked with the mouse other selected entries will not be automatically deselected. This allows you to quickly selected multiple entries and ranges of entries without worrying about loosing the selected status of previously selected items.
When Sticky Mode is not active, hold down the Ctrl key while clicking the mouse to make the selections additive just like in many other programs..
When Sticky Mode is active, hold down the Ctrl key while clicking the mouse to temporarily cancel Sticky Mode.
Sticky Selections is on by default.
Lock Selections
Prevents any changes to the selection status of files by clicking or clicking and dragging the mouse. Note that this only applies to actions of the mouse. You can still change selections with toolbar buttons, menu commands and keyboard.

(Note 1: None of these commands, or any other select command, will affect entries that have been hidden. Hidden files are those that can't be seen because they are inactive. )

(Note 2: Selecting and deselecting files with the keyboard can be done even with the selection status is locked. Locking only prevents the selection state from being changed with the mouse.)

Using the Sticky and Locked Selections
One of the great annoyances of using the Windows Explorer program that comes with Windows (and, indeed with many other programs) is that when you select multiple files by holding down the Ctrl key while clicking on the files you want oft times the all the selected files become deselected unintentionally. And, you can not manipulate one file (such as rename or delete it) while keeping other files selected.

FileBoss solves this problem with Sticky Selection Mode
Sticky Selections
Specifies that when an entry is clicked with the mouse other selected entries will not be automatically deselected. This allows you to quickly selected multiple entries and ranges of entries without worrying about loosing the selected status of previously selected items.
When Sticky Mode is not active, hold down the Ctrl key while clicking the mouse to make the selections additive just like in many other programs..
When Sticky Mode is active, hold down the Ctrl key while clicking the mouse to temporarily cancel Sticky Mode.
Sticky Selections is on by default.

Lock Selections
Prevents any changes to the selection status of files by clicking or clicking and dragging the mouse. Note that this only applies to actions of the mouse. You can still change selections with toolbar buttons, menu commands and keyboard.

Ref: HTDE_SELECTING_FILES


Specifying Folders and Files to Include/Exclude

How to Specify the Files You Want
How to tell FileBoss which Files You Want
Many of FileBoss' powerful tools work on File Sets (collections of files and folders located in across multiple folders and even across multiple drive). To allow highly targeted actions, FileBoss provides a means to specifically include (and exclude) specific groups of files.

Specifying Files to Include and/or Exclude
Including Multiple Paths
Separate multiple paths with the bar character '|'.
To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:
C:\My Documents | D:\Temp
(There is no need to worry about how many paths you enter: the maximum length of this field is over 65,000 characters!)

Using Wildcards
If you want files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.
D:\|C:\My *s
(Of course, the entry C:\My * would include all folders in the root of drive C: which began with My then a space and end with an s.)
The use of a wild card in an included path is restricted to the last element of the path. For instance, the following examples will not work:
D:\*\Backup
C:\My *\*
C:\Program Files\Iront*\FileBoss

But the following will:
C:\My *s
(It would return files in folders C:\My Videos and C:\My Pictures if present.)

To search both the Normal and Nermal directories on drive D: you could enter either:
D:\Normal|D:\Nermal
or
D:\N?rmal

Excluding Folders
Specific folders can be excluded from the search by preceding the folder with the minus sign, '-'. If the name of the folder actually begins with a minus sign, simply type another minus sign first, e.g. "--My Folder".
Consider the following example:
C:\My Documents | -Temp | -Backup | D:\
Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)
Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents. To exclude those directories only on drive C: enter the following:
C:\My Documents | -C:\*\Temp | -C:\*\Backup | D:\

Using Wildcards in Folders to be Excluded
Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:
C:\|-C:\C*s
Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.

Specifying Folders to Include and/or Exclude in a search
Specifying which Files & Folders
Enter the names or name patterns of files
Leaving the field empty is the same as specifying a single asterisk '*' or the traditional '*.*' meaning include all files.

Multiple File Patterns
Separate multiple patterns with the bar character '|'.

Wildcards in File Patterns
The common wildcard characters '*' and '?' can be used when specifying groups of file to be included.
The entry *.tmp | *.bak | ~* will find all files with the extension tmp and bak as well as all files beginning with the tilde character '~'.

Excluding Files and Groups of Files
Specific files and groups of files can be excluded from the search by preceding the files with a minus sign, '-'. If the name actually begins with a minus sign, simply put another in front of it, e.g. "--notations.txt".
To create a File Set that includes all files except temporary and backup files you could enter
     -*.tmp | -*.bak | -~*
(Note that there is no *.* or just * in the beginning. Remember that if there is no include specification then *.* (all) is assumed.
For example the these two patterns are equivalent: -*.zip and *.* | -*.zip (include all files except those with the zip extension).

Ref: DOC_GENERAL_INC_EXC_FILE_SPECS


Plain English Licensing Terms

The Utility Factory realizes that many people use more than one computer and have two or more computers in their home. We have designed the license terms to be flexible, easy to understand and reasonable.
If you have any questions about licensing please contact sales at:
sales@theutilityfactory.com
For the full lawyer-type license click here.

Single-User License
The single-user license allows you to install FileBoss on one computer. You may install FileBoss on two computers as long as they are both used by you and will not be used by others. For example you can install FileBoss on your computer at work and your computer at home or you could install FileBoss on your main computer and your laptop computer.
If you are using FileBoss at your home and not at your office you may install FileBoss on up to five computers at that single-family residence. (If you wish to use FileBoss on your office computer and on more than one computer at home then you will need two licenses, one for your home and one for your office.)

Multiple-User Licenses
Multiple-user licenses allow you to install FileBoss on the number of computers the license is for or for the number of people who will be using those computers, whichever is less.
For example if you have five computers shared by ten people then you only need a five user license. If you have five people that share 10 computers and only those five people use those computers then you still only need a five-user license.
FileBoss is not licensed on a concurrent user basis. Concurrent user licensing is where the number of required licenses is calculated by the maximum number of user that will be using a program at the same time.

'USB' Licenses
'USB' licenses are special licenses that allow you to run FileBoss from moveable media such as a memory stick, CD or floppy. The license allows you to 'move' FileBoss from one computer to another which is great for support personnel using FileBoss to diagnose and fix problems on other people's computers. (FileBoss is perfect for this type of use as it can run without being installed in the traditional manner requiring no special DLLs or any files other than FileBoss.exe to run.
For more information on 'USB' Licenses contact sales at:
sales@theutilityfactory.com
Ref: HIDH_PLAIN_LICENSE


Solution Guide
What Would You Like To Do Better?
(Click on any item below for details of that solutions's capabilities, power and flexibility)

Moving Files Around

Copy & Move
Update Files
Duplicating Files

Drop Zones
Duplicate Tree Structures
Duplicating Folders

Copy Filenames
Create Shortcuts
Copy From CDs

Advanced Drag & Drop
Structured Copying

Renaming Files

Numbering sequentially
Inserting sequence numbers
Replacing text

Changing names & extensions
Changing capitalization
Coverting to DOS 8.3 names

Inserting fromatted filetimes
Removing spaces

Inserting text
Spaces to underscore's

File Attributes & Times

Changing file attributes
Changing all file times
Touch

Changing date & time formats

Remove

Delete or Recycle
Destroy

Drop Zones (Dragging files to global icons that perform file operations)

Copy & Move
Create Shortcuts
Delete and Recycle

From other applications
Persistent

Internal & External Tools

Using External Tools
Using External Auto-Viewers
Image Preview Window

Command Help

Help on Menu Items
Help on Toolbar Commands
Keyboard Shortcuts

Integrating with the Windows Shell
Setting FileBoss as the Default Viewer for File Folders

Ref: HID_HELP_WHATCANIDO


Using Drop Zones
Little Graphics - Big Power
Available in both Explore Views and in File Sets [image] [image].

· Drop Zones are graphic targets
that make sorting, copying, moving and deleting files and folders easier than ever before
· Represent folders
to which files can be copied, moved or linked
· Special Drop Zones
for quickly deleting files or sending them to the Recycle Bin
· File and folders can be dropped from any program
that supports Drag & Drop (e.g. Windows Explorer) onto Drop Zones
· Drop Zones can remain active
and visible even when FileBoss is minimized
· Drop Zones can be saved and restored in sets
for reuse later. Multiple sets can be created and saved.
· Drop Zones are automatically restored
when FileBoss starts if they were displayed when FileBoss last closed
· Can either use the Windows Copy Engine or FileBoss' intelligent copy engine
and FileBoss' copy engine can be configured handle copy operations the way that is best for you. (Click here to see how.)

How to display the Drop Zone Box
To toggle the Drop Zone Box on and off:
· Select 'Windows | Drop Zones | Show' from the main menu.
· or press F8
· or click its command button on the main toolbar:

Creating Drop Zones
To create a new Drop Zone:
· Drag any folder over the Drop Zone Box (but not over one of the existing Drop Zones) and let go. By default a 'Copy' Drop Zone will be created.
If you want a Move Drop Zone hold down an Alt key while dropping.
To create a Shortcut Drop Zone hold down the Ctrl and Sift keys while dropping.
· Open up the Options section of the dialog and click the Create... button. This opens a dialog where you can select multiple folders from which to create Drop Zones (and set the type a the same time).

Changing indiviual Drop Zone options
Right-click on any Drop Zone in the box to display a popup menu.
Change the Drop Zone type by selecting Copy, Move or Shortcuts

You can use the other options to change the folder to which the Drop Zone is attached, show the contents of the folder (using a normal FileBoss Explore view) and Remove the Drop Zone from the list.

Making the Drop Zone Box bigger or Smaller
You can use the mouse to drag any side or corner to resize the Drop List Box to suit the Drop Zones you have and/or the layout of your desktop.

Setting options for the Drop Zone Box
Click on the 'Options >>' text in the lower right-hand corner to display various controls for organizing the Drop Zones and controlling global options for the Drop Zones.

Keeping the Drop Zone Box on top
Check the 'Lock on Top' box and even when you minimize FileBoss the Drop Zone box will stay visible, on top of all other programs and you will be able to drop files from other programs on the Drop Zones.
To show FileBoss again, click on the target icon on the system tray or click the Show FileBoss button.

Ref: HTDE_USING_DROP_ZONES


Changing File Times & Attributes

Changing File Attributes & Times
Changing File Attributes & Times
Available in both Explore Views and in File Sets [image] [image].

· Can change the attributes and times of one file or thousands
of selected files at the same time
· Similar to the Touch command
that can be used for changing attributes and file times quickly and can even touch files and folders beneath any selected folders.
· Can change Modified, Accessed and Created
times individually or together
· Worry-free Confirmations
You can confirm every file or tell FileBoss to change all the files automatically. And even if you choose to confirm each file you can always change your mind at any time and have FileBoss automatically change the remaining files.

To Change Attributes or Times of Selected Files

First select the files you want to change.
(Click here to find out more about FileBoss' advanced selection methods.)

Then:
Select 'Actions | Change Attributes..' from the main menu
or click the Change Attributes button:
A dialog will appear where you can specify what you want changed and whether or not you want to confirm each file before changes are made.
for complete details about Changing File Attributes.

Hint: You can also use the Touch ( [image]) command to change file times and attributes. It is very similar to the Change Attributes routine but can be much quicker for repetitive actions. for more information about the Touch command.

The Change Attributes Dialog

Ref: HTDE_CHG_ATTS


Compare, Merge or Purge Folders & Paths
Compare Folders, Paths and Drives
· Use the power of File Sets to Compare
Folders, Paths, Drives and even Network storage areas. Comparing folders creates a new File Set with two folders, paths or drives of your choosing and once evaluated arranges the files for viewing.
· Once compared both Folders / Paths
can be Merged together
one updated from the other
only selected files merged
lonely or other files copied or deleted
and much, much more.
· Automatic, Semi-automatic and Manual merging
allows you to merge only what you want
· Comparison results can be easily used to remove files as well
You can select files by their status (Same, Newer, Older, Lonely) and then do anything with them you like such as deleting them.
· Detailed control if necessary
After selecting a group of files you inspect them individually to decide if they should be included in any merge operation.
· Hide files and folders that are not relevant
so that you can better see and work with files that are newer, older, lonely or the same depending on your needs.
· Almost all of File Boss' normal file manipulations routines
are available to you so you can clean up the folders or paths

Starting the Comparison of Two Folders or Paths
(and to merge and purge)

To start comparing folders or paths:
Select 'File | Wizards | Compare Folders...' from the main menu
Select 'File | Compare Folders...' from the main menu (bypasses the wizard)
or click the Compare button:
Select 'File | Compare Folders...' from the main menu (bypasses the wizard)
Complete the Dialog and press OK to start have FileBoss collect and compare the folders.
For complete information on specifying which folders to compare, how to narrow the files that are included, and specify how the file times are compared.
When FileBoss has finished comparing the files it will display them in a special File Set window:

Using the Merge Dialog

The comparison window is a special version of a File Set. File from the two paths are displayed together sorted by path, name and modifed date. The status column to the left shows:
N Newer - the other folder's file is older (by modified time)
O Older the other folder's file is newer (by modified time)
L Lonely the other folder has no matching file
_ The two files are the same as far as name and times are concerned.

Alternating colored bands are used to display lies that are comparable (Newer, 0lder or the Same).

Most normal FileBoss commands (such as hide, delete, copy, rename) are available even though files are being compared. If an action is performed that can corrupt the integrity of the comparison, FileBoss will re compare the files. You always can force a re-comparison by selecting the 'Edit | Refresh File Group' command from the main menu or clicking its command button [image].

Using the Merge Dialog

The top half of the Merge dialog shows the status of the files in the compared paths/folders.

The Which Folders to Update section allows you to specify which folders you want to merge to:
Both Files will be copied both ways making the folders equal when done.
Folder 1 Newer, Lonely and/or selected files from Folder or Path 1 will be copied to Folder 1. Folder 2 will not be changed even if there are newer files in Folder 1
Folder 2 Folder 2 will be updated as above. Folder 1 will not be changed.
Selected Selected files in will be copied from the folder / path they are in to the appropriate place in the other folder / path. If a file is selected it will be copied regardless of whether it is older, newer, the same or lonely, i.e. if it is selected it will be copied.
This can be used, for instance, to copy older files (perhaps backup files) back to their original folder.

The Merge What section determines which files will be updated:
Newer Newer files will be copied
Lonely Lonely files (those without a comparable file in the other folder/path) will be copied.

Pressing Merge will perfume the indicated copy operations.

Pressing the Close This Dialog button will close this dialog but will not exit the comparison mode. You can close the dialog and then use the Tool box to examine and mark the files to perform more precise merging.
You can always return to this dialog again by pressing the 'Merge' button on the toolbox.

Working in the Comparison Window

The comparison window is a special version of a modified from the two paths are displayed together sorted by path, name and modifed date. The status column to the left shows:
N Newer - the other folder's file is older (by modified time)
O Older the other folder's file is newer (by modified time)
L Lonely the other folder has no matching file
_ The two files are the same as far as name and times are concerned.

Alternating colored bands are used to display files that are comparable (Newer, 0lder or the Same).

Most normal FileBoss commands (such as hide, delete, copy, rename) are available even though files are being compared. If an action is performed that can corrupt the integrity of the comparison, FileBoss will re compare the files. You always can force a re comparison by selecting the 'Edit | Refresh File Group' command from the main menu or clicking its command button [image].

Using the Compare Toolbox

This Compare Folders Toolbox allows you to quickly manipulate the compared files.
Since the tool box floats you can go back and forth between it and the File Set to select or hide the various types of compared files using the toolbox and then looking at them performing actions on them using normal FileBoss commands.

for complete details on using the Compare Folders Toolbox.

The Merge button invokes the Merge Dialog where you can instruct FileBoss to merge the compared folders according to your directions.

You can go in out of the Merge Dialog as often as you like.

The Select section allows you to select all files of a certain type and in a specific folder. For instance if you would like to look at which files are lonely hearts in Folder 2 click that button in the second column. Then you can use the F4 key to jump to the first selected file (and then the next and the next and ....).
You might then decide, after seeing which files were lonely-hearts, to delete them or merge them to the other folder or even copy them somewhere else using FileBoss' normal copy routines.

The Hide section provides a convenient way to hide files that are not relevant to what you are doing.
If there are only a few files that are different among many that are the same it is often convenient to hide all the 'Same' files. Or if there are a lot of 'Lonely' that are temporary or working files you don't want to merge simply hide them.
Hidden files are never copied as part of the merge process not matter their type (and hidden files loose their selected state.

Show Comparison Info...
Displays the Properties dialog showing information about the compared files.
Options
Displays the dialog for setting time resolution and other comparison options.
Close & Exit
Closes this tool box and exits Compare mode.

Ref: HTDE_COMPARE


Structured Copying
Copy [image] or Move [image] to the Max
Available in File Sets [image].

Structured Copying

· File Sets and Intelligent Copying
Structured Copying combines the power of File Sets with the flexibility of FileBoss' Advanced Copy Engine to copy files like you have never done before.

Structured Copying allows you to select files from multiple levels of a path and then copy those files, and only those files, to a destination retaining their original folder structure.

· Simple Example
Consider the following, extremely simple example. (Remember that FileBoss can do this with thousands of files as easily as it can with the five files in this example.)

Here we want to copy some photographs to a folder that will eventually be made into an album for our grandmother. But we only want to copy the files that are the end result of our labor (i.e. we don't want to copy the temporary or original files) and we want to copy them retaining the same folder structure as our originals.

To copy from here... To create this with just one copy

First Select the files: Then all the folders:

· Create a File Set
· Mark the files to copy
· Mark the folders
· Copy in the normal manner show below

To Copy or Move Files

First select the files you want to Copy or Move.
(Click here to find out more about FileBoss' advanced selection methods.)

Open the Copy / Move Command Dialog:
Press F7 (to copy) or Ctrl+F7 (to move)
Select 'Actions | Copy To...' or 'Actions | Move To...' from the main menu
Click the Copy Files button: or Move Files Button

Related Operations

Duplicating Files [image] for more
The selected files are duplicated. In Explore View whole trees of folders can be replicated.
Updating Files [image] for more
Copies the selected entries to the destination only if the target file already exists. for more.
Drag and Drop [image] for more
Drag the selected entries to a folder to copy, move or create short cuts. When dropped on a folder in a FileBoss window FileBoss can offer sophisticated copy handling.
Drop Zones [image] for more
Drop Zones is the next generation of tool for copying and moving files. Making it simple to sort and move files and folders to complex folder structures.

See also:
Copying/Moving Files
Duplicating Files
Updating Files
Duplicating Directory Structures
Copying Filenames

Ref: HTDE_COPY_FILES


Copy or Move Files & Folders

Copy or Move Files & Folders to the Max
Copy [image] or Move [image] to the Max
Available in both Explore Views and in File Sets [image] [image].

Flexibility and Power to the Max

· Multi-folder copying
When copying from a File Set FileBoss can copy Files in multiple folders, retaining their original folder structure (the default behavior) or all files to one folder.

· Retry option for files that failed to copy
If FileBoss can not copy a file it will give you the option of trying again (such as if you have to close a file that is in use) or just skip the file. Of course FileBoss will log any files that were skipped due to copy errors.

· Flexible Overwrite Options
When FileBoss encounters encounters a file that already exists you can tell it to:
· overwrite
· overwrite only if newer
· skip
· rename the old file
· rename the new file
And, of course, each option can be applied to files automatically or you can decide on a case by case basis as the copy process continues.

· Complete logging of what was and was not copied
The Results window keeps a complete log of what was copied, what was not and what errors occurred if any. These logs can even be automatically written to disk as simple text files for future reference.

· Detailed and Configurable Warnings
You can tell FileBoss when to ask you what to do if the file being copyied already exists. You can tell it to never warn you, or if it has one or more of the following attributes: Hidden, System, Read-only, Archive and even if the file is executable (e.g. has an extension of EXE, COM, DLL, OCX or BAT).

· Simple and Advanced Command Modes
Simple

Advanced

If you want to quickly copy a bunch of files without worrying about any advanced settings just close up (or leave closed-up) the dialog by pressing the Simple button (if the dialog is already closed up the button will read Advanced. Like all other expanding dialogs in FileBoss this copy move dialog reverts to default options when it is close up. So you don't have to worry about some option being set that you can't even see.
Advanced Hint: The default options for copying are can be set to your particular preferences so that when the dialog is closed up it will set the hidden options to the defaults you have specified. To learn more about this advanced feature click here.

To Copy or Move Files

First select the files you want to Copy or Move.
(Click here to find out more about FileBoss' advanced selection methods.)

Open the Copy / Move Command Dialog:
Press F7 (to copy) or Ctrl+F7 (to move)
Select 'Actions | Copy To...' or 'Actions | Move To...' from the main menu
Click the Copy Files button: or Move Files Button

Related Operations

Duplicating Files [image] for more
The selected files are duplicated. In Explore View whole trees of folders can be replicated.
Updating Files [image] for more
Copies the selected entries to the destination only if the target file already exists. for more.
Drag and Drop [image] for more
Drag the selected entries to a folder to copy, move or create short cuts. When dropped on a folder in a FileBoss window FileBoss can offer sophisticated copy handling.
Drop Zones [image] for more
Drop Zones is the next generation of tool for copying and moving files. Making it simple to sort and move files and folders to complex folder structures.

Sample Options and Settings
Below are just some of the other options you can set (remember there is a simple mode too where you don't have to worry about these details). For a complete list of options see the documentation for the Copy / Move Dialog.

Remove Read-Only Bits from CD Files
Many files stored on CDs have their Read-Only bit set and it is transferred with the files when they are copied to a hard disk.
By default FileBoss will detect when files are being copied from a CD or DVD and make sure that the Read-Only bit is cleared on the copied file. This behavior can be deactivated. It is a global setting that affects all files copied by FileBoss from CDs (e.g. the setting also affects files copied using Drag & Drop and to Drop Zones.) To change whether or not FileBoss removes the Read-Only bit on files copied from CDs select 'Tools | Options...' from the main menu and select the 'Copy Files' panel then check or uncheck the 'Clear Read-Only bit when copying files form CDs/DVD' box.

Copy Only if Target Exists

Will copy each selected file if, and only if, a file with the same name already exists in the destination folder.
This effectively updates the files in the destination folder without adding any new files. Good for when you want to back up files with copying a bunch of junk or temporary files that may be on the source drive or folder.

Actions when Destination Entry Already Exists

No / Yes / Ask / Only if Newer
The first four options determine whether or not files can be overwritten by the files being copied.
When Only if Newer is selected the times the files were last modified are used for comparison.

Rename
Rather than overwriting files that exist, you can instruct FileBoss to rename either the new or the existing files.
Select New File to rename the file that is being copied (the existing file will not be changed).
Select Existing File to rename the existing file, the new file will then be copied using the old name.
Whether you choose to rename the existing file or the new file depends only on what you are doing and your personal preference.

Click on Set... to specify how the files - either new or existing - will be renamed. You can add text and/or sequential numbers to the new filenames.

Setting New File Attributes

These options affect files created or overwritten by the copy or move operation.
(Note that a file is considered new even if it overwrites an existing file of the same name.)
You can add, remove or leave the four attributes unchanged.
If an attribute is marked as No Change it will be set to the same setting on the source file or folder.

Specifying Dates and Times of New Files

These options affect files created or overwritten by a copy or move operation.
(Note that a file is considered new even if it overwrites an existing file of the same name.)

There are three options:
Original The copied / moved file and folders will have the same file times as the original files
Now All new and overwritten files will have their file times set to the time the copy / move operation began.
Specified All new and overwritten files will have their file times set to the time specified in the date and time fields immediately below these three option buttons.

Special Notes:
· All three file times - Created, Last Accessed and Last Modified - are set by these options.
· Frequently the file times of the copied files will not exactly match those of the original files or of the time specified. When this happens it is because how Windows stores file times depends on the Version of Windows and on the underlying file system of the storage media, e.g. NTFS and FAT. Just as one example some systems store access times to the nearest two seconds others to the nearest day. So In that case when a file is copied from the former to the latter, the access time will be rounded down to midnight of the day. Then, when the file times are compared they will be different. FileBoss can account for this difference by setting the resolution of file times when in compare mode.

Setting When FileBoss will Ask for Confirmation

These options determine when FileBoss will alert you that a file is going to be overwritten by the copy or move process. The warnings are fired when an existing file has one of the checked attributes. For instance if the EXE box is checked FileBoss will ask you what to do before copying a source file over an existing target file that has an extension of .EXE, .COM, .DLL, .DRV, .OCX or .BAT. When asked what to do your options will be to skip that one file, cancel all remaining files, overwrite that one file, overwrite all remaining files or even rename the file.

None This is a master check box that, when checked, turns off all warnings. You'll note that when it is checked the other check boxes are grayed indicating that they have no effect. To enable the other check boxes uncheck this 'None' check box.
Hidden Marked by Windows as a Hidden File. Normally files marked with this attribute should not be modified.
System Marked by Windows as a System File. Normally files marked with this attribute should not be modified.
Read-Only FileBoss will stop and ask permission whenever one of these attributes is set on the existing target file. Note that changing (which overwriting a file certainly does) any file with the Hidden, System or Read-Only attribute may disrupt the stability of your system, if not render it totally unusable.
Archive The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backed up and, after backing up the file reset (clear) the Archive bit.
EXE FileBoss considers files with the following extensions to be executable files: .EXE, .COM, .DLL, .DRV, .OCX and .BAT.
Newer FileBoss will compare the two file times and warn if the file on the target drive is newer (had been modified more recently) than the source file.
This option is only present when the warnings are being used for copy or move operations (i.e. not for deleting or touching as there is no 'source' file).

See also:
Copying/Moving Files
Duplicating Files
Updating Files
Duplicating Directory Structures
Copying Filenames

Ref: HTDE_COPY_FILES


Distribute Files To Multiple Folders
Distributing Files to Multiple Folders
Available in both Explore Views and in File Sets [image] [image].

· Distributes one or more files to multiple folders
Quickly and easily distribute new or updated files throughout your computer or network
· Can distribute any file or folder that can be copied to the clipboard
The files and folders can be copied to the clipboard in the normal manner using either FileBoss or other programs such as Windows Explorer
· Distribution folders can be all on one level or multiple levels across multiple drives
Select the folders you want the files copied to in either Explore or File Set view.
· Complete logging of what names was copied and how
The Summary and Details panes of the Results window will show you exactly what was copied and to where.

Distribute Files From Clipboard to Multiple Folders

First select the files you want to distribute.
(Click here to find out more about FileBoss' advanced selection methods.)

Press Ctrl+C,
or select 'Edit | Copy' from the main menu

Second select the files you want to distribute
If you are distributing to folders that are all in the same root folder select them in Explore View.
If you will be distributing to folders on multiple paths, drives or even network drives, create a File Set first and then select the folders.

Finally paste the files on the clipboard into the selected folders
Select 'Actions | Advanced | Paste Into Selected Folders' from the main menu.

Ref: HID_ACTION_PASTE_INTO_SELECTED


Copy Filenames to Clipboard
Much More Than a Simple Name Copy Routine
Available in both Explore Views and in File Sets [image] [image].

· One filename or thousands
with or without the full path, can be copied to the Windows Clipboard.
· All Selected Names or Just the Current Name
can be copied. So you don't have to stop selecting files for some other operation just to copy one filename to the clipboard
· Just the Name or the Name and Path
can be copied using different command and hot-keys. So you could copy to the clipboard just the text FileBoss.exe or C:\Program Files\FileBoss\FileBoss.exe.
· The Format of the Copied Text is Up to You
since you can specify what comes before and after each name or group of names (such as quote marks and line feeds). for more information about setting how names are copied to the clipboard.
· Complete logging of what names was copied and how
The Summary and Details panes of the Results window will show you exactly what was copied to the clipboard.

Copying all Selected Filenames

First select the files you want.
(Click here to find out more about FileBoss' advanced selection methods.)

To copy filenames with paths, e.g. "C:\My Stuff\Mom's Letter.DOC"):
Press Shift+F10,
or select 'Edit | Copy Filenames to Clipboard | Selected Filenames' from the main menu

To copy filenames only, e.g. "Mom's Letter.DOC"):
Press Ctrl+Shift+F10,
or select 'Edit | Copy Filenames to Clipboard | Selected Filenames No Paths' from the main menu

Copying the Current Filename Only

Click on the entry in the Contents Window of the file you want to copy
To copy the filename and path, e.g. "C:\My Stuff\Mom's Letter.DOC"):
Press F10,
or select 'Edit | Copy Filenames to Clipboard | Current Filename' from the main menu

To copy filenames only, e.g. "Mom's Letter.DOC"):
Press Ctrl+F10,
or select 'Edit | Copy Filenames to Clipboard | Current Filename No Path' from the main menu

Hint: You can change how filenames are formatted when copied to the clipboard. Simply select 'Tools | Options...' from the main menu and then select the 'Copy Filenames' panel. for more information.

Ref: HTDE_COPY_FILENAMES


Copy a Directory Tree Structure

Copying a Directory Tree Structure
Copying a Directory Tree is available in File Sets [image].

· Makes a copy of the folder structure
of a part of your file system without copying any of the files it may contain.
· Three methods to suit you needs best
Use the common 'Actions | Duplicate...' command to quickly create a copy of the folder tree in the same folder as the current. for more on how to do this.
Use 'Actions | Advanced Replicate Folder Trees...' to copy the folder trees of one or more selected files to a location of your choosing.
Use the master 'Copy Files' routine ('Action| Copy To...') for ultimate control over what is copied and how.

How to Quickly Copy a Directory Tree

(Note: You can quickly duplicate a tree structure in the same folder as the original using the Duplicate Folder Command, [image] for more.)

1) Select one or more folders to be duplicated in the Contents window

2) Select the 'Actions | Advanced | Replicate Folders...' command from the main menu:

2) Enter the Destination Folder

3) Click OK

How to Copy a Directory Tree with Complete Control

(Note: You can quickly duplicate a tree structure in the same folder as the original using the Duplicate Folder Command, [image] for more.)

1) Create a File Group from the top-most folder of the tree:
· Right-click on a folder in any FileBoss Window and in the popup menu select 'Folder Tools | Create File Set from Folder...' or click on the [image] button.
· In the Create File Set Dialog make sure the 'Include Subfolders' box is checked. And the Include These Files options should be set as follows (Match Any button selected and Directories box checked):

· Click OK to create the File Set containing only the folders that make up the directory tree.

2) Select all the Folders in the New File Group
· Select all the folders in the new file set using Ctrl+A or 'Select | All' from the main menu. Or click the [image] button.

3) Copy the Folders
· Start the copy operation by pressing F7 or 'Actions | Copy To...' from the main menu. Or click the [image] button.
· In the Copy Files dialog select the destination folder for the new tree and then make sure the 'As an Empty folder' option is selected under the How to Copy Folders section in the Advanced area of the dialog.

· Press the OK button.

Hint 1: You can make a copy of the tree structure from any File Group even if it has files. Just make sure to select all the folders and none of the files!
Hint 2: You can quickly duplicate a tree structure in the same folder as the original using the Duplicate Folder Command, [image] for more.

Related Operations

Copying/Moving Files [image] for more
The selected files are copied or moved with FileBoss unrivalled copy engine.
Updating Files [image] for more
Copies the selected entries to the destination only if the target file already exists. for more.
Drag and Drop [image] for more
Drag the selected entries to a folder to copy, move or create short cuts. When dropped on a folder in a FileBoss window FileBoss can offer sophisticated copy handling.
Drop Zones [image] for more
Drop Zones is the next generation of tool for copying and moving files. Making it simple to sort and move files and folders to complex folder structures.

Ref: HTDE_MAKE_DUPLICATE_FILES


Creating Shortcuts

Creating Shortcuts (Links)
Return to Introduction
How to Create Shortcuts (Links to Files & Folders)
Available in both Explore Views and in File Sets [image] [image].

Creating Shortcuts (Links) in FileBoss

Dropping files on FileBoss is comfortably similar to dropping files on other programs such as Windows Explorer with the following great improvements:
Select Create Shortcuts [image] as the default operation when files are dropped on FileBoss.
The default operation is easily switched between Copy, Move and Create Shortcuts by simply clicking on the Command button ( [image] [image] [image]) or selecting the Edit | Default Drop Mode > command from the main menu.
(Naturally you can still force the drop mode when dragging files by holding down the Alt, Ctrl and Sift keys)

Drag & Drop with the right button produces a popup menu from which you can select how to drop, Copy, Move or Create Shortcut(s).

Before dropping files (i.e. releasing the mouse button) press and hold down the Ctrl and Shift keys. This will force FileBoss (and most other programs) to create shortcuts to the source files rather than copy or move them.

Also Consider Using Drop Zones

If you will be creating shortcuts to more than just a couple of files consider using one or more Drop Zones set to create shortcuts in their associated folders.
for all the great details on Drop Zones.

Ref: HTDE_CREATE_SHORTCUTS


Create File Sets (Search)

Creating a File Set
To find out how to create a File Set (jumps to the blue How To box below this introduction) [image] .
To see the File Set Dialog and explore all the incredible possibilities [image] .
What are File Sets?
· File Sets are similar to Explore Views
but rather than containing the files in one folder they can contain files in multiple folders, all folders on a drive and even in multiple drives across networks.
· Almost all commands and operations
that can be applied to files and folders in an Explore View can be applied to File Sets.
· File Sets allow hundreds of thousands
of files, let alone tens or hundreds of files, to be manipulated together: copied, renamed, duplicated and many other powerful routines built into FileBoss.
· File Sets can be created simply,
for example by telling FileBoss to use all files in and below the My Documents folder.
· File Sets can be created with great finesse,
for example by telling FileBoss to use all files on drive C: and D: with the extension EXE, COM, DLL but not in the Windows folder or anywhere in and below the Program Files folders and not any files that have names beginning with a tilde (~) character (and that is just a simple finesse!)
· File Sets can be saved for quick recall later.
They can be saved on disk as a definition file that when opened immediately research for all files that meet the search definition associated with the File Set. They can also be saved where every entry is saved to disk. When reopened no search is performed, every entry is displayed just as they were when the File Set was saved.
· File Sets allow you to quickly sort
and group files to see what is on your computer.
· File Sets is the underlying technology
for comparing folders, paths or drives so that once you have seen one you have seen both.
· File Sets are perfect for collecting files of a similar type
or for a similar use for quick access in other applications.
· Definition based File Sets are perfect
for repeatedly backing up project files, duplicating frequently used files or updating a working set of files.

To Create a File Set

To create a File Set:
Press Ctrl+N
or select 'File | New File Set' from the main menu
or click the Create File Set button:

To Create a File Set from a Highlighted Folder

Right-click on a folder entry in any view
In the popup menu select 'Folder Tools | Create File Set'
or click the Create File Set From Folder button:

Create a File Set from a Saved Definition

Click the arrow to the right of the Create File Set button:
Select the appropriate definition form the displayed list.
Hint: Previous are only available when they have been saved as a Template in the Create File Set dialog.

Open a Saved File Set

Press Ctrl+O
or select 'File | Open Saved File Set...' from the main menu
or click the Create File Set button:

Hint: File Sets can be saved in two forms.
The first is a definition file that instructs FileBoss how to recreate the File Set when it is opened, e.g. searching for the files again.
The second stores a complete list of the entries (files and folders) in the File Set. Using the second method the files will be listed exactly as they were when the File Set was saved regardless of whether they have been changed, deleted or new files have been added.

Ref: HTDE_CREATE_FILESET


Find Duplicate Files
Finding Duplicate Files
Available in both Explore Views and in File Sets [image] [image].

· Files can be checked in one Folder, Multiple folders or paths and even across network drives
simply make the View active and then select 'Tools | Find Duplicates...' from the main menu.
If you want to search across multiple folders or drives, simply create a File Set of those folders first and then check for duplicates. Creating a File Set first makes the process quick, easy to repeat and easy to refine. In addition all of the normal file manipulation routines are available while reviewing the duplicate files.
· Finds Duplicates in Explore View (a single Folder)
by ignoring the names and checking for duplicates by the files' size and content.
· Can restrict search to Selected Files
or all the files in a folder (Explore View) or a File Set can be checked.
· Comparisons can be restricted to file matching specific patterns
such as *.bmp or *.doc thus eliminating wasted time comparing files you don't care about.
· Always Available!
You don't need to create a special File Set. FileBoss has columns that will display the lengths of the filenames, paths, and total of both combined that can be sorted just like any other column in the contents window. And, of course, they are available in both Explore and File Set Views.
To turn columns on and off in any contents window simply right-click over a the column header bar (the bar at the top of the columns that display the column names) and select the columns you want.

To Find Duplicate Files

First either navigate to the Folder you want to check in Explore View or create a File Set of the files you want to check (File Set View).
Then:
Select 'Tools | Find Duplicates...' from the main menu to open the Find Duplicate Files command dialog
Check the options FileBoss should use when considering whether two files are duplicates or not.
Optionally specify the file types that should be included (or excluded) in the search for duplicates.
Click the OK Button to close the dialog have FileBoss search for duplicate files.
FileBoss will sort the files, evaluate which are duplicates and which are not, hide all files that are not duplicates and display those that are.
You can then look at the files and Delete, Recycle or perform any other normal FileBoss Action

Hint: If too many files are displayed you can either perform the operation again redefining what makes a duplicate a duplicate or which files should be included in the evaluation. Or you can select whole groups of files and hide (click the Hide Selected Files button [image]) and then examine what is left.

More Information
The following dialog shows the options available when looking for duplicate files.
For all the details on how to use this dialog and find Duplicates

Options for Finding Duplicates

Ref: DOC_GENERAL_FEATURES_DUPS


Drag & Drop Files to the Max
Enhanced Drag & Drop
Available in both Explore Views and in File Sets [image] [image].

· Builds upon the familiar Windows Drag & Drop facility
but adds important enhancements.
· Selectable default operation
when files are dropped on FileBoss. The default operation is easily switched between Copy, Move and Create Shortcuts by simply clicking on the Command button ( [image] [image] [image]) or selecting the Edit | Default Drop Mode > command from the main menu.
· Optional FileBoss copy engine
provides most of the facilities of the main FileBoss copy routine including retrying after an error occurs, complete logging, configurable warnings, collision handling and much more..
· Traditional Windows Copy Engine can be used
if preferred. This copy engine is the same one used by Windows Explorer
· Consider using Drop Zones
for extremely efficient sorting, moving and copying of files.
See the Using Drop Zones topic for complete details. for all the great details on Drop Zones.

Dropping Files on FileBoss Windows

Dropping files on FileBoss is comfortably similar to dropping files on other programs such as Windows Explorer with the following great improvements:
You can change the default Drop action by clicking: buttons or using the 'Edit | Default Drop Mode >' menu.
(Naturally you can still force the drop mode when dragging files by holding down the Alt, Ctrl and Sift keys)

Drag & Drop with the right button produces a popup menu from which you can select how to drop, Copy, Move or Create Shortcut(s).

You can tell FileBoss to use the common Windows copy Engine or use FileBoss' Advanced Copy Engine. The FileBoss Copy engine allows you to control overwrite notifications and actions as well flexible options when one file can not be copied (such as retry).

To setup whether FileBoss will copy dropped file using Windows' or FileBoss' (and even how FileBoss' engine will copy) use the 'Tools | Options' command ( [image]) from the main menu and select the Advanced 2 tab.

To find out more about setting up the copy engine for dropping files

Also Consider Using Drop Zones

If you will be moving more than just a couple of files around consider using Drop Zones the ultimate way to move file around your computer and your network quickly, easily and accurately.
for all the great details on Drop Zones.

Ref: HTDE_DRAG_AND_DROP


How to 'Go To' Files in a View
Going To Files in a View, By Name, Selected or Folders
Available in both Explore Views and in File Sets

Going to Files in the Contents Window

The Go To Toolbar

The 'Go To' bar is used to quickly find and go to specific files in the Contents window in both Explore and File Set Views.

To go to a specific file
simply click in text field (or use Ctrl+F) and type in the pattern of the name you want to find, e.g. *.DLL and Alice*.jpg. Then to move to the next or previous file that matches that pattern simply click the appropriate arrow button or press F3 or Shift+F3.

To go to the next file that is Selected
press Ctrl+F3 (or use the 'Edit | Go To | Selected File' command from the main menu). Note that the Go To box now displays ':Selected'. You can now use the up and down arrow button (or F3 and Shift+F3) to go to the next and previous entries.

More options
can be found on the 'Edit | Go To >' menu.

Hint: To quickly go to files beginning with a specific character simply press that character on your keyboard. Repeatedly pressing the same character will jump to the next files beginning with the same character.

Ref: HID_TB_FIND_COMBO


Dragging to Hidden Windows
Dragging to Hidden Windows
Available in both Explore Views and in File Sets [image] [image].

Dragging to a Covered Window

Dragging files to a Tabbed Window that is completely covered is really easy, just drag the files across the Tab of the desired window first. As the mouse (dragging the files) crosses the tab the window will become active and displayed on top of all others.

Dragging two files from the 'Hugo' folder

Across to the Pets Tab (currently hidden)

As the Drag cursor passes over the
Pets Tab that window is activated

The files can now be dropped
anywhere in the 'Pets' window.

Hint: Note that you can use the same technique for activating windows even if the windows are cascaded or tiled - simply drag the files over the tab for the window you want displayed.

Ref: HTDE_DRAG_BETWEEN_WINDOWS


Duplicating Files and Folders

Duplicating Files & Folders
Making Duplicates of your Files and Folders
Available in both Explore Views and in File Sets [image] [image].

· Making a Duplicate Creates
an exact copy of your file(s) in the same folder as the original but with a different name. Typically the new name consists of the original name with a sequence number added.
· Duplicate Complete Folders and Paths
when a Folder is selected. This will create a new folder, in the same place as the selected item, but with a new name. All of files and subfolders and in the original will be copied to the new folder.
(If you would like to create duplicates of just the files in multiple folders, first create a File Set, select all the files (not folders) and then use the Duplicate command)
· Duplicate the Structure of a Path
by selecting the Copy Folders Only option when duplicating a folder.
· In File Sets Duplicate Selected Files
form different folders all at the same time.
· Add Sequential Numbers
guaranteeing unique names. Sequential numbers can be added before or after the name or extension. You can even replace the extension or name with a sequential number.
· Change the Extension
of the duplicated files to identify them better.
· Add Plain Text to the Names
of the duplicated files if you want. Text can be added before or after the name or extension.
· Files can be duplicated multiple times
so that more than one copy of the original is available. Sequential numbering (including a ? in the name pattern) will insure that each filename is unique

To Duplicate Files

First select the files you want to duplicate.
(Click here to find out more about FileBoss' advanced selection methods.)

Start the duplication process by:
Press Shift+F7,
or select 'Actions | Duplicate...' from the main menu,
or click the Duplicate button:

Formatting the new names
The Duplicate File Dialog will appear where you can set the form of the new (i.e. duplicated) filenames. By default the new files or folders will have a sequential number appended to the root name. For example 'FileBoss.exe' would be duplicated as 'FileBoss (001).exe'.

To Duplicate Folders

Duplicate Folders that same way you would duplicate files (see above).
If one or more folders are being duplicated the dialog will activate the check box 'Copy Folders Only'. If you check this box only the tree structure will be copied - no files will copied. If it is not checked then all files in the folder will also be duplicated.

Related Operations

Copying/Moving Files [image] for more
The selected files are copied or moved with FileBoss unrivalled copy engine.
Updating Files [image] for more
Copies the selected entries to the destination only if the target file already exists. for more.
Drag and Drop [image] for more
Drag the selected entries to a folder to copy, move or create short cuts. When dropped on a folder in a FileBoss window FileBoss can offer sophisticated copy handling.
Drop Zones [image] for more
Drop Zones is the next generation of tool for copying and moving files. Making it simple to sort and move files and folders to complex folder structures.

The Duplicate Command Center
When you duplicate files and folders the following dialog will appear allowing you to specify how the duplicate files will be named. The choices you make here - just like almost all Dialogs in FileBoss - will be saved even when FileBoss is closed.
As you make changes keep an eye on the box under Sample for: "FileBossIsGreat.txt" as it will give you an idea as to how the names will be transformed for the new files.

Duplicating Files

Pattern for new names

The pattern will be included in the names of the duplicated files, inserted at the position indicated by the Insert Where selection below.
If a question mark (?) is included it will be replaced with an incremental number ensuring a unique name.
FileBoss does not require that the ? be included (though you will get a warning if it is not) but it is usually best to have one to ensure unique names.

Specifying where the pattern will be inserted in the names

Mutually exclusive options that determine where the pattern for the new name will be inserted in the old name. Select one and then look at the sample near the bottom of the dialog to check if this is the way you want the duplicated files named.

Adding Sequential numbers to filenames

How to Setup Sequential numbering
1) Insert the \? meta flag in the New Name field where you want the sequential number to appear. Use the \? meta flag only once.
2) Set the number of digits you want displayed. E.g. setting it to 3 will insert 001, 002, 003, etc where the \? meta flag is.
3) Set the Start A: number. While this will normally be '1' you might want to set it to another number if some files have already been renamed with this routine.
4) Check the Sample at the bottom of the screen to see how the sequential numbers will fit into the name along with any other formats you have chosen.

Num. of Digits: 1 to 6, pads the number with leading zeros to get the desired number of digits. This is a good option so that the files will be sorted correctly when displayed in FileBoss Windows Explorer and various programs' File Open Dialogs.
Start At: 1 on up to highest number allowed by the number of digits you have specified.

Examples:
Long Beach #\?.jpeg (Digits set to 3 and Start At set to 1)
Long Beach #001.jpeg, Long Beach #002.jpeg, Long Beach #003.jpeg
\? Long Beach.jpeg (Digits set to 2 and Start At set to 10)
10 Long Beach.jpeg, 11 Long Beach.jpeg, 12 Long Beach.jpeg

Duplicating only the folders not their contents

When checked only the folders (and sub-folders) will be copied, duplicating the folder structure of the selected folders.
This option will be disabled if not folders have been selected. If both folders and files have been selected it will be applied to the selected folders and the selected files will be copied normally (in other words selecting this option will not prevent selected files from being duplicated).

Sample Filename

Displays a sample name with the settings you have chosen.
Everytime you change a setting the sample will change

See also:
Copying/Moving Files
Updating Files
Duplicating Directory Structures
Copying Filenames

Ref: HTDE_MAKE_DUPLICATE_FILES


Duplicating Folders
Duplicate Complete Folders or Just Tree Structures
Available in both Explore Views and in File Sets [image] [image].
· Creating duplicates of folders
is exactly the same process as creating duplicate files except that there is one extra option: whether or not to copy the everything in the folder or just the folder structure (e.g. not to copy any files).
· Duplicating a folders is the process of creating
copies of folders in the same folder as the originals but with a new name. Typically the new name consists of the original name with a sequence number inserted in the name.
· Duplicate everything or just the structure,
you have the choice of duplicating everything in the folder (e.g. including the files) or just duplicating the tree structure of the folder (i.e. no files are copied).
· Flexible naming of duplicated files
just as when duplicating files
· Folders can be duplicated any number of times,
each with unique names.

To Duplicate Folders

First select the folders you want to duplicate.
(Click here to find out more about FileBoss' advanced selection methods.)

Start the duplication process by:
Press Shift+F7,
or select 'Actions | Duplicate...' from the main menu,
or click the Duplicate button:

Formatting the new names
The Duplicate File Dialog will appear where you can set the form of the new (i.e. duplicated) filenames. By default the new files or folders will have a sequential number appended to the root name. For example 'My Documents' would be duplicated as 'My Documents (001)'.

Duplicating Folders
If one or more folders are being duplicated the dialog will activate the check box 'Copy Folders Only'. If you check this box on the tree structure will be copied - no files will copied.

Related Operations

Duplicating Files [image] for more
The selected files are duplicated. In Explore View whole trees of folders can be replicated.
Copying/Moving Files [image] for more
The selected files are copied or moved with FileBoss unrivalled copy engine.
Updating Files [image] for more
Copies the selected entries to the destination only if the target file already exists. for more.
Drag and Drop [image] for more
Drag the selected entries to a folder to copy, move or create short cuts. When dropped on a folder in a FileBoss window FileBoss can offer sophisticated copy handling.
Drop Zones [image] for more
Drop Zones is the next generation of tool for copying and moving files. Making it simple to sort and move files and folders to complex folder structures.

The Duplicate Command Center
When you duplicate files and folders the following dialog will appear allowing you to specify how the duplicate files will be named. The choices you make here - just like almost all Dialogs in FileBoss - will be saved even when FileBoss is closed.
When you are making your selections keep an eye on the box under Sample for: "FileBossIsGreat.txt" as it will give you an idea as to how the names will be transformed for the new files.

Duplicating Files

Pattern for new names

The pattern will be included in the names of the duplicated files, inserted at the position indicated by the Insert Where selection below.
If a question mark (?) is included it will be replaced with an incremental number ensuring a unique name.
FileBoss does not require that the ? be included (though you will get a warning if it is not) but it is usually best to have one to ensure unique names.

Specifying where the pattern will be inserted in the names

Mutually exclusive options that determine where the pattern for the new name will be inserted in the old name. Select one and then look at the sample near the bottom of the dialog to check if this is the way you want the duplicated files named.

Adding Sequential numbers to filenames

How to Setup Sequential numbering
1) Insert the \? meta flag in the New Name field where you want the sequential number to appear. Use the \? meta flag only once.
2) Set the number of digits you want displayed. E.g. setting it to 3 will insert 001, 002, 003, etc where the \? meta flag is.
3) Set the Start A: number. While this will normally be '1' you might want to set it to another number if some files have already been renamed with this routine.
4) Check the Sample at the bottom of the screen to see how the sequential numbers will fit into the name along with any other formats you have chosen.

Num. of Digits: 1 to 6, pads the number with leading zeros to get the desired number of digits. This is a good option so that the files will be sorted correctly when displayed in FileBoss Windows Explorer and various programs' File Open Dialogs.
Start At: 1 on up to highest number allowed by the number of digits you have specified.

Examples:
Long Beach #\?.jpeg (Digits set to 3 and Start At set to 1)
Long Beach #001.jpeg, Long Beach #002.jpeg, Long Beach #003.jpeg
\? Long Beach.jpeg (Digits set to 2 and Start At set to 10)
10 Long Beach.jpeg, 11 Long Beach.jpeg, 12 Long Beach.jpeg

Duplicating only the folders not their contents

When checked only the folders (and sub-folders) will be copied, duplicating the folder structure of the selected folders.
This option will be disabled if not folders have been selected. If both folders and files have been selected it will be applied to the selected folders and the selected files will be copied normally (in other words selecting this option will not prevent selected files from being duplicated).

Sample Filename

Displays a sample name with the settings you have chosen.
Everytime you change a setting the sample will change

See also:
Copying/Moving Files
Updating Files
Duplicating Directory Structures
Copying Filenames

Ref: HTDE_MAKE_DUPLICATE_FOLDERS


Updating Files
How to Update Existing files
Available in both Explore Views and in File Sets [image] [image].

· Copies Selected Files only if a file with the same name already exists
in the destination folder and the file to be copied is newer.
· Great for Syncing two Folders or Paths without
copying a bunch of junk (e.g. temporary or work) files.
· Updating is a convenient sub function of the Copy command
and can be accomplished from the Copy dialog if you want more control.

To Update Files

First select the files you want to be the source of the Update.
(Click here to find out more about FileBoss' advanced selection methods.)

Start the Update Command by:
Press Alt+F7,
or select 'Actions | Update...' from the main menu,
or lick the Update button:

Hint: You can also update files from the main Copy / Move dialog. Simply check the Copy Only if Target Exists option in the Advanced area of the Copy Files dialog.
Using the Update command directly just simplifies the operation by pre-selecting the most common options.

Related Operations

Copying/Moving Files [image] for more
The selected files are copied or moved with FileBoss unrivalled copy engine.
Duplicating Files [image] for more
The selected files are duplicated. In Explore View whole trees of folders can be replicated.
Drag and Drop [image] for more
Drag the selected entries to a folder to copy, move or create short cuts. When dropped on a folder in a FileBoss window FileBoss can offer sophisticated copy handling.
Drop Zones [image] for more
Drop Zones is the next generation of tool for copying and moving files. Making it simple to sort and move files and folders to complex folder structures.

More Control when Updating Files
Note: The process described above will quickly accomplish the task. But if you want more control over the operation you can use the Copy Files action ( [image]) instead. Just make sure that in the Copy / Move Files Dialog the 'Copy Only if Target Exists' box is checked.

Updating Files

Information on the Selected Files to be Copied

Source Files
For easy reference this area displays information about the selected files that FileBoss will attempt to copy, move or update.

Top Level:
The Top Level section shows how many folders and files will be copied directly to the destination folder. All other folders and files will be copied below one of the top level folders (or sub-folders of a top level folder)

Destination for the Copy / Move Operation

Destination
Displays the folder to which the selected files will be copied/moved.
The list of previous destination folders - accessed by clicking the down arrow to the right - is remembered even when FileBoss is closed.
To change folders you can:
· select one from the drop-down list
· type in a new path, or
· select the Browse button to locate the folder you want.
The number above the destination folder is the amount of free space on the selected folder's drive or storage media.

Do it your way:
Don't like the list of destination folders in the drop down list? Want to delete some of them or change their order for some reason? Simple. Just hold down the Alt key and click on the word Destination. A dialog will open where you can edit the list of entries.

See also:
Copying/Moving Files
Duplicating Files
Duplicating Directory Structures
Copying Filenames

Ref: HTDE_REFRESH_FILES


Rename Individual Files

Rename Individual Files and Folders
Convenient Ways to Rename Individual Files
Available in both Explore Views and in File Sets [image] [image].

· Inline naming
either by clicking the name twice or by right-clicking the name and selecting 'Rename' from the popup menu. (Clicking the name twice is not available when Sticky Select mode is active)
· Dialog naming
Quickly popup a simple dialog where you can edit the name before it is applied to the file.
· One-by-one group naming
allows renaming all selected files individually one after the other without having to double-click the entries or popup a right-click menu for each one.

(Hint: This topic explains the various ways of naming files individually. To see powerful ways FileBoss provides to rename tens, hundreds or even thousands of files in multiple folders - or even on multiple drives - see the topic Renaming Groups of Files [image] .to go there now)

The Right-Click Method

This will edit files in-place, i.e. not in a dialog box
Right-click the entry you want to rename
In the popup menu select either 'Rename' or 'Current Entry | Rename'. (Which item is present will depend on the menu that popups up.
Press 'Enter' or click outside of the name to finish
Press the 'ESC' key to abandon any changes you have made

The Two Click Method

Note: The Two Click method is only available when Sticky Select Mode is turned off (To turn Sticky Select Mode on and off click the [image] button. To learn more about Sticky Select [image] )

Click the entry you want to rename.
Hesitate just a little
Click the entry again
Edit the name
Press 'Enter' or click outside of the name to finish
Press the 'ESC' key to abandon any changes you have made

Using the Quick Rename Command

(This method actually works with selected files but since it allows quickly renaming files individually it is included here)

Select the files you want to rename. for more info.
Press Ctrl+Shift+R
Select 'Actions | Quick Rename...' from the main menu
· A Rename dialog will open where each selected file will be presented sequentially for renaming.
For each name you can change it, skip it, or skip all the rest.

Ref: HTDE_RENAME_FILES_INDIVIDUALLY


Renaming Groups of Files
Renaming to the Max
Available in both Explore Views and in File Sets [image] [image].

· Fast, Flexible, Tailored Renaming of Files and Folders
From renaming one file on the fly to renaming a hundred-thousand files across several disks with sophisticated transformations FileBoss has a facility to make the process easier and quicker.
· Rename them your Way
Convert case, change extensions, add sequential numbers, insert text, convert spaces to other characters or remove completely, add file times, convert to true 8.3 DOS names and more.
· Worry-free Confirmations
After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically

To Rename Selected Files

First select the files you want to rename.
(Click here to find out more about FileBoss' advanced selection methods.)

Start the Rename Selected Files Command by:
Press Ctrl+R
Select 'Actions | Rename...' from the main menu
Click the Rename Selected Files button:
· In the dialog choose the panel that best suits your needs, select the options and click OK
· Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Using the Quick Rename Command

Select the files you want to rename. for more info.
Press Ctrl+Shift+R
Select 'Actions | Quick Rename...' from the main menu
· A Rename dialog will open where each selected file will be presented sequentially for renaming.
For each name you can change it, skip it, or skip all the rest.

Hint: If you only want to rename one file, especially without disturbing any selections you may have made for other reasons, see the topic Renaming Individual Files.

Fast, Flexible, Tailored Renaming of Files and Folders
From renaming one file on the fly to renaming a hundred-thousand files across several disks with sophisticated transformations FileBoss has a facility to make the process easier and quicker.

This section describes how to rename a group of selected files. If it is invoked from Explore View it can be used to rename files in one folder. But if it is invoked from a File Set containing files from different folders, different disks, indeed from different computers across a network, it can rename all the files at one time. (To see additional ways of renaming single files and folders see the topic Renaming Individual Files.)

But whether renaming files in groups is invoked for a few files in one folder or many files in many folders the process is the same.

Rename them your Way
The following screen shots will give you a quick overview of the different tools at your disposal for renaming files. For complete information on these dialogs click the 'Help' button in the dialogs or [image] to see detailed help right now.
Worry-free Confirmations
You don't have to worry about pressing the OK button and suddenly renaming thousands of files you didn't want to or incorrectly. After you press the OK button the files will be displayed one-by-one showing the original name and the new name FileBoss has created for it based on your directions. You can then skip that file, rename it as suggestion, change the suggested new name or confirm that you want to rename all remaining files according to the selections you have made.

· Pure Sequential Names
· Adding Sequence Numbers to Names
· Inserting File Dates & Times
· Inserting Text
· Changing Extensions

Rename Files Sequentially

· Allows you to specify a pattern for the complete filename.
· Special meta flags (shown at the top of the dialog) will be replaced by the indicated parts of the filename, filetimes or a sequence number.
· Included file times can be formated any way you want
For complete details on using this panel [image] .

· Searching Replacing Text
Search & Replace Filenames

· Replace instances of the specified text pattern with other text
· Search pattern can contain '*' (replace 0 or more of anything) and '?' (replace one of anything).
For complete details on using this panel [image] .

· Changing Case
· Changing Spaces
· Replacing Text
· Inserting Text
· Converting to DOS 8.3 Filenames
Quick Sets Rename Panel

· Using this panel you can easily and quickly apply a number of transformations including:
· Changing the case of names and/or extensions
· Capitalizing words
· Removing spaces or converting them to another character
· Simple text replacement
· Inserting text before and/or after names and extensions
· Converting to DOS format 8.3 names
For complete details on using this panel [image] .

Special Note Concerning DOS 8.3 Mames
FileBoss converts long filenames to their original 8.3 equivalents. Because of the complexities of converting a long filename to its current short name, most programs create a new 8.3 name and assign it to the file. FileBoss, however, will give the original 8.3 name.

For complete details on using this panel click [image] .

· Manually Renaming Files

Maunally Renaming Files

For complete details on using this panel click [image] .

Ref: HTDE_RENAME_FILES_IN_GROUPS


Change Spaces to Underscores in Filenames
Convert Spaces to Underscores in Filenames
Available in both Explore Views and in File Sets [image] [image].

· Converts all Spaces to underscores in Selected Filenames
with just a couple of clicks
· Is One of Many Operations
that can be performed quickly and easily with the basic Rename Routines
· Worry-free Confirmations
After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

To Change Spaces to Underscores

First select the files you want to rename.
(Click here to find out more about FileBoss' advanced selection methods.)

Open the Rename dialog and display the 'Quick Sets' panel:
Pressing Ctrl+R
or select 'Actions | Rename...' from the main menu
or click the Rename Selected Files button:
Select the Quick Sets Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Select the 'Change to_' option in the Spaces area

Click the OK button

Confirm each file or tell FileBoss to do them all
Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note
When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Quick Sets panel is active then FileBoss will ignore the setting in the Sequential and Search & Replace panels.
Tip: You can preview how FileBoss will change the names using the Quick Sets or Sequential panels by looking at the sample name at the bottom. It will be modified according to your choices.

Ref: HTDE_REN_SPACES_TO_UNDER


Removing Spaces From Filenames
Removing Spaces from Filenames
Available in both Explore Views and in File Sets [image] [image].

· Removes all Spaces from Selected Filenames
with just a couple of clicks
· Is One of Many Operations
that can be performed quickly and easily with the basic Rename Routines
· Worry-free Confirmations
After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

To Remove Spaces from Filenames

First select the files you want to rename.
(Click here to find out more about FileBoss' advanced selection methods.)

Open the Rename dialog and display the 'Quick Sets' panel:
Pressing Ctrl+R
or select 'Actions | Rename...' from the main menu
or click the Rename Selected Files button:
Select the Quick Sets Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Select the 'Remove' option in the Spaces area

Click the OK button

Confirm each file or tell FileBoss to do them all
Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note
When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Quick Sets panel is active then FileBoss will ignore the setting in the Sequential and Search & Replace panels.
Tip: You can preview how FileBoss will change the names using the Quick Sets or Sequential panels by looking at the sample name at the bottom. It will be modified according to your choices.

Ref: HTDE_REN_REMOVE_SPACES


Converting Filenames to Lower Case (or Upper)
Setting Filenames to Lower Case (or Upper)
Available in both Explore Views and in File Sets [image] [image].

· Converts names to Upper, Lower or even Word Cap case
with just a couple of clicks
· Can Change just the Root name, Extension, or both
independently. Can even change the case of the root name and the text of the extension at the same time.
· Is One of Many Operations
that can be performed quickly and easily with the basic Rename Routines
· Worry-free Confirmations
After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

To Change Filenames to Lower Case

First select the files you want to rename.
(Click here to find out more about FileBoss' advanced selection methods.)

Open the Rename dialog and display the 'Quick Sets' panel:
Pressing Ctrl+R
or select 'Actions | Rename...' from the main menu
or click the Rename Selected Files button:
Select the Quick Sets Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Select 'Lower Case' for Names and/or Extensions as desired

Click the OK button

Confirm each file or tell FileBoss to do them all
Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note
When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Quick Sets panel is active then FileBoss will ignore the setting in the Sequential and Search & Replace panels.
Tip: You can preview how FileBoss will change the names using the Quick Sets or Sequential panels by looking at the sample name at the bottom. It will be modified according to your choices.

Ref: HTDE_REN_LOWER_CASE


Converting Filenames to True 8.3 Format
Converting to TRUE 8.3 DOS names
Available in both Explore Views and in File Sets [image] [image].

· Converts Filenames to 8.3 format used by DOS
· Converts to TRUE 8.3 names
unlike many other programs that convert to a name conforming to the 8.3 standard but is made up arbitrarily by the program. If the original name is FileBoss Is Super Great.DOC and its equivalent DOS 8.3 name is FILEBO~1.DOC (as reported by the file system) FileBoss will rename the file to FILEBO~1.DOC not some other, made up, name that merely follows the 8.3 format conventions.
(Due to limitations imposed by Windows renaming files, you can not directly rename a long name to a file's current short name so many other programs don't even try!)
· Is One of Many Operations
that can be performed quickly and easily with the basic Rename Routines
· Worry-free Confirmations
After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

To Remove Spaces from Filenames

First select the files you want to rename.
(Click here to find out more about FileBoss' advanced selection methods.)

Open the Rename dialog and display the 'Quick Sets' panel:
Pressing Ctrl+R
or select 'Actions | Rename...' from the main menu
or click the Rename Selected Files button:
Select the Quick Sets Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Check the 'Convert to Standard DOS 8.3 Format' box

(Note that when 8.3 Format option is selected all other options are disabled and will have no effect on renaming the files.)

Click the OK button

Confirm each file or tell FileBoss to do them all
Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note
When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Quick Sets panel is active then FileBoss will ignore the setting in the Sequential and Search & Replace panels.
Tip: You can preview how FileBoss will change the names using the Quick Sets or Sequential panels by looking at the sample name at the bottom. It will be modified according to your choices.

Ref: HTDE_REN_8DOT3


Changing Filename Extensions
Change Filename Extensions
Available in both Explore Views and in File Sets [image] [image].

· Changes the Extensions for Selected Filenames
with just a couple of clicks
· Changes all Extensions for the Selected Files
no matter what their previous extension were.
· Is One of Many Operations
that can be performed quickly and easily with the basic Rename Routines
· Worry-free Confirmations
After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

To Change Filename Extension of All Selected Files

Note: This method will change the extension on all selected files. For more control you can also use the Search & Replace method to changed extensions ( [image] for more) or the Sequential & Format method to change extensions while changing other parts of the filenames ( [image] for more).

First select the files you want to change the extension on.
(Click here to find out more about FileBoss' advanced selection methods.)

Open the Rename dialog and display the 'Quick Sets' panel:
Pressing Ctrl+R
or select 'Actions | Rename...' from the main menu
or click the Rename Selected Files button:
Select the Quick Sets Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Select the 'Change to_' option in the Extensions area

Click the OK button

Confirm each file or tell FileBoss to do them all
Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note
When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Quick Sets panel is active then FileBoss will ignore the setting in the Sequential and Search & Replace panels.
Tip: You can preview how FileBoss will change the names using the Quick Sets or Sequential panels by looking at the sample name at the bottom. It will be modified according to your choices.

Ref: HTDE_REN_CHANGE_EXTENSIONS


Add Sequence Numbers to Filenames

Adding Sequence Numbers to Filenames
Adding Sequence Numbers to Filenames
Available in both Explore Views and in File Sets [image] [image].

· Adds a number to each of the selected files
in order starting with the number you specify.
· Numbers can be padded with Zeros
to supply the minimum number of digits you specify (for generating formatted numbers like 01 and 098, 099, 100)
· Can be inserted anywhere
before or after the name or extension
· Text can be added for formatting
for instance a # sign or text could be added for numbers like #089 or (089)
· Is One of Many Operations
that can be performed quickly and easily with the basic Rename Routines
· Worry-free Confirmations
After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

To Add Sequence Numbers to Filenames

First select the files you want to rename.
(Click here to find out more about FileBoss' advanced selection methods.)

Open the Rename dialog and display the 'Sequential / Formatting' panel:
Pressing Ctrl+R
or select 'Actions | Rename...' from the main menu
or click the Rename Selected Files button:
Select the Sequential / Formatting Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Enter a format for the new names

In the New Name field enter a format similar to one of the following:
\N #\?.\E  FileBoss Testimonials #01.doc
\N (\?).\E FileBoss Testimonials (01).doc
\N.\?.\E   FileBoss Testimonials.01.doc
In each of the above formats \N will be replaced by the filename, \E will be replaced by the file's extension (this does not include the dot character so it must be added explicitly) and the \? will be replaced by a sequential number using the parameters entered below for the number of digits and what number to start at.
The other characters, #, (,) and the . will be included in the name exactly as entered.

Click the OK button

Confirm each file or tell FileBoss to do them all
Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note
When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Quick Sets panel is active then FileBoss will ignore the setting in the Sequential and Search & Replace panels.
Tip: You can preview how FileBoss will change the names using the Quick Sets or Sequential panels by looking at the sample name at the bottom. It will be modified according to your choices.

Ref: HTDE_REN_ADD_SEQ_NUM


Replacing Text in Filenames
Replacing Text in Filenames
Available in both Explore Views and in File Sets [image] [image].

· Two Ways Quick & Easy and Powerful & Easy
depending on your needs. Both are explained in the Blue Box below.
· Can also be used to Remove Text from Filenames
simply don't supply any replacement text
· Is One of Many Operations
that can be performed quickly and easily with the basic Rename Routines
· Worry-free Confirmations
After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

How to Replace Text in Filenames
Quick & Easy or Powerful & Easy, your choice

First select the files you want to rename.
(Click here to find out more about FileBoss' advanced selection methods.)

The Quick & Easy Way
(For simple text replacement this is the quickest and easiest way. If you want to use wildcards or RegX patterns in the text to search for use the Powerful & Easy Way below.)

Open the Rename dialog and display the 'Quick Sets' panel:
Pressing Ctrl+R
or select 'Actions | Rename...' from the main menu
or click the Rename Selected Files button:
Select the Quick Sets Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Set the Options

Check the Replace button
Enter the text to look for
Enter the text to replace it with
Check the Ignore case box if appropriate

The Powerful & Easy Way
(This Powerful & Easy Way allows greater flexibility in defining the text to search for. You can use wildcards (* and ? ) and even RegX expressions.)

Open the Rename dialog and display the 'Search & Replace' panel:
Pressing Ctrl+R
or select 'Actions | Rename...' from the main menu
or click the Rename Selected Files button:
Select the Search & Replace Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Set the Options

Enter the Pattern to find
Enter the replacement text

Select the type of search you want, 'Normal', 'Exact', or 'Unix'.
( [image] for more information about the different search types)
Check the Match Capitalization box if appropriate

Either Way

Click the OK button

Confirm each file or tell FileBoss to do them all
Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note
When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Quick Sets panel is active then FileBoss will ignore the setting in the Sequential and Search & Replace panels.
Tip: You can preview how FileBoss will change the names using the Quick Sets or Sequential panels by looking at the sample name at the bottom. It will be modified according to your choices.

Ref: HTDE_REN_REPLACE


Removing Text from Filenames
Removing Text in Filenames
Available in both Explore Views and in File Sets [image] [image].

· Two Ways Quick & Easy and Powerful & Easy
depending on your needs. Both are explained in the Blue Box below.
· Is One of Many Operations
that can be performed quickly and easily with the basic Rename Routines
· Worry-free Confirmations
After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

How to Remove Text in Filenames
Quick & Easy or Powerful & Easy, your choice

First select the files you want to rename.
(Click here to find out more about FileBoss' advanced selection methods.)

The Quick & Easy Way
(For simple text simple this is the quickest and easiest way. If you want to use wildcards or RegX patterns in the text to search for use the Powerful & Easy Way below.)

Open the Rename dialog and display the 'Quick Sets' panel:
Pressing Ctrl+R
or select 'Actions | Rename...' from the main menu
or click the Rename Selected Files button:
Select the Quick Sets Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Set the Options

Check the Replace button
Enter the text to look for
Leave the text to replace it with empty
Check the Ignore case box if appropriate

The Powerful & Easy Way
(This Powerful & Easy Way allows greater flexibility in defining the text to search for. You can use wildcards (* and ? ) and even RegX expressions.)

Open the Rename dialog and display the 'Search & Replace' panel:
Pressing Ctrl+R
or select 'Actions | Rename...' from the main menu
or click the Rename Selected Files button:
Select the Search & Replace Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Set the Options

Enter the Pattern to find
Leave the replacement text empty

Select the type of search you want, 'Normal', 'Exact', or 'Unix'.
( [image] for more information about the different search types)
Check the Match Capitalization box if appropriate

Either Way

Click the OK button

Confirm each file or tell FileBoss to do them all
Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note
When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Quick Sets panel is active then FileBoss will ignore the setting in the Sequential and Search & Replace panels.
Tip: You can preview how FileBoss will change the names using the Quick Sets or Sequential panels by looking at the sample name at the bottom. It will be modified according to your choices.

Ref: HTDE_REN_REMOVE_TEXT


Inserting Text into Filenames
Removing Spaces from Filenames
Available in both Explore Views and in File Sets [image] [image].

· Quick Set Routine for adding
text before or after names and extensions.
· Is One of Many Operations
that can be performed quickly and easily with the basic Rename Routines
· Worry-free Confirmations
After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

To Add Text to Filenames

First select the files you want to rename.
(Click here to find out more about FileBoss' advanced selection methods.)

Open the Rename dialog and display the 'Quick Sets' panel:
Pressing Ctrl+R
or select 'Actions | Rename...' from the main menu
or click the Rename Selected Files button:
Select the Quick Sets Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Select where and what text you want inserted

While multiple boxes can be checked allowing multiple insertions at one time, normally one insertion at a time is best.

e.g. 2004-07-26 Draft of How to Earn a Billion Dollars.txt

e.g. Draft of How to Earn a Billion Dollars - backup.txt)

e.g. Draft of How to Earn a Billion Dollars.txt.obsolete
(Note that because there is a dot before 'obsolete' the file has a new extension!)

Click the OK button

Confirm each file or tell FileBoss to do them all
Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note
When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Quick Sets panel is active then FileBoss will ignore the setting in the Sequential and Search & Replace panels.
Tip: You can preview how FileBoss will change the names using the Quick Sets or Sequential panels by looking at the sample name at the bottom. It will be modified according to your choices.

Ref: HTDE_REN_ADD_TEXT


Adding File Times to Filenames
Adding File Times to Filenames
Available in both Explore Views and in File Sets [image] [image].

· Inserts each File's time
not a generic time for all files (though you can add generic times by simply typing them into the pattern as normal text)
· A File's Accessed, Created or Modified times
can be inserted (or any combination thereof).
· Where the Time(s) are Inserted
is easily controlled by a simple filename format.
· Is One of Many Operations
that can be performed quickly and easily with the basic Rename Routines
· Worry-free Confirmations
After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

To Add Sequence Numbers to Filenames

First select the files you want to rename.
(Click here to find out more about FileBoss' advanced selection methods.)

Open the Rename dialog and display the 'Sequential / Formatting' panel:
Pressing Ctrl+R
or select 'Actions | Rename...' from the main menu
or click the Rename Selected Files button:
Select the Sequential / Formatting Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Enter a format for the new names

In the New Name field enter a format similar to one of the following:
\N (\M).\E  FileBoss Awards (04-12-31).doc
\M - \N.\E  04-12-31 - FileBoss Awards.doc
In each of the above formats \N will be replaced by the filename, \E will be replaced by the file's extension (this does not include the dot character so it must be added explicitly) and the \M will be replaced by each file's modified date.
The other characters, #, (,) and the . will be included in the name exactly as entered.

As usual FileBoss will remember your formats so you can reuse them again and again. It remembers them even when you exit FileBoss
Click the OK button

Confirm each file or tell FileBoss to do them all
Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

The following file times can included:
\M = Last modified time
\C = When the file was created
\A = When the file was last accessed.
The times can be formatted in many different ways. You can select from the drop down list or create your own format (click the 'More Formats' button for details on formatting times.)

Hint: Remember to look at the bottom of the dialog where a sample name will be formatted according to your current choices. It is a good way to quickly determine if what you have specified is really what you want.

Important Note
When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Quick Sets panel is active then FileBoss will ignore the setting in the Sequential and Search & Replace panels.
Tip: You can preview how FileBoss will change the names using the Quick Sets or Sequential panels by looking at the sample name at the bottom. It will be modified according to your choices.

Ref: HTDE_REN_ADD_FILE_DATES


Touching Files & Folders
Touching Files and Folders
Available in both Explore Views and in File Sets [image] [image].

· Can change the attributes and times of one file or thousands
of selected files at the same time
· Similar to the Touch command
that can be used for changing attributes and file times quickly and can even touch files and folders beneath any selected folders.
· Can change Modified, Accessed and Created
times individually or together
· Can remove, set or leave Attributes unchanged
including the Archive, Read-only, Hidden and System bits
· Worry-free Confirmations
You can confirm every file or tell FileBoss to change all the files automatically. And even if you choose to confirm each file you can always change your mind at any time and have FileBoss automatically change the remaining files.
· Recursing through folders
When you are touching files in and Explore view you can decide whether to recursive touch entries in selected folders or not.

To Touch Files in the Contents Window

First select the files you want to Touch.
(Click here to find out more about FileBoss' advanced selection methods.)

Start the Touch Command by:
Press Ctrl+R
Select 'Actions | Touch' from the main menu
or click the Touch button:
for complete details on Touching Files.
To setup how files are touched select 'Actions | Touch Setup...' from the main menu or press Ctrl-F9.
Touching files can be automatic or confirmed each time it is invoked. See the Confirm Touch dialog below.

Hint: If the Ctrl key is held down while the touch button [image] is clicked, the 'Actions | Touch' command from the main menu is selected or the F9 shortcut key is pressed then the Touch Setup dialog will be displayed instead of the Touch command itself being executed.

Typical Touch Confirmation Screen

Ref: HTDE_TOUCH


Using Bookmarks
Using Bookmarks
Available in Explore Views [image].
· Quick Navigation to Folders
in an Explore View by selecting a bookmark listed clicking the down arrow
· Create New Explore View Directly to Folder
by selecting the a bookmark to create the window from
· Easily Create from a Folder
simply right-click on a folder name in the list of folders (the right-hand pane) and select 'Folder Tools | Add to Bookmarks' from the popup menu. (Or click the down arrow next to the bookmark button ( [image]) and select the Add command.)
· Default Bookmarks
are created by FileBoss when the program is first run. The defaults consist of the drives connected to the computer and common folders such as My Documents and My Pictures (the exact folders will depend on the version of Windows and the setup of your computer).
· Default and User Defined Names
Default names are given to new bookmarks based on the name of the folder they refer too. These can be manually changed when editing bookmarks
· Persistent
FileBoss remembers bookmarks from one session to another.

Working with Bookmarks

To Create a Bookmark
Right-click a folder in the folder list (the left window pane) and select 'Folder Tools | Add to Bookmarks' from the popup menu
or highlight the folder, click the down arrow next to the bookmark button ( [image]) and select the 'Add' command.

To Go To a Bookmark
Click the down arrow ( [image]) and select the bookmark from the list
or select a bookmark from the 'Edit | Bookmark >' main menu item. (Only available when an Explore View is active.)

To Start a new Explore View using a Bookmark
Click the down arrow ( [image]) and select a bookmark from the list
or select a bookmark from the 'File | Open Bookmark >' main menu item.

To Delete a Bookmark
Open the Bookmark Editor
Click the down arrow next to the bookmark button ( [image]) and select the 'Edit Bookmarks' command.
or select 'File | Open Bookmark | Edit Bookmarks' command from the main menu.
Then
In the Edit Bookmarks dialog highlight the bookmark and click the Delete button.

To Rename a Bookmark
Open the Bookmark Editor
Click the down arrow next to the bookmark button ( [image]) and select the 'Edit Bookmarks' command.
or select 'File | Open Bookmark | Edit Bookmarks' command from the main menu.
Then
In the Edit Bookmarks dialog highlight the bookmark and click the Edit button. In the Edit dialog everything before an open chevron (>) is the title and everything after it is the bookmark. (If there is no chevron the whole string is both the title and the bookmark.

Reset Bookmarks to the Default List
Open the Bookmark Editor
Click the down arrow next to the bookmark button ( [image]) and select the 'Edit Bookmarks' command.
or select 'File | Open Bookmark | Edit Bookmarks' command from the main menu.
Then
In the Edit Bookmarks dialog click the Delete All button and then the OK button to close the dialog.
The next time you access the bookmarks (by selecting one to go to or to create an Explore View from, FileBoss will repopulate the bookmark list with default values

Ref: HTDE_USING_BOOKMARKS


Activate Delete & Recycle Drop Zones
The power of Drop Zones for Deleting and Recycling Files
Available in both Explore Windows and in File Sets [image] [image].

The Drop Zones for Deleting and Recycling files and folders are special zones in contained in the normal Drop Zone List Box.

For complete details on these and other Drop Zones [image] .

Ref: HTDE_CREATE_DEL_DROPZONES


Delete / Recycle / Files & Folders

Delete & Recycle Files & Folders
Delete and Recycle Files & Folders
Available in both Explore Views and in File Sets [image] [image].

· FileBoss has a number of ways to Recycle and Delete Files
which is most convenient depends on the number of files you will be deleting and your personal preferences.
· Single Files can be Recycled or Deleted
by right-clicking and selecting the appropriate command from the menu
· All Selected Files can be Recycled or Deleted
by right-clicking and selecting the appropriate command from the menu under the Selected Entries (x) submenu.
· The traditional short-cut keys 'Del' and 'Shift-Del' can be use
as they are in other programs
· Special Drop Zones, [image] or [image],
can be used to drop files into the Recycle Bin or just plain deleted

To Delete / Recycle One File or Folder

Right-Click on the file or folder you want to delete
If the entry is in the folders list (the window to the left) select Delete or Recycle as appropriate
If the entry is in the contents window (the window to the right) select 'Current Entry | Delete' or 'Current Entry | Recycle' as appropriate.
Warning: Do not use the Del key or the buttons [image] and [image] to delete just one entry when other entries are selected. These buttons and keys will act upon the selected entries, not just on the currentl entry.
But if you do use the keys or the buttons you will be requested to confirm the deletion where you can cancel the action.

To Delete/Recycle Selected Files

First select the files you want to Touch.
(Click here to find out more about FileBoss' advanced selection methods.)
Press Del to Recycle or Shift+Del to Delete permanently
If asked to confirm press Yes or No

Using Drop Zones to Delete or Recycle

It is simply a matter of displaying the Drop Zone List Box and then dragging the files and folders you want to delete over to the List Box and dropping them on the appropriate zone.
To Activate the Delete or Recycle Drop Zone
Select 'Windows | Drop Zones | Show...' from the main menu. Note that this command toggles the Drop Zone List Box on and off.

Hint: The Drop Zone List Box, if active, will be reactivated when FileBoss is started. To change this behavior see the Startup Options page.
to see it now.

Ref: HTDE_DELETE_RECYCLE_DESTROY


Destroying Files
Destroying Files, Permanently
Available in both Explore Views and in File Sets [image] [image].

· Eradicates files from your hard disk
making them invulnerable to restore utilities.
· For Complete information on how FileBoss destroys files
see the topic File Deletion, File Destruction & Security. to go there now.

To Destroy Selected Files

First select the files you want to Destroy.
(Click here to find out more about FileBoss' advanced selection methods.)

Select the files you want to Destroy. for more info.
Select 'Actions | Destroy...' from the main menu
Confirm that you want to destroy the selected files.

Warning: Destroying files will scrub them from your disk so you will not be able to retrieve them again.
But:
Will destroying files keep my spouse from finding out what I'm giving for our Anniversary? Probably Yes.
Will destroying files keep my boss from seeing my new resume? Probably
Will destroying files keep a government, any government, from knowing what was in them? Probably Not
Please remember that destroying files does not guarantee that the information in those files is no longer on your computer. Programs that used the file and even Windows itself may have cached the contents of the file somewhere else.
For more information about how FileBoss destroys files and why you should be careful of more than just the disk file [image] .

Ref: HTDE_DESTROY_FILES


Finding Long Path/Filenames
Finding Files with Long Path or Filenames

· Uses the power of File Sets
So that all files that are found can be manipulated just like files in any other File Set.
· Finds files with a name or path or both combined
longer than a minimum you specify.
· Name, Path and Total lengths displayed
in their own column. To do so right-click the column header and select one of the Length -xx items. ( [image] for complete information on setting columns.)
· Sort by Lengths
is easy, simply click on the column header for the length you want to sort by.

To Find Long Filenames & Paths

Create a File Set:
Press Ctrl+N
or select 'File | New File Set' from the main menu
or click the Create File Set button:
If the Advanced area of the dialog is not displayed click the 'Advanced' button.
At the bottom of the dialog set the shortest path lengths you would like to find.

Hint: You can limit your search (and thus speed it up and make its results more meaningful) by specifying one or more folders to search instead of just a whole drive. You can also, in the Patterns field, specify only certain files to search file such as *.doc | *.jpg | *.jpeg | *.html | *.htm.

Click OK to create the File Set

Seeing the Filename Lengths
(If the file lengths are not already displayed in the Contents Window)
Move the mouse over the column headers (the column headers are at the top of the Contents Window and have titles like Filename, Ext and Size.)
Right-click the mouse to display a list of columns that can be displayed.
Check the boxes next to Length - Name, Length - Path and/or Length - Total depending on your needs.
Click the 'Close Menu' button.
Hint: You can change the order of the columns by clicking a header with the left mouse button and while holding the mouse button down dragging the column to its new location.

Sorting by Filename lengths
Simply click on one of the 'Length -xxx' columns. To reverse the sort click the column again.

Ref: HTDE_FIND_LONG_FILENAMES


Finding Recently Modified

Finding Recently Modified Files
Finding Files that were Recently Modified

Available in both Explore Windows and in File Sets [image] [image].
· Uses the power of File Sets
So that all files that are found can be manipulated just like files in any other File Set.
· Allows you to find files that were recently modified
or modified in any specified time periods

To Search for Recently Modified Files using
File Sets

Create a File Set:
Press Ctrl+N
or select 'File | New File Set' from the main menu
or click the Create File Set button:
If the Advanced area of the dialog is not displayed click the 'Advanced' button.
In the file times group check the Modified box and set a range in which the file should have been modified (press the '<< Now' button to set the To field to your current time).

In the above example FileBoss will search for all files last modified between mid-night and two in the afternoon on the 21st of December 2004.
Hint: You can limit your search (and thus speed it up and make its results more meaningful) by specifying one or more folders to search instead of just a whole drive. You can also, in the Patterns field, specify only certain files to search file such as *.doc | *.jpg | *.jpeg | *.html | *.htm.

Click OK to create the File Set

To Search for Recently Modified Files using
an Explore View

Activate or Open an Explore View
Make sure that the column for show the Modified file times visible (if not see the next section for how to display the column).
Click on the Column header twice to sort all entries by most recently Modified file times

As you move from folder to folder the files will still be sorted according to modified time.
Hint: If you are looking at folders that contain lots of files you can and you know the extension or possible extensions of the file(s) you looking for you can use a File Filter to only display those files.
Or you can even used Advanced Filtering to only show files with Modified times in the range you want. for more information about FileBoss' Advanced Filter feature.

Seeing the Modified Times for files and Folders

(If the file times are not already displayed in the Contents Window)
Move the mouse over the column headers (the column headers are at the top of the Contents Window and have titles like Filename, Ext and Size.)
Right-click the mouse to display a list of columns that can be displayed.
Check the boxes next to Modified.
Click the 'Close Menu' button.
Hint: You can change the order of the columns by clicking a header with the left mouse button and while holding the mouse button down dragging the column to its new location.

Sorting by Modified Times
Simply click on one of the 'Modified' column. To reverse the sort click the column again.

Ref: HTDE_FIND_RECENTLY_MODIFIED


See Only the Files and Folders You want to See
Controlling Which Files & Folders are Displayed
Available in Explore Views
Filtering and limiting the files and folders displayed in the contents window can save an immense amount of time when you are only interested in a specific group of files out of many.
There are several ways you can limit what files are listed in folders.

There are four ways to control which files and folders appear in the contents window (the right hand pane) of Explore Views.

· Showing folders at the top, at the bottom or not at all
This is a simple what to configure your Contents window. Using the 'Explore | Display Folders at >' main menu command you can specify that all folders will appear at the top of the list, at the bottom or not at all.
This setting is global (pertains to all Explore Views) and persistent (will be remembered by FileBoss between sessions.
You can also set where Explore folders are displayed using the command buttons on the Explore toolbar, [image] [image] [image]. Either click the down arrow to make a selection or just click the button to cycle through the settings.

· Filtering by Extensions and Filename Patterns
The name filters ( Explore | Edit Filename Filters.. and Explore | Filename Filters On or the command button [image] ) will tell which files to show and/or which files to not show. A filter can be as simple as *.doc or more complex like:
*.jpeg | *.jpg | *.gif | *.bmp | *.png | -~*
which tells FileBoss to show files with the extension jpeg, jpg, gif, bmp and png unless the name begins with the tilde (~) character.
FileBoss will remember recent filters you have used for easy recall.
The most recent filter can be turned on and off simply by clicking the icon or using the main menu command.
Note that file filters are automatically turned off each time FileBoss first starts. To enable the last file filter again simply click its icon [image].

· Advanced File Attribute Filters
The Advanced file filter is much like the filename filter except it gives much greater control over what is displayed. Filtering can be based on names, file times, attributes,
filename lengths and even whether or not files contain specific text.
Like filename filters the Advanced filter is automatically turned off each time FileBoss first starts. To enable the Advanced file filter use the command from the main menu.
To turn the Advanced filter on us Explore | Advanced Filter On and to edit the filter use Explore | Edit Advanced Filter...

· Hiding Folders (and even Files)
You can also tell FileBoss to simply hide all folders ( [image]), or even all files as you view folders. (You can even hide specific files you have selected but, of course, once you change to a different folder all files will be displayed again.
The Hide command are on the View | Hide/Unhide > menu. And from that same menu you can show the Hide toolbar (it is off by default) for quick access to these commands.
The Hide Toolbar:

Step by Step here is how it is done:

Using Filename Filters

While viewing an Explore View

To activate the last filter used
Click the Filter button
or select Explore | Filename Filter On' from the main menu
(Note that both the menu item and the toolbar button will change when a filter is active.)
Click the button or select the menu item again to turn the filter off.

To select a different filter
Click arrow to the right of the filter button:
Select a filter from the pop down list.
or
Choose a filter from the list at the main menu item 'Explore | Select Filename Filter >'

To create a new filter
Click arrow to the right of the filter button:
Select the first menu item, Add Filter
Type in the new filter such as *.bmp or D*.bmp | H*.bmp (remember you can use more than one file spec just separate them with the bar character (|). You can also enter file specs to exclude certain types of files just precede the file spec with a minus sign (-), e.g. -*.jpeg | -*.jpg would prevent any jpeg files from being displayed.
or
Choose a filter from the list at the main menu item 'Explore | Edit Filename Filters...' where you can add, delete, re-arrange and edit filename filters.

When Filename Filters are Active

When a filename filter is active the first line in the Explore View will show you what filter is active.

Hints:
You can Hide all the Folders in the Contents Window by:
Clicking the Hide Folders Button button: (note that hiding folders is a toggled state, i.e. issuing the command doesn't just hide the current folders it will keep all folders hidden, even as you move around the file system, until the command is issued again)

Hint: Whenever FileBoss has hidden files it will display a green banner across the top of the Contents window telling you that there are hidden files. Typically they will resemble one of the following:

Here are some of the notice lines you may see starting with the first screen where no files or folders are hidden:

Ref: HTDE_USING_FILENAME_FILTERS


Filename Filters

Using Filename Filters
Using File Filters to Browse Specific File Types

Available in Explore Views [image].

· Restricts files displayed in the Explore Views
to files you explicitly tell FileBoss to display or excludes files you don't want to see
· Filters can have multiple file types and filename patterns to
specifying which files should be included and/or excluded
· Filters are Persistent
they are stored by FileBoss from one session to another
· Filters never more that two clicks away
making them easy to turn on and off as needed
· Filters are editable
making them easy to adjust and reuse

Using Filename Filters

While viewing an Explore View

To activate the last filter used
Click the Filter button
or select Explore | Filename Filter On' from the main menu
(Note that both the menu item and the toolbar button will change when a filter is active.)
Click the button or select the menu item again to turn the filter off.

To select a different filter
Click arrow to the right of the filter button:
Select a filter from the pop down list.
or
Choose a filter from the list at the main menu item 'Explore | Select Filename Filter >'

To create a new filter
Click arrow to the right of the filter button:
Select the first menu item, Add Filter
Type in the new filter such as *.bmp or D*.bmp | H*.bmp (remember you can use more than one file spec just separate them with the bar character (|). You can also enter file specs to exclude certain types of files just precede the file spec with a minus sign (-), e.g. -*.jpeg | -*.jpg would prevent any jpeg files from being displayed.
or
Choose a filter from the list at the main menu item 'Explore | Edit Filename Filters...' where you can add, delete, re-arrange and edit filename filters.

When Filename Filters are Active

When a filename filter is active the first line in the Explore View will show you what filter is active.

Hints:
You can Hide all the Folders in the Contents Window by:
Clicking the Hide Folders Button button: (note that hiding folders is a toggled state, i.e. issuing the command doesn't just hide the current folders it will keep all folders hidden, even as you move around the file system, until the command is issued again)

Ref: HTDE_USING_FILENAME_FILTERS


Using External Tools
External Tools

Available in both Explore Windows and in File Sets [image] [image].

· Dynamically Associate Programs to Files
allowing you to choose which program to open files at runtime.
· Appear on Main Menu and Popup Menus depending
on where you decide they should go on a tool by tool basis
· Will be available on the menus only
for the file type(s) you specify. Separate and multiple file masks can be specified for displaying each tool on the main menu (Tools | Tools >) and for the right-click popup menu. This keeps the menus from being cluttered with tools that are not relevant to the current file.
· Multiple External Tools (i.e. Programs)
can be associated with one or more file types and/or file specifications (e.g. *.BMP and S*.DLL
· Apply to Focus Entry or all Selected Entries
Each tool can be set to apply to only the currently highlighted entry or to all selected entries.
· Can be Easily Enabled and Disabled
without uninstalling the tool by simply checking and unchecking check boxes.
· Can be used to Search the Internet
for information on filenames or file types. For more information on this facility [image] .
· Similar to External Auto-Viewers
that are automatically called whenever a file of the correct type or matching the specified file mask is selected. To learn more about External Auto-Viewers

To Add, Change, Edit or Remove External Tools

Open the External Tools Setup Panel by:
Select 'Tools | Options...' from the main menu
or click the Options button:
In the Options dialog select the Tools Panel.
or select 'Tools | Tools | Setup' from the main menu to display the options page directly

for complete information on filling in this dialog and configuring External Tools.

The tools will be then be displayed on the main menu and right-click menus when a file they apply to is highlighted.
Main Menu

Right-Click Menu

Ref: HTDE_EXTERNAL_TOOLS


Using External Viewers

Using External Auto-Viewers
External Auto-Viewers

Available in both Explore Windows and in File Sets [image] [image].

· Dynamically Associate Programs to Files
typically used display the contents of a file at runtime.
· Appear on Main Menu and Popup Menus depending
on where you decide they should go on a tool by tool basis
· Will be available on the menus only
for the file type(s) you specify. Separate and multiple file masks can be specified for displaying each tool on the main menu (Tools | Auto-Viewers >) and for the right-click popup menu. This keeps the menus from being cluttered with Auto-Viewers that are not relevant to the current file.
· External Auto-Viewers (i.e. Programs) can be associated
with multiple file types and/or file specifications (e.g. *.BMP and S*.DLL
· Can be easily Enabled and Disabled
without uninstalling the Auto-Viewer by simply checking and unchecking check boxes.
· Can be used to Search the Internet
for information on filenames or file types
· Similar to External Tools
that are automatically called whenever a file of the correct type or matching the specified file mask is selected. To learn more about External Tools [image] .

To Add, Change, Edit or Remove External Viewers

Open the External Viewers Setup Panel by:
Select Tools | Options...' from the main menu
or click the Options button:
In the Options dialog select the Viewers Panel.
or select 'Tools | Auto-Viewers | Setup' from the main menu to display the options page directly

for complete information on filling in this dialog and configuring External Auto-Viewers.

The tools will be then be displayed on the main menu and right-click menus when a file they apply to is highlighted.
Main Menu
(showing that the WordPad tool is active.
Select a viewer to toggle it on and off.)

Ref: HTDE_EXTERNAL_VIEWERS


Using the Internal Image Viewer
FileBoss' Internal Image Viewer

Available in both Explore Windows and in File Sets [image] [image].

Image Viewer - Full View

FileBoss' Internal Image Viewer
· Really handy when renaming, sorting and pruning photos
FileBoss' viewer allows you to see the current image (as a thumbnail, full sized or zoomed) without interfering with your work. You can rename, copy, delete or perform any other file operation making these operations - and most importantly the decisions behind them - much easier.
· Floats on top of other windows
The image view floats on top of all other FileBoss windows. Put it anywhere you want and get on with your work.
And you can close and open the viewer simply by clicking its command button [image], pressing Shift+F5 or selecting View | Graphic Preview from the main menu.
· Can rotate images and automatically save them
If you want you can quickly rotate images using the Arrow keys on the key pad while holding down the Alt key. And if you are doing many you can tell FileBoss to automatically save the changes when you move to a new picture so that you aren't constantly interrupted to confirm that the file should be saved. Naturally you can turn this option on and off.
· Thumbnail, full sized or zoomed views with just two clicks
The Image view has two states: thumbnail and regular window. The thumbnail state shows the graphic sized to completely fit within the viewer. When the viewer is a regular window the graphic will be displayed normal size or zoomed to a size of your choice (see the graphic links below).
To change between the two views simply double-click the Image viewer window.
· Persistent, of course
When you close the Image viewer (or FileBoss itself) FileBoss will remember how the image view was last displayed and use those settings when it is used again.
· Supported Image Types
The image view supports the following types of image files (though there may be variations of some types that are not supported):
BMP, GIF, ICO, J2K, JAS, JBG, JPG, MNG, PCX, PNG, TGA, TIF, WBMP, and WMF.

To Display the Image Viewer

Select View | Graphic Preview...' from the main menu
or click the Options button:
or press Shift+F5
To hide the Viewer simply do the same thing again.

To Switch between Thumbnail and Regular Views

Double-click anywhere in the preview window:

Ref: HTDE_IMAGE_VIEWER


Find Files with Specific Text
Finding Files Containing Specific Text

· Uses the power of File Sets
So that all files that are found can be manipulated just like files in any other File Set.
· Exact Match Searching
finds files with the exact text (except for white space) you specify, with optional case matching. All white space is treated the same and multiple white space characters are treated as one.
· Normal Searching
allows the use of the question mark (?) and asterisk (*) to match one and one or more characters respectively.
· RegEx Searches
uses a basic set of Unix style regular expressions.
· All Searches are Binary
meaning that FileBoss will search for text correctly in DLLs, EXE and other binary file types as well as in text and document files.

To Find Long Filenames & Paths

Create a File Set:
Press Ctrl+N
or select 'File | New File Set' from the main menu
or click the Create File Set button:
If the Advanced area of the dialog is not displayed click the 'Advanced' button.
Check the Text Search box and then click the << Set button to display the small dialog where you define what you are searching for.

Clicking the << Set button displays this dialog:

After entering the search term click OK to close.
Click OK to create File Set of all the files that contained the text you specified.

Click OK to create the File Set
FileBoss remembers the settings in both the Text to Find and in the Create File Set dialogs so that you can return and repeat the search with little fuss.

Hint: You can limit your search (and thus speed it up and make its results more meaningful) by specifying one or more folders to search instead of just a whole drive. You can also, in the Patterns field, specify only certain files to search file such as *.doc | *.jpg | *.jpeg | *.html | *.htm.

Hints & Tips for Better Searching
Specify folders to search rather than a full drive (or drives)
If you only want to search in a few types of files specify them in the Create File Group dialog, e.g. *.txt | *.log | *.bat.
Specify file types you know don't contain the text (or that you don't care if they contain the text, e.g. -*.exe | -*.com | -*.dll | -*.ocx (Note the minus sign (-) in front of each pattern. It signifies that FileBoss should ignore any file that matches that pattern.

Ref: DOC_GENERAL_FEATURES_FINDTEXT


How to Find Special Folders
How to Find Special Folders
Need to know the actual location of the My Document folder? Or of the CD Burn Area? Or where your cookies are stored?
Simple, Select 'Tools | Special Folders...' from the main menu to display the Special Folders dialog.

The Special Folders Dialog
· Displays Folders Special to Windows
along with their current path, if any.
· Open a folder in a New explore View
either by highlighting it and clicking Display Folder button or double-clicking the entry itself.
· My Documents & Program Files are among the common
folders that have special paths
· Availability and Paths are Windows Version and User Dependent
normally only some of the special folders will be available
· FileBoss' Help File Contains more Information for Each Folder
including intended use, typical paths, and their CSIDL_xxxx constants for programmers. Simply press the Help button on the dialog or [image] to see go to that information right now.

Displaying Information about Special Folders

Select 'Tools | Special Folders...' from the main menu

Special Folders List
( 'Tools | Special Folders...')

Ref: HTDE_SPECIAL_FOLDERS


How to Make FileBoss the Default Folder Viewer
Using FileBoss as the Default Folder Viewer
At your discretion FileBoss can be used as the default viewer (e.g. instead of Windows Explorer) for File Folders. It is simple to set up and simple to control.

Highlights

· Listing on Context Menus
This is the default option. It puts the FileBoss command on the shell context menus for file folders and drives. (Note that is it not on the context menus for virtual folders such as My Network, My Computers or, on some systems, My Documents.)

Common Popup Menu
with FileBoss Added

· FileBoss can be set as the Default Viewer for File System Objects
FileBoss can be set to be the default viewer for File Folders. Meaning that it will be displayed when a folder on the Desktop or in other Windows listings is double-clicked.
· Easily Configured
You are in control of how, and how much, FileBoss is integrated into the Windows' Shell. FileBoss will not intrude where it is not wanted.

To Change Shell Integration Options

Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Windows Integration from the list of option pages on the left side.
Options for Integrating FileBoss with Windows

For complete details see Windows Integraton Topic.

Ref: HTDE_INTEGRATE_WITH_WINDOWS


Toolbar Help

Toolbar Help Commands

Showing and Hiding Toolbars

Toolbars can be displayed either by right-clicking anywhere in a toolbar area and selecting them from the popup menu or by selecting the Windows | Toolbars > command from the main menu.

Changing the Toolbar Size

Both small and large toolbars are available. Changing the toolbar size can be done either by right-clicking anywhere in a toolbar area or by selecting the Windows | Toolbars > command from the main menu and then selecting the Size option.

Displaying the Default Toolbars

Toolbars can be reset to their default positions by using the View | Appearance | Default Layout Look & Feel... command from the main menu and then checking the Toolbars box in Default Appearance dialog.

Other Toolbars

The Main Toolbar (click here)

The Edit Toolbar (click here)

The Select Toolbar (click here)

The Actions Toolbar (click here)

The Go To Toolbar (click here)

The Hide Toolbar (click here)

The Explore View Toolbar (click here)

The File Set View Toolbar (click here)

Ref: H_TOOBAR_OVERVIEW


Menu Help
Destroying Files, Permanently
Select one of the following menus of detailed help on its commands:
File
Edit
Select
Sort
Actions
Tools
View
Windows
Explorer

Ref: HTDE_MENU_HELP


Keyboard Shortcuts

Keyboard Accelerators
Keyboard Accelerators

By Key

Ctrl+A
Selects all entries in the Contents Window of the active view. The entries in the Contents Windows are selected even if you are working in the Navigation window.

Applies to both Explore and File Set Views

Ctrl+C
Copies all selected entries to the clipboard. Depending on the application they are pasted into either files or filenames will be pasted. In FileBoss, the files themselves will be copied to the folder they are pasted into.

To force only filenames to be copied to the clipboard use the F10 series of commands.

Ctrl+D
Goes to the first folder in the Contents view and thereafter to each folder in succession.

Ctrl+E
Cancels all selections in the Contents window.

Ctrl+Shift+E
Goes to the first entry that had an error on the last operation.

Ctrl+F
Displays a small dialog box for entering a file specification (such as "*.bmp" or "Dog *.jpeg" or even "Dog*.jpg | Dog*.jpeg | Dog*.gif | Dog*.bmp" of a file you want to find in the Contents view. Once a file has been found, pressing F3 will move to the next matching file.

Ctrl+G
Displays the Help Guide from which you can find out how to perform many common and uncommon file operations. The Help Guide can remain open while you work in FileBoss.

Selecting this command again will hide the Help Guide.

Ctrl+Shift+H
Tile windows horizontally

Ctrl+L
In File Sets will find and display the folder in the Navigation Window that contains the highlighted file in the Contents view. By default this action is performed each time you highlight a file in the Contents view but automatic locating can be turned off. (Use the Tools | Options… command from the main menu and then choose the General panel.

Ctrl+M
Displays FileBoss' modeless properties box that has information on the current file, folders and sub-folders, selected files, the current File Set or Folder and more.

What is available in properties box depends on the type of the current view and the status of FileBoss.

Ctrl+N
Creates a New File Set by opening the Create File Set dialog

Ctrl+Shift+N
When a File Set View is active the dialog for redefining the Search Definition for the current File Set.

Any other time it is the same as pressing Ctrl-N

Ctrl+O
Presents the Open dialog for opening a previously saved File Set file or definition file.

Ctrl+Q
Toggles the Filename Filter on and off. Valid in Explore View only.

Ctrl+Alt+Q
Toggles the Advanced File Filter on and off. Valid in Explore View only.

Ctrl+R
Opens dialog for specifying how selected entries are to be renamed. Requires selected files

Ctrl+Alt+R
Reapplies the rename options previously used. No files are renamed until you confirm the action.

Ctrl+Shift+R
Presents each selected file to you for renaming. For each selected file you will be able to choose whether to give it a new name, skip it or skip all the renaming.

Ctrl+S
Saves the current File Set to disk

Ctrl+Alt+S
Saves the current File Set to disk under a new filename you specify.

Ctrl+Shift+V
Tile windows vertically

Ctrl+W
Displays and hides the Results windows. Even when the results windows are closed they still store the results. This means that you can open the Results window after an action and still see what happened.

Ctrl+Alt+Z
Displays the master Wizard

Tab
Alternates the focus between the Navigation and Contents windows

Shift+Tab
Alternates the focus between the Navigation and Contents windows

Ctrl+Insert
Copies the selected files to the clipboard.

Shift+Insert
If files are stored on the clipboard they are copied to the currently highlighted folder or folder in the Contents window as appropriate.

Delete
Sends the selected files (Contents window) or the highlighted file (Navigation window) to the Windows Recycle bin.

Ctrl+Delete
Removes the selected files (Contents window) from the File Set. This does command only affects removes the file entries from FileBoss it does not touch the actual files on disk.

Shift+Delete
Permanently deletes the selected files (Contents window) or the highlighted file in the Navigation window as appropriate.

F1
Help for the current view, window or operation

Ctrl+F1
Invokes the main help system

Shift+F1
Invokes the help pointer that can be used to click on any menu item or toolbar button for a brief explanation of what that command does.

F2
Begins in-place editing of the currently highlighted file or folder entry.
Ctrl+Alt+F2
Replicates selected folders, i.e. copies the folder structure without copying any files.

F3
Moves to the next file or folder. What 'next' means depends on previous actions. It can mean the next selected file, the next filename that matches a previous search for a filename or the next file that had an error on the last operation.

Shift+F3
Moves to the previous file or folder. What 'previous' means depends on previous actions. It can mean the next selected file, the next filename that matches a previous search for a filename or the next file that had an error on the last operation.

Ctrl+F3
Go to the next selected file.

Alt+F3
Resort the entries so that all selected files are displayed at the top of the list

F4

Ctrl+F4
Closes the current View.

Alt+F4
Exits FileBoss

F5
Refreshes the current Window

Ctrl+F5
Opens a new Explore View

F6
Alternates the focus between the Navigation and Contents windows.

Same as the Tab key

Shift+F6
Alternates the focus between the Navigation and Contents windows.

Same as the Tab key

F7
Invokes the dialog for Copying the selected files

Ctrl+F7
Invokes the dialog for Moving the selected files

Alt+F7
Invokes the dialog for Refreshing files with the selected files

Shift+F7
Duplicates the current files or folders

Ctrl-F8
Go to a named folder you specify by either typing or pasting from the clipboard the complete path of the file or folder.

F9
Touches the currently selected files.

In Explore view you have the option of touching files recursively through any selected folders.

The first time Touch is activated the setup dialog will be displayed.

Ctrl+F9
Invokes the Setup Dialog for touching files.

Shift+F9
Finds text in files in the currently File Set or in the Contents window of an Explore View

F10
Copies the one highlighted filename (in either the Navigation or Contents window) including its full path to the clipboard.

The format of the copied filenames can be setup up using the Tools | Options… command from the main menu and selecting the Copy Filenames panel.

Ctrl+F10
Copies the one highlighted filename (in either the Navigation or Contents window) without its full path to the clipboard.

The format of the copied filenames can be setup up using the Tools | Options… command from the main menu and selecting the Copy Filenames panel.

Shift+F10
Copies the selected filenames in the Contents window to the clipboard. Each name includes the file's full path.

The format of the copied filenames can be setup up using the Tools | Options… command from the main menu and selecting the Copy Filenames panel.

Ctrl+Shift+F10
Copies the selected filenames in the Contents window to the clipboard. Only the filenames are copied not the path to the file.

The format of the copied filenames can be setup up using the Tools | Options… command from the main menu and selecting the Copy Filenames panel.

F11
Shows all hidden entries in a File Set or Explore View and cancels any Hide Folders and Hide Files modes.

Alt+F11
Hides all folders from view. If the current view is an Explore View folders will keep being hidden as you navigate to other folders.

Pressing again will show all folders.

Shift+F11
Hides all files from view. If the current view is an Explore View files will keep being hidden as you navigate to other folders

Pressing again will show all files.

Ctrl+F11
Hides all selected entries in the Contents window.

Ctrl+Left Arr.
In Explore View goes back to the previous folder that was displayed.

Ctrl+Right Arr.
In Explore View goes forward one folder. Only active if the back command (Ctrl+Left Arr.) has been used.

Ctrl+Up Arr.
In Explore View selects and displays the parent folder of the current item.

Alt+Left Arr.
If the image preview window is open, rotates the image 90 degrees to the left.

Alt+Right Arr.
If the image preview window is open, rotates the image 90 degrees to the right.

Alt+Down Arr.
If the image preview window is open, rotates the image 180 degrees.

Alt++
If the image preview window is open and is not in thumbnail mode zooms in on the image.

Alt+-
If the image preview window is open and is not in thumbnail mode zooms the image out.

Alt+Enter
Displays the Properties dialog for the currently highlighted file or folder. This is the same properties dialog that is displayed in Internet Explorer and other browsers.

Ref: HTDE_KEYBOARD


Removing Entries from a View

Removing Entries from File Sets
What It Does
Removing files (by either selecting the Edit | Remove from File Set command or pressing Ctrl+Del) removes the files from FileBoss' file set but does not delete, recycle or in any way alter them on disk. If the File Set is refreshed or, in Explore View the folder is re-visited the files will again appear in File Boss.

Use the Hide Commands Instead
While a simple command, Remove Entries is normally used for advanced operations that users may have. Normally hiding the files (using the View | Hide/Unhide > command or the appropriate button is a better option and, since these commands do not permanently remove the files from a File Set, give you greater control over what is displayed when. (See the Hide/Unhide commands for more information.)

Ref: HID_ACTION_FS_REMOVE


Command Line Options
General
FileBoss has a rich set of command line options that can be used to tailor how the program starts and acts. Most users will never need any of these and fewer still will ever use more than just a few. But when needed they can be very useful.

Normally command line options are entered in the Properties dialog of a shortcut to a program such as FileBoss. (To display the Properties Dialog, right-click on the Program's Icon on your desktop and select 'Properties…' from the menu.)

Note: Modifying start modes at runtime
Hold down the Shift and Control keys while starting FileBoss to mimic starting the program for the first time.

Hold down the Control key to prevent the default explorer view from loading. (Note that this does not override any command line arguments.)
This can be helpful if the default Explore View is set to a problem network connection and the operating system takes a lengthy time to tell FileBoss that it is not available, i.e. FileBoss waits too long for the folder to become available for browsing.

Restarting Previously Opened Windows
/winlist "X:\path\<File containing the WindowsList>"
Specifies a file containing a list of windows (i.e. FileBoss File Sets and/or folders to explore) to open when FileBoss first starts. These files can only be created by using the 'File | Save Current Window List...' command from the main menu.
E.g.: /winlist "c:\My Documents\Graphics.FileBossWindows"
Note that by default when FileBoss first starts it reloads the windows that were open when it last closed (they are stored in a file named FileBoss.FileBossWindos). This behaviour can be changed using the 'Tools | Options...' command and then selecting the Startup Options pane.

Specifying a Defined File Set to be Loaded on Startup
"X:\path\File Set definition file"
The name on the command line - enclosed in quotation marks if it contains any embedded spaces.
The specified file must be a valid File Set or File Set definition file. (By default these files end with the .fbfileset extension.)
E.g.: "C:\My Documents\FileBoss\Drive C.fbfilest"
If the specified path points to folder rather than a file, that folder will be opened in Explorer view. See Specifying a start folder for Explorer View below.

Use Current FileBoss Instance if Available
/o
Tells FileBoss that if there already is an instance of FileBoss open to send control to that FileBoss instead of opening itself. If the path and folder is also one of the parameters that folder will be opened as a new View in the current instance of FileBoss.
If no other instance of FileBoss is available, FileBoss will open just as if this parameter had not been given.
This parameter is normally set by FileBoss itself in the registry entries that control its integration with Windows.

Specifying a Folder to Open in Explore View
"X:\path\<Folder Name>"
The name on the command line - enclosed in quotation marks if it contains any embedded spaces.
The specified path must point to a folder, not to a file.
E.g.: "C:\My Documents\FileBoss"
If the specified path points to folder rather than a file FileBoss will attempt to open folder in Explore View.
See Specifying a Defined File Set to be Loaded on Startup above.

Forcing a Explorer View to be Displayed on Startup
/explore
Forces a Explorer view to be displayed. This is normally FileBoss' default behavior, but if a File Set has been specified on the command line (see the command line option immediately above) no Explorer View will be displayed unless this parameter is specified.
See also the /expfolder option below.

Preventing Explorer View being Displayed on Startup
/noexplore
Prevents Explorer view from being displayed when FileBoss starts up. This switch over ride the /explore and /expfolder switches if they appear on the same command line.
See also the /expfolder option below.

Specifying the Initial Folder for Explorer View
/expfolder "X:\path\Explorer start folder"
Specifies the startup Folder for an Explorer View. If this is not specified the startup folder will be set according to the settings in the ' Explorer HIDD_OPTIONS_RECON' pane of the options dialog - use the 'Tools | Options' command from the main menu. (The default option is to use the last folder.)
E.g.: /expfolder "C:\Program Files"

Specifying Different Options and Settings
/optionsfile "X:\path\options file"
This option tells FileBoss to load and save its options and settings from the specified file rather than the one it normally uses.
Most of the options and settings used by FileBoss are stored in a file rather than in the registry. Normally the file name is fileboss.fbopts, but where the file is located depends on which version of Windows is installed and how the System Administrator has configured windows.
E.g.: /optionsfile "C:\My Documents\FileBoss\FileBoss Options Safe.fbopts"

Hide the Splash Screen at Startup
/nosplash
Prevents the splash screen from being displayed when FileBoss starts. This can also be set in the General panel of the Options dialog. (Use the 'Tools | Options' command from the main menu.)

Using Default Options
/nooptions
This will start FileBoss as if it was the first time after installation: no options or settings will be loaded.
When you exit FileBoss and this setting has been specified, FileBoss will ask you if you want to save the current options and settings or not. Answer 'No' if you don't want your old options file overwritten.
Another way of starting FileBoss in 'No Options' mode is to hold down the Ctrl and Shift keys while the program starts. This is exactly the same as specifying the /nooptions command line argument.

Suppressing Auto Help
/autohelpoff
Prevents all balloon help from being displayed for the current session of FileBoss only (i.e. no permanent changes are made to any options or settings). Note that only balloons providing help is turned off – balloons that point out critical errors or invalid entries in dialogs will still be displayed.

Advanced Options
FileBoss has a rich set of command line options that can be used to tailor how the program starts and acts. Most users will never need any of these and fewer still will ever use more than just a few. But when needed they can be very useful.

Removing File Type Associations
/r_types
Removes any associations to present linking FileBoss to its standard file types No windows are displayed and no messages are given. This parameter can only be used in conjunction with /r_ctx and /r_mainkeys, all other parameters will be ignored.

Removing Window Integration Registry Entries
/r_ctx
Removes all registry entries that control FileBoss' integration into the Windows Shell, i.e. the registry entries that list FileBoss on the system context menus and/or make FileBoss the default explore application for File Folders. No windows are displayed and no messages are given. This parameter can only be used in conjunction with /r_types and /r_mainkeys, all other parameters will be ignored.

Removing Main Options Keys
/r_mainkeys
Removes FileBoss' main registry keys where options and settings are stored. And then exits the program. No windows are displayed and no messages are given. This parameter can only be used in conjunction with /r_ctx and /r_types, all other parameters will be ignored.

Ref: Command_Line_Options


Starting FileBoss without Options

Manually starting FileBoss without loading any options
Hold down the Shift and Control keys while starting FileBoss mimic starting the program for the first time.

Hold down the Control key to prevent the default explorer view from loading. (Note that this does not override any command line arguments.)
This can be helpful if the default Explore View is set to some problem network connection and the operating system takes a lengthy time to tell FileBoss that it is not available, i.e. FileBoss waits too long for the folder to become available for browsing.

Ref: StartFileBossWithDefaultOptions


Exit FileBoss without Saving Changes

Exit without saving options
To Exit FileBoss without saving any changes to FileBoss' optons or open windows
Hold down the Shift and Conrtrol keys while clicking on the 'File |Exit ' menu item (or the x in the upper right corner of FileBoss' main window).
FileBoss with then display a small screen asking if you want to
· exit normally
· exit without saving andy changes to the options and preferences files (this includes various choices and settings you may have made in any of FileBoss' dialogs), or
· exit and remove all registry settings.

Ref: Exit_without_saving_options


Introduction to Setting Options
Introduction to Setting Options
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) to display the options dialog.

List of Options Panels

The Option Panels

Click on any of the following option names to see the complete details for each section.

General Startup Options
Compare Folders Explorer View
Copy Files Copy Filenames
Window Styles Global Window Styles by Type
Date Formats Drop Zone
Warnings and Hints Result Logs
External Tools Auto-Viewers
Advanced Advanced 2

Ref: INTRO_TO_OPTION_SETTINGS


General

General Options Page
Next (Startup Options) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select 'General' from the list of option pages.

General Options

General Options

Prompt to Save Altered Document on Close
When checked will ask you each time whether or not to save an altered File Group document whenever you attempt to close it.
When not checked you must remember to save any changes you have made to File Groups before attempting to close them.

Silent Mode (No Beeps, Whistles or Yahoos)
When checked all noises FileBoss may make are suppressed.
When not checked FileBoss will beep from time to time when a mouse is clicked in the wrong place or an error balloon or message is displayed.

Automatically save changed Images (refers to the Image Viewer Window)
When checked and an image has been changed in the image viewer - typically rotated one way or another - FileBoss will save the image automatically before loading another image.
When not checked you will be prompted to save any changes that have been made.

Always On Top
When checked FileBoss will always be on top of all other applications possibly hiding them from view even when you are not working in FileBoss.
When not checked FileBoss will act like a normal window.
Checking this box is the same as using the 'View | Always On Top' command from the main menu or clicking the command's button [image].

Auto Locate Entries (applies to File Groups only)
When checked the Contents Window (the right window pane in File Groups) will be linked to the folder list in the left window pane so that whenever an entry is highlighted on the right side the list of folders on the left side will be scrolled to that folder.
Note that this setting is only used when the File Group is sorted by its Path.

Set Actions for Touching Files

Opens the dialog where you can setup what actions to take when Touching ( [image]) files and folders such as setting archive bits and file times.
This same dialog can be displayed using the 'Actions | Touch Setup...' command from the main menu, pressing Ctrl-F9 or by holding down the Ctrl key while clicking the Touch command button ( [image]).

Toolbar Size

Small - 16 x 16 pixesl
Large - 24 x 24

The size of the toolbars is dependent on the size of the buttons. FileBoss ship with two sizes of buttons, 16 x 16 pixels and 24 x 24. When FileBoss runs for the first time on a new computer it determins which size buttons to use based on the size and resolution of the screen. But you can switch the size at anytime.

You can also chang the toolbar size using the 'Tools | Toolbar | Size > ' menu or right-click on any toolbar and select the appropiate size from the popup menu.

Default Drop Action

Tells FileBoss what to do, by default, with files dropped on one of its Windows.
This setting can also be changed by:
Clicking on the command button [image] [image] [image] (the graphic changes depending on the current default drop mode)
Selecting the mode from the 'Edit | Default Drop Mode >' menu.

Of course the default action can be temporarily changed by holding down the standard keys:
Alt Move
Ctrl Copy
Ctrl+Shift Create shortcut

Ref: HIDD_OPTIONS_GENERAL


Startup

Startup Options Page
Next (Compare Folders) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select 'General' from the list of option pages.

Startup Options

Initial Explore Folder

Specifies what folder will be automatically opened in the first Explore View when FileBoss starts.
Chose between:
Desktop The Desktop folder, i.e. the root folder of your computer system
Last Folder The last folder that was open in an Explore View
None Do not open any default Explore View
Specific Folder The folder specified in the field to the right

Note: That these settings subordinate to the settings in the Reopen Last Windows section, i.e. if FileBoss reopens one or more previously opened Explore View(s) no other initial folder will be opened.

Reopen Last Windows

This section specifies whether or not FileBoss should reopen any windows that were open when it last closed. And, if it should, what types of windows it should reopen.
Yes or No
A No setting tells FileBoss to never automatically open any previous windows. When No is selected, the other options will be greyed and disabled.

When Yes is selected one or more of the following options may be selected. Not selecting any of these options is equivalent to selecting No.
Explore Views The Desktop folder, i.e. the root folder of your computer system
File Groups Any File Group that has been saved to disk. When FileBoss starts it will re-load file and display it.
File Group Definitions File Groups that were open but not saved to disk. The same options that were used to create the File Group will be used again.

Note: If FileBoss can not load any windows according to these settings then it will open a default Explore View according to the settings in Initial Explore Folder section above.

Miscellaneous Startup Options

Show Splash Screen
If checked the beautiful splash screen will be displayed every time FileBoss starts.
Note that this can not be disabled in the unregistered version of FileBoss.

Show Master Wizard at Startup
If checked displays the Master Wizard every time FileBoss starts. The Master Wizard can also be started using the 'File | Wizards | Master Wizards' command from the main menu, pressing Ctrl+Alt+Z or by clicking the command button [image].

Show Help Guide at Startup
If checked displays the Help Guide [image] providing quick access help on common procedures and actions.

Show Tip-of-the-Day at Startup
If checked automatically displays a helpful hint with detailed help on how to get things done.

Auto-redisplay Image Preview at Startup
If checked displays the Image Preview window very time FileBoss starts. The Image Preview window can also be started using the 'View | Graphic Preview' command from the main menu or by clicking the command button [image].

Auto-redisplay Properties Box on Startup
If checked displays the Properties Box every time FileBoss starts. The Properties Box can also be started using the 'View | Properties' command from the main menu, pressing Ctrl+M or by clicking the command button [image].

Allow only one FileBoss to run at a time
If checked FileBoss will only allow one instance of itself to be running at a time. If FileBoss is already running and you try to start it again FileBoss will become the active application.

Ref: HIDD_OPTIONS_STARTUP


Compare Folders

Compare Folders Options Page
Next (Explore View) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Compare Folders from the list of option pages.

Options for Comparing Folders

How Modified Times are Compared

Time Resolution

File Time Resolution
These two fields set how closely the modified times of files being compared must be for them to be considered the same. The default is '1' Second.
The minimum Resolution value is 0.
A value of 0 tells FileBoss to compare file times exactly as they are.
The maximum values for Resolution are:
Days: 730
Hours: 17,520
Minutes: 1,051,200
Seconds: 63,072,000
The default is 1 second.
Normally you should NOT change the default settings unless you have a very specific reason and really know what you are doing.
Note that while Windows records File Times to the nearest 100 nanoseconds (1/10,000,000 of a second) the recorded times are not that accurate and are rounded by most systems anyway.

Time Zone Offset
The value entered in this field will be added to the Modified File Times in the 2nd folder or path being compared before any comparisons are made.

For example, if most of the files in the second folder or path are two hours earlier than the times in the first group you could enter 2 here. Those files will then be considered the as having the same time.
If the times were two hours later, then enter -2 to achieve the same result.

Skip Merge Control Dialog

Specifies the number of hours to add (or subtract) from the file times of the entries in the second folder or path before comparing them. Normally used to compensate for time zone differences.

Skip Merge Control Dialog

When checked, prevents the Merge Control dialog from being automatically displayed when folders/paths are first compared.

(To display the dialog, simply click the 'Merge' button on the Compare Toolbox that is always displayed when folders/paths are being compared.)

Ref: HIDD_OPTIONS_COMPARE


Explore Mode

Explore View Options Page
Next (Copy Files) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Explore View from the list of option pages.

Options for Explore Views

Where to Display Folders in Contents View

These options control where folders will be displayed in the Contents Window: above files, below files or not at all.
Whenever the position is changed

Other Ways to Change Where Folders are Displayed
· Clicking the command button ( [image]) that will change to indicate the current state ( [image], [image] or [image]).
· Clicking the down arrow next to the command button ( [image]) and selecting one of the options from the popup menu.
· Selecting one of the options under the 'Explore | Display Folders At >' main menu item.

Where to Put Bookmarks in the Navigation Window

Where to Put
Tells FileBoss where to display the list of bookmarks in the Navigation Window. Clicking on one of the listed bookmark will move to that folder and display it in the Contents Windows.
Clicking on one of these bookmarks is exactly the same as clicking on one of the bookmark listed when you click the down arrow of the bookmark button ( [image]).

Expand by Default
Tells FileBoss whether or not to expand the Bookmark list in the Navigation Window by default.
The list can always be expanded (and closed up) by clicking the root item (Bookmark).

Edit...
Opens the Edit Bookmarks dialog where you can edit, delete, add and rearrange the bookmarks.
You can also edit bookmarks using the 'Edit | Bookmarks...' command from the main menu or, clicking the down arrow next to the bookmark button, , and selecting 'Edit Bookmarks... from the popup menu.

Hint: If you delete all of the bookmarks, the next time an Explore Window is created the Bookmark list will be repopulated with a default set. (The default set normally contains all of the drives on your computer as well as some common folders such as My Document and Program Files.

Toolbar Size

What these Buttons Do
These setting determine how the name of the current folder will be displayed in the Tab for Explore Windows and on FileBoss' main title bar as shown below.

Options
Full Displays the whole path and folder name C:\Documents and Settings\FileBoss\My Documents\My Stuff.
Name Only Displays only the name of the folder without the path, e.g. My Stuff.
Root + ... + Name Displays the root such as C:\ and the folder name, e.g. C:\...My Stuff.

Simple (Filename) and Complex (Advanced) File Filtering [image] and

What these Buttons Do
Buttons allow you to create, edit, delete and prioritize both Filename and Advanced Filters for Explore View.

Why Filtering is Great
File filtering allows you to wander around your file system from folder to folder in Explore View and only see those files that are of interest to you.
For instance you could turn on a Filename Filter that would:
· only show *.exe and *.DLL (*.exe | *.DLL)
· only show pictures of you dog (Dog*.bmp | Dog*.jpeg)
· would not show any *.exe or *.DLL files (-*.exe | -*.DLL)
Or you could turn on an Advanced Filter that would
· only show files that had been modified within the last day, hour, month or since whenever
· not show any files with a hidden or system attribute set
· or just about any criterion or set of criteria you can imagine.
Hint:
You can also add and edit Filename and Advanced filters by clicking the down arrow next to their command buttons ( [image] and [image]) and selecting the appropriate menu item.
You can also select the 'Explore | Edit Filename Filters...' or 'Explore | Edit Advanced Filters...' from the main menu.

Ref: HIDD_OPTIONS_RECON


Copy / Move Files

Copy / Move Files Options Page
Next (Copy Filenames) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Copy Files from the list of option pages.

Options for Copying and Moving Files

Confirmation Message

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.
The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.

Copy File Options

Clear Read-Only bit when copying files from CDs/DVDs
Clears all read-only settings for files when they are copied from a CD or DVD. (Does not affect files copied from a HD or network drive.)
Files on most CDs and DVDs are set to Read-Only, even when the original files that were copied to the CDs were not. This can be a real pain when copying those files back to a HD as many programs will refuse to modify a read-only file (such as Word Processors and Graphics programs).

Don't Change Access times of files being copied
Prevents the access time of the file being copied from being changed.
Some copy and backup programs change this time and some do not. FileBoss gives you the option. By default the times are not changed even though FileBoss technically accesses the program. There is a good reason not to change the Access time by a copy program: the time is intended to be an indication of when programs that actually use the file access it, not when utility programs make copies of it or back it up.
So why do some other programs change it? Because contrary to what would seem normal it actually takes extra work and care by the copy or backup program not to change it.

Automatically skip files that can not be copied
Will automatically skip all files that can not be copied and continue with the rest of the files. When this box is not checked and FileBoss can not copy a file it will stop and ask you what you would like to do, skip, try again (giving you a chance to correct the problem) or to cancel all the rest of the files.

Logging Options

What to record
Determines what actions will be written to the Details result log. Depending on what you normally use FileBoss for you may want to have all or just some of the copied results logged.
This setting does not affect how errors are logged - they are always recorded in the error log - but rather it affects the results of normal operations.
Note that this setting does not affect the totals that are reported in the Summary results.
All All operations will be logged whether a file was copied or not copied.
Copied Only files copied will be mentioned in the Details result log. Files that were not copied because the target was newer or you didn't want to overwrite any files will not be recorded.
Not Copied Only files that were not copied will be mentioned in the Details result log (either because the target was newer or you didn't want to overwrite any files). Files that were copied successfully will not be recorded in the Details result log.

Don't write when target does not exist (when 'copy only if exist' option set)
Whether or not this box is checked controls if a log entry will be recorded when a file is not copied because the Copy Only If Exist option in the Copy Files dialog is set (or when using the Refresh Files function that implies Copy Only If Exist). This prevents a lot of unnecessary clutter in the details log.
Note that this setting does not affect the totals that are reported in the Summary results.

Copy File Options

Clear Read-Only bit when copying files from CDs/DVDs
Clears all read-only settings for files when they are copied from a CD or DVD. (Does not affect files copied from a HD or network drive.)
Files on most CDs and DVDs are set to Read-Only, even when the original files that were copied to the CDs were not. This can be a real pain when copying those files back to a HD as many programs will refuse to modify a read-only file (such as Word Processors and Graphics programs).

Don't Change Access times of files being copied
Prevents the access time of the file being copied from being changed.
Some copy and backup programs change this time and some do not. FileBoss gives you the option. By default the times are not changed even though FileBoss technically accesses the program. There is a good reason not to change the Access time by a copy program: the time is intended to be an indication of when programs that actually use the file access it, not when utility programs make copies of it or back it up.
So why do some other programs change it? Because contrary to what would seem normal it actually takes extra work and care by the copy or backup program not to change it.

Automatically skip files that can not be copied
Will automatically skip all files that can not be copied and continue with the rest of the files. When this box is not checked and FileBoss can not copy a file it will stop and ask you what you would like to do, skip, try again (giving you a chance to correct the problem) or to cancel all the rest of the files.

Ref: HIDD_OPTIONS_COPY_FILES


Copy Filenames

Copy Filenames Options Page
Next (Window Styles - Global) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Copy Filenames from the list of option pages.

Options for Copying Filenames to Clipboard

These Settings Apply To Copying One Filename to the Clipboard

To copy the highlighted (current) filename to the clipboard:
F10 to copy full path and name
Ctrl+Shift+F10 to copy just the filename
Edit | Copy Filenames > from the main menu for more options.

Formatting Single Filenames
Before and After Fields
Whatever is entered in these fields will be put before and after the copied filename.

Typically these fields would consist of quotes (the defalut), open and close brackets.
Any thing you can type, FileBoss will insert.
Advanced: Three escape sequence sequences can be entered for special charactes: \r = carriage return (ASCII 13), \n = line feed (ASCII 10) and \t = tab (ASCII 9). Note: For compatilbility with other Windows programs, new lines should always be entered as \r\n. Only use\r or \n individually or in another order if you really know what you are doing.

These Settings Apply To Copying All Selected Filenames to the Clipboard

To copy all selected filenames to the clipboard:
Shift+F10 to copy paths and names
Ctrl+Shift+F10 to copy just the filenames
Edit | Copy Filenames > from the main menu for more options.

Formatting Multiple Filenames
Locations
There are four locations in the list of copied filenames where FileBoss can insert text:
Before First Inserted before anything else is copied.
Before Each / After Each Inserted immediately before and after each name
After Last Appended at the very end of all the filenames

Characters
Typically these fields would consist of quotes, open and close brackets.
Any thing you can type, FileBoss will insert.
Advanced: Three escape sequence sequences can be entered for special charactes: \r = carriage return (ASCII 13), \n = line feed (ASCII 10) and \t = tab (ASCII 9). Note: For compatilbility with other Windows programs, new lines should always be entered as \r\n. Only use\r or \n individually or in another order if you really know what you are doing. (Entering \r\n is the same as checking the New Line box).

New Line
When checked will cause a new line to be generated. For example, when this box is checked for the After Each location every entry will appear on a new line. (This is the equivalent of entering \r\n (ASCII 13, ASCII 10) in the Characters field.)
Tab
When checked will cause a tab to be inserted. For example, when this box is checked for the After Each location every entry will be separated by a tab. (This is the equivalent of entering \t in the Characters field.)

Ref: HIDD_OPTIONS_COPY_NAMES


Window Styles - Global

Window Styles - Global Options Page
Next (Window Styles - By Type) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Windows from the list of option pages.
Universal Options for File Windows

Info Balloons

Display
Master switch that turns the display of the Info Balloons on and off. If this box is not checked no Info Balloons will be displayed.

Restrict To
Specifies specific conditions that must be met before an Info Balloon is displayed.
Shift Key The Shift key must be pressed in order for an Info Balloon to be displayed.
Control Key The Ctrl key must be pressed in order for an Info Balloon to be displayed.
First Column Info Balloons will only be displayed when the cursor is over the first column in the contents view. By default this box is checked to prevent info balloons always popping up to the annoyance of all.
Note: All three of these options can be used alone or in combination with each other.

Show What
Lists the various file attributes that can be displayed in an Info Balloon. Check the items you want displayed.

Miscellaneous Options for the Content Window

Sticky Selections
When checked Sticky Selection Mode is active. Sticky Selection Mode allows you to click on an entry in the Contents View to select it without de-selecting other entries. Sticky Select acts much like holding down the Ctrl key while clicking entries in Windows Explorer.
Note: When Sticky Select Mode is active you can click normally by holding down the Ctrl key.
And Sticky selection mode can also be turned off and on from the right-click menu and by clicking the [image] button.

Display File Size in K
Displays file sizes in kilobytes rather than in bytes. When active all sizes are rounded up to the nearest kilobyte and a K is displayed after the size.

Reset Default Columns and Window Colors

Reset All Window Colors
Resets all background and text colors for the Explorer and File Set Views to their defaults. This is simply a quick way of resetting all rather than selecting the colors for each type of window individually.


Window Styles - By Type

Window Styles - By Type Options Page
Next (Date Formats) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select one of the indvidutal window types listed under Windows.
These options can be set for individual View Types as selected in the option navigation bar on the left side of the dialog:

Options for Specific File Windows

Under normal circumstances there is little need to change the colors of the windows or text.
Note: the settings under the Columns to Display heading can also be changed by right-clicking on any column header. Doing so will display a tall dialog listing the various columns that can be added and removed from the Contents Window.

Columns Displayed in the Contents Window

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.
The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.

File Icons to Use

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.
The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.

Folder Names in the Contents Window

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.
The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.

Colors for Folder and Contents Windows

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.
The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.

Colors for Special Items and Highlighted Items

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.
The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.

Ref: HIDD_OPTIONS_DISPLAY


Date & Time Formats

Date & Time Format Options Page
Next (Drop Zones) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Date Formats from the list of option pages on the left side.

Date And Time Format Options

File Date and Time Formats
These formats tell FileBoss how to display file times. Most notably these file times are seen in the Modified, Accessed and Created columns in the contents window of any view. The format for each of these columns can be set separately.
To set the formats use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Date Formats from the list of option pages on the left side.

To see formats for entering dates and times into dialog controls click here.

Quick Examples:
For Tuesday, 19 March 2002 at 1:15:30 in the afternoon
(Note the the colon and slashes are not used as these can not be part of a file name!)
02-03-19 %y-%m-%d
20020319 %Y%m%d
2002-03-19 %Y-%m-%d
19-Mar-2002 %d-%b-%Y
Tuesday, March 19, 2002 %A, %B %d, %Y
Tue, 19 Mar 2002 %a, %d %b %Y
Tuesday the 078 day of 2002 %A the %j day of %Y
2002-078 %Y-%j
01-15-30PM %I-%M-%S%p

Complete Secifications
Year:
%y Year without century, as decimal number (00 – 99)
%Y Year with century, as decimal number

Month:
%b Abbreviated month name
%B Full month name
%m Month as decimal number (01 – 12)

Week:
%w Weekday as decimal number (0 – 6; Sunday is 0)
%W Week of year as decimal number, with Monday as first day of week (00 – 53)
%U Week of year as decimal number, with Sunday as first day of week (00 – 53)

Day:
%a Abbreviated weekday name
%A Full weekday name
%d Day of month as decimal number (01 – 31)
%j Day of year as decimal number (001 – 366)

Hour:
%H Hour in 24-hour format (00 – 23)
%I Hour in 12-hour format (01 – 12)
%p Current locale's A.M./P.M. indicator for 12-hour clock

Minutes:
%M Minute as decimal number (00 – 59)

Seconds:
%S Second as decimal number (00 – 59)

Miscellaneous:
%c Date and time representation appropriate for locale
%x Date representation for current locale
%X Time representation for current locale
%z (or %Z) Time-zone name or abbreviation; no characters if time zone is unknown
%% Percent sign

Alphabetical list:
%a Abbreviated weekday name
%A Full weekday name
%b Abbreviated month name
%B Full month name
%c Date and time representation appropriate for locale
%d Day of month as decimal number (01 – 31)
%H Hour in 24-hour format (00 – 23)
%I Hour in 12-hour format (01 – 12)
%j Day of year as decimal number (001 – 366)
%m Month as decimal number (01 – 12)
%M Minute as decimal number (00 – 59)
%p Current locale's A.M./P.M. indicator for 12-hour clock
%S Second as decimal number (00 – 59)
%U Week of year as decimal number, with Sunday as first day of week (00 – 53)
%w Weekday as decimal number (0 – 6; Sunday is 0)
%W Week of year as decimal number, with Monday as first day of week (00 – 53)
%x Date representation for current locale
%X Time representation for current locale
%y Year without century, as decimal number (00 – 99)
%Y Year with century, as decimal number
%z, %Z Time-zone name or abbreviation; no characters if time zone is unknown
%% Percent sign

Format Code Meaning
%#a, %#A, %#b, %#B, %#p, %#X, %#z, %#Z, %#% # flag is ignored.
%#c Long date and time representation, appropriate for current locale. For example: "Tuesday, March 14, 1995, 12:41:29".
%#x Long date representation, appropriate to current locale. For example: "Tuesday, March 14, 1995".
%#d, %#H, %#I, %#j, %#m, %#M, %#S, %#U, %#w, %#W, %#y, %#Y Remove leading zeros (if any).

Ref: HIDH_FILE_DATE_FORMATS

Entering Dates & Times in Dialogs
These formats tell FileBoss how to display file times. Most notably these file times are seen in the Modified, Accessed and Created columns in the contents window of any view. The format for each of these columns can be set separately.
To set the formats use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Date Formats from the list of option pages on the left side.

To see formats for displaying file times click here.

Default Formats
If a format is blank the dialog controls will display dates and times in a format determined by how your version of Windows is setup.

Quick Examples
For Tuesday, 31 October 2003 at 1:15:30 in the afternoon
Dates
31-Oct-2003 dd-MMM-yyyy
10/31/2003 MM/dd/yyyy
31/10/03 dd/MM/yy
20031031 yyyyMMdd
2003 10 31 yyyy MM dd

Times
13:15:30 HH:mm:ss
01:15:30AM hh:mm:sstt
1:15:30 AM h:mm:ss tt

Complete List of Formats
Element Description
d The one- or two-digit day.
dd The two-digit day. Single-digit day values are preceded by a zero.
ddd The three-character weekday abbreviation.
dddd The full weekday name.
h The one- or two-digit hour in 12-hour format.
hh The two-digit hour in 12-hour format. Single-digit values are preceded by a zero.
H The one- or two-digit hour in 24-hour format.
HH The two-digit hour in 24-hour format. Single-digit values are preceded by a zero.
m The one- or two-digit minute.
mm The two-digit minute. Single-digit values are preceded by a zero.
M The one- or two-digit month number.
MM The two-digit month number. Single-digit values are preceded by a zero.
MMM The three-character month abbreviation.
MMMM The full month name.
t The one-letter AM/PM abbreviation (that is, AM is displayed as "A").
tt The two-letter AM/PM abbreviation (that is, AM is displayed as "AM").
yy The last two digits of the year (that is, 1996 would be displayed as "96").
yyyy The full year (that is, 1996 would be displayed as "1996").

Ref: HIDH_FILE_DATE_FORMATS

Ref: HIDD_OPTIONS_DATES


Drop Zones

Drop Zones Options Page
Next (Warnings & Hints) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Drop Zones from the list of option pages.

Options for Drop Zones

Choosing the Copy Engine

Select the copy engine you want FileBoss to use when files and folders are dropped on a Drop Zone.
The Windows copy engine is the same one used by Windows Explorer.
FileBoss' internal copy engine will gracefully handle errors when copying files so that you will have the opportunity to correct problems or finish a copy operation even though some files could not be copied.

To configure the FileBoss copy engine to suit your needs press click the Setup Fileboss Copy button.

Ref: HIDD_OPTIONS_DROPZONE


Warnings & Hints

Setting Overwrite & Modifcation Warnings
and Hint Balloons
Return to Introduction
Next (Result Logs) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Warnings & Hints from the list of option pages on the left side.

Setting File Overwrite Warnings and Hint Balloons

Warnings when Changing a File

The Set buttons allow you to set when you will be warned that the related action will change a file or folder.

For details on setting warnings for these actions see Set Action Warnings.

Confirming Deletions

Determines if you will be asked to confirm that you really want to delete or recycle a group of files. These messages are discretionary and can be turned off from the confirmation boxes themselves.

Setting Hints And Confirmations

Can turn on or off all discretionary messages the FileBoss may display.
Discretionary messages are messages that you can turn off, typically by checking a box in the lower left corner of the message box.

Ref: HIDD_OPTIONS_WARNINGS


Result & Error Logs

Result & Error Logs Options Page
Next (External Tools) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Result Logs from the list of option pages on the left side.

Setting Up the Result Logs

Individual Log Options

Lines To display
The number of lines in the associate result log that FileBoss will keep in memory. Once more lines that the number indicated here is reached FileBoss will delete the oldest results from memory.
The only real reason to set this number lower is to conserve memory.

Save to File
When this box is checked results will be written to a disk file. If no path is given with the log file name the log file will be stored in FileBoss' default data folder, typically My Documents\FileBoss Data.

Clearing and Starting Logs

Clear Log Files Every Time FileBoss Starts
When checked and a result log is being written to disk the disk file will be cleared every time FileBoss starts. All results from a previous FileBoss session will be lost.

Clear Log Files Every Day
When checked and a result log is being written to disk the disk file will be cleared every time starts on a new day.

New Log Files Every Day
When checked and a result log is being written to disk FileBoss will create new log files for each day that FileBoss is run. The name of the files will include the date, e.g. FileBoss Summary (2005 05 31).log.

Warn when Size Exceeds:
Sets the size in kilobytes a result log must exceed before a warning message is displayed when FileBoss starts. For instance if a this value is set to 1024 anytime a disk based result log is greater than one megabyte FileBoss will warn you when it first starts.
To cancel all size warnings enter a 0 or less.

Ref: HIDD_OPTIONS_LOGGING


External Tools

External Tools Options Page
Next (Auto-Viewers) >>

To Display this Options Page
Use the Tools | Options... command from the main menu (or click its command button [image]) and select External Tools from the list of option pages on the left side.

Setup for External Tools

External tools allow you to specify programs that can be called to display or load files you have selected. When a tool is available it will be displayed on the right-click menu and/or the main menu at Tools | External >. You can match tools to file patterns so that the tool is only available for certain file types.
You can even use the special Internet protocols described below to search the internet for information on a file or file type or even a specific website for a file or type. See Configuring an Internet Tool below for all the details.
Up to one-hundred tools can be defined. If you want to keep a tool definition but don't want it active simply clear the check boxes for both Main Menu and Pop-up Menu.
Also not you may want to create two external tools using the same program. One can be used just for a file that has the current focus and the other for all selected files. (See the Apply Tool to Focus File or All Selected Files section below.)

List of Installed Tools

Displays a list of currently installed tools. The tools will be displayed on the menus in the same order as they are listed here. To change the order select a tool and use the Up and Down buttons.
To make a copy of a tool highlight it and click the Duplicate button. Making duplicates can save time when configuring the same tool for different purposes such as one instance for all selected files and one that just opens the entry with focus.
Select a tool to modify its attributes in the fields below.

Menu Labels

Defines the text that will be displayed on the menus when the tool is active.
To add a shortcut key put an ampersand in front of the desired letter, e.g. &NotePad would display the title as NotePad and pressing the 'N' key would select that tool from the menu.

Program To Execute

Enter the name of the program that executes when this tool is selected. Sometimes, especially when the program is a standard Windows program, only the name is needed. But for other programs it is always best to use a complete path.

Program Arguments

Enter any arguments that should be passed to the program when the tool is selected. Typically the arguments will be some form of the of the highlighted entry's name and/or command switch's that control how a specific program starts.

Available Meta Arguments are:
<PathAndFilename> e.g. C:\Program Files\FileBoss\FileBoss.exe
<Filename> e.g. FileBoss.exe
<Name> e.g. FileBoss
<Ext> e.g. exe (Note that there is no leading period before the extension. If you need the period be sure to include it explicitly.)

It is normally best to surround each of the arguments with double quotation marks. If in doubt check the documentation for the tool's program.

Specifying a Start Folder

Enter the folder you want the program to start in. If in doubt just enter <Path> which will be substituted with the folder that contains the program.
Many programs do not use this parameter.

<Path> e.g. C:\Program Files\FileBoss

Apply Tool to Focus File or All Selected Files

Determines whether the tool will be applied to just the one file that has the focus or to all selected entries.
Frequently two external tools will be created using the same program. One will be designated to apply to the current file and one to all selected so that you can easily choose which way you want the tool applied from the right-click context menu.

Defining When and Where a Tool will be Displayed

Allows you to specify where and for what files a tool will be displayed. If you are using just a few tools then these fields can be left with their default values. But if you have many tools or special needs you might want to limit when or where the tool will be displayed.
Each time an entry in the contents window is highlighted FileBoss with match the entries name against the list of file patterns entered in these fields. If the file matches one of the file patterns (but not any of the excluded patterns) and the box is checked the tool will be displayed on the main menu, popup menu or both as appropriate.
In the above example this tool will be displayed on the main menu if the highlighted file's extension is rtf, doc, txt, or wrt. It will be displayed on the popup menu if its extension is rtf or doc and its name does not begin with p or my.
To always display a tool just enter an asterisk (*) for each menu.

Third Party Tools and Viewers Examples
&NotePad
url: <Comes with Microsoft Windows>
Menu Text: NotePad
Program: NotePad.exe
Arguments: "<PathAndFilename>"
Start Folder: <Path>
Main Menu / Pop-up Menu File Specs
*.txt | *.log | *.bat

WordPad
url: <Comes with Microsoft Windows>
Menu Text: &WordPad
Program: write.exe
Arguments: "<PathAndFilename>"
Start Folder: <Path>
Main Menu / Pop-up Menu File Specs
*.doc | *.rtf

Quick View Plus (Version 7)
url: http://www.avantstar.com
Menu Text: Quick View
Program: C:\Program Files\Quick View Plus\Program\qvp32.exe
Arguments: "<PathAndFilename>" -dn -da -x
Start Folder: <Path>
Filter: *

Irfan View (Version 3.95)
url: http://www.irfanview.net or http://www.irfanview.com
Menu Text: Irfan View
Program: C:\Program Files\IrfanView\i_view32.exe
Arguments: "<PathAndFilename>" /one
Start Folder: <Path>
Filter: *.bmp | *.jpeg | *.jpg | *.ico | *.gif | *. png
Filter: *

Power Point Viewer
Menu Text: &PP Viewer
Program: C:\Program Files\Microsoft Office\PowerPoint Viewer\PPTVIEW.EXE
Arguments: "<PathAndFilename>"
Start Folder: <Path>
Main Menu / Pop-up Menu File Specs
*.ppt

Confguring an Internet Tool
For the Program Field:
Either WWW, Internet or HTML. Use whichever you wish. There is no difference in the way the are executed.

For the Arguments field:
<PathAndFilename> e.g. C:\Program Files\FileBoss\FileBoss.exe
<Filename> e.g. FileBoss.exe
<Name> e.g. FileBoss
<Ext> e.g. exe (Note that there is no leading period before the extention. If you need the period be sure to include it explicitly.)
For the Start Folder field:
<Path> e.g. C:\Program Files\FileBoss

Example 1:
Menu Text: Net Search
Program: INTERNET
Arguments: http://www.google.com/search?&q="<Name>.<Ext>"
Start Folder:

If the currently highlighted file is 'FileBoss.Exe'
Will open the default browser go to the url:
http://www.google.com/search?&q="FileBoss.exe"

Example 2:
Menu Text: Internet Search
Program: INTERNET
Arguments: http://www.google.com/search?&q="<Filename>"
Start Folder:

If the currently highlighted file is 'FileBoss.Exe'
Will open the default browser go to the url:
http://www.google.com/search?&q="FileBoss.exe"

Example 3:
Menu Text: FilExt.com Extension Search
Program: INTERNET
Arguments: http://www.filext.com/detaillist.php?extdetail=<Ext>
Start Folder:

If the currently highlighted file is 'FileBoss.Exe'
Will open the default browser go to the url:
http://www.filext.com/detaillist.php?extdetail=exe

Ref: HIDD_OPTIONS_TOOLS


Auto Viewers

Auto Viewers Options Page
Next (Windows Integration) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Auto-Viewers from the list of option pages on the left side.

Setup for File Viewers

External tools allow you to specify a program that will be called whenever a entry in the contents window of any FileBoss view is highlighed. You can match tools to file patterns so that the tool is only available for certain file types.
You can even use the special Intenet protocols describbed below to search the internet for information on a file or file type or even a specific website for a file or type. See Configuring an Internet Tool below for all the details.

List of Installed Auto-Viewers

Displays a list of currently installed tools. The viewers will be displayed on the menu in the same order as they are listed here. To change the order select a tool and use the Up and Down buttons.
Select a tool to modify its attributes in the fields below.

Enable Auto-Viewer

Enables or disables the auto-viewer. When disabled the auto-view will be active.
Note that auto-viewers can also be quickly turned on and off from the list displayed using Tools | Auto-Viewers On/Off > from the main menu.

Menu Labels

Defines the text that will be displayed on the Tools | Auto-Viewers On/Off > menu from which they can be quickly turned on and off..
To add a shortcut key put an ampersand in front of the desired letter, e.g. &NotePad would display the title as NotePad and pressing the 'N' key would select that tool from the menu.

Program To Execute

Enter the name of the program that executes when FileBoss calls this auto-viewer. Sometimes, especially when the program is a standard Windows program, only the name is needed. But for other programs it is always best to use a complete path.

Program Arguments

Enter any arguments that should be passed to the program when FileBoss calls the auto-viewer. Typically the arguments will be some form of the highlighted entry's name and/or command switch's that control how a specific program starts.

Available Meta Arguments are:
<PathAndFilename> e.g. C:\Program Files\FileBoss\FileBoss.exe
<Filename> e.g. FileBoss.exe
<Name> e.g. FileBoss
<Ext> e.g. exe (Note that there is no leading period before the extension. If you need the period be sure to include it explicitly.)

It is normally best to surround each of the arguments with double quotation marks. If in doubt check the documentation for the tool's program.

Specifying a Start Folder

Enter the folder you want the program to start in. If in doubt just enter <Path> which will be substituted with the folder that contains the program.
Many programs do not use this parameter.

<Path> e.g. C:\Program Files\FileBoss

Clearing and Starting Logs

Allows you to specify where and for which files an auto-viewer will be called.
Each time an entry in the contents window is highlighted FileBoss with match the entries name against the list of file patterns entered in these fields. If the file matches one of the file patterns (but not any of the excluded patterns) the auto-viewer will be executed.
In the above example this auto-viewer will be called if the highlighted file's extension is bmp, jpg, jpeg, or gif.

Third Party Tools and Viewers Examples
Quick View Plus (Version 7)
url: http://www.avantstar.com
Menu Text: Quick View
Program: C:\Program Files\Quick View Plus\Program\qvp32.exe
Arguments: "<PathAndFilename>" -dn -da -x
Start Folder: <Path>
Filter: *

Irfan View (Version 3.95)
url: http://www.irfanview.net or http://www.irfanview.com
Menu Text: Irfan View
Program: C:\Program Files\IrfanView\i_view32.exe
Arguments: "<PathAndFilename>" /one
Start Folder: <Path>
Filter: *.bmp | *.jpeg | *.jpg | *.ico | *.gif | *. png

NotePad
url: <Internal Microsoft Windows Program>
Menu Text: NotePad
Program: NotePad.exe
Arguments: "<PathAndFilename>"
Start Folder: <Path>
File Specs *.txt | *.log | *.bat

Write
url: <Internal Microsoft Windows Program>
Menu Text: Write
Program: write.exe
Arguments: "<PathAndFilename>"
Start Folder: <Path>
File Specs *.doc | *.rtf

Power Point
Menu Text: Power Point
Program: C:\Program Files\Microsoft Office\PowerPoint Viewer\PPTVIEW.EXE
Arguments: "<PathAndFilename>"
Start Folder: <Path>
File Specs *.ppt

Confguring an Internet Viewer
For the Program Field:
Either WWW, Internet or HTML. Use whichever you wish. There is no difference in the way the are executed.

For the Arguments field:
<PathAndFilename> e.g. C:\Program Files\FileBoss\FileBoss.exe
<Filename> e.g. FileBoss.exe
<Name> e.g. FileBoss
<Ext> e.g. exe (Note that there is no leading period before the extention. If you need the period be sure to include it explicitly.)
For the Start Folder field:
<Path> e.g. C:\Program Files\FileBoss

Example 1:
Menu Text: Net Search
Program: INTERNET
Arguments: http://www.google.com/search?&q="<Name>.<Ext>"
Start Folder:

If the currently highlighted file is 'FileBoss.Exe'
Will open the default browser go to the url:
http://www.google.com/search?&q="FileBoss.exe"

Example 2:
Menu Text: Internet Search
Program: INTERNET
Arguments: http://www.google.com/search?&q="<Filename>"
Start Folder:

If the currently highlighted file is 'FileBoss.Exe'
Will open the default browser go to the url:
http://www.google.com/search?&q="FileBoss.exe"

Example 3:
Menu Text: FilExt.com Extension Search
Program: INTERNET
Arguments: http://www.filext.com/detaillist.php?extdetail=<Ext>
Start Folder:

If the currently highlighted file is 'FileBoss.Exe'
Will open the default browser go to the url:
http://www.filext.com/detaillist.php?extdetail=exe

Ref: HIDD_OPTIONS_TOOLS


Windows Integration
Next (Advanced) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Windows Integration from the list of option pages on the left side.

Options for Integrating FileBoss with Windows

These setting determine how FileBoss is integrated into the Windows Shell, i.e. when Windows will call FileBoss to display a folder rather than call Windows Explorer.
When FileBoss is installed it will set a registry entry instructing Windows to list it as a choice on the context menus (right-click menus) for drives and file folders. That setting can be turned off here or it can be elevated to be the default action, such as when a Folder icon is double-clicked.

Common Popup Menu
with FileBoss Added

Note: The Folder settings only apply to normal File Folders. Virtual Folders such a My Network, the Recycle Bin and, on most systems, My Documents will still be opened in Window Explorer. This is by design to allow full access to objects that are not part of the physical file system.

Shell Integration for File Folders (Directories)

These three choices determine how the system will integrate with FileBoss for displaying folders from the desktop or other place (such as from standard File Open and File Save dialogs).

No
FileBoss can only be invoked as any other normal program.

List on Right-Click Menu
Whenever a File Folder is right-clicked Explore with FileBoss will be one of the options on the context menu.

Make Default Action
In addition to Explore with FileBoss being added to the context menu. It will also be the default action when a File Folder is double-clicked.

Shell Integration for Drives

These three choices determine how the system will integrate with FileBoss for displaying Drives from the desktop or other place (such as from standard File Open and File Save dialogs).

No
FileBoss can only be invoked as any other normal program.

List on Right-Click Menu
Whenever a Drive is right-clicked Explore with FileBoss will be one of the options on the context menu.

Make Default Action
In addition to Explore with FileBoss being added to the context menu. It will also be the default action when the icon for a Drive is double-clicked.

Show new folders in same FileBoss

When checked and a folder is opened from the desktop or other place and FileBoss is already running it will be displayed in a new Explore view in that FileBoss. If it is not checked a new instance of FileBoss will be used to display the folder.

Ref: HIDD_OPTIONS_REGISTRY


Advanced

Advanced Options Page
Next (Advanced 2) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Advnaced Options from the list of option pages on the left side.

Advanced Options

Explore View Advanced Options

Provides access to advanced options for Explore Views

Update Latency Controls the lag between an Explore view detecting a change to the current folder and processing the change, i.e. will not process any updates until the latency period has expired since the last change was detected. Having an update latency prevents the system from going nuts when a swarm of files are added, deleted or changed by and outside program.
This value should not normally be changed unless you are told to do so by FileBoss support.

Allow Explorer Filter to Reactivate When not checked (the default) FileBoss will not reactivate any file filters that were active when FileBoss last closed. The default value prevents the mistake of thinking that all entries in a folder are displayed when in fact they are not.

Automatically open new Explore View When checked (the default) FileBoss will automatically open a new Explore View if all views have been closed. This conveniently prevents you staring at a blank workspace.

Handling Hidden Entries in Saved File Sets

Handling hidden entries when saving File Sets When saving a File Set to disk hidden entries can be saved as hidden. When reloaded you can have FileBoss keep hidden files hidden, unhide them or ask you what to do.

File Time Resolutions for Resolving Conflicts

File time comparison resolution Determines the resolution FileBoss will use when comparing file times for various operations such as sorting and copying. Because of the differences in the ways different versions of Windows handle and record file times it is best to leave this at 1 second as a good compromise.

Include Folders in Search for Duplicates

Find Duplicate Folders Too Default is off preventing FileBoss from comparing folders when looking for duplicates as this does not make any sense. It should only be turned on if you are looking for folders with identical names.

Location of Main Options File

Options File Allows you to change the default options file (the file to which FileBoss will load and save its options and settings when it starts and ends.
Typically the default options file is located in My Documents\FileBoss Data\FileBoss.fbopts.

Ref: HIDD_OPTIONS_ADVANCED


Advanced 2

Advanced 2 Options Page
Next (Current File Set) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Advnaced Options 2 from the list of option pages on the left side.

More Advanced Options

Activating Right-Click Context Help

These two boxes control if and when right-clicking on a dialog control or menu item will display context help.
To turn context help off check the first box.
Checking the second box will display context help if the Shift key is down when the menu item or control is right-clicked.
Normally there should be no reason to disable right-click help.

Copying to a Common Root

Copying to a common root is an extremely advanced option that is useful in very special circumstances for when debugging copy problems.
Do not check this box without being told to do so by the good folks at FileBoss support.

Never Allow Text Search as a Default

Checking this box prevents the Create File Set dialog from searching for text in files when first invoked no matter how it was set the last time FileBoss was used.
The default is checked so that the FileBoss will not search files for text without you expressly telling it to.

Activating Intelligent Scrolling

The Intelligent Scrolling option tells FileBoss how to determine which window, Navigation or Contents, when a scroll wheel is turned (such as on a mouse). When checked FileBoss will scroll the Navigation or Contents window depending which window the mouse is hovering over.
Then this option is cleared the window that was last active will be scrolled as is common in most applications.

Maximum Explore Views Allowed

Determines how many Explore Views FileBoss will allow to be open at one time. When the maximum number of windows is open new operations will use a current Explore View rather than start another.

Drop Timeout on other Applications

This advanced setting determines how long FileBoss will wait for a receiving application (i.e. an application on which files have been dropped) to respond.

When a large number of files are dropped on some applications they will take a long time to process those files before returning control back to FileBoss.

This setting determines the number of seconds FileBoss will wait before it displays a message asking you what you would like to.

Copy Engine for Dropped Files

Select the copy engine you want FileBoss to use when files and folders are dropped onto a folder in either the Navigation or Contents windows.
The Windows copy engine is the same one used by Windows Explorer.
FileBoss' internal copy engine will gracefully handle errors when copying files so that you will have the opportunity to correct problems or finish a copy operation even though some files could not be copied.
To configure the FileBoss copy engine to suit your needs press click the Setup FileBoss Copy button.

Note: This setting only affects how FileBoss copies files when they are dropped on FileBoss. If you drag files from FileBoss and drop them on another application that receiving application will handle the copy operation, i.e. FileBoss has no control over how those files will be copied.

Ref: HIDD_OPTIONS_ADVANCED_2


Current File Set

Current File Set Options Page
Next (Adding and Removing Columns) >>

To Display this Options Page
Use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Current File Set from the list of option pages on the left side.

Note: This pane is only available when a File Set is the current view. It has no meaning for Explore Views

Options for Current File Set

Ref:H IDD_OPTIONS_CURDOC


Default Appearance Options

Resetting to the Default Appearance

To Display this Options Page
Use the 'View | Appearance | Default Layout, Look & Feel...' command from the main menu.

Restoring Default Appearance

Tool bars
Displays and docks all tool bars in their default locations. The size of the toolbars is not changed.

Results Window
Displays the Results Window (the window that records the Summary, Details and Errors logs) in its default location.

Image Preview
Sets the image preview window to its default size and location.

Help Guide
Moves the Help Guide window to its default position.

Tabbed Documents
Turns Tabbed Documents back on. The Tabbed Documents style displays a tab for each File Set and Explore View across the top of the document area. Tabbed Documents can be turned on and off using the 'View | Appearance | Use Tabbed Documents' command from the main menu.

Status Bar
Displays the Status Bar at its default location (normally at the bottom of FileBoss' application window. The status bar can be turned on and off by right-clicking on the status bar, any toolbar or any part of the main window's frame.

Properties Box
Relocates the Properties Box to its default location (normally in the middle of FileBoss' application window). If the Properties Box is currently visible it will be moved immediately. If it is not currently displayed it will be move to the default location when it is next displayed.

Default Window colors
Sets the default window colors for all views. To change Window colors use the 'Tools | Options...' command from the main menu and select the appropriate tab.

Default Window colors
Sets the default window colors for all views. To change Window colors use the 'Tools | Options...' command from the main menu and select the appropriate tab under Windows.

Drop Zone List Box (Location and Size)
Centers and sets the default size for the Drop Zone List Box.

Misc. Options
Resets the following program attributes:
(Note that some defaults may be different depending on your version of FileBoss and your particular setup.)
Sticky Selections: on
Freeze Selections: off
Normal right click: off
Icon type: simple
Date Formats: default
Width of Folders pane: default
Tips options: default
Hidden files: show
Auto-locate entries: on
Highlight errors: on
File data tips: on

Ref: HIDD_DEFAULT_APPEARANCE


Main Toolbar
The Main Toolbar

New Explorer View Opens new Explorer view. Bookmarked folders can be opened by clicking on the down arrow and selecting the desired bookmark.

Create File Set Creates an empty File Set view and displays the dialog for defining which folders/files should be in the File Set.

Copy Copies selected files to the clipboard to be pasted back into FileBoss, Windows Explorer ®, or other programs.

Paste Pastes selected files from the clipboard into the currently highlighted folder in one of FileBoss' views. These files can be copied from Windows Explorer ®, or other programs.

Result Windows Shows and hides the result windows that display and record actions performed by FileBoss. There are three result windows: Summary, Details and Errors.

Show Image Previewer Shows or hides FileBoss' internal Image Previewer. The Image Previewer window shows the image (or thumbnail of the image) of any supported graphics file that is highlighted. In addition, the Image Previewer can be used to rotate images.

Default Drop Mode Shows or hides FileBoss' internal Image Previewer. The Image Previewer window shows the image (or thumbnail of the image) of any supported graphics file that is highlighted. In addition, the Image Previewer can be used to rotate images.

Help Guide Shows or hides FileBoss' internal Image Previewer. The Image Previewer window shows the image (or thumbnail of the image) of any supported graphics file that is highlighted. In addition, the Image Previewer can be used to rotate images .

Show / Hide Drop Zone List Box Presents a dialog where one or more folders can be designated as Drop Zones. Drop Zones are represent folders when other files and folders can be copied, moved, shortcuts made, deleted or recycled simply by dragging and dropping the items on the Drop Zone images. All Drop Zones can be made to stay on top of all other windows even when FileBoss is minimized.

Showing and Hiding Toolbars

Toolbars can be displayed either by right-clicking anywhere in a toolbar area and selecting them from the popup menu or by selecting the Windows | Toolbars > command from the main menu.

Changing the Toolbar Size

Both small and large toolbars are available. Changing the toolbar size can be done either by right-clicking anywhere in a toolbar area or by selecting the Windows | Toolbars > command from the main menu and then selecting the Size option.

Displaying the Default Toolbars

Toolbars can be reset to their default positions by using the View | Appearance | Default Layout Look & Feel... command from the main menu and then checking the Toolbars box in Default Appearance dialog.

Other Toolbars

The Main Toolbar (click here)

The Edit Toolbar (click here)

The Select Toolbar (click here)

The Actions Toolbar (click here)

The Go To Toolbar (click here)

The Hide Toolbar (click here)

The Explore View Toolbar (click here)

The File Set View Toolbar (click here)

Ref: H_TOOBAR_MAIN


Edit Toolbar
The Edit Toolbar

New Explorer View Opens new Explorer view. Bookmarked folders can be opened by clicking on the down arrow and selecting the desired bookmark. More…

Re-apply Last Sort Creates an empty File Set view and displays the dialog for defining which folders/files should be in the File Set. More…

Sort Selected to Top Copies selected files to the clipboard to be pasted back into FileBoss, Windows Explorer ®, or other programs. More…
Default Sort Pastes selected files from the clipboard into the currently highlighted folder in one of FileBoss' views. These files can be copied from Windows Explorer ®, or other programs.

Showing and Hiding Toolbars

Toolbars can be displayed either by right-clicking anywhere in a toolbar area and selecting them from the popup menu or by selecting the Windows | Toolbars > command from the main menu.

Changing the Toolbar Size

Both small and large toolbars are available. Changing the toolbar size can be done either by right-clicking anywhere in a toolbar area or by selecting the Windows | Toolbars > command from the main menu and then selecting the Size option.

Displaying the Default Toolbars

Toolbars can be reset to their default positions by using the View | Appearance | Default Layout Look & Feel... command from the main menu and then checking the Toolbars box in Default Appearance dialog.

Other Toolbars

The Main Toolbar (click here)

The Edit Toolbar (click here)

The Select Toolbar (click here)

The Actions Toolbar (click here)

The Go To Toolbar (click here)

The Hide Toolbar (click here)

The Explore View Toolbar (click here)

The File Set View Toolbar (click here)

Ref: H_TOOBAR_EDIT


Actions Toolbar
The Actions Toolbar

Please Note: The buttons on the Actions toolbar apply to selected files and folders in the Contents window. If no entries are selected these buttons will be disabled.

Copy To Displays the main Copy dialog for controlling how and to where the selected files will be copied.

Move To Displays the main Move dialog for controlling how and to where the selected files will be moved.

Duplicate After displaying a confirmation dialog that also asks how the new files should be named the selected files and folders in the Contents window are duplicated in their original folder.

Send to Recycle Bin After the optional confirmation box the selected files and folders in the Contents window are sent to the standard Windows Recycle Bin.

Delete After the optional confirmation box the selected files and folders in the Contents window are deleted.

Change Attributes Displays the Change Attributes dialog box where the attributes and file times of the selected files and folders in the Contents window can be changed.

Touch Touches the selected files and folders in the Contents window with the current touch settings which include file attributes and file times.
In Explore Views files can be touched recursively.
To setup how files are touched hold down the Ctrl key while clicking this button.

Rename Open FileBoss' powerful control center for renaming the selected files and folders in the Contents window.

Showing and Hiding Toolbars

Toolbars can be displayed either by right-clicking anywhere in a toolbar area and selecting them from the popup menu or by selecting the Windows | Toolbars > command from the main menu.

Changing the Toolbar Size

Both small and large toolbars are available. Changing the toolbar size can be done either by right-clicking anywhere in a toolbar area or by selecting the Windows | Toolbars > command from the main menu and then selecting the Size option.

Displaying the Default Toolbars

Toolbars can be reset to their default positions by using the View | Appearance | Default Layout Look & Feel... command from the main menu and then checking the Toolbars box in Default Appearance dialog.

Other Toolbars

The Main Toolbar (click here)

The Edit Toolbar (click here)

The Select Toolbar (click here)

The Actions Toolbar (click here)

The Go To Toolbar (click here)

The Hide Toolbar (click here)

The Explore View Toolbar (click here)

The File Set View Toolbar (click here)

Ref: H_TOOBAR_ACTIONS


Select Toolbar
The Select Toolbar

Please Note: The buttons on the Select toolbar selected or deselect files and folders in the Contents window. They have no effect on entries in the Navigation window.

Select All Selects all entries in the Contents window.

Select Files Selects all files (not folders).
To deselect all files hold down the Ctrl key while selecting this option.

Select Folders Selects all folders in the Contents view (not files).
To deselect all folders hold down the Ctrl key while selecting this option.

Cancel all Selections If no entries have been selected this option will be disabled.

Reverse Selections

Toggle Sticky Select Mode Sticky Mode allows you to select files without worrying about accidentally deselecting other files. It is similar to always holding down the Ctrl when working in Windows Explorer.
When Sticky Mode is active this button will be highlighted.

Showing and Hiding Toolbars

Toolbars can be displayed either by right-clicking anywhere in a toolbar area and selecting them from the popup menu or by selecting the Windows | Toolbars > command from the main menu.

Changing the Toolbar Size

Both small and large toolbars are available. Changing the toolbar size can be done either by right-clicking anywhere in a toolbar area or by selecting the Windows | Toolbars > command from the main menu and then selecting the Size option.

Displaying the Default Toolbars

Toolbars can be reset to their default positions by using the View | Appearance | Default Layout Look & Feel... command from the main menu and then checking the Toolbars box in Default Appearance dialog.

Other Toolbars

The Main Toolbar (click here)

The Edit Toolbar (click here)

The Select Toolbar (click here)

The Actions Toolbar (click here)

The Go To Toolbar (click here)

The Hide Toolbar (click here)

The Explore View Toolbar (click here)

The File Set View Toolbar (click here)

Ref: H_TOOBAR_SELECT


Go To Toolbar
The Go To Toolbar

The 'Go To' bar is used to quickly find and go to specific files in the Contents window in both Explore and File Set Views.

To go to a specific file
simply click in text field (or use Ctrl+F) and type in the pattern of the name you want to find, e.g. *.DLL and Alice*.jpg. Then to move to the next or previous file that matches that pattern simply click the appropriate arrow button or press F3 or Shift+F3.

To go to the next file that is Selected
press Ctrl+F3 (or use the 'Edit | Go To | Selected File' command from the main menu). Note that the Go To box now displays ':Selected'. You can now use the up and down arrow button (or F3 and Shift+F3) to go to the next and previous entries.

More options
can be found on the 'Edit | Go To >' menu.

Hint: To quickly go to files beginning with a specific character simply press that character on your keyboard. Repeatedly pressing the same character will jump to the next files beginning with the same character.

Showing and Hiding Toolbars

Toolbars can be displayed either by right-clicking anywhere in a toolbar area and selecting them from the popup menu or by selecting the Windows | Toolbars > command from the main menu.

Changing the Toolbar Size

Both small and large toolbars are available. Changing the toolbar size can be done either by right-clicking anywhere in a toolbar area or by selecting the Windows | Toolbars > command from the main menu and then selecting the Size option.

Displaying the Default Toolbars

Toolbars can be reset to their default positions by using the View | Appearance | Default Layout Look & Feel... command from the main menu and then checking the Toolbars box in Default Appearance dialog.

Other Toolbars

The Main Toolbar (click here)

The Edit Toolbar (click here)

The Select Toolbar (click here)

The Actions Toolbar (click here)

The Go To Toolbar (click here)

The Hide Toolbar (click here)

The Explore View Toolbar (click here)

The File Set View Toolbar (click here)

Ref: H_TOOBAR_GOTO


Hide Toolbar
The Hide Toolbar

Hidden files and folders are still in the File Set they just are not displayed and can not be manipulated in any way. Entries that are selected when they are hidden will be automatically deselected.

Hide Folders Hides all folders. This is a toggled state rather than just a one time action. When it is active (the button will be highlighted and the corresponding menu item will be checked) folders will be hidden from all Explore views as you navigate to different folders.

Hide Files Hides all files. This is a toggled state rather than just a one time action. When it is active (the button will be highlighted and the corresponding menu item will be checked) files will be hidden from all Explore views as you navigate to different folders.

Hide Selected Hides any selected entries. If no entries are selected this button will be disabled.

Reverse Hidden files

Show all Entries

Showing and Hiding Toolbars

Toolbars can be displayed either by right-clicking anywhere in a toolbar area and selecting them from the popup menu or by selecting the Windows | Toolbars > command from the main menu.

Changing the Toolbar Size

Both small and large toolbars are available. Changing the toolbar size can be done either by right-clicking anywhere in a toolbar area or by selecting the Windows | Toolbars > command from the main menu and then selecting the Size option.

Displaying the Default Toolbars

Toolbars can be reset to their default positions by using the View | Appearance | Default Layout Look & Feel... command from the main menu and then checking the Toolbars box in Default Appearance dialog.

Other Toolbars

The Main Toolbar (click here)

The Edit Toolbar (click here)

The Select Toolbar (click here)

The Actions Toolbar (click here)

The Go To Toolbar (click here)

The Hide Toolbar (click here)

The Explore View Toolbar click here()

The File Set View Toolbar (click here)

Ref: H_TOOBAR_HIDE


Explore View Toolbar
The Explore View Toolbar

Bookmarks When the down arrow is clicked a list of bookmarks is displayed. Selecting a bookmark will force th current Explore view to display the bookmark's folder.
At the end of the list of bookmarks are menu items for adding a bookmark to the current folder and for editing the list of bookmarks.

Filename Filters Clicking the button toggles the last filename filter on and off.
Clicking the down arrow displays a list of current filters. Choosing a filename filter from the list makes it the active filter and turns it on.
At the top of the list is the Add Filter item that allows you to quickly added a filter.
At the bottom of the list is a menu item allowing you to edit the filename filters.

Parent Folder Moves up one level to the parent of the current folder and displays its contents.

Back One Folder Moves back to the previous folder.

Forward One Folder Moves forward one folder if and only if you have navigated back using the Back One Folder button. If you have not navigated back this button will be disabled.

Folders Location Determine where folders will be displayed in the Explore views. The options are on Top, at the Bottom, or not at all.
Choose from the three options displayed by clicking the down arrow or by clicking the button until the desired option is in effect.

Search and Create File Set Initiate a search to create a File Set with the current folder as the root. The Create File Set control box will be displayed with the path set to the current folder.

Showing and Hiding Toolbars

Toolbars can be displayed either by right-clicking anywhere in a toolbar area and selecting them from the popup menu or by selecting the Windows | Toolbars > command from the main menu.

Changing the Toolbar Size

Both small and large toolbars are available. Changing the toolbar size can be done either by right-clicking anywhere in a toolbar area or by selecting the Windows | Toolbars > command from the main menu and then selecting the Size option.

Displaying the Default Toolbars

Toolbars can be reset to their default positions by using the View | Appearance | Default Layout Look & Feel... command from the main menu and then checking the Toolbars box in Default Appearance dialog.

Other Toolbars

The Main Toolbar (click here)

The Edit Toolbar (click here)

The Select Toolbar (click here)

The Actions Toolbar (click here)

The Go To Toolbar (click here)

The Hide Toolbar (click here)

The Explore View Toolbar (click here)

The File Set View Toolbar (click here)

Ref: H_TOOBAR_EXPLORE


File Set View Toobar
The File Set View Toolbar

Search Again Displays the current search definition for the active File Set in the Create File Set dialog. You can make changes and the re-create the File Set using the new definition.

Sort within Folders Toggles the sort mode to perform all sorts within folders rather than sorting all files in the File Set together. When this feature is active the command button will be highlighted.

New File Set from Folder Initiate a search to create a File Set with the current folder as the root. The Create File Set control box will be displayed with the path set to the current folder.

New Explore View from Folder Creates a new Explore view displaying the currently highlighted folder.

Showing and Hiding Toolbars

Toolbars can be displayed either by right-clicking anywhere in a toolbar area and selecting them from the popup menu or by selecting the Windows | Toolbars > command from the main menu.

Changing the Toolbar Size

Both small and large toolbars are available. Changing the toolbar size can be done either by right-clicking anywhere in a toolbar area or by selecting the Windows | Toolbars > command from the main menu and then selecting the Size option.

Displaying the Default Toolbars

Toolbars can be reset to their default positions by using the View | Appearance | Default Layout Look & Feel... command from the main menu and then checking the Toolbars box in Default Appearance dialog.

Other Toolbars

The Main Toolbar (click here)

The Edit Toolbar (click here)

The Select Toolbar (click here)

The Actions Toolbar (click here)

The Go To Toolbar (click here)

The Hide Toolbar (click here)

The Explore View Toolbar (click here)

The File Set View Toolbar (click here)

Ref: H_TOOBAR_FILESET


File

The File Menu

New Explore View    (Ctrl+F5)
Opens a new Explore View. The initial folder for the View depends on the last folder to be viewed.
To open a new Explore view for a specific folder right-click on that folder and then choose Folder Tools | Explore Folder in New View from the popup menu.
For more about Explore Views and exploring your file system click here.

New Explore View From Bookmark       >
Displays a list of folder bookmarks which will b displayed in a new Explore View.
For more about bookmarks click here.

New File Set (Search)...    Ctrl+N
Opens the Dialog for entering your search criteria for finding files and creating File Sets.
For more on creating and using File Sets click here.

New File Set from Template      >
Creates a File Set from a previously defined template. Templates are simply a search definition that has been saved so it can be reused. Templates are saved in the Create File Set dialog.
For more on creating and using File Sets click here.

Open Saved File Set...   Ctrl+O
Displays a dialog from which a previously saved File Set can be selected to open. File Sets saved as definition files and as complete File Sets can be opened.

Compare Folders...
Initiates FileBoss' powerful routines for comparing, merging and/or purging two folders, paths or drives.
For more about comparing files and folders click here.

Save   >
Definition File   Ctrl+Alt+S
File Set   Ctrl+S
(These commands are not available when an Explore View is active.)
These commands to save an active File Set to disk so that it can be used again.
When a File Set is saved as a Definition File only the search definition is saved. When this type of File Set is reopened the search will be executed to create a new File Set
When a File Set is saved as a complete File Set all of the entries for the files and folders will be saved to disk. When this type of File Set is reopened all of the entries will be restored exactly as they were when the File Set was closed - no matter what has happened to the actual file on disk.

Save As   >
Definition File
File Set
(These commands are not available when an Explore View is active.)
These commands do exactly the same as their 'Save' counterparts above except they will always prompt you for a new filename under which to save the File Set.

Properties...
Displays the FileBoss properties box. What properties are displayed, e.g. for the File Set, a folder or a file, depends on what is active at the moment.
To display the native Windows properties box use the Edit | Properties... command from the main menu.

Open Window List...
Displays a group of Views (Explore and File Sets) that were previously saved.

Save Window List...
Saves all the currently open views to a file you select. When this file is opened with the Open Window List... command above all of the views will be restored.

Wizards      >

Recent Files
Displays any File Sets that have been previously saved to disk.

Close this Explore View   Ctrl+F4
Close this File Set   Ctrl+F4
Closes the active View

Exit FileBoss   Alt+F4
Use this command to end your FileBoss session. You can also use the Close command on the application Control menu. FileBoss prompts you to save documents with unsaved changes unless the prompt to save option has been turned off.

Ref: H_MAIN_MENU_FILE


Edit

The Edit Menu

Copy     Ctrl+C
Copies the currently selected items to the clipboard. If the Navigation window is active its current folder will be put on the clipboard. If the Contents window is active all selected files and folders will be put on the clipboard. If the Contents Window is active and no files or folders are selected this item will be disabled.

Paste     Ctrl+V
Copies the files from the clipboard into the folder that has the focus. If the Navigation window is active the current folder will be used. If the Contents window is active they will be copied into the folder that is highlighted.
If there are no files on the clipboard or If no folder is highlighted the Paste command will be disabled.

Go To         >
All of the commands on this menu can also be executed using the Go To toolbar. Where the Up and Down arrow keys will go to the next or previous occurrence of whatever is entered in the drop down list box.

By Filename...             Ctrl+F
Activates the Go To toolbar and places the cursor in the edit box. Type in the file you want to find (using the * and ? for pattern matching) and then click one of the arrow buttons on either side.
For more about click here.

Specific Folder...        Ctrl+F8
Activates a dialog where you can enter a folder to go to directly. You can either type the path to the folder or paste it from the Clipboard (Ctrl+V).

From more about this dialog and going directly to a specific folder click here.

Selected File             Ctrl+F3
Goes to the first file that is selected. After going to the first selected file press F3 or Shift+F3 to go to the next or previous selected file as appropriate.

Next Folder                Ctrl+D
Moves directly to the first folder below the currently highlighted entry. After going to the folder press F3 or Shift+F3 to go to the next or previous folder file as appropriate.

Next Error           Ctrl+Shift+E
Moves directly to the first entry that caused an error on the last operation, e.g. a file that could not be copied. Files that caused errors are typically highlighted in red. After going to the first error press F3 or Shift+F3 to go to the next or previous entry that caused an error as appropriate.

Next                           F3
Goes to the next Go To object that was last found. It could be a file, a folder, a selected entry or an entry that caused an error.

Previous                 Shift+F3
Goes to the previous Go To object that was last found. It could be a file, a folder, a selected entry or an entry that caused an error.

Bookmark   >
(Only available when an Explore Views is active.)
Displays a list of bookmarks. Selecting one of the bookmarks will move the current folder to the bookmark and display its contents.
For more about bookmarks click here.

Search...
Displays a dialog for initiating a search to create a File Set with the currently highlighted folder as the root of the search.
(If a file is the currently highlighted entry this option will be grayed and unavailable.)
For more about searching and creating File Sets click here.

Copy Names to Clipboard         >
Presents two ways to copy the currently highlighted entry to the clipboard and two ways to copy all of the selected entries to the clipboard.
The first way copies only the name, e.g. supper.dll, with the second copies the full path and name, e.g. C:\Windows\system32\super.dll.
You can specify the format of the names on the clipboard.
For more about copying names to the clipboard and setting the formats click here.

Remove from File Set     Ctrl+Del
Removes all the selected files and or folders from the File Set. This command does not delete or affect in any way the actual files on disk!
For more information about removing entries from File Sets click here.

Attributes...     Ctrl+M
Displays the FileBoss properties box that shows properties for a number of different objects. Which object it will default to depends on the state of the program when this command is issued.
The Properties Dialog floats on top of all other windows so it can be left open while you continue to work in file Boss
Properties Dialog

Properties...
Displays the standard properties box for the file or folder that is currently highlighted. This is the same dialog that would be displayed by the Properties command in Windows Explorer. What the box displays depends on the type of entry or entries that is highlighted and the version of Windows.

New Folder
Creates a new sub-folder in the currently highlighted folder. If the Contents window is active and the highlighted entry is not a folder this command will be disabled.

Refresh Folder Contents
In Explore View
Re-scans the current folder and updates the display of the Contents View.

In File Set View
Performs a complete search according to the original definition for the File Set and updates the display.

Ref: HID_MENU_HELP_EDIT


Select

The Select Menu

Many of these command can be found on the Select Toolbar

Select...
Deselect...
Opens the Select - Deselect Files dialog where files in the current Explore View or File Set can be selected by file pattern matching (multiple patterns can be specified at one time), file attributes, file size, file times in any combination.
When Deselect... is chosen the dialog will default to deselecting files.
If no entries are selected the Deselect... option will be disabled.
From more information about Select - Deselect Files Dialog click here.

All   Ctrl+A
Selects every file and folder in the Contents Window

Files
Selects file in the Contents Window.
Holding down the Ctrl key while clicking this option will deselect all files.

Folders
Selects folders in the Contents Window.
Holding down the Ctrl key while clicking this option will deselect all folders.

None   Ctrl+E
Deselects any files or folders that are currently selected.

Reverse
Marks all selected entries as unselected and all unselected entries as selected.

Sticky Selections
Sticky Selections controls the action performed when the left mouse button is clicked on an entry. When the Sticky Selections is turned off, clicking on an entry selects that entry and deselects all other entries. Pressing the control key allows selections to be additive.
When Sticky Selections is on, clicking on an entry selects that entry but does not deselect other entries. Pressing the control key while Sticky Selections on cancels Sticky Selections for that one mouse click.
In addition, when Sticky Selections is on, multiple ranges can be selected by clicking on the first file in the range and then holding down the shift key and clicking on the last file in the range.
Sticky Selections can be turned on and off from either the Select menu or from the popup menu (right click) in the Contents Window.

Lock Selections
Prevents the selection status of any entry from being accidental changed by mouse clicks. Entries can still be selected or deselected using the other commands or the Select - Deselect Files Dialog

Statistics...
Displays the Properties dialog with information about the number, type and size of the selected entries.

HID_MENU_HELP_SELECT


Sort

The Sort Menu

Default   Ctrl+T
Applies the default sort to both Explore and File Set views.
For Explore Views the default sort is by filename and then extension.
For File Sets the default sort is by directory tree then filename and extension.

Quick Pick      >
Sorts by one to common criteria listed. Most of these sorts can also be achieved by clicking the appropriate column. But these sorts work even if the corresponding column is not displayed.
To reverse a sort either click the same item twice or hold down the Ctrl key while selecting the item with the mouse.

Refresh
Re-applies the last sort in case some operation has changed the order of the entries.

Advanced...
Displays the Advanced Sort dialog where extremely sophisticated sorts can be performed.
For more information on the Advanced Sort dialog click here.

Reapply Advanced
Applies the last sort defined in the Advanced Sort dialog. Provides a quick way to apply the sort without having to reopen the dialog.

Reverse Order
Reverses the current sort.

Selected to Top   Alt+F3
Sorts the Contents window with all selected files at the top. This makes it very easy to review which files and folders are selected.

Ref: HID_MENU_HELP_SORT


Actions

The Actions Menu

Many of these command can be found on the Actions Toolbar

Please Note: that these Actions are only applied to selected files and folders in the Contents Window not to folders in the Navigation Window.
If no entries are selected in the Contents window these actions will be disabled.

Open
Opens the selected entries with the program that is associated with each entry's file type.

Copy To...   F7
Copies the selected entries in the Contents window to a destination of your choice. Entries can be copied simply or with great control.
For more information about Copying files click here.

Move To...   Ctrl+F7
Moves the selected entries in the Contents window to a destination of your choice. Entries can be moved simply or with great control.
For more information about Moving files click here.

Duplicate...   Shift+F7
Makes duplicates of the selected entries in the Contents window.
The duplicates will be created in the same folder as the originals but with altered names. You define how you want the filenames altered in the dialog that will open before the files are duplicated.
For more information about Duplicating click here.

Update...   Alt+F7
Opens the Update Files dialog where you can specify a destination for the files that should be updated.
Updating files is a special copy mode where the files are only copied to the destination folder if the target files already exist but are out of date.
The normal Copy To dialog can also be used to update files by checking the Copy only if Target Exists check box in the Advanced area.
Just like the normal copy routine except that files are
For more information about Updating (Refreshing) files and folders click here.

Rename...   Ctrl+R
Opens the Rename Selected Entries dialog where you specify how to rename and/or convert the selected file and folder names quickly and easily in many different ways.
You can confirm every new name before it is applied or let FileBoss apply the changes automatically.
For more information about Renaming Files and Folders click here.

Rename Again...   Ctrl+Alt+R
Re-applies the last criteria for renaming files and folders to the currently selected items. FileBoss will open a confirmation dialog where you can confirm every new name before it is applied or let FileBoss apply the changes automatically.
Since FileBoss remembers how you last renamed files even between sessions using this command to rename files in the same manner as you did before is quicker than opening up the Rename Selected Entries dialog each time.

Quick Rename...   Ctrl+Shift+R
Presents each selected entry in a convenient, simple Rename dialog where you can easily change the name and or extension.

Change Attributes...
Displays a dialog where you can specify how the selected files' and folders' attributes and/or file times should be changed.
For more information about changing files click here.

Touch   F9
Displays a dialog where you can specify how the selected files' and folders' attributes and/or file times should be changed.
It is even possible, in Explore View, to touch files recursively down through sub-folders.
For more information about Touching files and folders click here.

Touch Setup...   Ctrl+F9
Displays the Touch Setup dialog where various options for touching files can be set.
For more information about setting up the Touch command click here.

Delete...   Shift+Del
Deletes the selected files and folders.

Recycle...   Del
Sends the selected files and folders to the Windows Recycle Bin.

Advanced   >
Paste into Selected Folders...
Pastes all of the files and folders copied to the clipboard into each of the folders selected in the Contents view thus distributing those files.
For more information about Distributing files by Pasting into Selected Folders click here.

Replicate Folder Trees...
Makes a copy of all the selected folders and their sub-folders without copying any of the files they contain. When selected this command will display a dialog box where you specify the destination folder under which the Folder Trees should be created.
For more information about Replicating Folder Trees click here.

Destroy...
Use this command to destroy selected files. The Destroy command acts just the same as the Delete command except that before deleting the file it erases the file's contents and then truncates the file to 0 length thus preventing the file from being undeleted.

Ref: HID_MENU_HELP_ACTIONS


Tools

The Tools Menu

Drive Properties   >
Lists all the known drives on your system. Selecting one of the listed drives displays the Windows Properties box for that drive.
Map Network Drives...
Disconnect Network Drives...
Opens the Windows dialog box for mapping or disconnecting network drives respectively.

Special Folders...
Displays a list of all the special Windows folders and their current locations. Clicking one of the entries will display the folder in an Explore view. Examples of special Windows' folders are My Documents, Windows and Program Files.
For more information about the Special Folders dialog click here.

Show Recycle Bin
Displays the Windows Recycle bin in its normal window.

Show Recent Documents   Ctrl+U
Opens the Recent Documents folder in an Explore View.

Find Duplicates...
Displays the control dialog for finding duplicate files.
If you want to find duplicates across many folders or along a path create a File Set first and then find the duplicates within the file set.
For example, to find all duplicates on drive C:\ create a File Set with C:\ as the root and then find duplicates within that File Set. To speed up the process or to limit the results, either created the File Set with only certain types of files or select the files you want to check for duplicates before issuing this command.
For more about the finding duplicate files click here.

Find Text...
Finds files in the Contents window containing the specified text. To find files containing specified text in multiple folders or along one or more paths create a File Set first. To speed up the process you can specify file patterns of files to either specifically include or exclude from the search.
For more about the finding duplicate files click here.

External Tools   >
Displays a list of the currently installed external tools. Start a tool by clicking on its entry. External tools may be connected to specific file patterns in which case they will not be displayed unless a file matching that pattern is highlighted in the Contents window.
For more about the finding duplicate files click here.

Auto-Viewers On/Off   >
Displays a list of the currently installed external tools. Start a tool by clicking on its entry. External tools may be connected to specific file patterns in which case they will not be displayed unless a file matching that pattern is highlighted in the Contents window.
For more about the finding duplicate files click here.

Default Drop Mode   >
Sets the default drop mode when dragging files to folders in either the Navigation or Contents windows.
By default FileBoss will always start up in Copy mode. This can be changed in the General panel of the Options dialog. Click here to see how to set this option.
Copy
Move
Create Shortcuts

For more about the finding duplicate files click here.

Options...
Displays the main options dialog from which FileBoss' vast array of visual and functional options can be set.
For more about the options dialog and it various panels click here.

Export Options...
Import Options...
Displays dialogs for selecting the file to save or restore the program options. Most of FileBoss' options, dialogs settings and field contents are saved in this file. Only a few settings are kept in the registry, mainly the window and toolbar settings and placement as well as the name and location of the options dialog itself.

Ref: HID_MENU_HELP_TOOLS


View

The View Menu

Hide/Unhide      >
Show All                  F11
Folders               Alt+F11
Files               Shift+F11
Selected             Ctrl+F11
Reverse        Ctrl+Shift+F11
This series of commands hide from view or show the specified types of files and folders. Hidden files can not be selected and when will loose any selected status they may have had.
These commands will be disabled whenever there are no relevant matching entries for the commands.
Both the Folders and Files commands are toggled states rather than just a one time actions. When active (the button will be highlighted and the corresponding menu item will be checked) the relevant entries will be hidden from all Explore views as you navigate to different folders.

Show Toolbar
Toggles the display of the Hide toolbar. If you are using these commands a lot it might be more convenient to display the Hide toolbar and click on its command buttons.

Columns           >
Displays a list of all the available columns for the Contents window. Columns can be activated and hidden by clicking on their entry in the list.
Columns can also be configured by right-clicking the mouse over any column header in the Contents window.
To learn more about configuring the columns in the Contents window click here.

File Tip Balloons   >
Displays the fields that can be displayed in the file tips (when the cursor hovers over a filename in the Contents window) and under what conditions these tips will be displayed. The fields and conditions can be toggled by selecting the appropriate entry in the list.

Highlight Errors
Toggles whether or not FileBoss will highlight entries that caused errors during the last action (such as when a file could not be copied because it or its target was open in another application). By default files that caused errors are highlighted in read.
You can skip from one error entry to the next using the Edit | Go To | Error File command and then repeatedly pressing F3.

View Result Logs   >
Summary
Details
Errors
Displays the appropriate result log if it has been saved to disk.

Appearance      >
Use Tabbed Documents
Toggles the display of the tabs near the top of the FileBoss window that represent the open views. The default is on. When turned off FileBoss presents a more traditional Windows interface.

Default Layout, Look & Feel...
Opens a dialog log where you can choose which visual features of FileBoss should be returned to their default state.
For more information on re-setting the default look and feel of FileBoss click here.

Always on Top
Forces FileBoss to stay on top of all other Windows even when it is not the active application. Normally this is used when File Set view is being used to frequently drop files on other applications such as paint programs, document processors etc.

Ref: HID_MENU_HELP_VIEW


Window

The Window menu

Drop Zones      >
(For detailed information about Drop Zones click here.)

Show                      F8
Toggles the display of the Drop Zone List Box. If the List Box is open when FileBoss closes it will be re-displayed when FileBoss starts again.

Create (One or More)...
Displays a folder selection dialog where you can select multiple folders to create Drop Zones. This is convenient if you multiple, related folders that you want to create Drop Zones for.
If the Drop Zone List Box is not visible it will be automatically displayed.

Create from Selected
Creates one or more Drop Zones from selected folders. If the Navigation window is active one Drop Zone will be created from the current folder. If the Contents window is active Drop Zones will be created from all selected folders.
If the Drop Zone List Box is not visible it will be automatically displayed.

Lock On Top
When Lock on Top is checked the Drop Zone List Box will remain visible and enabled even when you minimize FileBoss, i.e. it will remain on top of all other programs and you will be able to drop files from other programs on the Drop Zones.
To show FileBoss again, click on the target icon on the system tray or click the Show FileBoss button.

Graphic Preview   Shift+F5
Displays the internal Graphic Preview window that will automatically display most image files when they have the focus in the Contents window. Graphics can be rotated to the right and left right in the Graphic Preview window.
For more details on using the Graphic Preview window click here.

Results Window   Ctrl+W
Toggles the display of the Results windows.
Note that the Results windows (Summary, Details and Errors) keep recording activity even when they are not displayed so you can turn the Results windows on after an action is over and still see the results of that action.

Toolbars      >
Displays a list of all available toolbars. Individual toolbars can be toggled on and off by clicking on the appropriate item.
Reset Toolbars...
After a confirmation dialog the toolbars will be displayed in their default position and style.

Size
Changes the size of the toolbars to either small or large.

Cascade
Tile Horz
Tile Vert
Standard Windows command to arrange multiple Explore and File Set views.

Ref: HID_MENU_HELP_WINDOWS


Explorer

The Explore Menu

New Explorer View   Ctrl+F5
Creates a new Explore view based on the same folder as the most recent Explore View

Select Filename Filter   >
Displays a list of Filename filters.
Select one of the displayed filters to activate it.

Filename Filter On   Ctrl+Q
Quickly toggles on and off the most recent Filename Filter.
For details about Filename Filters click here.

Edit Filename Filters...
Displays a dialog for editing the list of Filename filters. Filters can be change, deleted, created and the order in which they are displayed changed.
For details about Filename Filters click here.

Advanced Filter On   Ctrl+Alt+Q
Quickly toggles on and off the Advanced File filter.
For details about the Advanced File Filter click here.

Edit Advanced Filter...
Edits the Advanced File Filter.
For details about the Advanced File Filter click here.

Display Folders at      >
Top
Bottom
None
Specifies where folders will be listed in the Contents window of Explore views. If 'None' is selected folders will not be displayed at all.

Up   Ctrl+Up Arrow
Back   Ctrl+Left Arrow
Forward   Ctrl+Right Arrow
Moves the current Explore view up one folder, back to the previous folder or forward one folder respectively.
The 'Forward' command will be disabled until the 'Back' command has been used.

Full Explorer Options...
Displays the Options dialog for setting options specific to Explore views.
For complete details on setting options specific to Explore views click here.

Ref: HID_MENU_HELP_EXPLORE


Help

The Help Menu

Show Help Guide...   Ctrl+G
Displays a floating dialog from which you can easily access the main help system for specific topics.

Help Guide

For more on using the Help Guide click here.

How to do Everything!
Invokes the help file and displays a help map to various, frequently needed topics.

Getting Started
Invokes the help file and displays important information for first time users including and overview of how to get the most out FileBoss.

Contents
Displays FileBoss' standard help file.

Help Pointer
Provides help for menu items and toolbar buttons. The mouse pointer will change to an arrow and question mark. Click on a menu item or toolbar button to get help with that command.

Check for Updates
Connects to the Internet and checks for updates and more recent versions of FileBoss.

About FileBoss
Displays version and status information about this copy of FileBoss.

Ref: H_MENU_HELP


Creating File Sets from Templates
Automatically Creating File Sets from Templates

File Sets can be quickly created using named search templates that have been saved.
The templates are defined and saved in the Create File Set dialog (see).
In that dialog you can save the template at any time.

Saving & Using Templates
File Set Templates are saved in the Create File Set dialog using the following field in that dialog:

Saving & Using Templates

Templates allow you to save the current settings in the dialog as a named group that can be selected and reused later. (FileBoss stores and remembers the Templates even when the program is closed.)
To save the current settings as a named template click the Template button.
To use a template simply select it from the drop down list (click the down arrow to the left of the field).

In addition to selecting templates in the Create File Set dialog they can also be selected directly using the list of templates File | New File Set from Template... main menu command or by clicking the down arrow to the right of the Create New File Set command button as show bellow

Action
To have FileBoss create a File Set from a template simply click on the desired title and FileBoss will start collecting the File Set immediately.

Ref: HID_QUICK_FILESET_HELP


Help Guide
Quick and Easy Help Gude
The Help Guide ( [image], Ctrl-G or Help | Show Help Guide...) displays a small floating dialog providing quick access to many useful topics in the main help system. The topics it contains also provide a great overview of what FileBoss can do.
By default the Help Guide is displayed automatically when FileBoss first starts and it will display a different topic from the Help file each time. Either or both of these behaviors can be turned off using the two check boxes at the bottom of the dialog.

· Double-click an entry to display topic in help window
· The Help Guide can remain open while you work
· Closing the Help Guide will not close any Help Windows
· Opens when FileBoss starts if it was open when FileBoss last closed.
· Open or Close by
Pressing Ctrl-G
Selecting 'Help | Show Help Guide...' from main menu
Clicking the command button

Help Guide

Ref: HIDD_HELP_GUIDE


About FileBoss
The About Box Screens
Which tabs are displayed depends on the version and registration status of FileBoss.

General
Displays the version number and copyright notice. Version will be necessary when contacting FileBoss support.

Contact
Provides on click access for sending email to The Utility Factory.
If for some reason these links do not work with your email program or browser the links are:
Home Page: www.TheUtilityFactory.com
Support Pages: www.theutilityfactory.com/support/support.htm
Sales Email sales@theutilityfactory.com
Support Email support@theutilityfactory.com

Status
Displays the location of FileBoss and its main files on your computer.
You can copy any of the paths to the clipboard by highlighting them with mouse (they will scroll to the left if the paths are too long for the width of the dialog).

Expiration Notice
The Expiration dialog will be displayed when a trial version of FileBoss has expired.

Ref: HIDD_ABOUT_FILEBOSS


Trial Vesion Notice

The Trial Version Notice

When does this screen appear?
This screen appears when FileBoss is first started and the program is still in its free trial mode period. If you have purchased a license for FileBoss press the Enter Registration Name & License Key button to enter that information now and unlock the full potential of FileBoss.

You can return to this screen at any time (while still in the trial mode period) using the Help | About FileBoss command from the main menu.

Clicking the BUY Now button will open your browser and connect you to the The Utility Factory's store on the Internet where you can purchase a license for FileBoss and recieve your key by email, usually within minutes.

If for some reason FileBoss can not connect to The Utility Factory's website you can start your browser and point it to:
www.theutilityfactory.com/buy/buy_now.htm

Ref: HIDD_ABOUT_PAGE_TRIAL


Expired Version Notice

The Expired Version Notice

When does this screen appear?
This screen appears when the free trial period has expired and FileBoss is started. If you have purchased a license for FileBoss press the Enter Registration Name & License Key button to enter that information now and unlock the full potential of FileBoss.

If you have not purchased a registration key you will not be able to use FileBoss until you do.

Clicking the BUY Now button will open your browser and connect you to the The Utility Factory's store on the Internet where you can purchase a license for FileBoss and recieve your key by email, usually within minutes.

If for some reason FileBoss can not connect to The Utility Factory's website you can start your browser and point it to:
www.theutilityfactory.com/buy/buy_now.htm

Ref: HIDD_ABOUT_PAGE_EXPIRED


Entering Your Registration Information

Entering Your Registration Name & Key
How to Display the Registration Screen
You can bring up this dialog from the Trial Reminder screen, the Expiration Notification (displayed when the trial period has expired) or by using the Help | Enter Registration Key command from the main menu.

Entering Registration Information

If you have an email with the registration name and key, simply copy the whole email to the clipboard and then press the Paste from Clipboard button. Alternately you can type in or paste the name and key code into their respective fields individually.

If you copy the email or to the clipboard before calling this dialog FileBoss will attempt to register itself immediately.

Buying FileBoss at The Utility Factory's Website

Clicking the BUY Now button will open your browser and connect you to the The Utility Factory's store on the Internet where you can purchase a license for FileBoss and receive your key by email, usually within minutes.

If for some reason FileBoss can not connect to The Utility Factory's website you can start your browser and point it to:
www.theutilityfactory.com/buy/buy_now.htm

Pasting Registration Information from the Clipboard

Typically you will receive an email with the name and key code that must be entered to activate you license for FileBoss.
If you have such an email either copy the whole email to the clipboard (most commonly by pressing Ctrl-A and then Ctrl-C) or use the to select the part of the email that contains the name and key as shown below:

==================================
::FileBoss Version [1.2]
::Registered Name  [Alfred Newman]
::Key [890016-MBMQNX-7NHP2G-97N5JJ-3ITRWR-
    0BC52R-9UEF2D-ED687X-MZGUYP-KHGBQW]
==================================
Once it has been selected press Ctrl-C to copy it to the clipboard.

After the information has been copied to the clipboard return to this dialog and press the Paste from Clipboard button. FileBoss will examine the clipboard and paste the name and key code into the appropriate fields.

Entering the Registration Key

Enter the registration key that was sent to you when you purchased FileBoss
The registration key code can be found in the confirmation emails that were sent to you. Typically the registration key code will appear as it does in the highlighted section below. (Do not include the brackets '[]' when entering the name.)
Usually the key code is 60 characters long separated into ten groups of six.

==================================
::FileBoss Version [1.2]
::Registered Name  [Alfred Newman]
::Key [890016-MBMQNX-7NHP2G-97N5JJ-3ITRWR-
    0BC52R-9UEF2D-ED687X-MZGUYP-KHGBQW]
==================================

Entering the Registered Name

Enter the name under which this copy of FileBoss has been registered.
The registered name is the name you gave when you purchased FileBoss and can be found in the confirmation emails that were sent to you. Typically the registered name will appear as it does in the highlighted section below. (Do not include the brackets '[]' when entering the name.)

==================================
::FileBoss Version [1.2]
::Registered Name  [Alfred Newman]
::Key [890016-MBMQNX-7NHP2G-97N5JJ-3ITRWR-
    0BC52R-9UEF2D-ED687X-MZGUYP-KHGBQW]
==================================

Ref: HIDD_ENTER_REGISTRATION_INFO


Bookmark Editor

Edit Bookmarks
Using the Bookmark Editor to Edit, Add, Delete and Sort Bookmarks

Bookmark Editor

Separating the display name and path portions of a bookmark.
The entry can be in two parts separated by the open chevron character, '>'. The first part is the name of the bookmark and is the part that is displayed in folder's pane and in the drop down list from the Explorer button. The second part is the actual path to the folder that should be displayed.
Example:
Jane's Pictures > C:\My Documents\My Picutres\Jane
Would display 'Jane's Pictures' in the list of bookmarks and, when clicked, go to the folder: C:\My Documents\My Picutres\Jane

Resetting bookmarks to the default entries.
To refresh the default list of bookmarks delete all bookmarks and click OK. The dialog will close and the list of bookmarks will be filled with default bookmarks.
Adding and Editing Bookmarks
Highlight an item and press 'Edit' or just press 'Add' to edit/add new Bookmarks.

Editting a Bookmark

Ref: HIDH_EDIT_BOOKMARKS_DLG
Ref: HID_HELP_FOR_BOOKMARKS


Report View Columns

Columns in the Contents Window
Configuring the Columns in the Contents Window
Columns in Contents window can be moved around, re-sized and added or deleted when every you want.
FileBoss will remember the column settings individually for each type of View, Explore, File Set and Compare. So if you change the column settings in an Explore window those setting will be used for all new Explore Views but the changes will not affect File Set or Compare Views.

The Column Header Bar

To Change the order of the Columns
Click and hold the left mouse button over the title of the column you want to move (on the header bar shown above) and then drag the column to its new position.

To Change the Width of a Column
Move the cursor over the separator on the column bar and to the right of the column you want to resize and then click and drag the column to its new width.

To Add and Delete Columns
Right-click anywhere on the header bar to display the list of available columns shown below. Simply check and uncheck the columns you want to change. As you change each columns status the change will be reflected immediately on screen.

Ref: HIDD_RPT_VIEW_COLS


Displaying a Specific Folder
Navigating to a Specific Folder

To have FileBoss display a specific folder you enter either manually or by pasting from the clipboard select Edit | Go To | Specific Folder.. from the main menu or press Ctrl-F8 and the following dialog will appear.

Enter the full path of the folder. If you are pasting the path to a file from the clipboard there is no need to remove the filename as FileBoss will automatically display the folder that contains it.
But if the path you past is enclosed in quotation marks, remove the after pasting the text into the box.

You can also use Meta Folders in this dialog just like in the Create File Set and Search Dialogs. An example is shown in the following dialog and an explanation of Meta Folders and a complete list follow.

Bookmarks are also treated as Meta Folders by FileBoss so you can insert a bookmark name in the angle brackets to specify the full path of the bookmark.

Meta Folder Names
The following is the full list of Meta Folders that FileBoss recognizes along with their short abbreviations.
To use a meta folder simply enclose its name or abbreviation between angle brackets, e.g. <Windows> or <W>.
You can also add on to Meta Folders such as <Windows>\system32 will display the system32 folder on under your Windows folder.

Meta Folder
Abbrev
Windows
W
CD Burn Area
CDBA
Cookies
C
Desktop
D
Fonts
Fonts
History
H
My Documents
MD
Favorites
F
My Music
MM
My Pictures
MP
My Video
MV
Program Files
PF
SendTo
ST
StartMenu
SM
StartUp
SU
System
S
SystemX86
S86
Templates
T
User Profile
UP
Admin Tools
AT
Admin Tools - Common
<NA>
App Data
AD
App Data - Common
<NA>
App Data - Local
<NA>
Desktop Dir
DD
Desktop Dir - Common
<NA>
My Documents - Common
<NA>
Favorites - Common
<NA>
Internet Temp Files
ITF

Ref: HIDD_GET_ONE_LINE_TEXT


Delete, Recycle or Destroy Files

Recycle / Delete / Destroy Files
Confirm Recycle, Delete or Destroy One or More FileS

Confirmation (Warning) Settings

When the Confirm option is selected FileBoss will stop and ask you to confirm a file should be deleted (or recycled) if it has special attributes, such as hidden, system, read-only, is executable etc.
You can change what type of files FileBoss will stop at using the Tools | Options... command from the main menu (or clicking its command button ) and then selecting the Warnings panel.
Which icon is displayed depends on the operation:

Recycle, [image] Delete, [image] Destroy

Ref: HIDD_DEL_RECYCLE


Exit Options
What it does
This Exit Options dialog allows you to exit FileBoss without saving any options or setting or any other values to the registry. You can even use it to remove all entries in the Windows Registry controlled by the program.

These options are available if:
· The Ctrl and Shift keys were held down when you selected the Exit item from the File menu or you clicked on the close button on the title bar
· The program was started while holding down the Ctrl and Shift. (Doing so prevents FileBoss from loading any of its options and settings effectively making it act like this was the first time it was used.

Exit Options Dialog

Normally
All options will be saved to disk and the registry just as they would when exiting FileBoss normally

Without Saving Options
Will exit FileBoss but will not save any options to its data file nor change any registry settings.

Remove Registry Entries
Exits FileBoss just as the above option, but in addition removes the following keys from the Windows Registry:
HKEY_CURRENT_USER\Software\The Utility Factory\FileBoss and all its sub-entries
And its five file associations:
HKEY_CLASSES_ROOT\.fbexplore
   HKEY_CLASSES_ROOT\.fbfileset
   HKEY_CLASSES_ROOT\.fbopts
   HKEY_CLASSES_ROOT\.fbwins
   HKEY_CLASSES_ROOT\.fbdzones
This option is convenient if you are just using FileBoss for a short time on one computer and want to clean up after you exit. If you performed a full install of FileBoss you should use the uninstall routine to clean up FileBoss if you are removing the program from your computer.

Ref: HIDD_EXIT_OPTIONS


Image Viewer

Image Viewer - Full View

Image Viewer - Full View

FileBoss' Internal Image Viewer
· Really handy when renaming, sorting and pruning photos
FileBoss' viewer allows you to see the current image (as a thumbnail, full sized or zoomed) without interfering with your work. You can rename, copy, delete or perform any other file operation making these operations - and most importantly the decisions behind them - much easier.
· Floats on top of other windows
The image view floats on top of all other FileBoss windows. Put it anywhere you want and get on with your work.
And you can close and open the viewer simply by clicking its command button, pressing
· Can rotate images and automatically save them
If you want you can quickly rotate images using the Arrow keys on the key pad while holding down the Alt key. And if you are doing many you can tell FileBoss to automatically save the changes when you move to a new picture so that you aren't constantly interrupted to confirm that the file should be saved. Naturally you can turn this option on and off.
· Thumbnail, full sized or zoomed views with just two clicks
The Image view has two states: thumbnail and regular window. The thumbnail state shows the graphic sized to completely fit within the viewer. When the viewer is a regular window the graphic will be displayed normal size or zoomed to a size of your choice (see the graphic links below).
To change between the two views simply double-click the Image viewer window.
· Persistent, of course
When you close the Image viewer (or FileBoss itself) FileBoss will remember how the image view was last displayed and use those settings when it is used again.
· Supported Image Types
The image view supports the following types of image files (though there may be variations of some types that are not supported):
BMP, GIF, ICO, J2K, JAS, JBG, JPG, MNG, PCX, PNG, TGA, TIF, WBMP, and WMF.

Ref: HIDD_IMAGE_VIEWER


Special Folders
Information about Special Windows Folders
Windows has a number of special folders such as My Documents and My Programs that are located in different location on you system depending on the version of Windows, the way you computer is set up - both for hardware and software - and who is currently logged on to the system.

FileBoss can give you agreat deal of information about these special folders on your system.

From the main menu select 'Tools | Special Folders..' to bring up the following dialog.

Special Folders List
( 'Tools | Special Folders...')

Special Folders List

Below are explanations of all the possible folders through Windows 2003.

Admin Tools
File system directory used to store administrative tools for an individual user. The Microsoft Management Console (MMC) saves customized consoles to this directory, and it roams with the user.
Example: C:\Documents and Settings\John\Start Menu\Programs\Administrative Tools\
Programmer's symbol: CSIDL_ADMINTOOLS

Admin Tools, Common
Folder that contains administrative tools for all users.
Example: C:\Documents and Settings\All Users\Start Menu\Programs\Administrative Tools
Programmer's symbol: CSIDL_COMMON_ADMINTOOLS

App Data
Default folder for storing application-specific data files.
Example: C:\Documents and Settings\John\Application Data
Programmer's symbol: CSIDL_APPDATA

App Data, Common
Application data for all users.
Example: C:\Documents and Settings\All Users\Application Data
Programmer's symbol: CSIDL_COMMON_APPDATA

App Data, Local
Default folder for storing local (nonroaming) applications.
Example: C:\Documents and Settings\John\Local Settings\Application Data
Programmer's symbol: CSIDL_LOCAL_APPDATA

CD Burn Area
File system folder used to hold data for burning to a CD.
Example: C:\Documents and Settings\John\Local Settings\Application Data\Microsoft\CD Burning\
Programmer's symbol: CSIDL_CDBURN_AREA

Cookies
Default folder for storing Internet cookies.
Example: C:\Documents and Settings\John\Cookies
Programmer's symbol: CSIDL_COOKIES

Desktop
Windows desktop: All of the items you see on the screen that represent real files and folders. See also Desktop, Common and Desktop Directoy.
Example: C:\Documents and Settings\John\Desktop
Programmer's symbol: CSIDL_DESKTOP

Desktop Dir
Folder that physically stores file objects on the desktop (this may or may not be the same folder as the Desktop folder itself). See also Desktop, Common and Desktop.
Example: C:\Documents and Settings\John\Desktop
Programmer's symbol: CSIDL_DESKTOPDIRECTORY

Desktop Dir, Common
Folder that contains files and folders that appear on the desktop for all users. See also Desktop and Desktop Directoy.
Example: C:\Documents and Settings\All Users\Desktop\
Programmer's symbol: CSIDL_COMMON_DESKTOPDIRECTORY

Documents, Common
Folder containing documents that are common to all users.
Example: C:\Documents and Settings\All Users\Documents
Programmer's symbol: CSIDL_COMMON_DOCUMENTS

Favorites
Default folder for storing a user's favorite items.
Example: C:\Documents and Settings\John\Favorites
Programmer's symbol: CSIDL_FAVORITES

Favorites, Common
Default folder for storing all user's favorite items.
Example: C:\Documents and Settings\All Users\Favorites
Programmer's symbol: CSIDL_COMMON_FAVORITES

Fonts
Folder that contains the font definition files.
Example: C:\Windows\Fonts
Programmer's symbol: CSIDL_ FONTS

History
Default folder for storing Internet history items.
Example: C:\Documents and Settings\John\Local Settings\History
Programmer's symbol: CSIDL_HISTORY

Internet Temp Files
Default folder for storing temporary Internet files.
Example: C:\Documents and Settings\John\Local Settings\Temporary Internet Files
Programmer's symbol: CSIDL_INTERNET_CACHE

My Documents
Default folder for storing documents. Note that this is usually different from the virtual My Documents folder in the name space (normally on the desktop).
Example: C:\Documents and Settings\John\My Documents
Programmer's symbol: CSIDL_PERSONAL

My Music
Folder that serves as a common place to store music files.
Example: C:\Documents and Settings\John\My Music
Programmer's symbol: CSIDL_ MYMUSIC

My Music, Common
My Music folder for all users. For more information, see CSIDL_MYMUSIC.
Example: C:\Documents and Settings\All Users\Documents\My Music
Programmer's symbol: CSIDL_COMMON_MUSIC

My Pictures
My Pictures folder for current user. Typically located below the user's My Documents folder
Example: C:\Documents and Settings\John\My Documents\My Pictures
Programmer's symbol: CSIDL_MYPICTURES

My Pictures, Common
My Pictures folder for all users. For more information, see CSIDL_MYPICTURES.
Example: C:\Documents and Settings\All Users\Documents\My Pictures
Programmer's symbol: CSIDL_COMMON_PICTURES

My Video
Folder that serves as a common place to store video files.
Example: C:\Documents and Settings\John\My Video
Programmer's symbol: CSIDL_ MYVIDEO

My Video, Common
My Video folder for all users. For more information, see CSIDL_MYVIDEO.
Example: C:\Documents and Settings\All Users\Documents\My Video
Programmer's symbol: CSIDL_COMMON_VIDEO

NetHood
Contains the physical link objects that can exist in the My Network Places virtual folder.
Example: C:\Documents and Settings\John\NetHood
Programmer's symbol: CSIDL_ NETHOOD

OEM Links, Common
Folder containing links to OEM specific applications for all users.
Example: C:\
Programmer's symbol: CSIDL_COMMON_OEM_LINKS

PrintHood
Folder containing link objects that can exist in the Printers virtual folder.
Example: C:\Documents and Settings\John\PrintHood
Programmer's symbol: CSIDL_PRINTHOOD

Profile
See User Profile.

Program Files
Program Files folder.
Example: C:\Program Files
Programmer's symbol: CSIDL_PROGRAM_FILES

Program Files, Common
A folder for components that are shared across applications.
Example: C:\Program Files\Common Files
Programmer's symbol: CSIDL_PROGRAM_FILES_COMMON

Program Groups
Folder containing the user's program groups (folders). These are the entries that appear in the Programs section of the Start Menu.
Example: C:\Documents and Settings\John\Start Menu\Programs
Programmer's symbol: CSIDL_ PROGRAMS

Program Groups, Common
Folder that contains the directories for the common program groups that appear in the Start Menu for all users.
Example: C:\Documents and Settings\All Users\Start Menu\Programs
Programmer's symbol: CSIDL_COMMON_PROGRAMS

Recently Used Docs
Folder that contains the user's most recently used documents. The entries in this folder are short cuts to the actual documents.
Example: C:\Documents and Settings\John\My Recent Documents
Programmer's symbol: CSIDL_RECENT

Resources
System resource directory.
Example: C:\Windows\Resources
Programmer's symbol: CSIDL_RESOURCES

Resources, Localized
Localized resource directory. For more information, see CSIDL_RESOURCES.
Example: C:\
Programmer's symbol: CSIDL_RESOURCES_LOCALIZED

SendTo
Folder that contains Send To menu items. Normally theses are the folders, both real and virtual, that appear under the Send To item on the Edit and popup menus
Example: C:\Documents and Settings\John\SendTo
Programmer's symbol: CSIDL_SENDTO

StartMenu
Folder that contains Start Menu items.
Example: C:\Documents and Settings\John\Start Menu
Programmer's symbol: CSIDL_STARTMENU

StartMenu, Common
Folder that contains the programs and folders that appear on the Start Menu for all users.
Example: C:\Documents and Settings\All Users\Start Menu
Programmer's symbol: CSIDL_COMMON_STARTMENU

StartUp
Folder that corresponds to the user's Startup program group. The system starts these programs whenever a user logs onto Windows NT®, 2000, XP or starts Windows® 98.
Example: C:\Documents and Settings\John\Start Menu\Programs\Startup
Programmer's symbol: CSIDL_STARTUP

StartUp, Alternate
Folder that corresponds to the user's nonlocalized Startup program group.
Programmer's symbol: CSIDL_ALTSTARTUP

StartUp, Common
Folder that contains the programs that appear in the Startup folder for all users.
Example: C:\Documents and Settings\All Users\Start Menu\Programs\Start Up
Programmer's symbol: CSIDL_COMMON_STARTUP

StartUp, Common Alternate
Folder that corresponds to the nonlocalized Startup program group for all users. Programmer's symbol: CSIDL_COMMON_ALTSTARTUP

System
System folder. Contains operating system files and application extensions.
Example: C:\Windows\System32\
Programmer's symbol: CSIDL_SYSTEM

SystemX86
The x86 system directory on Reduced Instruction Set Computer (RISC) systems. (Also valid on some recent versions of Windows where it is commonly set to the same directory as System.
Example: C:\Windows\System32
Programmer's symbol: CSIDL_SYSTEMX86

Templates
Default folder for storing document templates.
Example: C:\Documents and Settings\John\Templates
Programmer's symbol: CSIDL_TEMPLATES

Templates, Common
Folder that contains the templates that are available to all users.
Example: C:\Documents and Settings\All Users\Templates
Programmer's symbol: CSIDL_COMMON_TEMPLATES

User Profile
User's profile folder.
Example: C:\Documents and Settings\John
Programmer's symbol: CSIDL_PROFILE

Windows
Windows directory or SYSROOT. This is the same as the %windir% or %SYSTEMROOT% environment variables.
Example: C:\Windows\
Programmer's symbol: CSIDL_WINDOWS

Ref: HIDD_SPECIAL_FOLDERS


Overwrite File

Overwrite File?
Why does this dialog appear?
When this dialog appears the target file to which you are copying or moving a file exists. Select how to handle the copy/move process for this file (or all remaining files with the same attributes).
FileBoss will remember the option you select so that it will be the default option the next time the dialog is displayed.

For more information about setting warings and hints see Options - Warnings.

Ref: HIDD_WARNINGS


Compare Folders or Paths

Compare Folders/Paths
To Open Compare Folders or Paths Dialog

Compare Folders or Paths

Entering the Folders / Paths to be Compared

Selecting the Folders / Paths to Compare

Enter the paths for the two folders (or in the case of comparing paths, the root folders) to be compared.
You can use the Select Folders Button will open a dialog allowing you to easily browse your file system (and network if available ) and select the two folders.

Advanced: You can also specify folders that should not be included. Simply separate each folder with the bar character (|) and precede them with a minus sign. For instance entering C:\My Documents | -work pics | -temp docs would exclude all folders named work pics and temp docs from being compared. (You could even enter something like C:\My Documents | -temp* to exclude any folder with a name beginning with temp.)
If there is a specific folder you want to exclude you should include the full or partial paths, e.g. | -C:\My Documents\temp | -D:\My Documents\temp or | My Documents\temp
Note that it makes no difference in which field (Folder 1: or Folder 2:) you enter the folders to be excluded.

Entering Patterns to be Included or Excluded

Including and/or Excluding File Types

(Note: If the Patterns field is left empty all files will be included, i.e. *.* is assumed)

The Patterns field allows you to refine which files to include and/or exclude in the comparison. This can be really helpful. For instance if you want to compare the DLLs used by Windows on two different systems you could just enter the paths to the two Windows folders on the two systems but that could return thousands of files. By entering *.DLL in the Patterns field only those files will be collected and compared. (You could even refine it further by entering something like S*.DLL).

Click the Patterns button to open a dialog which will allow you enter the include / exclude patterns in a simple, line-by-line format.

Compare Two Folders or Two Paths

Coimpare Folders or Paths

Select Root Folders Only to compare only the files in the specified folders
Select All Sub-Folders all the files in and below the specified folders

How Modified Times are Compared

Time Resolution

File Time Resolution
These two fields set how closely the modified times of files being compared must be for them to be considered the same. The default is '1' Second.
The minimum Resolution value is 0.
A value of 0 tells FileBoss to compare file times exactly as they are.
The maximum values for Resolution are:
Days: 730
Hours: 17,520
Minutes: 1,051,200
Seconds: 63,072,000
The default is 1 second.
Normally you should NOT change the default settings unless you have a very specific reason and really know what you are doing.
Note that while Windows records File Times to the nearest 100 nanoseconds (1/10,000,000 of a second) the recorded times are not that accurate and are rounded by most systems anyway.

Time Zone Offset
The value entered in this field will be added to the Modified File Times in the 2nd folder or path being compared before any comparisons are made.

For example, if most of the files in the second folder or path are two hours earlier than the times in the first group you could enter 2 here. Those files will then be considered the as having the same time.
If the times were two hours later, then enter -2 to achieve the same result.

Saving & Using Templates

Saving & Using Templates

Templates allow you to save the current settings in the dialog as a named group that can be selected and reused later. (FileBoss stores and remembers the Templates even when the program is closed.)
To save the current settings as a named template click the Template button.
To use a template simply select it from the drop down list (click the down arrow to the left of the field).

Ref: HIDD_CREATE_FILESET_COMPARE


Selecting Folders or Paths to Compare

Select Folders/Paths to Compare

The Two Folder Lists
Select the two folders to be compared (or the two roots of the paths you want compared) one each from the two lists.
These paths will automatically be inserted into the appropriate fields of the calling dialog when you click the OK button.
#1 Ignore
#2 Ignore
If you only want to select one path, such as the second path because the first path in the calling dialog is already filled in, simply check the appropriate Ignore box.

Ref: HIDD_SELECT_COMPARE_FOLDERS


Compare Folders Toolbox
The Compare Folders toolbox is always visible when comparing folders, paths or drives. Closing the toolbox will cancel Compare Folders mode. The File Set will remain in normal mode.

Merge Folders Button
Displays the dialog where FileBoss can Merge to one folder or the other or both folders at the same time. In addition you can specify how folders will be merged.

After viewing the dialog you can always close it and return to this current, manual merge mode.

Selecting Newer, Older and Lonely Hearts entries

Selecting
Selects the files indicated by the button clicked.
The buttons on the left select the appropriate entries from the first folder/path with the buttons on the right selecting entries in the second folder/path.

Deselecting Groups
To deselect the entries associated with a button press and hold the Ctrl key while clicking on the button.

Clear All Selections
To deselect all entries click on the Clear All Selections button.

Viewing Selected Files
Press Ctrl+F3 to locate and display the first selected entry. Press Ctrl+F3 again to locate and display the next selected entry. (Note that pressing Ctrl+F3 to go to the next selected file works at any time, not only in Compare Mode.

Hiding Groups of Files
Use the buttons in the Hide section to hide groups of files depending on how they are marked, i.e. Same, Lonely-hearts, Newer / Older or even all Folders.

To redisplay all files (unhide) click on the Show All button at the bottom of the group.

Hiding groups of files, such as all folders and files that are the same can make it easier for you to review files that are newer, order or lonely.

Show Statistics Button
Opens or returns to the Properties dialog and displays the page with information about the two folders/paths being compared.

Global Options Button
Displays the Options panel for compare mode from the global options dialogs. After reviewing and/or setting global options that affect comparing files control will return to the compare mode.

Close & Exit
Closes this toolbox and exits Compare Mode. After exiting the compared files will form a regular file set.

Returning to Comparing Files Later
If you want to return to comparing files later use the 'Tools | Compare Current Folders' command from the main menu.

Ref: IDD_COMPARE_FOLDERS_TOOLDLG


Merging Folders or Paths

Merging Folders & Paths

Comparison Statistics

Comparison Statistics

Displays the results of the comparison between the two folders or paths.
You can use this information to decide what you want to merge.
And remember you can always exit this Merge dialog and examine the entries more closely and even select exactly which files you would like to merge.

Telling FileBoss What Folders to Update

FileBoss will suggest what should be merged based on the comparison results but you should check that choice and change it if necessary.
In conjunction with the Merge What section these choices will determine which entries will be copied.

Telling FileBoss What to Merge

What to Merge Options
In conjuntion with telling FileBoss which folers, paths or drives you want to updata you must tell FileBoss what you want to merge.
There are three options

Closing the Merge Dialog

Closing the Merge Dialog Only

IMPORTANT: Closing this dialog does not exit Compare Mode just this dialog. After exiting this dialog the Compare Toolbox and Compare mode will still be active. You can return to this dialog to actually merge the folders, paths or drives by clicking the Merge button at the top of the Merge Toolbox.
If you wish to exit compare mode first close this dialog and then simply close the File Set or simply click the Close & Exit button at the bottom of the Compare Toolbox.

Ref: HIDD_COMPARE_FOLDERS_MERGE


Compare Folders Options

Options for Comparing Folders

File Times (Advanced Settings)
These two fields set how closely the modified times of files being compared must be for them to be cosnsidered the same. The default is '1' Second.
The minimum Resolution value is 0.
A value of 0 tells FileBoss to compare file times exactly as they are.
The maximum values for Resolution are:
Days: | 730
Hours: | 17,520
Minutes: | 1,051,200
Seconds: | 63,072,000

The default is 1 second. Normally you should NOT change the default settings unless you have a very specific reason and really know what you are doing.
Note that while Windows records File Times to the nearest 100 nanoseconds (1/10,000,000 of a second) the recorded times are not that accurate and are rounded by most systems anyway.

Time Zone Offset
The value entered in this field will be added to the Modified File Times in the 2nd folder or path being compared before any comparisons are made.

For example, if most of the files in the second folder or path are two hours earlier than the times in the first group you could enter 2 here and then those file would be considered the as having the same time.
If the times were two hours later, then enter -2 to achieve the same result.

Save as Default Settings
When checked the settings for Comparison Resolution and Time Zone Offsets are saved as the default for future comparison, i.e. they will be used in the initial Compare Folders Dialog.

If unchecked the setting in this dialog will only apply to the current operation.

If the dialog is 'Canceled' nothing will be saved no matter whether the box is checked or not

Ref: HIDD_COMPARE_OPTIONS


Compare Current Folder To Another

Purpose
Selects the second folder (or path) to which the currently highlighted folder should be compared.
When is this dialog displayed
This dialog is displayed when a from the popup menu when a folder is right-clicked: select Folder Tools | Compare this Folder to Another....
What happens next
After the second folder has been selected the main control dialog for comparing folders will be displayed with the fields for the folder / paths already filled in. The first folder will be the folder on which you right-clicked and the second will be the one selected in this dialog.

Ref: HIDH_SELECT_2ND_COMPARE_PATH


Rename Files Sequentially / Formatting

Rename Files Sequential / Formatting
Available in both Explore Views and in File Sets [image] [image].

Much More Than a Sequential Rename Routine
· One filename or thousands
can be renamed with or without confimatons
· Just one of many ways to rename files
Convert case, change extensions, add sequential numbers, insert text, convert spaces to other characters or remove completely, add file times, convert to true 8.3 DOS names and more.
· Worry-free Confirmations
After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.
· Complete logging of which files where renamed to what
The Summary and Details panes of the Results window will show you exactly what was renamed and to what.

How to display this Dialog
· Selecte the files and folders you want to rename
Then:
· Press Ctrl+R
· or, Select 'Actions | Rename...' from the main menu
· or, Click the Rename Selected Files button:
Then:
· Select the Sequential / Formatting Panel

Renaming File Sequentially

Examples of renamed files with this dialog:
New Name format | From | To
\?.\E | P0891.jpg My Dog.jpg | 001.jpg 001.jpg
\N \M (\?).\E | My Dog.jpg | My Dog 04-07-28 (001).jpg
\? - \N.jpeg | My Dog.jpg | 001 - My Dog.jpeg
Seattle Trip \N.\E | My Dog.jpg | Seattle Trip My Dog.jpg

New Name Field

Enter the format for the new name here. Meta-characters (and their preceding backslash) will be replaced with the appropriate substitution as described below. Note that more than one meta character can be used in the format.

Sequential numbering (\?)
Sequential numbering inserts numbers such as 001, 002 or 10, 11, 12 in the filenames where the \? meta-sequence is located.
e.g. The format Seattle Pictures \?.jpg would rename the selected entries Seattle Pictures 01.jpg, Seattle Pictures 02.jpg and Seattle Pictures 03.jpg if the number of digits is set to 2 and the Start At is set to 1.
You could also use the sequential number as the extension. E.g. the format Special Data.\? would rename the files: Special Data.001, Special Data.003, Special Data.003...
Warning: Be sure you know what you are doing before changing file extensions. Doing so could hurt your system.
For more details and examples either click the 'Help' button or right-click one of the controls in the Sequence Number area of the dialog.

Filename (\N)
Filename Extension (\E)
The \N and \E meta-sequences will be replaced by the file or folder's filename or extension respectively. (\E meta-sequence does not include the dot (.) character before it so you must add it yourself). For example, to change the extension of all selected files to 'html' from just 'htm' you could use the format, \N.html. Or if you want to add a sequential number to the current file names you might use Mother's Birthday - \N.\E which would change a name like Grandmother.jpg into Mother's Birthday - Grandmother.jpg.

If you really wanted to you could even reverse the filename and extensions. Just use the format \N.\E. That would change a filename like John.Doe into Doe.John.

File Times: Modified (\M), Accessed (\A) and Created (\C)
Inserts the file's respective date and/or time into the filename at the location of the meta-sequence. The times inserted are the file's own time, i.e. the date and times displayed by FileBoss or Windows Explorer for that file. The format of the date and time is controlled by the format selected in the drop down list. If you would like a different format click the 'More Formats' button to see a complete list for format elements that you can use.
For more details and examples either click the 'Help' button or right-click one of the controls in the File Dates area of the dialog.

Adding Sequential numbers to filenames

How to Setup Sequential numbering
1) Insert the \? meta flag in the New Name field where you want the sequential number to appear. Use the \? meta flag only once.
2) Set the number of digits you want displayed. E.g. setting it to 3 will insert 001, 002, 003, etc where the \? meta flag is.
3) Set the Start A: number. While this will normally be '1' you might want to set it to another number if some files have already been renamed with this routine.
4) Check the Sample at the bottom of the screen to see how the sequential numbers will fit into the name along with any other formats you have chosen.

Num. of Digits: 1 to 6, pads the number with leading zeros to get the desired number of digits. This is a good option so that the files will be sorted correctly when displayed in FileBoss Windows Explorer and various programs' File Open Dialogs.
Start At: 1 on up to highest number allowed by the number of digits you have specified.

Examples:
Long Beach #\?.jpeg (Digits set to 3 and Start At set to 1)
Long Beach #001.jpeg, Long Beach #002.jpeg, Long Beach #003.jpeg
\? Long Beach.jpeg (Digits set to 2 and Start At set to 10)
10 Long Beach.jpeg, 11 Long Beach.jpeg, 12 Long Beach.jpeg

Filetimes: Modified (\M), Accessed (\A) and Created (\C)
Inserts the file's respective date and/or time into the filename at the location of the meta-sequence. The times inserted are the file's own time, i.e. the date and times displayed by FileBoss or Windows Explorer for that file. The format of the date and time is controlled by the format selected in the drop down list. If you would like a different format click the 'More Formats' button to see a complete list for format elements that you can use.

How to Setup and Insert Filetimes
1) Insert the appropriate meta flag in the New Name field (\M, \A or \C) where you want the modified, accessed or created filetime to appear (You can put more than one if you wish, but it would probably be confusing and create really long filenames..
2) Select or type in the format in which you want the times to appear. The drop down list contains default formats and formats you have used previously. To create new formats click the 'More Formats' button for a complete list of formats available and how to create new ones. (Note that when a new format is selected or as it is being typed in the sample filename a the bottom of the dialog will change to reflect the new format - a good way to check the format. But for this to work, one of the filetime meta-sequences (\M, \A or \C) must be present in the New Name field.)

Example:
Long Beach (\C) #\?.jpeg (Assuming the file was created on 2 July 2004 and the format is set to %d/%m/%y.)
Long Beach (2/7/04) #001.jpeg, Long Beach (2/7/04) #002.jpeg, Long Beach (2/7/04) #003.jpeg
Note that in the above example sequential numbering has also been added otherwise all files would be renamed to the same name which can't happen.
To add the last modified date to all selected entries use a format like: \N (\M).\E. This would simple insert the modified time - in parentheses - after the filename. This would change a filename like Long Beach Harbor.jpeg into Long Beach Harbor (2/7/04).jpeg.

Confirmation Dialog Format
Specifies the format for displaying the new filenames in the confirmation dialog.

Extension Display Option

When the 'With Name' option is selected the filename to be changed will be displayed in the following format:

New Filename with Extension

But when the 'Separately' option is chosen the name will be split into two parts: the name portion and the extension portion.

New Filename with Sperate Extension

Normally displaying the extension separate from the main name is the more convenient, especially if you will be manually altering the names. It allows to change the filename easily without accidentally changing the extension. (And extensions are critical for most Windows programs to recognize which files they can work with.

Ref: HIDD_REN_PAGE_SEQUENTIAL


Rename Files with Search and Replace

Examples of renamed files with this dialog:
Search / Replace | From | To
will be / is | FileBoss will be great.doc | FileBoss is great.doc
(in)|(as)|(at)|(be) / empty | FileBoss is be great.txt | FileBoss is great.txt
.jpg / .jpeg | My Dog.jpg | My Dog.jpeg

Search Method for Finding Text to Replace

Search Method
Three different types of searching can be performed.
FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.
The type of search to be done is specified by choosing on of the following options:

Exact
Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.
Normal
In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.
The question mark (?) matches any one character.
The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss
To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix (Regular Expression)
See Unix Style Searches for a complete definition of FileBoss' Unix style search implementation.
A Regular Expression. (This is an advanced technique.)

The 'Test' Button
If you would like to experiment with different patterns to see exactly what text they will and will not match, click the 'Test' button. It will bring up a dialog where you can experiment with different formats and see how they match text that you enter.

Search Method for Finding Text to Replace

Pattern or Text to Find
The format of the text you enter is determined by the format you selected above these fields, e.g. Exact, Normal or Unix.

Replace with:
The text you want to replace the text you entered in above field. If this field is left blank the any text found matching the pattern to find will simply be deleted.

Confirmation Dialog Format
Specifies the format for displaying the new filenames in the confirmation dialog.

Extension Display Option

When the 'With Name' option is selected the filename to be changed will be displayed in the following format:

New Filename with Extension

But when the 'Separately' option is chosen the name will be split into two parts: the name portion and the extension portion.

New Filename with Sperate Extension

Normally displaying the extension separate from the main name is the more convenient, especially if you will be manually altering the names. It allows to change the filename easily without accidentally changing the extension. (And extensions are critical for most Windows programs to recognize which files they can work with.

More ways to rename files
For complete help on how to rename files see How To Rename Groups of Files in the How To Do Everything section of this help file.
To learn about the different ways to rename individual files see How to Rename Individual Files in the How To Do Everything section of this help file.

Ref: HIDD_REN_PAGE_REPLACE


Rename Files using Quick Options

Rename Files with Quick Options

Transforming Names and Extensions

Select the transformations you want to apply to the selected filenamess. If you do not want to apply one or both of these transformations just click 'No Change' for the appropriate option.

Transfroming Spaces in Names and Extensions

If you would like to convert all the spaces in the filenames and extensions select the change you want otherwise select the 'No Change' option.

Replacing Simple Text

A quick and easy way to replace simple text in Filenames.
To deactivate this transformation simply clear the box after 'Replace'.

Inserting Text Before and After Names and Extensions

Allows you to insert text in names before or after names and extensions.

Converting Long Names to DOS 8.3 Format

Warning: Do not use this option unless you are really sure as to what you are about to do and keep the following points in mind when thinking of converting filenames in this manner.
* If the extensions of the files are longer than three characters, they associations they have with other programs will be lost after the conversion to 8.3 format.
* The only way you can get the long form of the names back is by renaming the files manually.

This option will convert all the selected filenames to their DOS 8.3 equivalent. FileBoss will convert the names to their current DOS 8.3 format. Because of the extra steps involved in renaming a file to its current DOS 8.3 format most programs that convert filenames to DOS 8.3 format give the files new names. FileBoss, on the other hand, transparently performs a double-renaming so that the end result is the file's original DOS 8.3 name.

Confirmation Dialog Format
Specifies the format for displaying the new filenames in the confirmation dialog.

Extension Display Option

When the 'With Name' option is selected the filename to be changed will be displayed in the following format:

New Filename with Extension

But when the 'Separately' option is chosen the name will be split into two parts: the name portion and the extension portion.

New Filename with Sperate Extension

Normally displaying the extension separate from the main name is the more convenient, especially if you will be manually altering the names. It allows to change the filename easily without accidentally changing the extension. (And extensions are critical for most Windows programs to recognize which files they can work with.

More ways to rename files
For complete help on how to rename files see How To Rename Groups of Files in the How To Do Everything section of this help file.
To learn about the different ways to rename individual files see How to Rename Individual Files in the How To Do Everything section of this help file.

Ref: HIDD_REN_PAGE_QUICK


Rename Files Manually

Exactly what the dialog says!

More ways to rename files
For complete help on how to rename files see How To Rename Groups of Files in the How To Do Everything section of this help file.
To learn about the different ways to rename individual files see How to Rename Individual Files in the How To Do Everything section of this help file.

Ref: HIDD_REN_PAGE_QUICK


Confirm or Edit New Filename

Confirmation Dialog
This dialog will be displayed whenever you have selected to rename a group of files. It will display the old name and the new name based on options you selected in the Rename Dialog providing you ultimate control over how individual files are names while allowing you to rename them all at once by simply pressing the 'Rename All' button.

Displaying Thumbnails of Graphics Files

If you are renaming graphic files you might want to check the View Graphics box. When checked each file you are renaming will be displayed by FileBoss' internal Image Viewer.

More ways to rename files
For complete help on how to rename files see How To Rename Groups of Files in the How To Do Everything section of this help file.
To learn about the different ways to rename individual files see How to Rename Individual Files in the How To Do Everything section of this help file.

Ref: HIDD_RENAME_FILE


Quick Rename Files & Folders

Quick Rename

To Use This Dialog
Select files and then press Ctrl+Shift+R or click the 'Actions | Quick Rename...' item from the main menu.
After you have clicked the 'Rename' or 'Skip One' buttons they dialog will display the next selected filename.

More ways to rename files
For complete help on how to rename files see How To Rename Groups of Files in the How To Do Everything section of this help file.

Ref: HIDD_RENAME_FILE_QUICK


Find Files with Specified Text

Search Method
Three different types of searching can be performed.
FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.
The type of search to be done is specified by choosing on of the following options:

Exact
Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.

Normal
In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.
The question mark (?) matches any one character.
The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss
To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix Style
See Unix Style Searches for a complete definition of FileBoss' Unix style search implementation.

Match Capitalization
Selecting this option tells FileBoss that searches should be case sensitive. Thus, if this option is selected and "Blue" is searched for, FileBoss will find "Blue" but not "blue" or "bLue." If this option is not selected, FileBoss will match any combination of capitals and lowercase letters, no matter what was used for the search string.
Note that this option does not affect searches when Unix mode is turned on.

Search Selected Files Only
Espcially useful when working with large File Sets. If you have pre-selected the files you want to search e.g. *.txt or *.dat, this option will greatly speed up the results by not searching relevant files.

Pattern to Find
Enter the test or pattern you are looking for or select a previously entered pattern from the pull down list. If you are using any of the advanced methods you can use the 'Test' routine to see if what you enter for a pattern will find what you expect it to find.

Ref: HIDH_FIND_TEXT_IN_FILES


Text or Pattern to Find

Search Method
Three different types of searching can be performed.
FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.
The type of search to be done is specified by choosing on of the following options:

Exact
Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.

Normal
In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.
The question mark (?) matches any one character.
The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss
To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix Style
SeeUnix Style Searches for a complete definition of FileBoss' Unix style search implementation.

Match Capitalization
Selecting this option tells FileBoss that searches should be case sensitive. Thus, if this option is selected and "Blue" is searched for, FileBoss will find "Blue" but not "blue" or "bLue." If this option is not selected, FileBoss will match any combination of capitals and lowercase letters, no matter what was used for the search string.
Note that this option does not affect searches when Unix mode is turned on.

Pattern to Find
Enter the test or pattern you are looking for or select a previously entered pattern from the pull down list. If you are using any of the advanced methods you can use the 'Test' routine to see if what you enter for a pattern will find what you expect it to find.

Ref: HIDD_TEXT_SEARCH_DEF


Searching For Text

Search Method
Three different types of searching can be performed.
FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.
The type of search to be done is specified by choosing on of the following options:

Exact
Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.

Normal
In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.
The question mark (?) matches any one character.
The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss
To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix Style
See Unix Style Searches for a complete definition of FileBoss' Unix style search implementation.

Match Capitalization
Selecting this option tells FileBoss that searches should be case sensitive. Thus, if this option is selected and "Blue" is searched for, FileBoss will find "Blue" but not "blue" or "bLue." If this option is not selected, FileBoss will match any combination of capitals and lowercase letters, no matter what was used for the search string.
Note that this option does not affect searches when Unix mode is turned on.

Ref: ZIDD_SEARCHING_FOR_TEXT


Text Search Practice

Search Method
Three different types of searching can be performed.
FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.
The type of search to be done is specified by choosing on of the following options:

Exact
Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.

Normal
In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.
The question mark (?) matches any one character.
The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss
To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix Style
See Unix Style Searches for a complete definition of FileBoss' Unix style search implementation.

Match Capitalization
Selecting this option tells FileBoss that searches should be case sensitive. Thus, if this option is selected and "Blue" is searched for, FileBoss will find "Blue" but not "blue" or "bLue." If this option is not selected, FileBoss will match any combination of capitals and lowercase letters, no matter what was used for the search string.
Note that this option does not affect searches when Unix mode is turned on.

Text to be Searched
Enter the text you want to search. Include examples of words and phrases your search should find and some close variant that you search should not find.

Format Pattern to Find
Enter the pattern you want to search for. How the search is performed using this pattern is determined by the Search Method chosen at the top of this dialog.

Using Regular Expressions
Unix search formats can be used when creating file sets or searching for specific files within a file set.
Unix style search patterns allow specifying very precise and/or complex searches. The method of forming the search patterns in FileBoss is very similar to the standard notation defined for the Unix editor ed.
A Unix search pattern is made up of one or more regular expressions (RE). An RE is a string that specifies a character or group of characters that should be matched. For instance, in the following search pattern,
[A-Za-z]* 1994
there are six REs which make up the search string, they are:
[A-Za-z]*
a space
the four digits 1, 9, 9 and 4.
These, along with all the other forms of REs recognized by FileBoss are detailed below.
For users who are already familiar with the use of REs in Unix, at the end of this section is a list of the differences between FileBoss' implementation of REs and the common implementations in the Unix utilities awk, ed, grep, lex and regex.

Simple Regular Expressions
The simplest form of a RE is a single character or an escaped character (a character preceded by a backslash such as \.) which matches one character. There are three types of simple REs:
Ordinary Characters
A one-character RE that matches itself. The range of characters is 0-256.
Period (.)
A period is a one-character RE that matches any character.
Backslash (\)
A backslash followed by a special character is an RE that makes the special character into an ordinary character. Thus the RE \. (a backslash followed by a period) will match a period not a backslash and any character.

Character Classes
Character classes are REs which specify a range of characters which can be matched such as all capital letters or all lower case letters between 'a' and 'm'. Character classes are specified by a string enclosed in square brackets ([]). The characters which make up the enclosed string can specify ranges, single characters and more. Each of these is explained below.
dash (-)
The dash may be used to indicate a range of consecutive ASCII characters. For example, [0-9] is equivalent to [0123456789], [A-Z] is equivalent to all upper case letters and [A-Z0-9] is equivalent to all upper case letters and all digits.
Note that the dash loses its special meaning whenever:
   it is the first character after the opening square bracket
   it occurs after the initial circumflex (^).
   it is the last character before the closing square bracket
   it is the first character after a character range. For instance the RE [0-9-A] would match any digit, a dash or the letter 'A'.
circumflex (^)
If the first character of the string is a circumflex ^, the RE matches any character except what the RE would otherwise match. The ^ has this special meaning only if it occurs first in the string. For example, [^0-9] would match any character which is not a digit. Note that the circumflex affects all the following characters within the square brackets. Thus [^A-Z0-9?] would match any character which is not a capital letter, not a digit and not the question mark character.

Complex Regular Expressions
Complex REs are collections of REs which can be treated as a whole. The most frequent complex REs use parentheses and the asterisk (*) or plus (+) characters to specify grouping and repetition matching.
The following rules may be used to construct REs from other REs:
()
REs enclosed within parentheses are treated as a single RE for instance the RE (ab)* specifies one or more occurrences of 'ab' but with out the parentheses, i.e. ab*, would specify the letter 'a' followed by one or more occurrences of the letter 'b'.
|
REs separated by a vertical bar | form an RE that will be matched by strings in the text that match any of the REs that make up the complex RE. (as)|(ax)|(az) will be matched by either as, ax, or az.
*
An RE followed by an asterisk * matches zero or more occurrences of the RE. Note that the * will find the longest match.
ab(ba)*cb    Searches for all occurrences of 'ab' followed by zero or more occurrences of 'ba' followed by 'cb'. The patterns 'abbacb', 'abbabacb', 'abbabababacb', and 'abcb' would all be treated as matching this RE.
ab(ba)*    Searches for all occurrences of 'ab' followed by zero or more occurrences of ba. If more than one sequence of 'ba' follows an 'ab' in the text, the match will be made to the entire sequence.
(ba)*   This will always match the beginning of the string because it specifies zero or more occurrences of 'ba'.
+
An RE followed by a plus (+) is an RE that matches one or more occurrences of the RE. Note that the + will find the longest match. If you want to find the first match then use {1,} the {} notation is explained below.
ab(ba)+   searches for all occurrences of 'ab' followed by one or more occurrences of 'ba'. If more than one sequence of 'ba' follows an 'ab' in the text, e.g., 'abbababa', the match will be made to the entire sequence.
Note that the only difference between is the asterisk and the plus sign is that the asterisk matches 0 or more occurrences and the plus sign matched 1 or more.

Positional Regular Expressions
The positional RE is used to indicate where in a line of text a match must occur. It is indicated by angle brackets <> enclosing one or more numbers. Some examples follow:
<0>
is an RE that matches the null string at position 0, the beginning of the string.
<0,5,10>
is an RE that matches the null string at position 0, or the null string at position 5, or the null string at position 10.
~
End Of Line Specification: If the position is preceded by a tilde ~, then the position is measured from the end of the string.
<~0>
matches the null string at the end of the string.
<~4>
matches the null string at position 4 counting from the end of the string.
-
Range Specification: If two positions are separated by a dash (-), a range of positions is used.
<0-5>
matches any of the null strings at positions 0 through 5,
<5-~5>
matches any null string from position 5 counting from the beginning to position 5 counting from the end. In a range specification, the second position specified must not occur before the first position specified.
<5-~5>
will always fail to match in a string of 9 characters or less, since 5 positions from the beginning occurs after 5 positions from the end.
<~0-~5>
always fails. <~5-~0> is correct.
Replication Counts
An RE followed by {m}, {m,}, {,n} or {m,n} is an RE that matches a range of occurrences of the RE. The values of 'm' and 'n' must be non-negative integers.
{m}
indicates exactly 'm' occurrences of the RE.
{m,n}
If 'm' is LESS THAN 'n', then {m,n} indicates at least 'm' occurrences of the RE and no more than 'n' occurrences. In cases where the RE occurs more than the minimum number of times specified by 'm', the match will be made to the shortest sequence.
{0,1}
This specifies that the RE must occur 0 or 1 times.
ab(ba){2,4}
given the string 'abbababababa' then the match will be made to 'abbaba', i.e. 'ab' followed by two 'ba's. If 'm' is greater than or equal to 'n', then {m,n} indicates at least 'n' occurrences of the RE and no more than 'm' occurrences. In cases where the RE occurs more than the minimum number of times specified by 'n', the match will be made to the longest sequence up to and including the maximum number specified by 'm'.
{1,0}
This specifies that the RE will occur 1 or 0 times.
ab(ba){4,2}
given the string 'abbababababa' then the match will be made to 'abbabababa', i.e. 'ab' followed by four 'ba's
{m,}
is equivalent to {m,infinity}
{,n}
is equivalent to {infinity,n}.
Note that the asterisk and the plus sign are equivalent to {0,} and {1,} respectively

Assignments
$
An RE followed by $c, where c is a letter, matches whatever the RE alone would match. (Upper and lower case are equivalent.) The expression <c>, where c is a letter, is an RE which matches whatever value is assigned to the character c. If no previous assignment has been made, then it matches the null string in any position.
Precedence
The suffix operators *, +, {}, have the highest precedence. Concatenation has next highest precedence. Alternation, |, has the lowest precedence. The order of operation may be modified by grouping with parentheses.

Differences Between Unix REGEX REs and FileBoss REs
The syntax of REs in FileBoss is almost a superset of the REs used in the Unix utility REGEX. The additional features offered by FileBoss include the following:
1.   Alternation (searching for either one string or a second or a third, etc.) is allowed.
2.   Generalized positional checking is allowed (as opposed to only testing for the beginning and ending of the string).
3.   Assignment to variables and referencing of variables can be used in the search expression itself. This allows for context searching. For example, [a-zA-Z]$a<a> will match doubled letters.
4.   All operations may act on sub expressions by grouping.

FileBoss Versus Other Programs Using Regular Expressions
 | FileBoss | awk | ed | grep | lex | regex
start of line | <0> | ^ | ^ | ^ | ^ | ^
end of line | <~0> | $ | $ | $ | $ | $
any char | . | . | . | . | . | .
char class | [] | [] | [] | [] | [] | []
alternation | | | | | NS | | | | | NS
grouping | () | () | NS | () | () | ()
position | <> | NS | NS | NS | NS | NS
assignment | $ | yes | NS | NS | yes | (RE)$
REPLICATION | 1) | 2) | 2) | 2) | 2) | 1)
COUNTS: |  |  |  |  |  |
0 or more | * | * | * | * | * | *
0 or 1 | {0,1} | ? | {0,1} | ? | ? | {0,1}
1 or more | + | + | NS | + | + | +
specified # | {} | {} | {} | {} | NS | {}
range of #'s | {,} | {,} | {,} | {,} | {,} | {,}

NS = Not Supported
1) = Supports replication counts for all REs.

Ref: HIDD_FORMAT_MATCH_TEST


UNIX Style Text Searching

Unix Style Searches

Unix search formats can be used when creating file sets or searching for specific files within a file set.
Unix style search patterns allow specifying very precise and/or complex searches. The method of forming the search patterns in FileBoss is very similar to the standard notation defined for the Unix editor ed.
A Unix search pattern is made up of one or more regular expressions (RE). An RE is a string that specifies a character or group of characters that should be matched. For instance, in the following search pattern,
[A-Za-z]* 1994
there are six REs which make up the search string, they are:
[A-Za-z]*
a space
the four digits 1, 9, 9 and 4.
These, along with all the other forms of REs recognized by FileBoss are detailed below.
For users who are already familiar with the use of REs in Unix, at the end of this section is a list of the differences between FileBoss' implementation of REs and the common implementations in the Unix utilities awk, ed, grep, lex and regex.

Simple Regular Expressions
The simplest form of a RE is a single character or an escaped character (a character preceded by a backslash such as \.) which matches one character. There are three types of simple REs:
Ordinary Characters
A one-character RE that matches itself. The range of characters is 0-256.
Period (.)
A period is a one-character RE that matches any character.
Backslash (\)
A backslash followed by a special character is an RE that makes the special character into an ordinary character. Thus the RE \. (a backslash followed by a period) will match a period not a backslash and any character.

Character Classes
Character classes are REs which specify a range of characters which can be matched such as all capital letters or all lower case letters between 'a' and 'm'. Character classes are specified by a string enclosed in square brackets ([]). The characters which make up the enclosed string can specify ranges, single characters and more. Each of these is explained below.
dash (-)
The dash may be used to indicate a range of consecutive ASCII characters. For example, [0-9] is equivalent to [0123456789], [A-Z] is equivalent to all upper case letters and [A-Z0-9] is equivalent to all upper case letters and all digits.
Note that the dash loses its special meaning whenever:
   it is the first character after the opening square bracket
   it occurs after the initial circumflex (^).
   it is the last character before the closing square bracket
   it is the first character after a character range. For instance the RE [0-9-A] would match any digit, a dash or the letter 'A'.
circumflex (^)
If the first character of the string is a circumflex ^, the RE matches any character except what the RE would otherwise match. The ^ has this special meaning only if it occurs first in the string. For example, [^0-9] would match any character which is not a digit. Note that the circumflex affects all the following characters within the square brackets. Thus [^A-Z0-9?] would match any character which is not a capital letter, not a digit and not the question mark character.

Complex Regular Expressions
Complex REs are collections of REs which can be treated as a whole. The most frequent complex REs use parentheses and the asterisk (*) or plus (+) characters to specify grouping and repetition matching.
The following rules may be used to construct REs from other REs:
()
REs enclosed within parentheses are treated as a single RE for instance the RE (ab)* specifies one or more occurrences of 'ab' but with out the parentheses, i.e. ab*, would specify the letter 'a' followed by one or more occurrences of the letter 'b'.
|
REs separated by a vertical bar | form an RE that will be matched by strings in the text that match any of the REs that make up the complex RE. (as)|(ax)|(az) will be matched by either as, ax, or az.
*
An RE followed by an asterisk * matches zero or more occurrences of the RE. Note that the * will find the longest match.
ab(ba)*cb    Searches for all occurrences of 'ab' followed by zero or more occurrences of 'ba' followed by 'cb'. The patterns 'abbacb', 'abbabacb', 'abbabababacb', and 'abcb' would all be treated as matching this RE.
ab(ba)*    Searches for all occurrences of 'ab' followed by zero or more occurrences of ba. If more than one sequence of 'ba' follows an 'ab' in the text, the match will be made to the entire sequence.
(ba)*   This will always match the beginning of the string because it specifies zero or more occurrences of 'ba'.
+
An RE followed by a plus (+) is an RE that matches one or more occurrences of the RE. Note that the + will find the longest match. If you want to find the first match then use {1,} the {} notation is explained below.
ab(ba)+   searches for all occurrences of 'ab' followed by one or more occurrences of 'ba'. If more than one sequence of 'ba' follows an 'ab' in the text, e.g., 'abbababa', the match will be made to the entire sequence.
Note that the only difference between is the asterisk and the plus sign is that the asterisk matches 0 or more occurrences and the plus sign matched 1 or more.

Positional Regular Expressions
The positional RE is used to indicate where in a line of text a match must occur. It is indicated by angle brackets <> enclosing one or more numbers. Some examples follow:
<0>
is an RE that matches the null string at position 0, the beginning of the string.
<0,5,10>
is an RE that matches the null string at position 0, or the null string at position 5, or the null string at position 10.
~
End Of Line Specification: If the position is preceded by a tilde ~, then the position is measured from the end of the string.
<~0>
matches the null string at the end of the string.
<~4>
matches the null string at position 4 counting from the end of the string.
-
Range Specification: If two positions are separated by a dash (-), a range of positions is used.
<0-5>
matches any of the null strings at positions 0 through 5,
<5-~5>
matches any null string from position 5 counting from the beginning to position 5 counting from the end. In a range specification, the second position specified must not occur before the first position specified.
<5-~5>
will always fail to match in a string of 9 characters or less, since 5 positions from the beginning occurs after 5 positions from the end.
<~0-~5>
always fails. <~5-~0> is correct.
Replication Counts
An RE followed by {m}, {m,}, {,n} or {m,n} is an RE that matches a range of occurrences of the RE. The values of 'm' and 'n' must be non-negative integers.
{m}
indicates exactly 'm' occurrences of the RE.
{m,n}
If 'm' is LESS THAN 'n', then {m,n} indicates at least 'm' occurrences of the RE and no more than 'n' occurrences. In cases where the RE occurs more than the minimum number of times specified by 'm', the match will be made to the shortest sequence.
{0,1}
This specifies that the RE must occur 0 or 1 times.
ab(ba){2,4}
given the string 'abbababababa' then the match will be made to 'abbaba', i.e. 'ab' followed by two 'ba's. If 'm' is greater than or equal to 'n', then {m,n} indicates at least 'n' occurrences of the RE and no more than 'm' occurrences. In cases where the RE occurs more than the minimum number of times specified by 'n', the match will be made to the longest sequence up to and including the maximum number specified by 'm'.
{1,0}
This specifies that the RE will occur 1 or 0 times.
ab(ba){4,2}
given the string 'abbababababa' then the match will be made to 'abbabababa', i.e. 'ab' followed by four 'ba's
{m,}
is equivalent to {m,infinity}
{,n}
is equivalent to {infinity,n}.
Note that the asterisk and the plus sign are equivalent to {0,} and {1,} respectively

Assignments
$
An RE followed by $c, where c is a letter, matches whatever the RE alone would match. (Upper and lower case are equivalent.) The expression <c>, where c is a letter, is an RE which matches whatever value is assigned to the character c. If no previous assignment has been made, then it matches the null string in any position.
Precedence
The suffix operators *, +, {}, have the highest precedence. Concatenation has next highest precedence. Alternation, |, has the lowest precedence. The order of operation may be modified by grouping with parentheses.

Differences Between Unix REGEX REs and FileBoss REs
The syntax of REs in FileBoss is almost a superset of the REs used in the Unix utility REGEX. The additional features offered by FileBoss include the following:
1.   Alternation (searching for either one string or a second or a third, etc.) is allowed.
2.   Generalized positional checking is allowed (as opposed to only testing for the beginning and ending of the string).
3.   Assignment to variables and referencing of variables can be used in the search expression itself. This allows for context searching. For example, [a-zA-Z]$a<a> will match doubled letters.
4.   All operations may act on sub expressions by grouping.

FileBoss Versus Other Programs Using Regular Expressions
 | FileBoss | awk | ed | grep | lex | regex
start of line | <0> | ^ | ^ | ^ | ^ | ^
end of line | <~0> | $ | $ | $ | $ | $
any char | . | . | . | . | . | .
char class | [] | [] | [] | [] | [] | []
alternation | | | | | NS | | | | | NS
grouping | () | () | NS | () | () | ()
position | <> | NS | NS | NS | NS | NS
assignment | $ | yes | NS | NS | yes | (RE)$
REPLICATION | 1) | 2) | 2) | 2) | 2) | 1)
COUNTS: |  |  |  |  |  |
0 or more | * | * | * | * | * | *
0 or 1 | {0,1} | ? | {0,1} | ? | ? | {0,1}
1 or more | + | + | NS | + | + | +
specified # | {} | {} | {} | {} | NS | {}
range of #'s | {,} | {,} | {,} | {,} | {,} | {,}

NS = Not Supported
1) = Supports replication counts for all REs.

Ref: HIDINT_UNIXSEARCES


Changing File Attributes

Changing File Attributes

Changes (or not) the attributes of the selected files.
Changing the System or Hidden Attributes can hurt your computer so be sure you know what you are doing before changing these.

Changing the Three File Times

To change a time (modified, accessed and/or created) check the appropriate box and then set the time.
The Now buttons are simply a convient way to enter the current time into the fields.

Confirm

This option is available when using the Changing Attributes command. When Yes you will be prompted before changing the attributes of each file. When No FileBoss will immediately process all the selected files.

Ref: HIDD_CHANGE_FILE_ATTRIBUTES


Changing Touch Setup

Touch Setup

How to Display This Dialog
Select Actions | Touch Setup... from the main men.
Press Ctrl+F9
Hold down the Ctrl key and click the Touch command button ( [image])

Changing File Attributes

Changes (or not) the attributes of the selected files.
Changing the System or Hidden Attributes can hurt your computer so be sure you know what you are doing before changing these.

Changing the Three File Times

To change a time (modified, accessed and/or created) check the appropriate box and then set the time.
The Now buttons are simply a convient way to enter the current time into the fields.

Using the Current Time Option When Touching Files

This option is available when Touching Files.
When the Always Use Current Time box is checked FileBoss will always the current time when it touches files and the appropriate type of file time is checked. (For Touching files Current Time refers to the time a file is actually touched not the time the setup dialog was changed or saved.
Not that when the Always Use Current Time box is checked the fields for entering times will always be grayed. This is because they are not used, the system time when the files are touched will be used.

Confirming Each Touch Operation

This option is available when using the Touch command. When checked you will be prompted before touching all the selected files. When not checked FileBoss will immediately process all the selected files whenever you issue the Touch command.

Ref: HIDD_CHANGE_FILE_ATTRIBUTES_TOUCH


ConfirmTouch

Confirm Touch Files

Ref: HIDD_TOUCH_CONFIRM


Add/Edit File Pattern Definition

Purpose
This dialog is displayed when creating groups of search patterns that can be quickly entered into the Create File Set Dialog (see).

Format
All strings must have two parts a title and the patterns. The parts are separated by a right angle bracket.
The title is the first part and is the text that will be displayed in the drop down menu.
The patterns part contains what FileBoss will enter into the Patterns field when a string is selected. Note that the patterns can be files to include in the search (e.g. *.txt) or patterns of file to exclude from a search (e.g. -*.dll | -*.obj) or a mixture of both.
Samples:
Executables (exe, com, bat)"*.exe|*.com|*.bat
Text Search Exclude"-*.exe|-*.dll|-*.zip|-*.obj|-*.bmp-*.jpg|-*.gif

Ref: IDH_EDIT_FILE_PATTERN


Add/Edit String

Purpose
This dialog is displayed when editing a bookmark.
The string for a book mark can be just one part such as:
C:\My Documents\My Pictures\Grand Ma
in which case the whole string is both the target and the title (the title is what is displayed when a list of bookmarks is displayed).
Or the bookmark definition can be in two parts separated by a right angle bracket, '>' as in:
Pictures of Grand Ma > C:\My Documents\My Pictures\Grand Ma
in which case the first part is the title and the second part is the target.
Ref: HIDD_GET_EDIT_STRING


Advanced Sort

Purpose
Defines the advanced sort criteria and applies it to the current View.

How to Display
From the main menu select Sort | Advanced...

Using
Select up to ten different sort criteria. The entries in the view will be sorted first by criteria #1 then #2 and on down the list until the an empty (-- none --) is reached. Even if criteria are defined after and empty one they will not be processed.
To reverse how the sort any one criteria is processed check the box after the criteria.

Example
In the above example all entries with the hidden attribute set will be sorted to the top. Then entries with the hidden group will be sorted by extension first and then name. And finally all entries without the hidden attribute set will be sorted by extension and name.
Ref: HIDD_SORT_ADVANCED


Copy / Move Files
To use this dialog
Select the files and folders you want to copy and then use the Actions | Copy To... or Actions | Move To... commands from the main menu.

Copy File Dialog - Simple

Simple vs Advanced Options
The image above is of the dialog in simple mode. To expand the dialog so that all options are available click on the Advanced button. The full dialog is shown below.

Copy File Dialog - Advanced

Special Notes About Closing the Advanced Area:
· Closing up the dialog to hide the Advanced area resets all the options in that area to their defaults. (E.g. normally the Overwrite option will revert to Ask and the Copy to One Folder and Copy Only if Target Exists check boxes will be cleared.)
· Changing the default settings. You can change the default copy settings These are the settings used when the dialog's Advanced area is closed. To do so:
1. Click on the Options button. If the Advanced area is closed, open it up to expose the Options button.
3. The Copy Files Options dialog that opens click on the Copy Files Dialog button. This will open a dialog with many of the same options as the main Copy Files Dialog. Set the options as you desire for the defaults and click OK. Now when the Copy Files dialog is closed the options in the Advanced area will be set to the new settings.
(Note that this same Options dialog can be accessed by opening the main Program Options dialog - Tools | Options... from the main menu - and selecting the Copy Files panel.)

Information on the Selected Files to be Copied

Source Files
For easy reference this area displays information about the selected files that FileBoss will attempt to copy, move or update.

Top Level:
The Top Level section shows how many folders and files will be copied directly to the destination folder. All other folders and files will be copied below one of the top level folders (or sub-folders of a top level folder)

Destination for the Copy / Move Operation

Destination
Displays the folder to which the selected files will be copied/moved.
The list of previous destination folders - accessed by clicking the down arrow to the right - is remembered even when FileBoss is closed.
To change folders you can:
· select one from the drop-down list
· type in a new path, or
· select the Browse button to locate the folder you want.
The number above the destination folder is the amount of free space on the selected folder's drive or storage media.

Do it your way:
Don't like the list of destination folders in the drop down list? Want to delete some of them or change their order for some reason? Simple. Just hold down the Alt key and click on the word Destination. A dialog will open where you can edit the list of entries.

Copying all Files to One Folder

(Note: this option is only available when copying from File Set view. It is meaningless when copying from an Explore View and thus disabled.)
When checked this option forces all selected files and folders to be copied directly to the destination folder regardless of their relationship to each other.

Normal Copying
Normally folders and files are copied along with their folder structure. For instance, suppose the following three files were selected in a File Set:
C:\Setup.txt
C:\My Documents
C:\My Documents\Parents.doc
If the Destination folder was D:\Backup then the two files and one folder above would be copied as:
D:\Backup\Setup.txt
D:\Backup\My Documents
D:\Backup\My Documents\Parents.doc

Copying to One Folder
All selected files and folders will be copied directly to the destination folder:
D:\Backup\Setup.txt
D:\Backup\My Documents
D:\Backup\Parents.doc

Copy Only if Target Exists

Will copy each selected file if, and only if, a file with the same name already exists in the destination folder.
This effectively updates the files in the destination folder without adding any new files. Good for when you want to back up files with copying a bunch of junk or temporary files that may be on the source drive or folder.

Actions when Destination Entry Already Exists

No / Yes / Ask / Only if Newer
The first four options determine whether or not files can be overwritten by the files being copied.
When Only if Newer is selected the times the files were last modified are used for comparison.

Rename
Rather than overwriting files that exist, you can instruct FileBoss to rename either the new or the existing files.
Select New File to rename the file that is being copied (the existing file will not be changed).
Select Existing File to rename the existing file, the new file will then be copied using the old name.
Whether you choose to rename the existing file or the new file depends only on what you are doing and your personal preference.

Click on Set... to specify how the files - either new or existing - will be renamed. You can add text and/or sequential numbers to the new filenames.

Setting When FileBoss will Ask for Confirmation

These options determine when FileBoss will alert you that a file is going to be overwritten by the copy or move process. The warnings are fired when an existing file has one of the checked attributes. For instance if the EXE box is checked FileBoss will ask you what to do before copying a source file over an existing target file that has an extension of .EXE, .COM, .DLL, .DRV, .OCX or .BAT. When asked what to do your options will be to skip that one file, cancel all remaining files, overwrite that one file, overwrite all remaining files or even rename the file.

None This is a master check box that, when checked, turns off all warnings. You'll note that when it is checked the other check boxes are grayed indicating that they have no effect. To enable the other check boxes uncheck this 'None' check box.
Hidden Marked by Windows as a Hidden File. Normally files marked with this attribute should not be modified.
System Marked by Windows as a System File. Normally files marked with this attribute should not be modified.
Read-Only FileBoss will stop and ask permission whenever one of these attributes is set on the existing target file. Note that changing (which overwriting a file certainly does) any file with the Hidden, System or Read-Only attribute may disrupt the stability of your system, if not render it totally unusable.
Archive The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backed up and, after backing up the file reset (clear) the Archive bit.
EXE FileBoss considers files with the following extensions to be executable files: .EXE, .COM, .DLL, .DRV, .OCX and .BAT.
Newer FileBoss will compare the two file times and warn if the file on the target drive is newer (had been modified more recently) than the source file.
This option is only present when the warnings are being used for copy or move operations (i.e. not for deleting or touching as there is no 'source' file).

Setting New File Attributes

These options affect files created or overwritten by the copy or move operation.
(Note that a file is considered new even if it overwrites an existing file of the same name.)
You can add, remove or leave the four attributes unchanged.
If an attribute is marked as No Change it will be set to the same setting on the source file or folder.

Specifying Dates and Times of New Files

These options affect files created or overwritten by a copy or move operation.
(Note that a file is considered new even if it overwrites an existing file of the same name.)

There are three options:
Original The copied / moved file and folders will have the same file times as the original files
Now All new and overwritten files will have their file times set to the time the copy / move operation began.
Specified All new and overwritten files will have their file times set to the time specified in the date and time fields immediately below these three option buttons.

Special Notes:
· All three file times - Created, Last Accessed and Last Modified - are set by these options.
· Frequently the file times of the copied files will not exactly match those of the original files or of the time specified. When this happens it is because how Windows stores file times depends on the Version of Windows and on the underlying file system of the storage media, e.g. NTFS and FAT. Just as one example some systems store access times to the nearest two seconds others to the nearest day. So In that case when a file is copied from the former to the latter, the access time will be rounded down to midnight of the day. Then, when the file times are compared they will be different. FileBoss can account for this difference by setting the resolution of file times when in compare mode.

Removing the Archive Flag from Original File

Remove Archive Bit from Source Files
Clears the Archive flag from the source file. When the Archive flag is cleared it indicates to some programs that the file has not changed since it was last backed up.

More about Archive Bits
The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backup and, after backing up the file reset (clear) the Archive bit.

Specifying how Folders will be Copied

There are two ways Folders can be copied.

Everything In & Below The first is the normal, recursive, method (used by Windows Explorer and most other programs) where the folder entry is copied along with all folders and files below that folder with the original folder structure copied to the destination.

As an Empty Folder Only the folder itself is created. No folders or files below that folder are copied unless they too are selected.

There are a number of uses for the As an Empty Folder option. One of the most noticeable is to copy an entire folder structure without any of the files it contains. Just select all the folders and then, in the Advanced section of the Copy dialog, make sure the As an Empty Folder option is selected before copying.

Special Notes:
This option is only available when the files being copied are from a File Set. When in Explore View these options are grayed and all folders are copied in the traditional manner, i.e. as if the Everything In & Below option was selected.

Expanding the Copy / Move dialog to Display Advance Options

Simple / Advanced Button
Opens and closes the Advanced area at the bottom of the dialog. (When the Advanced area is open this button changes to read Simple.)

Special Notes:
· Closing up the dialog to hide the Advanced area resets all the options in that area to their defaults. (E.g. normally the Overwrite option will revert to Ask and the Copy to One Folder and Copy Only if Target Exists check boxes will be cleared.)
· Changing the default settings. You can change the default copy settings used when the dialog's Advanced area is closed to whatever you want. To do so:
1. If the Advanced area is closed, open it up to expose the Options button.
2. Click on the Options button.
3. The Copy Files Options dialog that opens click on the Copy Files Dialog button. This will open a dialog with many of the same options as the main Copy Files Dialog. Set the options as you desire for the defaults and click OK. Now when the Copy Files dialog is closed the options in the Advanced area will be set to the new settings.
(Note that this same Options dialog can be accessed by opening the main Program Options dialog - Tools | Options... from the main menu - and selecting the Copy Files panel.)

More Copy / Move Options

Provides quick and direct access to the main Program panel for setting global Copy / Move Options inlcuding how files are copied form CDs/DVDs, retaining Access times and how results of copy / move operations are logged to the Results windows.
You can also set the defaults options for the Copy Files dialog.

(Note that this same Options dialog can be accessed by opening the main Program Options dialog - Tools | Options... from the main menu - and selecting the Copy Files panel.)

Ref: HIDD_COPY_FILES


Copy Defaults

Copy Move - Default Options
How to Display this Dialog
To see these default options either use Tools | Options... command from the main menu (or click on its command button, [image]) or,
click the Options button in the Advanced area of the Copy / Move Dialog itself.

When in Options select the Copy Files panel, and then click the Copy Files Dialog button.
Note: The options in this dialog are the same as those in the general purpose Copy File Dialog.

Configure Defaults for Copy / Move Engine

Purpose
This dialog configures how the default options for how FileBoss will copy or move files.
These options are used by the Copy / Move Files Dialog whenever that dialog is in Simple mode, i.e. the Advanced area is not displayed.

Actions when Destination Entry Already Exists

No / Yes / Ask / Only if Newer
The first four options determine whether or not files can be overwritten by the files being copied.
When Only if Newer is selected the times the files were last modified are used for comparison.

Rename
Rather than overwriting files that exist, you can instruct FileBoss to rename either the new or the existing files.
Select New File to rename the file that is being copied (the existing file will not be changed).
Select Existing File to rename the existing file, the new file will then be copied using the old name.
Whether you choose to rename the existing file or the new file depends only on what you are doing and your personal preference.

Click on Set... to specify how the files - either new or existing - will be renamed. You can add text and/or sequential numbers to the new filenames.

Setting When FileBoss will Ask for Confirmation

These options determine when FileBoss will alert you that a file is going to be overwritten by the copy or move process. The warnings are fired when an existing file has one of the checked attributes. For instance if the EXE box is checked FileBoss will ask you what to do before copying a source file over an existing target file that has an extension of .EXE, .COM, .DLL, .DRV, .OCX or .BAT. When asked what to do your options will be to skip that one file, cancel all remaining files, overwrite that one file, overwrite all remaining files or even rename the file.

None This is a master check box that, when checked, turns off all warnings. You'll note that when it is checked the other check boxes are grayed indicating that they have no effect. To enable the other check boxes uncheck this 'None' check box.
Hidden Marked by Windows as a Hidden File. Normally files marked with this attribute should not be modified.
System Marked by Windows as a System File. Normally files marked with this attribute should not be modified.
Read-Only FileBoss will stop and ask permission whenever one of these attributes is set on the existing target file. Note that changing (which overwriting a file certainly does) any file with the Hidden, System or Read-Only attribute may disrupt the stability of your system, if not render it totally unusable.
Archive The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backed up and, after backing up the file reset (clear) the Archive bit.
EXE FileBoss considers files with the following extensions to be executable files: .EXE, .COM, .DLL, .DRV, .OCX and .BAT.
Newer FileBoss will compare the two file times and warn if the file on the target drive is newer (had been modified more recently) than the source file.
This option is only present when the warnings are being used for copy or move operations (i.e. not for deleting or touching as there is no 'source' file).

Setting New File Attributes

These options affect files created or overwritten by the copy or move operation.
(Note that a file is considered new even if it overwrites an existing file of the same name.)
You can add, remove or leave the four attributes unchanged.
If an attribute is marked as No Change it will be set to the same setting on the source file or folder.

Specifying Dates and Times of New Files

These options affect files created or overwritten by a copy or move operation.
(Note that a file is considered new even if it overwrites an existing file of the same name.)

There are three options:
Original The copied / moved file and folders will have the same file times as the original files
Now All new and overwritten files will have their file times set to the time the copy / move operation began.
Specified All new and overwritten files will have their file times set to the time specified in the date and time fields immediately below these three option buttons.

Special Notes:
· All three file times - Created, Last Accessed and Last Modified - are set by these options.
· Frequently the file times of the copied files will not exactly match those of the original files or of the time specified. When this happens it is because how Windows stores file times depends on the Version of Windows and on the underlying file system of the storage media, e.g. NTFS and FAT. Just as one example some systems store access times to the nearest two seconds others to the nearest day. So In that case when a file is copied from the former to the latter, the access time will be rounded down to midnight of the day. Then, when the file times are compared they will be different. FileBoss can account for this difference by setting the resolution of file times when in compare mode.

Removing the Archive Flag from Original File

Remove Archive Bit from Source Files
Clears the Archive flag from the source file. When the Archive flag is cleared it indicates to some programs that the file has not changed since it was last backed up.

More about Archive Bits
The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backup and, after backing up the file reset (clear) the Archive bit.

Ref: HIDD_COPY_FILES_DROP


Drag & Drop Copy Options
How to Display this Dialog
The only way to get to this dialog is to use the Tools | Options... command from the main menu (or click on its command button, [image]).
When in Options select the Advanced 2 panel, and then select FileBoss as the Copy/Move Engine and click on the 'Setup FileBoss Copy' button as shown below.

Note: The options in this dialog are the same as those in the general purpose Copy File Dialog.

Configure Copy Engine for Drag & Drop

Purpose
This dialog configures how FileBoss will copy / move files when they are dropped on a FileBoss Window. Note that these settings are only used when files and folders are dropped on FileBoss (not when they are dropped on other programs even if the were drug from FileBoss) and the FileBoss copy engine is used for drop operation rather than the internal Windows copy engine.

Hint: When Dragging and Dropping files and folders it is the receiving application that performs the actual copy, move or create shortcut operation, i.e. once the files have been dropped on a program that program takes control of the process. For that reason when files are dragged from FileBoss and dropped on another application they will be copied, moved or opened by that program, using that program's code rather than by FileBoss. This is why these settings only apply when files and folders are dropped on FileBoss.

Actions when Destination Entry Already Exists

No / Yes / Ask / Only if Newer
The first four options determine whether or not files can be overwritten by the files being copied.
When Only if Newer is selected the times the files were last modified are used for comparison.

Rename
Rather than overwriting files that exist, you can instruct FileBoss to rename either the new or the existing files.
Select New File to rename the file that is being copied (the existing file will not be changed).
Select Existing File to rename the existing file, the new file will then be copied using the old name.
Whether you choose to rename the existing file or the new file depends only on what you are doing and your personal preference.

Click on Set... to specify how the files - either new or existing - will be renamed. You can add text and/or sequential numbers to the new filenames.

Setting When FileBoss will Ask for Confirmation

These options determine when FileBoss will alert you that a file is going to be overwritten by the copy or move process. The warnings are fired when an existing file has one of the checked attributes. For instance if the EXE box is checked FileBoss will ask you what to do before copying a source file over an existing target file that has an extension of .EXE, .COM, .DLL, .DRV, .OCX or .BAT. When asked what to do your options will be to skip that one file, cancel all remaining files, overwrite that one file, overwrite all remaining files or even rename the file.

None This is a master check box that, when checked, turns off all warnings. You'll note that when it is checked the other check boxes are grayed indicating that they have no effect. To enable the other check boxes uncheck this 'None' check box.
Hidden Marked by Windows as a Hidden File. Normally files marked with this attribute should not be modified.
System Marked by Windows as a System File. Normally files marked with this attribute should not be modified.
Read-Only FileBoss will stop and ask permission whenever one of these attributes is set on the existing target file. Note that changing (which overwriting a file certainly does) any file with the Hidden, System or Read-Only attribute may disrupt the stability of your system, if not render it totally unusable.
Archive The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backed up and, after backing up the file reset (clear) the Archive bit.
EXE FileBoss considers files with the following extensions to be executable files: .EXE, .COM, .DLL, .DRV, .OCX and .BAT.
Newer FileBoss will compare the two file times and warn if the file on the target drive is newer (had been modified more recently) than the source file.
This option is only present when the warnings are being used for copy or move operations (i.e. not for deleting or touching as there is no 'source' file).

Setting New File Attributes

These options affect files created or overwritten by the copy or move operation.
(Note that a file is considered new even if it overwrites an existing file of the same name.)
You can add, remove or leave the four attributes unchanged.
If an attribute is marked as No Change it will be set to the same setting on the source file or folder.

Specifying Dates and Times of New Files

These options affect files created or overwritten by a copy or move operation.
(Note that a file is considered new even if it overwrites an existing file of the same name.)

There are three options:
Original The copied / moved file and folders will have the same file times as the original files
Now All new and overwritten files will have their file times set to the time the copy / move operation began.
Specified All new and overwritten files will have their file times set to the time specified in the date and time fields immediately below these three option buttons.

Special Notes:
· All three file times - Created, Last Accessed and Last Modified - are set by these options.
· Frequently the file times of the copied files will not exactly match those of the original files or of the time specified. When this happens it is because how Windows stores file times depends on the Version of Windows and on the underlying file system of the storage media, e.g. NTFS and FAT. Just as one example some systems store access times to the nearest two seconds others to the nearest day. So In that case when a file is copied from the former to the latter, the access time will be rounded down to midnight of the day. Then, when the file times are compared they will be different. FileBoss can account for this difference by setting the resolution of file times when in compare mode.

Removing the Archive Flag from Original File

Remove Archive Bit from Source Files
Clears the Archive flag from the source file. When the Archive flag is cleared it indicates to some programs that the file has not changed since it was last backed up.

More about Archive Bits
The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backup and, after backing up the file reset (clear) the Archive bit.

Ref: HIDD_COPY_FILES_DROP


Drop Zone Copy Options
How to Display this Dialog
The only way to get to this dialog is to use the Tools | Options... command from the main menu (or click on its command button, [image]).
When in Options select the Drop Zone panel, and then select FileBoss as the Copy/Move Engine and click on the 'Setup FileBoss Copy' button as shown below.

Note: The options in this dialog are the same as those in the general purpose Copy File Dialog.

Configure Copy Engine for Drop Zones

Purpose
This dialog configures how FileBoss will copy / move files when they are dropped on a Drop Zone. This dialog is almost exactly the same as the one for Drag & Drop Copy Options.

Actions when Destination Entry Already Exists

No / Yes / Ask / Only if Newer
The first four options determine whether or not files can be overwritten by the files being copied.
When Only if Newer is selected the times the files were last modified are used for comparison.

Rename
Rather than overwriting files that exist, you can instruct FileBoss to rename either the new or the existing files.
Select New File to rename the file that is being copied (the existing file will not be changed).
Select Existing File to rename the existing file, the new file will then be copied using the old name.
Whether you choose to rename the existing file or the new file depends only on what you are doing and your personal preference.

Click on Set... to specify how the files - either new or existing - will be renamed. You can add text and/or sequential numbers to the new filenames.

Setting When FileBoss will Ask for Confirmation

These options determine when FileBoss will alert you that a file is going to be overwritten by the copy or move process. The warnings are fired when an existing file has one of the checked attributes. For instance if the EXE box is checked FileBoss will ask you what to do before copying a source file over an existing target file that has an extension of .EXE, .COM, .DLL, .DRV, .OCX or .BAT. When asked what to do your options will be to skip that one file, cancel all remaining files, overwrite that one file, overwrite all remaining files or even rename the file.

None This is a master check box that, when checked, turns off all warnings. You'll note that when it is checked the other check boxes are grayed indicating that they have no effect. To enable the other check boxes uncheck this 'None' check box.
Hidden Marked by Windows as a Hidden File. Normally files marked with this attribute should not be modified.
System Marked by Windows as a System File. Normally files marked with this attribute should not be modified.
Read-Only FileBoss will stop and ask permission whenever one of these attributes is set on the existing target file. Note that changing (which overwriting a file certainly does) any file with the Hidden, System or Read-Only attribute may disrupt the stability of your system, if not render it totally unusable.
Archive The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backed up and, after backing up the file reset (clear) the Archive bit.
EXE FileBoss considers files with the following extensions to be executable files: .EXE, .COM, .DLL, .DRV, .OCX and .BAT.
Newer FileBoss will compare the two file times and warn if the file on the target drive is newer (had been modified more recently) than the source file.
This option is only present when the warnings are being used for copy or move operations (i.e. not for deleting or touching as there is no 'source' file).

Setting New File Attributes

These options affect files created or overwritten by the copy or move operation.
(Note that a file is considered new even if it overwrites an existing file of the same name.)
You can add, remove or leave the four attributes unchanged.
If an attribute is marked as No Change it will be set to the same setting on the source file or folder.

Specifying Dates and Times of New Files

These options affect files created or overwritten by a copy or move operation.
(Note that a file is considered new even if it overwrites an existing file of the same name.)

There are three options:
Original The copied / moved file and folders will have the same file times as the original files
Now All new and overwritten files will have their file times set to the time the copy / move operation began.
Specified All new and overwritten files will have their file times set to the time specified in the date and time fields immediately below these three option buttons.

Special Notes:
· All three file times - Created, Last Accessed and Last Modified - are set by these options.
· Frequently the file times of the copied files will not exactly match those of the original files or of the time specified. When this happens it is because how Windows stores file times depends on the Version of Windows and on the underlying file system of the storage media, e.g. NTFS and FAT. Just as one example some systems store access times to the nearest two seconds others to the nearest day. So In that case when a file is copied from the former to the latter, the access time will be rounded down to midnight of the day. Then, when the file times are compared they will be different. FileBoss can account for this difference by setting the resolution of file times when in compare mode.

Removing the Archive Flag from Original File

Remove Archive Bit from Source Files
Clears the Archive flag from the source file. When the Archive flag is cleared it indicates to some programs that the file has not changed since it was last backed up.

More about Archive Bits
The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backup and, after backing up the file reset (clear) the Archive bit.

Ref: HIDD_COPY_FILES_DROPZONE


Duplicating Files

Duplicate Files
The Duplicate Command Center
When you duplicate files and folders the following dialog will appear allowing you to specify how the duplicate files will be named. The choices you make here - just like almost all Dialogs in FileBoss - will be saved even when FileBoss is closed.
As you make changes keep an eye on the box under Sample for: "FileBossIsGreat.txt" as it will give you an idea as to how the names will be transformed for the new files.

Duplicating Files

The Duplicate Command Center
When you duplicate files and folders the following dialog will appear allowing you to specify how the duplicate files will be named. The choices you make here - just like almost all Dialogs in FileBoss - will be saved even when FileBoss is closed.
As you make changes keep an eye on the box under Sample for: "FileBossIsGreat.txt" as it will give you an idea as to how the names will be transformed for the new files.

Pattern for new names

The pattern will be included in the names of the duplicated files, inserted at the position indicated by the Insert Where selection below.
If a question mark (?) is included it will be replaced with an incremental number ensuring a unique name.
FileBoss does not require that the ? be included (though you will get a warning if it is not) but it is usually best to have one to ensure unique names.

Specifying where the pattern will be inserted in the names

Mutually exclusive options that determine where the pattern for the new name will be inserted in the old name. Select one and then look at the sample near the bottom of the dialog to check if this is the way you want the duplicated files named.

Adding Sequential numbers to filenames

How to Setup Sequential numbering
1) Insert the \? meta flag in the New Name field where you want the sequential number to appear. Use the \? meta flag only once.
2) Set the number of digits you want displayed. E.g. setting it to 3 will insert 001, 002, 003, etc where the \? meta flag is.
3) Set the Start A: number. While this will normally be '1' you might want to set it to another number if some files have already been renamed with this routine.
4) Check the Sample at the bottom of the screen to see how the sequential numbers will fit into the name along with any other formats you have chosen.

Num. of Digits: 1 to 6, pads the number with leading zeros to get the desired number of digits. This is a good option so that the files will be sorted correctly when displayed in FileBoss Windows Explorer and various programs' File Open Dialogs.
Start At: 1 on up to highest number allowed by the number of digits you have specified.

Examples:
Long Beach #\?.jpeg (Digits set to 3 and Start At set to 1)
Long Beach #001.jpeg, Long Beach #002.jpeg, Long Beach #003.jpeg
\? Long Beach.jpeg (Digits set to 2 and Start At set to 10)
10 Long Beach.jpeg, 11 Long Beach.jpeg, 12 Long Beach.jpeg

Duplicating only the folders not their contents

When checked only the folders (and sub-folders) will be copied, duplicating the folder structure of the selected folders.
This option will be disabled if not folders have been selected. If both folders and files have been selected it will be applied to the selected folders and the selected files will be copied normally (in other words selecting this option will not prevent selected files from being duplicated).

Sample Filename

Displays a sample name with the settings you have chosen.
Everytime you change a setting the sample will change

Ref: HIDD_COPY_FILES_DUPLICATE


New Name Format

Purpose

How to Display

Using

· Three defaults, static, Explorer and empty directories
· Defaults are stored in setup file
· Headers stored with File Sets
· If changed and want to keep, must save file set
Ref: HIDD_GET_COPY_RENAME


Change Warnings

Purpose

How to Display

Using

Setting When FileBoss will Ask for Confirmation

These options determine when FileBoss will alert you that a file is going to be overwritten by the copy or move process. The warnings are fired when an existing file has one of the checked attributes. For instance if the EXE box is checked FileBoss will ask you what to do before copying a source file over an existing target file that has an extension of .EXE, .COM, .DLL, .DRV, .OCX or .BAT. When asked what to do your options will be to skip that one file, cancel all remaining files, overwrite that one file, overwrite all remaining files or even rename the file.

None This is a master check box that, when checked, turns off all warnings. You'll note that when it is checked the other check boxes are grayed indicating that they have no effect. To enable the other check boxes uncheck this 'None' check box.
Hidden Marked by Windows as a Hidden File. Normally files marked with this attribute should not be modified.
System Marked by Windows as a System File. Normally files marked with this attribute should not be modified.
Read-Only FileBoss will stop and ask permission whenever one of these attributes is set on the existing target file. Note that changing (which overwriting a file certainly does) any file with the Hidden, System or Read-Only attribute may disrupt the stability of your system, if not render it totally unusable.
Archive The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backed up and, after backing up the file reset (clear) the Archive bit.
EXE FileBoss considers files with the following extensions to be executable files: .EXE, .COM, .DLL, .DRV, .OCX and .BAT.
Newer FileBoss will compare the two file times and warn if the file on the target drive is newer (had been modified more recently) than the source file.
This option is only present when the warnings are being used for copy or move operations (i.e. not for deleting or touching as there is no 'source' file).

Ref: HIDD_SET_WARNINGS_SIMPLE


Caution Notice Before Copying Files

Target: I:\FileBoss Backups\
0 files and
2 folders will be copied/moved to the target folder.
7,451 files and folders will be copied/moved to folders below the target.
Are you sure you want to continue?
Or
Target: I:\FileBoss Backups\
7,125 files and
0 folders will be copied/moved directly to the target folder itself.
This exceeds the warning level of 20 entries.
Are you sure you want to continue?

These are simple warning messages giving you a chance to confirm copying a large number of files.
If you do not want to see these messages again check the box in the lower left corner of the message box.

These message can be turned on again by selecting Tools | Options... then choosing the Warnings & Hints panel and pressing Turn all ON in the Confirmations group.

Ref: HIDH_COPY_FILES_WARNINGS


Progress Indicator
Normal Progress Bar

The above Progress window is displayed when FileBoss knows the number and size of the files to be copied or moved. The percent complete and the position of the bar are based on the number of bytes to be copied rather than the number of files.

General Progress Bar

The above Progress window is displayed when FileBoss does not know the number or size of the files to be copied or moved.

Ref: HIDD_PROGRESS


Default File Search Patterns
The patterns which appear on the fly out can be deleted, added to, and edited by using the 'Configure Menu' option from the fly out. (See Configuring Default File Search Patterns

Ref: HID_SCANPOP_01


Create File Set
Whenever the dialog is closed up to the simple form many of the options in the advanced section of the dialog are reset to their default settings.

Create File Set

Paths Field

Specifies one or more paths to be scanned. For instance to scan the My Documents directory on drive C: enter:
C:\My Documents
(Note: if you are comparing folders either from the Compare Folders or Paths dialog or directly in the Create File Set dialog two and only two paths must be entered in this field)

Including Multiple Paths
Separate multiple paths with the bar character '|'.
To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:
C:\My Documents|D:\Temp
(The maximum length of this field is over 65,000 bytes.)

Using Wildcards
If you would like to collect files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.
D:\|C:\My *s
(Of course, the entry C:\My * would search all folders in the root of drive C: which began with My then a space and end with an s.)
The use of a wild card is restricted to the last element of the path. For instance, the following examples will not work:
D:\*\Backup
C:\My *\*
C:\Program Files\Iront*\FileBoss
But the following will work:
C:\My *s
(It would return files in folders C:\My Videos and C:\My Pictures if present.)
To search both the Normal and Nermal directories on drive D: you could enter either:
D:\Normal|D:\Nermal
or
D:\N?rmal

Excluding Folders
Specific folders can be excluded from the search by preceding the folder's name with a minus sign, '-'. If the name of the folder actually begins with a minus sign, simply put another in front of it, e.g. "--my folder".
Consider the following example:
C:\My Documents|-Temp|-Backup|D:\
Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)
Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents

Using Wildcards in Folders to be Excluded
Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:
C:\|-C:\C*s
Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.

File Patterns (Include or Exclude)

Enter the names or name patterns of files and folders you want included in the search.
Leaving the field empty is the same as specifing a single asterisk '*' or the traditional '*.*' meaning include all files.

Multiple File Patterns
Separate multiple patterns with the bar character '|'.

Wildcards in File Patterns
The common wildcard characters '*' and '?' can be used when specifing groups of file to be inclucded.
The entry *.tmp | *.bak | ~* will find all files with the extension tmp and bak as well as all files begining with the tilde character '~'.

Exluding Files and Groups of Files
Specific files and groups of files can be excluded from the search by preceding the files with a minus sign, '-'. If the name actually begins with a minus sign, simply put another in front of it, e.g. "--notations.txt".
To create a File Set that includes all files except temporary and backup files you could enter
     -*.tmp | -*.bak | -~*
(Note that there is no *.* or just * in the beginning. Remember that if there is no include specification then *.* (all) is assumed.
For example the these two patterns are equivalent: -*.zip and *.* | -*.zip (include all files except those with the zip extension).

User Defined & Default Patterns
While the drop down list box will remember the most recently used patterns, even when FileBoss is closed, you can use predefined

Predefined Patterns

Displays a pop up menu of predefined file patterns that can be quickly added to the 'Patterns' field to the left.
You can edit this drop down menu to include the file patterns you use the most (use the 'Edit Menu' option at the bottom.)
The patterns fly out can hold up to a maximum of twenty entries.
Opens a list of default search patterns, which can be used to quickly fill in the Patterns: field. You can edit this drop down menu to include the file patterns you use the most (use the 'Edit Menu' option at the bottom.)
The patterns fly out can hold up to a maximum of twenty entries.
Edit
Allows you to edit the contents of the Patterns: drop-down list box.

Saving & Using Templates

Saving & Using Templates

Templates allow you to save the current settings in the dialog as a named group that can be selected and reused later. (FileBoss stores and remembers the Templates even when the program is closed.)
To save the current settings as a named template click the Template button.
To use a template simply select it from the drop down list (click the down arrow to the left of the field).

Searching for Text

Specifies text which must be in a file in order for it to be included in the file set. Text searches in FileBoss can be very simple or very sophisticated depending on your needs.

Text Search
When the checked text search is active.

Set
Opens a dialog where you can define what text to search for and how the search should be conducted. The options range from a simple search to sophisticated expression searching.

Showing Advanced Options

Clicking the Advanced button will expand the dialog exposing more options that can be used to exercise complete control over which files are included in a File Set.

To close up the dialog click the same button again (that is now labelled Simple.

** Please Note: When this dialog is closed up all of the options that are hidden will be reset to their default values. This prevents unwanted options from accidentally affecting the creation of a File Set. It also provides an easy way to reset all the options to their default values: simply click the Simple button twice. The dialog will close up and then expand again will all options set to their defaults!

Advanced Hint:
The default settings can be changed so that when the dialog is closed up the settings that you want are set. To set new default settings use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Copy Files from the list of option pages.

Compare Folders

Include Options

All All files will be considered for inclusion regardless of their attributes. When this button is selected the attribute options below it will be grayed and will not be used.
Match Any All files will be considered for inclusion regardless of their attributes. When this button is selected the attribute options below it will be grayed and will not be used.
Match All All files will be considered for inclusion regardless of their attributes. When this button is selected the attribute options below it will be grayed and will not be used.

Exclude Options

Limit Search by File Sizes

When Limit by Size is checked FileBoss will only include files that fall between the From and To sizes, inclusive. Make both entries the same to only return files of a specific size.
E.g. entering '0' for both fields will only return files of zero length.
This field only affects files not folders which as far as Windows is concerned always have a size of 0.

Unlimited Sizes
To specify an unlimited size for files (i.e. up to any amount) enter -1 or 'Zillions' into the 'To' field of the Sizes area. (Actually, to specify an unlimited size you can enter Zillions or any other term as long as it is not a number, e.g. 'I Love FileBoss')

Megabytes & Kilobytes
In addition, M, MB, Megs, KB and K (in any case) can follow a number to signify megabytes or kilobytes as desired. But note that these numbers will be translated into bytes when they are redisplayed.

Easy Reading
Commas can be used in numbers if it makes you feel better.

Limit Search by Filetimes

Limit Search by Name & Path Lengths


Setting the Advanced Filter

REF: AdvancedFilterDlg.BMP

Details for each control is exactly the same as for when Creating a New File Set see.

Ref: HIDH_ADVANCED_FILTER_HELP


Select One or More Paths

Ref: HIDH_SELECT_SEARCH_PATHS


Details of Paths & Patterns

Include / Exclude Details

Ref: HIDH_ADD_SEARCH_PATHS


Add/Edit File Set Search Definitions

Add File Set Definition

REF: Add File Set Definition.BMP
Storing search definitions

REF: Add File Set Definition (80pct).BMP

Ref: HIDD_EDIT_SEARCH_HISTORY


Edit Common Search Patterns

Purpose
Allows editing of the file-search patterns that appear on the flyout menu to the right of the Patterns: field in the Create File Set dialog as shown with the default entries below:

Up to twenty patterns can be added to the menu
To load FileBoss' default patterns, press the Delete All button and then OK to close the dialog. The default patterns will be loaded and will be available for editing the next time the dialog is opened.
The fly out can contain up to twenty patterns.

Patterns can have two parts: display and entry.
The first part of the pattern is displayed on the flyout.
The entry part is loaded into the patterns field when that pattern is selected.
The two parts are separated by the close chevron character, >.
If the close chevron is not present in the string, the whole string will be both displayed on the fly out and entered into the field when selected.
For example the string:
Word (*.doc; *.rtf)>*.doc | *.rtf
would display, Word (*.doc;*.rtf) on the fly out and enter *.doc | *.rtf in the patterns field when selected.

Sample Entries
You can highlight and then cut and past the following entries when adding new strings. Edited to you're own needs of course.

All
All (*.*)>*.*
Executables
Executables (exe, com, bat)>*.exe | *.com | *.bat
Backup
Backup (*.bak)>*.bak | *.bk! | *.bk1 | *.bk2 | *.bk3 | *.bk4 | *.bk5 | *.bk6 | *.bk7 | *.bk8 | *.bk9
Text
Text (*.txt)>*.txt
Word
Word (*.Doc;...)>*.doc | *.rtf | *.txt | *.dot
Graphics
Graphics (*.bmp;...)>*.bmp | *.gif | *.cgm | *.wpg | *.eps | *.jpg | *.jpeg | *.pic | *.psp | *.png | *.tif | *.tiff | *.mac | *.msp
HTML
HTML>*.htm | *.html | *.htx | *.asp | *.alx | *.stm | *.shtml | *.php | *.pl
Temp
Temp (*.tmp;~*.*)>*.tmp | ~*.*
System
System>*.dll | *.asp
C++
C++>*.c | *.cpp | *.cxx | *.tli | *.h | *.tlh | *.inl | *.rc
Delphi
Delphi (*.pas ...)>*.pas | *.inc | *.bpl | *.dpr | *.dcu | *.dfm | *.cfg | *.dof | *.res | *.dsk | *.drc
Delphi backup
Delphi backup (*.~pas ...)>*.~pas | *.~inc | *.~bpl | *.~dpr | *.~dcu | *.~dfm | *.~cfg | *.~dof | *.~res | *.~dsk | *.~drc
Text Search Exclude
Text Search Exclude>-*.exe | -*.dll | -*.zip | -*.obj | -*.bmp | -*.jpg | -*.gif
Clarion DB
Clarion DB>*.dat | *.k?? | *.mem | *.tps
Clarion Compiler
Clarion Compiler>*.app | *.dct.| *.clw | *.inc | *.equ | *.tpl | *.tpw | *.trn | *.red
Archives
Archives (*.zip...)>*.zip | *.rar |*.tar | *.gz | *.tgz | *.ace | *.jar | *.7z | *.ace | *.arc | *.arj | *.bh | *.cab | *.lha | *.lzh | *.tgz | *.uue | *.war | *.xxe | *.z | *.zoo
Visual Basic (NET)
VB (*.bas...)>*.bas | *.cls | *.vbp | *.frm | *.frx | *.vbw | *.res | *.ctl
Documents
Documents>*.doc | *.txt | *.htm | *.html | *.pdf | *.ps | *.chm | *.hlp | *.rtf

Ref: ID_SCANPOP_02


Scanning… Notice

REF: Scanning.BMP
Ref: HIDD_SEARCHING


Find Duplicate Files

Using the Find Duplicate Files

REF: Find Duplicate Files.bmp

· In Explorer View the 'Names' check box is grayed as meaningless
· Directories are ignored in all comparisons
· Access times are not changed (i.e. Fileboss resets them)
· Be wary of Accessed and Created times: they most often don't telll much. See File Times comments.

Ref: HIDD_FIND_DUPLICATES


Locate File in View

Find File

· Press Alt and click 'Filename' to the left of the drop down list to edit the entries in the list (add jump)
Ref: HIDD_FIND_FILE_IN_VIEW


File Attributes

View File Attributes

· Shows information about the file or folder
·
Ref: HIDD_PROP_PAGE_FILE


File Version Information

View File Version Information

· Shows information about the file or folder
·
Ref: HIDD_PROP_PAGE_FILE_VERSION


File Set Properties

View File Set Properties

· Shows information about the file or folder
·

Ref: HIDD_PROP_PAGE_COLLECTION_PP


Selected Entries

View Selected Properties

· Shows information about the file or folder
·

Ref: HIDD_PROP_PAGE_SELECTED


Folder Statistics

View Folder Statistics

REF: View Properties Folder.BMP
· Shows information about the file or folder
·
Displays summary information for the files In this folder only. It does not include files and folders contained in sub-folders.

Note that the information is based on the files in the File Set. It will not reflect the size of the folder and its contents on disk if files or folders where excluded when the File Set was created or changes have been made since the File Set was last updated.
Ref: HIDD_PROP_PAGE_


Folder And Below Statistics

View Folder And Below Statistics

Displays summary information for the files In this folder and all folders below it.
Note that the information is based on the files in the File Set. It will not reflect the size of the folder and its contents on disk if files or folders where excluded when the File Set was created or changes have been made since the File Set was last updated.

Ref: HIDD_PROP_PAGE_DIR_BELOW


Refresh Files

Update Files

The Update Files Dialog

· Simplified version of the Copy Files Dialog with the 'Copy Only if Target Exists'
·

Ref: HIDD_COPY_FILES_IF_EXIST


Select - Deselect Files
The full dialog is shown below. If you want to see this dialog press the Advanced button on the right side of the small dialog.

The simple view looks like the following.

· Press Alt and click on 'Filename' or text just above the drop down list (Enter one or more…) (add jump)
Qualified Paths
If a pattern is fully or partially qualified such as:
   C:\Windows\*
Or
   My Documents\My Pictures\*.jpg
the full path of each file will be examined to determine whether or not a file should be marked. If the path is not qualified, only the filename and extension will be examined.
(Note a wildcard (*) at the beginning of My Documents\My Pictures\*.jpg is not required as it is always implicit at the beginning of partially qualified paths.
Multiple Patterns
Multiple filename patterns can entered. Separate multiple patterns the bar character '|'.
Enter one or more file patterns to mark or unmark as selected. You can include the standard wildcard characters '*' and '?'. For instance "*Boss*" would find "FileBoss.exe" and "I hate my boss.txt".
Attributes

Modified and Accessed Dates
Dates are rounded to the beginning of the day for After dates and to the end of the day for 'Before' dates. This means that if you specify the same day for both values, FileBoss will search for all files modified during that day: from midnight to midnight.
Size
Minimum and maximum file sizes can be entered directly, or you can follow a number with either an 'M' or a 'K' (or even an 'm' or 'k') for megabytes or kilobytes. For an unlimited maximum size you can leave the field blank, enter –1 or enter Zillions.

Ref: HIDD_SELECT_DESELECT_FILES


Selecting a Drop Zone Folder

Create Multiple Drop Zones

Text to be Searched
Enter any text you want to be searched in this window.

Ref: HIDD_DROPZONES_CREATE_MULTIPLE


Settings Action Warnings

Set Action Warnings

You can which warning will be.......

Ref: HIDD_WARNINGS_CURRENT_A


Specific DropZones Setup

Drop Zone Specific Setup

Ref: HIDD_DZ_DROPZONE


Master Wizard

The Master Wizard........

Ref: HIDD_WDYWTD_START


Edit List of Strings

Ref: HIDD_STRING_STORE


Date and Time Formats for Displaying File Times
File Date and Time Formats
These formats tell FileBoss how to display file times. Most notably these file times are seen in the Modified, Accessed and Created columns in the contents window of any view. The format for each of these columns can be set separately.
To set the formats use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Date Formats from the list of option pages on the left side.

To see formats for entering dates and times into dialog controls click here.

Quick Examples:
For Tuesday, 19 March 2002 at 1:15:30 in the afternoon
(Note the the colon and slashes are not used as these can not be part of a file name!)
02-03-19 %y-%m-%d
20020319 %Y%m%d
2002-03-19 %Y-%m-%d
19-Mar-2002 %d-%b-%Y
Tuesday, March 19, 2002 %A, %B %d, %Y
Tue, 19 Mar 2002 %a, %d %b %Y
Tuesday the 078 day of 2002 %A the %j day of %Y
2002-078 %Y-%j
01-15-30PM %I-%M-%S%p

Complete Secifications
Year:
%y Year without century, as decimal number (00 – 99)
%Y Year with century, as decimal number

Month:
%b Abbreviated month name
%B Full month name
%m Month as decimal number (01 – 12)

Week:
%w Weekday as decimal number (0 – 6; Sunday is 0)
%W Week of year as decimal number, with Monday as first day of week (00 – 53)
%U Week of year as decimal number, with Sunday as first day of week (00 – 53)

Day:
%a Abbreviated weekday name
%A Full weekday name
%d Day of month as decimal number (01 – 31)
%j Day of year as decimal number (001 – 366)

Hour:
%H Hour in 24-hour format (00 – 23)
%I Hour in 12-hour format (01 – 12)
%p Current locale's A.M./P.M. indicator for 12-hour clock

Minutes:
%M Minute as decimal number (00 – 59)

Seconds:
%S Second as decimal number (00 – 59)

Miscellaneous:
%c Date and time representation appropriate for locale
%x Date representation for current locale
%X Time representation for current locale
%z (or %Z) Time-zone name or abbreviation; no characters if time zone is unknown
%% Percent sign

Alphabetical list:
%a Abbreviated weekday name
%A Full weekday name
%b Abbreviated month name
%B Full month name
%c Date and time representation appropriate for locale
%d Day of month as decimal number (01 – 31)
%H Hour in 24-hour format (00 – 23)
%I Hour in 12-hour format (01 – 12)
%j Day of year as decimal number (001 – 366)
%m Month as decimal number (01 – 12)
%M Minute as decimal number (00 – 59)
%p Current locale's A.M./P.M. indicator for 12-hour clock
%S Second as decimal number (00 – 59)
%U Week of year as decimal number, with Sunday as first day of week (00 – 53)
%w Weekday as decimal number (0 – 6; Sunday is 0)
%W Week of year as decimal number, with Monday as first day of week (00 – 53)
%x Date representation for current locale
%X Time representation for current locale
%y Year without century, as decimal number (00 – 99)
%Y Year with century, as decimal number
%z, %Z Time-zone name or abbreviation; no characters if time zone is unknown
%% Percent sign

Format Code Meaning
%#a, %#A, %#b, %#B, %#p, %#X, %#z, %#Z, %#% # flag is ignored.
%#c Long date and time representation, appropriate for current locale. For example: "Tuesday, March 14, 1995, 12:41:29".
%#x Long date representation, appropriate to current locale. For example: "Tuesday, March 14, 1995".
%#d, %#H, %#I, %#j, %#m, %#M, %#S, %#U, %#w, %#W, %#y, %#Y Remove leading zeros (if any).

Ref: HIDH_FILE_DATE_FORMATS


Date and Time Formats for Dialog Controls
Entering Dates & Times in Dialogs
These formats tell FileBoss how to display file times. Most notably these file times are seen in the Modified, Accessed and Created columns in the contents window of any view. The format for each of these columns can be set separately.
To set the formats use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Date Formats from the list of option pages on the left side.

To see formats for displaying file times click here.

Default Formats
If a format is blank the dialog controls will display dates and times in a format determined by how your version of Windows is setup.

Quick Examples
For Tuesday, 31 October 2003 at 1:15:30 in the afternoon
Dates
31-Oct-2003 dd-MMM-yyyy
10/31/2003 MM/dd/yyyy
31/10/03 dd/MM/yy
20031031 yyyyMMdd
2003 10 31 yyyy MM dd

Times
13:15:30 HH:mm:ss
01:15:30AM hh:mm:sstt
1:15:30 AM h:mm:ss tt

Complete List of Formats
Element Description
d The one- or two-digit day.
dd The two-digit day. Single-digit day values are preceded by a zero.
ddd The three-character weekday abbreviation.
dddd The full weekday name.
h The one- or two-digit hour in 12-hour format.
hh The two-digit hour in 12-hour format. Single-digit values are preceded by a zero.
H The one- or two-digit hour in 24-hour format.
HH The two-digit hour in 24-hour format. Single-digit values are preceded by a zero.
m The one- or two-digit minute.
mm The two-digit minute. Single-digit values are preceded by a zero.
M The one- or two-digit month number.
MM The two-digit month number. Single-digit values are preceded by a zero.
MMM The three-character month abbreviation.
MMMM The full month name.
t The one-letter AM/PM abbreviation (that is, AM is displayed as "A").
tt The two-letter AM/PM abbreviation (that is, AM is displayed as "AM").
yy The last two digits of the year (that is, 1996 would be displayed as "96").
yyyy The full year (that is, 1996 would be displayed as "1996").

Ref: HIDH_FILE_DATE_FORMATS


Standard License Agreement

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL, USE, COPY, TRANSMIT OR DISTRIBUTE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

EVALUATION LICENSE. The Utility Factory grants you the right to install and use an unregistered copy of FileBoss on one computer for up to thirty days, after which you must either delete its files from your computer, or purchase the Licensed Version.

REGISTERED LICENSE. The Utility Factory grants you a license to use one copy of FileBoss (the SOFTWARE) on one hardware product for each license you purchase. "You" means the company, entity or individual whose funds are used to pay the license fee. "Use" means storing, loading, installing, executing or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features. When you first obtain a copy of the SOFTWARE, you are granted an evaluation period of not more than 30 days, after which time you must pay for the SOFTWARE according to the terms and prices discussed in the SOFTWARE's documentation, or you must remove the SOFTWARE from your computer. This license is not transferable to any other entity, company, or individual.

OWNERSHIP. The SOFTWARE is owned and copyrighted by The Utility Factory. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE.

COPYRIGHT. The SOFTWARE is protected by United States copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of The Utility Factory and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

DISTRIBUTION. If you distribute the SOFTWARE it may not be altered in any way. Only the original, unaltered setup file may be distributed. The SOFTWARE may not be distributed for profit.

UNAUTHORIZED USE. You may not use, copy, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the SOFTWARE except as provided in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license.

You agree that the SOFTWARE will not be shipped, transferred or exported into any country or used in any manner prohibited by the United States Export Administration Act or any other export laws, restrictions or regulations.

U.S. GOVERNMENT INFORMATION. Use, duplication, or disclosure by the U.S. Government of the computer software and documentation in this package shall be subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.277-7013 (Oct 1988) and FAR 52.227-19 (Jun 1987). The Contractor is The Utility Factory, 10202 40th Ave SE, Everett, WA 98208.

LIMITED WARRANTY. THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS. THE UTILITY FACTORY DOES NOT WARRANT THAT THE SOFTWARE IS ERROR FREE. THE UTILITY FACTORY DISCLAIMS ALL WARRANTIES RELATING TO THIS SOFTWARE, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. NEITHER THE UTILITY FACTORY NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THIS SOFTWARE SHALL BE LIABLE FOR ANY INDIRECT, CONSEQUENTIAL, OR INCIDENTAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE, EVEN IF [COMPANY] HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS. THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.

SOME JURISDICTIONS DO NOT ALLOW LIMITATION OR EXCLUSION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSION MAY NOT APPLY TO YOU TO THE EXTENT THAT LIABILITY IS BY LAW INCAPABLE OF EXCLUSION OR RESTRICTION.

SEVERABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

IN NO EVENT SHALL ANY THEORY OF LIABILITY EXCEED THE LICENSE FEE PAID TO THE UTILITY FACTORY.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL THE UTILITY FACTORY OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF THE UTILITY FACTORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL THE UTILITY FACTORY'S LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

GOVERNING LAW. This agreement shall be governed by the laws of the State of Washington excluding the application of its conflicts of law rules and shall inure to the benefit of The Utility Factory and any successors, administrators, heirs and assigns. Any action or proceeding brought by either party against the other arising out of or related to this agreement shall be brought only in a STATE or FEDERAL COURT of competent jurisdiction located in the United States of America, Snohomish County, the State of Washington. The parties hereby consent to in personam jurisdiction of said courts. The United Nations Convention on Contracts for the International Sale of Goods is specifically disclaimed.

ENTIRE AGREEMENT. This is the entire agreement between you and The Utility Factor which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.

RESERVED RIGHTS. All rights not expressly granted here are reserved to The Utility Factory.

Copyright © 2004 by The Utility Factory. All rights reserved.


Applying the Default Sort to a File List

Applying the Default Sort to a File List (Help Message)
Return to Introduction
Message Text:

To apply a default sort to a to a document press Ctrl+T, select 'Sort | Default' from the main menu or press the command's button.

When the message is displayed:

This message is displayed when

Action taken

The default sort is

Ref: HIDP_DOC_NON_DEFAULT_SORT


Archive and No Archive Both Required

Archive and No Archive Both Required (Error Message)
Return to Introduction
Message Text:

When a file's attributes must match all the attributes specified, you must not check both the 'Archive Needed' and 'Archive Not Needed' boxes, as that condition is impossible. Press 'Help' for more details.

When the message is displayed:

This message is displayed when

Action taken
Every file has an archive property that is used by many backup programs to determine if a file has been modified since it was last backed up. The operating system turns the property on whenever a file modified and backup programs turn it off at their convenience.
It is impossible for a file to have this property both turned on and turned off at the same time. So the following settings are an impossible match:

To correct this problem either:
· Uncheck one of the boxes (Archive Needed or Archive Not Needed)
· Change Match All to either Match Any or All

Ref: HIDP_SEAR_DEF_ERR_7


Archive and No Archive Exlcuded

Archive and No Archive Both Excluded (Error Message)
Return to Introduction
Message Text:

The boxes for excluding files with the Arhcive bit set
and with the Archive bit not set are both checked.
Since all files are either one or the other this will exclude everything.
Please uncheck one or both boxes.

When the message is displayed:

This message is displayed when

Action taken
Every file has an archive property that is used by many backup programs to determine if a file has been modified since it was last backed up. The operating system turns the property on whenever a file modified and backup programs turn it off at their convenience.
It is impossible for a file to have this property both turned on and turned off at the same time. So excluding files with either the Archive bit set or not set will result in no files being found.

To correct this problem either:
· Uncheck one of the boxes (Archive Needed or Archive Not Needed)
· Change Match All to either Match Any or All

Ref: HIDP_SEAR_DEF_ERR_9


Bookmark No Longer Available

Bookmark No Longer Available (Error Message)
Return to Introduction
Message Text:

The Bookmark path
"path"
is no longer available.

When the message is displayed:

This message is displayed when

Action taken
The path associated with the clicked bookmark is no longer available.
It may be on a network that is no longer available, on removable media or has been deleted.
Click here to find out how to delete or edit bookmarks.

Ref: HIDP_BOOKMARK_NOT_AVAILABLE


Can Not Rename File

Can not Rename File (Error Message)
Return to Introduction
Message Text:

Error (<error num>) renaming From: <from file> To: <to file> <reason>

When the message is displayed:
This message is displayed when FileBoss can not rename a file because the operating system will not allow it.

Action taken
None the file is not renamed.

Further Information
The operating system reported to FileBoss that it could not rename the file as you wanted.
Probable causes for this failure are:
· The file is in use by another program or the operating system itself (locked in nerd language)
· The new filename already exists.
· You do not have access rights to change the file. (This normally occurs only on multi-user systems. Check with your system administrator to find out which files you can modify.
· The file belongs to the operating system and you should KEEP YOUR HANDS OFF.

Ref: HIDP_RENAME_FILE_MSG_2


Cannot Display Item in List View

Cannot Display Item in Contents Window (Error Message)
Return to Introduction
Message Text:

FileBoss can only display the entry associated with the folder when the List of files and folders is sorted according to the directory tree.
Press 'Help' for details.

When the message is displayed:

This message is displayed when

Action taken

Ref: HIDP_CANNOT_GOTO_LIST_ENTRY


Cannot enter Compare Folders mode

Cannot enter Compare Folders mode (Error Message)
Return to Introduction
Message Text:

Cannot enter Compare Folders mode.
In order to compare folders two and only two paths must be present. To see reasons this message can be generated press 'Help' below or press 'OK' to continue in normal mode.

When the message is displayed:

This message can be displayed in two circumstances

Action taken
.

Ref: HIDP_COMPARE_FOLDERS_NEED_TWO


Cannot Save Document, It is Locked

Document is Locked and cannot be saved (Notification Message)
Return to Introduction
Message Text:

This File Set is locked so it cannot be saved.
Press 'Help' for information on locking and unlocking File Sets.

When the message is displayed:

This message is displayed when

Action taken

* Older version of FileBoss, but nothing should be critical.
Ref: HIDP_SAVE_DOC_LOCKED


Changing Attributes Dangers

Changing Attributes Dangers (Confirmation Message)
Return to Introduction
Message Text:

Changing file attributes can be a dangerous unless you really know what you are doing. This especially applies to changing the System, Hidden and Read-Only attributes.

When the message is displayed:

This message is displayed when

Action taken

Ref: HIDH_WARN_MOD_ATTRIBUTES


Confirm removal of all selected entries from the File Set.

Remove all Files in Sub-Folders? (Confirmation Message)
Return to Introduction
Message Text:

One or more of the XX selected entries are folders or drives. Do you want to remove all entries beneath these folders?
Press 'Yes' to remove all files and sub-folders
Press 'No' to just remover entries at this level
Press 'Cancel' to remove nothing.
Press 'Help' for more information.

When the message is displayed:

This message is displayed when

Action taken

If you are deleting only one file, the only options are 'OK' and 'Cancel'.

Ref: HIDP_FS_REMOVE_WARN_2
Ref: HIDP_FS_REMOVE_WARN_3


Confirm Rename Folder

Rename Folder (Confirmation Message)
Return to Introduction
Message Text:

<filename> is a folder.
Giving it a new name can really screw up your system.
Are you sure you want to rename it?".

When the message is displayed:

This message is displayed when

Action taken

Ref: HIDP_NEW_NAME_WARN_1


Copy File Error

Error Copying File. Skip One or Skip All? (Question)
Return to Introduction
Message Text:

Undefined error reported by the operating system while copying <filename>
Press 'OK' to continue or,
Press 'Cancel' to skip any remaining files.

When the message is displayed:

This message is displayed when

Action taken

* Not saved
Ref: HIDP_COPY_MOVE_FILES_21


Corrupt or Wrong Document File

Corrupt or Wrong Type of File (Error Message)
Return to Introduction
Message Text:

<filename> is either corrupt or it is not a FileBoss document file.

When the message is displayed:

This message is displayed when

Action taken

The file you are trying to open is either:
· A file that was not created by FileBoss or,
· A file that has been corrupted.
In either event FileBoss cannot open the file. Please check that this is the file you really want to open. Files other than those it has created itself make no sense to FileBoss.
Sorry for the inconvenience.
Ref: HIDP_DOCLOAD_ERR_1


Create File Set from Canceled Search?

Create File Set from Canceled Search? (Confirmation Message)
Return to Introduction
Message Text:

Do you want to create a file set from the files that were found before canceling?

When the message is displayed:

This message is displayed when

Action taken

After a search has been canceled FileBoss can either:
· discard any files it found before the operation was canceled, or
· create a File Set with the files which it had already identified a matching the specified search criteria.
If you answer no, the File Set will be left empty and the file list will be blank.

Don't Ask Again option (no longer - Feb 2003) available
Checking the Don't Ask Again box will prevent this confirmation message from being asked again. Whichever option you select, yes or no, will be applied in the future rather than asking you each time.
The Don't Ask Again setting will remain in effect for as long as FileBoss is open. Once the program is closed and then started again, the check box will be cleared. You can also manually clear the check box by going to Options|Warnings and click on….

Add information about how to manually clear the Don't Ask Again check box

Ref: HIDH_CHECK_BOX_GETFILESET_1


Destroying Files, Are You Sure?

Destroying Files, Are You Sure? (Confirmation Message)
Return to Introduction
Message Text:

Destroying files will permanently erase them from your disk, with no possibility of getting them back.
Are you sure you want to continue?

When the message is displayed:

This message is displayed when

Action taken
When destroying a file, FileBoss first writes trash over the file's data, truncates the file to zero length and then deletes the file. This makes recovery of the file by common undelete utilities impossible. Once a file has been erased, you can never get it back!

Ref: HIDP_DESTROY_AREYOUSURE


Display Hidden Entries when Loading File Set

Display Hidden Entries when Loading File Set (Question)
Return to Introduction
Message Text:

Some entries in this File Set are hidden.
Would you like them to be displayed?
(To unhide the entries later, use the 'View|Hide/Unhide|Show All' from the main menu command.)
Press 'Yes' to unhide the entries, or
Press 'No' to leave the entries Hidden.
Press 'Help' for more information about Hidden entries in a File Set.

When the message is displayed:

This message is displayed when

Action taken

· Virtual vs Real folders
· Printers, Control Panel
· Mapping folders (My Documents)

Ref: HIDP_DISPLAY_HIDDEN_ON_LOAD


Duplicate Search Paths

Duplicate Search Paths (Error Message)
Return to Introduction
Message Text:

One of the search paths is the same as, or is wholly contained in, one of the other search paths. \n In order to prevent mass confusion, FileBoss does not allow the same path to be searched more than once. Sorry.\n You may be able to accomplish what you want to do by unchecking the 'Include sub-folders' check box.

When the message is displayed:

This message is displayed when

Action taken
For a complete explanation of search paths see Search Definition Dialog.

Ref: HIDS_SEAR_DEF_ERR_3


Duplicate Search Paths

Duplicate Search Paths (Error Message)
Return to Introduction
Message Text:

At least two of the search paths are the same. \n In order to prevent mass confusion, FileBoss does not allow the same path to be searched more than once. Sorry.

When the message is displayed:

This message is displayed when

Action taken

For a complete explanation of search paths see Search Definition Dialog.

Ref: HIDS_SEAR_DEF_ERR_8


Error Creating Path

Unable to Create Path (Error Message)
Return to Introduction
Message Text:

FileBoss could not create the specified target directory.

When the message is displayed:

This message is displayed when

Action taken

Ref: IDH_COPY_MOVE_ERR_01


Error Deleting/Destroying/Recycling File or Folder

Deleting/Recycling File or Folder (Error Message)
Return to Introduction
Message Text:

Error sending
<filename>
To the Recycle Bin
<System error message>
<or>
Error deleting
<filename>
<System error message>

Press 'OK' to continue or 'Cancel' to skip any remaining files.

When the message is displayed
This message is displayed whenever an attempt is made to delete or recycle a file that is locked by another program or otherwise protected

The most common reasons for the error message are:
· You do not have permission to delete the file
· The file is in use by another program
· You do not have the appropriate privileges for that file or folder

<System error message>
This phrase will be replaced by a message the Operating system returns as the reason the file or folder could not be deleted or recycled. The message itself will depend on the reason for the problem and the version of Windows in use.

Action to Take
Press 'OK' to continue processing any remaining files or press 'Cancel' to skip all remaining files.

Ref: HIDP_DEL_FILES_ERR_1


Error Loading Program Options from File

Error Loading Program Options from File (Error Message)
Return to Introduction
Message Text:

Cannot open <filename> for loading FileBoss' options and settings.
or
Cannot open <filename> for loading Document List.

When the message is displayed:

This message is displayed when

Action taken

* Will be given chance to select a file to import to
* default is fileboss directory\data
* file may not exist
* file may not be a fileboss file

Ref: HIDP_ARCHIVE_ERR_5


Error Opening Command Line File

Error Opening Command Line File (Error Message)
Return to Introduction
Message Text:

Unable to open file
<filename>
The file was either specified on the command line
or dropped on the program.

When the message is displayed:

This message is displayed when

Action taken

· Filename was of a file and not a directory. It could not be opened either because it did not exist or permission was denied by the operating system.
· Specified on the command can be a file name in which case FileBoss will attempt to open the files as a file set or it can be a folder in which case FileBoss will open it in Explorer View.

Ref: HIDP_ERR_SHOW_CMD_LINE_FILE_1


Error Opening Destination File. Try Again

Can Not Open Destination File. Try Again? (Question)
Return to Introduction
Message Text:

Can not open destination file: ""%s"": %s (%d).\nDo you want to try again?\n Press 'Yes' to try again\n Press 'No' to skip just this file, or\n Press 'Cancel' to skip all remaining files.

When the message is displayed:

This message is displayed when

Action taken

* Not saved

Ref: HIDP_FILE_EXCEPTION_2


Error Opening Source File. Try Again?

Error Opening Source File. Try Again? (Question Message)
Return to Introduction
Message Text:

Can not open source file: <filename>: <error type>.
Do you want to try again?
Press 'Yes' to try again
Press 'No' to skip just this file, or
Press 'Cancel' to skip all remaining files.

When the message is displayed:

This message is displayed when

Action taken

* Not saved

Ref: HIDP_FILE_EXCEPTION_1


Error Saving Option to File

Error Saving Program Options to File (Error Message)
Return to Introduction
Message Text:

Cannot open <filename> for saving FileBoss' options and settings..
or
Cannot open <filename> for saving current Document List

When the message is displayed:

This message is displayed when

Action taken
* Will be given chance to select a file to save to
* default is fileboss directory\data
* may not have permission for that directory
* file may be read-only. (how to change)
* file doesn't exist and no permission to create it.

Ref: HIDP_ARCHIVE_ERR_4


Error Saving Option to File

Abandon Sort? (Question)
Return to Introduction
Message Text:

Are you sure you want to cancel sorting the File Set? If you do, press 'Yes' to quickly sort according to the Directory Tree or press 'No' to leave the File Set unsorted.
Press 'Cancel' to continue the sort.
Press 'Help' for more information.

When the message is displayed:

This message is displayed when

Action taken
* Not saved
* Sorting by type is the most time consuming
* Turn off sorting by type

Ref: HIDP_SORT_ABANDON


File Date & Time is Not Valid

File Date & Time is Not Valid (Error Message)
Return to Introduction
Message Text:

The new file date is out of range.
Normally file times must be between 1/Jan/1970 and 18/Jan/2038.
For tedious information on Window's complicated rules for file times press 'Help'.

When the message is displayed:

This message is displayed when

Action taken
For more information about file times see: File Times in Windows

Ref: HIDP_FILEDATE_RANGE_ERROR


File Set No Files Found

No files found (Warning Message)
Return to Introduction
Message Text:

No files were found matching the search criteria.
If you think files or folders should have been found,
click 'Help' for quick hints on what could have gone wrong..

When the message is displayed:

This message is displayed when

Action taken
Check the search definition carefully especially the following:
· If the search paths contain meta-folders – folder names between the < and > characters (e.g. <My Documents> or <Windows> make sure they are exact and available on your computer. For more information on meta-folders click here .
· The Search Sub-directories box is checked.
· The 'Text Search' box is not checked so that you are not unintentionally searching for specific text in a file.
· Double-check the Paths and Patterns fields

If the dialog is fully opened, i.e. in the Advanced mode, check the following:
· The values for the file times and sizes are what you want or, even better, set to 'Ignore'.
· No files have been excluded in the lower left corner of the dialog.

Remember that any dialog in FileBoss which has an Advanced/Simple button can be closed up to reset all values in the advanced area to their defaults. Simple click the button twice to set these defaults.

Ref: HIDP_GETFILESET_MSG_1


File Set Search History Full

File Set Search History Full (Warning Message)
Return to Introduction
Message Text:

The maximum number of storable search definitions, 25, has been reached. Please delete at least one definition before adding another.

When the message is displayed:

This message is displayed when

Action taken
The maximum number of search definitions which can be stored is twenty-five and this number has been reached, you will need to delete one or more of the current search definitions before adding a new one.
Alternately you can select one of the current entries and overwrite it with the current search definition. (Simply double-click on its name in the list box.)

Ref: HIDP_SEARCHHIST_ERR_1


File Set Titles cannot be empty

No Title for the File Set (Error Message)
Return to Introduction
Message Text:

The title for a File Set cannot be empty.

When the message is displayed:

This message is displayed when

Action taken
* Does not affect the filename. (use Save As command)
* Cannot be longer than 255 characters long.
* Defaults to the file name
* Not really needed to change unless will be and reusing the file set.

Ref: HIDP_OPS_CURDOC_ERR_1


File System Object Required

File System Object Required (Error Message)
Return to Introduction
Message Text:

Sorry, the entry:
<filename>
Is not a File System Object

When the message is displayed:

This message is displayed when

Action taken

· Virtual vs Real folders
· Printers, Control Panel
· Mapping folders (My Documents)

Ref: HIDP_SEL_ERR_NOT_FILE_SYSTEM_OBJECT


Files Must Be Selected First

Files Must be Selected First (Error Message)
Return to Introduction
Message Text:

One or more files must be selected first.

When the message is displayed:

This message is displayed when an attempt is made to copy, rename or otherwise manipulate files and there are no files selected.
Note it will also be displayed if there are files selected but they can not be acted upon - such as trying to copy a drive.

Action taken

Most of the file operations performed by FileBoss, such as deleting, renaming, copying and changing attributes require that you first select one or more files to be acted upon. All of the commands on the 'Action' menu require files to be selected first as well as many of the commands on the 'Edit' menu.
In addition, usually the selections can not be drives: FileBoss can delete or copy drives - Microsoft wouldn't like that. (You can however act on all the files on a drive!)
For a complete description of how to select files (for which FileBoss supplies very powerful tools) see Selecting Files.

Ref: HIDP_SELECT_FILES_FIRST


Folder Not Found

Folder Not Found (Error Message)
Return to Introduction
Message Text:
The last folder:
"<Original\Path>"
was not found. Explorer view has been set to folder:
"<New\Path>".

When the message is displayed
This message displayed whenever an Explore View is trying to navigate to a folder that no longer exists.

Usually this happens when FileBoss first starts and the last folder FileBoss was displaying when it closed is no longer available. (Typically that folder was on a network drive, temporary drive or removable media that is no longer available or the folder was deleted.)
A missing folder can also happen when using the 'Back' or 'Forward' buttons in Explore View and those folders have been deleted, moved or renamed by some other program (or even another window in FileBoss).

Action taken
This message is for information only. FileBoss will set the active folder to a root folder of the one that can not be found.

Ref: HIDS_RECON_FOLDER_NOT_FOUND


Folder Not Found (copy)

Folder Not Found (Error Message)
Return to Introduction
Message Text:
The data file for the Help Guide:
"<App Folder\HelpGuide.dat>"
does not exist.

Click Help for more information.

When the message is displayed
This message displayed whenever the Help Guide [image] is displayed and the data file for the help guide does note exist.
Typically the file is named 'HelpGuide.dat' and it must exist in the same folder as FileBoss.exe.

Action taken
Reinstall FileBoss or check FileBoss on the web at www.TheUitlityFactory.com for the most recent help files.

Ref: HCG_IDS_FILE_ABSENT


History File Not Currently Active

Result File Not Currently Active (Question)
Return to Introduction
Message Text:

The result log file is not active.
Click 'Yes' to view the old log file if available,
Click 'No' to quit.
Click 'Help' to find out more about log files including how to turn them on and off.

When the message is displayed:

This message is displayed when

Action taken

Ref: HIDP_HIST_LOG_NOT_ACTIVE_TO_VIEW


Meta Folder Errors

Meta Folder Errors (Error Message)
Return to Introduction
Message Text:

One of the following two messages was displayed.
The specified meta folder
<meta folder>
is not a valid meta folder.
Please check the spelling.
Press 'Help' for a list of valid Meta Folders and helpful information for using them.
-- or --
The meta folder
<meta folder>
is not implemented on this computer.
Press 'Help' for a list of valid Meta Folders and helpful information for using them.

When the message is displayed:

This message is displayed when a meta folder has been entered instead of a full path and that metafolder is invalid. (Or when a bookmark has been entered instead of a full path)......

Action taken
The indicated meta folder had a problem.
· Must the first item in a path. Meta folders are fully qualified, i.e. the path starts from the root of a disk drive. Therefore they can not be embedded within another path.
· Must exist on the current computer
· Meta folders can have additional file specs after them, e.g.
<My Documents>\Downloads
(Note the backslash between the meta folder and 'Downloads'.)
Click on this line for the complete specification of meta folders.

Ref: HIDH_METAFOLDER_PROBLEM


No Filenames Found to Rename

No Filenames Found to Rename (Error Message)
Return to Introduction
Message Text:

No filenames were found matching the search text. Press 'OK' to try again or press 'Cancel' to abort renaming files.

When the message is displayed:

This message is displayed when

Action taken

FileBoss could not find any filenames among the selected files which match the text or pattern in the From field of the Rename Selected Files Dialog.
To correct this problem, check the following:
· Check that the files you want to rename are selected.
· See that the correct Search Method is checked. Normally this should be either Normal or Exact unless you really know what you are doing and are a guru in the arcane syntax of Unix Grep systems.
· Make sure that the Match Capitalization checkbox is not checked

Ref: HIDP_RENAME_FILE_MSG_4


Obsolete Document File

Obsolete File Format (Error Message)
Return to Introduction
Message Text:

<filename> is an obsolete document file.

When the message is displayed:

This message is displayed when

Action taken

The file you are trying to open is from a previous version of FileBoss that is no longer supported. FileBoss can open and import files written by all previous versions except those created by some beta (pre-release) versions of FileBoss.
Sorry for the inconvenience.

Ref: HIDP_DOCLOAD_ERR_2


Re-display Hidden Entries?

Re-display Hidden Entries? (Question)
Return to Introduction
Message Text:

Some entries are hidden from view, would you like these entries displayed now?

When the message is displayed:

This message is displayed when

Action taken

Some of the File Set's entries are currently hidden and FileBoss is changing modes such as from normal mode to Compare Folders mode or vice-a-versa.
If you would like all entries displayed in the new mode click 'Yes', if you would like to leave hidden entries as they are, click 'No'

Ref: HIDP_UNVAIL_HIDDEN_ENTRIES


Replace current path?

Replace current path? (Confirmation Message)
Return to Introduction
Message Text:

Replace current path?
Press 'Yes' to replace,
'No' to add,
or 'Cancel' to do nothing.

When the message is displayed:

This message is displayed when

Action taken

FileBoss wants to know how it should handle the new path you have selected. The new path can:
· replace the current search path or paths,
· be added to the current search path or paths,
· discarded and the current paths will be the same as they currently are
Press 'Yes' to replace the current contents of the Paths field with the new path.
Press 'No' to add the new path to the contents of the Paths field.
Press 'Cancel' to discard your new choice and leave the contents of the Paths field as is.

Ref: HIDH_CFS_REPLACE_PATH


Re-sort When Exiting Compare & Merge Mode?

Re-sort to Normal Tree Order? (Question)
Return to Introduction
Message Text:
Would you like the File Set sorted normally or
keep the order of the entries they way they were while comparing?

Press 'Yes' to resort
(Any Hidden entries will be shown.),
Press 'No' to leave it the way it is, or
Press 'Cancel' to continue comparing files.

When the message is displayed:
This message is displayed when exiting from comparing files, either by closing the toolbox for comparing files, by clicking on the 'Tools | Compare Current Folders..." command from the main menu or clicking on that command's button.

Action taken
While in Compare Mode entries are sorted in a special manner to enable meaningful comparisons. If you want this special sort can be kept even after exiting Compare and Merge Mode. The File Set can also be sorted normally after exiting compare mode.
Click 'Yes' and File Boss will perform a default sort (which is lightening fast even for large File Sets).
Click 'No' and File Boss will leave the entries sorted as they were in Compare Mode.
Click 'Cancel' to keep comparing entries.

Check the 'Don't Ask Again' box in the lower left corner and the choice you make, 'Yes' or 'No', will be remembered and you won't be asked again.

Ref: HIDP_USE_STANDARD_SORT


Root directory does not exist

The root folder, "<root name>", does not exist (Error Message)
Return to Introduction
Message Text:

The root directory, "<root name>", does not exist.

When the message is displayed:

Action taken

FileBoss was unable to create the directory to which the files were to be copied because there was a problem with the specified root (base) directory.
Possible reasons for this problem are:
· The specified root directory contained a filename rather than the name of a directory.
· You do not have permission to create a directory in that area of the file system.
· The specified root directory does not exist.

Ref: HIDP_ROOT_DIR_NOT_EXIST


Search Path Invalid

Search Path Invalid (Error Message)
Return to Introduction
Message Text:

Path <path> not found or has no entries.

When the message is displayed:

This message is displayed when

Action taken

This message usually appears because the indicated folder does not exist or to which you do not have permission to view. Check that the path is typed in correctly.
To be really sure, use the Browse button to the right of the field to select the drive or folder you want.

Ref: HIDP_SEAR_DEF_ERR_1


Remove all Files Below Folders?

Remove all Files Below Folders? (Confirmation Message)
Return to Introduction
Message Text:

Some the selected entries are folders or drives. Do you want to remove all entries below these folders?

When the message is displayed:

This message is displayed when

Action taken

Ref: HIDP_FS_REMOVE_WARN_1


Target Folder Not Available

Target Folder Not Available (Error Message)
Return to Introduction
Message Text:

The destination folder,
<drive/folder name>
is not available.
Either correct the problem or change the destination folder.

When the message is displayed:
When spcifying a destination folder for a copy or move operation and the specified folder is not available.
Typically the folder was on a network drive, temporary drive or removable media that is no longer available or the folder was deleted.

Action taken
Either make the destination available, such as by loading the drive or connecting to the network resource, or select another destination.

Ref: HIDP_FS_COPY_ERR5


Close Recycle Bin Before Deleting Files

Close Recycle Bin Before Deleting Files (Error Message)
Return to Introduction
Message Text:

RecycleBinOpen.bmp

When the message is displayed:

This message is displayed when

Action taken

FileBoss has detected that the Recycle Bin is open while attempting to send files to it.
If the Recycle Bin window is open when a program deletes many files to it, it is possible that some of the files will be lost forever. If the Recycle Bin is not open, this is not a problem.
Close the Recycle Bin and then delete the files. (Note that the Recycle Bin can be opened by clicking on the Recycle Bin icon on the desktop and by opening it from Windows Explorer.)

Ref: HIDP_DEL_FILES_RBIN_OPEN


Target and Source Paths are the Same

Target and Source Paths are the Same (Confirmation Message)
Return to Introduction
Message Text:

The target folder and the folder for the source files appear to be the same.
Press 'Yes' to copy the files anyway, or
Press 'No' to specify a new target folder.
If you want to make duplicates or backups of these files, press 'Help' for easy ways to do so.

When the message is displayed:

This message is displayed when

Action taken

Why oh why would anyone want to copy files over themselves? We at FileBoss can only think of one reason: to make copies of them in the same folder. Normally if you get this message you should have the 'Rename' option checked in the 'Overwrite Existing Files?' section of the Copy/Move Files dialogs. You can choose the other options if you want, but if you do please send us an email so we know how people use this ability.
· How to make duplicates
· How to make backups

Ref: HIDP_FS_COPY_ERR4


Not enough space on the target folder

Not enough space on the target folder (Error Message)
Return to Introduction
Message Text:

There is not enough space on the target directory for the selected files. If you will be overwriting or ignoring some files this may not matter. Press 'Help' for further information.
Press 'Yes' to start copying or 'No' to select a new destination.

When the message is displayed:

This message is displayed when

Action taken

If all the selected files were to be copied to the target directory without overwriting any existing files, there would not be enough space.
However, FileBoss does cannot know if files will be overwritten or if some of the files will not be copied because they are older than existing files or you elect not to overwrite special files such as Hidden or System files. So, while FileBoss believes that there may not be enough space to copy all the files, you can still proceed by pressing the Yes button. If you press No FileBoss will ask you to select a new destination.

Ref: HIDP_FS_COPY_ERR3


Virtual Folders and Creating File Sets

Virtual Folders and Creating File Sets (Error Message)
Return to Introduction
Message Text:

The <Folder name> virtual folder can not be used as the start for a File Set since it is not part of the real file system. Press the 'Help' button for complete information.
If you would rather not see this message again, check the box below and this command will be grayed when a virtual folder has been selected.

When the message is displayed:

This message can be displayed in two circumstances

Action taken

.

Ref: HIDH_RECON_GRAY_CFS


Virtual vs File System Folders

Virtual vs File System Folders (Error Message)
Return to Introduction
Message Text:

"<Filename>" can not be used for this operation.
The folder is virtual not a file system object,
i.e. it doesn't really exist anywhere.

Press help for more information about virtual and real folders.

When the message is displayed:

This message is displayed when

Action taken

· Virtual vs Real folders
· Printers, Control Panel
· Mapping folders (My Documents)
·
Ref: HIDP_NOT_FILE_SYSTEM_OBJECT


Warning Changing Search String Markers and Separators

Search Markers & Separators (Error Message)
Return to Introduction
Message Text:

Exclude Marker cannot be empty.
Include Marker can not be empty.
Path/Pattern separator can not be empty.
Path/Pattern separator can not be the same as either of the other two markers.
The include and exclude markers can not be the same.

When the message is displayed:

This message is displayed when

Action taken

* 20 max string to exclude

Ref: HIDP_OPS_SEARCH_ERR_1
HIDP_OPS_SEARCH_ERR_2
HIDP_OPS_SEARCH_ERR_3
HIDP_OPS_SEARCH_ERR_4
HIDP_OPS_SEARCH_ERR_5


New File Times could not be set

New file times could not be set (Error Message)
Return to Introduction
Message Text:

New file times could not be set.
<filename>
(Note that you must have the correct access permissions for the file
and that normally file times in Windows must be after 1/1/1970.)
Press 'OK' to skip just this file, or
Press 'Cancel' to skip all remaining files.

When the message is displayed:

This message is displayed anytime a time for a file (created, modifited, or last accessed) could not be set. Normally this could occure when file times and/or attributes are being explicitly changed or when times are being reset after a copy or move operation.

Action taken

f you are changing more than one file, you can press the 'Cancel' button on the message box to skip changing any remaining files.
Ref: HIDP_NEW_DATES_ERR_1
Ref: HIDP_NEW_DATES_ERR_2
Ref: HIDP_NEW_DATES_ERR_3
Ref: HIDP_NEW_DATES_ERR_4


Search Canceled while in Compare Mode

Abandon Sort while in Compare Mode? (Question)
Return to Introduction
Message Text:

Are you sure you want to cancel sorting?
If this sort is abandoned Compare Mode can not continue.
Press 'Yes' to exit Compare Mode and sort by the Directory Tree, or
Press 'Cancel' to continue the sort.
Press 'Help' for more information.

When the message is displayed:

This message is displayed when

Action taken

*
* Sorting by type is the most time consuming
* Turn off sorting by type
Ref: HIDP_SORT_ABANDON


New Filename is too long

New Filename too long (Error Message)
Return to Introduction
Message Text:

Sorry, the new name:
<New Filename>
is too long for a filename.

When the message is displayed:

This message is displayed when

Action taken

FileBoss was unable to create the directory to which the files were to be copied because there was a problem with the specified root (base) directory.
Possible reasons for this problem are:
· The specified root directory contained a filename rather than the name of a directory.
· You do not have permission to create a directory in that area of the file system.
· The specified root directory does not exist.

Ref: HIDP_REN_STRING_TOO_LONG


Warning Loading Document Layouts from File

Document List File May Be Out of Date (Warning)
Return to Introduction
Message Text:

<filename> is an older Document List file, some documents may not load.
Load the file anyway?

When the message is displayed:
This message is displayed when

Action taken

* Older version of FileBoss, but nothing should be critical.

Ref: HIDP_ARCHIVE_WIN_ERR_7


Cannot Open File for Reading

Cannot Open File for Reading (Warning)
Return to Introduction
Message Text:

Cannot open <filename> for importing program options.
Press 'Select File' to select a file to load.
Press 'Use Defaults' to start FileBoss with it's default options set."
or
Cannot open <filename> for a Document List.
Press 'Yes' to select a file to load.
Press 'No' to skip loading the Document List

When the message is displayed:

This message is displayed when

Action taken

* Older version of FileBoss, but nothing should be critical.

Ref: HIDP_ARCHIVE__ERR_6


Warning Loading Program Options from File

Options File May Be Out of Date (Warning)
Return to Introduction
Message Text:

<filename> is an older configuration file, some of FileBoss' settings have been stored in this file.
Load the file anyway?

When the message is displayed:

This message is displayed when

Action taken

* Older version of FileBoss, but nothing should be critical.

Ref: HIDP_ARCHIVE__ERR_7


Log File Getting Big

Log File Getting Big (Warning Message)
Return to Introduction
Message Text:

The Log File, "<filename>", is getting quite large (<99>KB).
This is only a notification, no action has been taken.

To find out what this means to you, click on the 'More Info...' link below.

When the message is displayed:
This message is displayed whenever a Results Log file is opened and has exceeded a preset warning size.

Action taken
This is only a warning message and no action must be taken. If however you feel that the log file is getting too big, you can change how Log files for the Results windows are maintained in the Results Section of the Options dialog. You can also set the file size that triggers these warnings or even turn the warnings off completely.

To learn more about log files for the Results windows and how to change their settings click here.

Ref: HIDP_LOGFILE_TOO_BIG


Number of Lines Out of Range (copy)

Number of Lines Out of Range (Error Message)
Return to Introduction
Message Text:

The number of lines a Result Log Window can display must between 50 and 10,000.
Please re-enter an appropriate value.

When the message is displayed:
This message is displayed when setting new options for the Results logs and the number of lines to be held in memory for one of the Results windows is less than 50 or greater than 10,000.

Action needed
Please make sure the number of lines entered is not less than 50 nor more than 10l,000.

To learn more about log files for the Results windows and how to change their settings click here.

Ref: HIDP_LOG_LINES_OUTOFRANGE


Number of Lines Out of Range

Number of Lines Out of Range (Error Message)
Return to Introduction
Message Text:

The number of lines a Result Log Window can display must between 50 and 10,000.
Please re-enter an appropriate value.

When the message is displayed:
This message is displayed when setting new options for the Results logs and the number of lines to be held in memory for one of the Results windows is less than 50 or greater than 10,000.

Action needed
Please make sure the number of lines entered is not less than 50 nor more than 10l,000.

To learn more about log files for the Results windows and how to change their settings click here.

Ref: HIDP_LOG_LINES_OUTOFRANGE


Locating Files that Caused Errors (copy)

Locating Files that Caused Errors (message)
Return to Introduction
Message Text:

<num> files were not Recycled/Deleted/Destroyed <or>
<num> files were not copied/moved <or>
<num> files were not renamed <or>
<num> files were not changed

These files have been marked and will be displayed with a red band in the Contents Window. If the 'View | Highlight Errors' command (on the main menu) is active you can use the 'Edit | | First Error' command from the main menu to quickly go to the file(s) that could not be processed .

When the message is displayed
This message displayed after an operation on multiple files has finished and some of the files were not processed due to errors.

Action taken
This message is for information only. And can be turned off by clicking on the 'Don't show again' link at the bottom left of the message.

Ref: HIDH_ACTION_ENDER


No Valid Shell Objects

No Valid Shell Objects (message)
Return to Introduction
Message Text:

None of the selected or highlighted entries exist or
they are not valid shell objects.

When the message is displayed
This message is displayed wheneveran action such as 'Windows Explorer Menu' is selected but the file that is highlighted (or the files that are selected) are not valid file system objects or virtual objects. This could happen if a file or folder does not exist or it is a special object for which no user interface has been defined.

Action taken
Select another entry and try again.

Ref: HIDP_NO_VALID_SHELL_OBJECTS


What is Stored in the Registry

The few entries FileBoss puts into the Registry are under the key:
   Software | The Utility Factory | FileBoss | <version number>
This key is normally found under the HKEY_CURRENT_USER key, but it is best to search on 'FileBoss' to find all entries.

The items stored are:
· The name of the active options files (default: FileBoss.fdb
· The list of recently opened files (the entries at the bottom of the File menu
· Whether the Tip-of-the-Day is turned on and which tip is next
· Several other minor settings depending on the version of FileBoss in use.

Most of FileBoss' options and settings are stored in an options file
xxxxx

Ref: What_is_stored_in_the_registry


FileBoss File Extensions

File Extensions used by FileBoss

.fbopts
The file that stores most of FileBoss' options, settings and dialog data. For portability reasons, most of the settings used by FileBoss are stored in disk files rather than the registry (exceptions being a pointer to the options file itself and the location and size of windows and toolbars).
Normally the default options file is FileBoss.fbopts located in the Data folder that was created when FileBoss was installed.

.fbfileset
Contains File Sets that were saved to disk. These can be very small files as when the file set was saved as a definition, or very large files when the actual entries in a file set were saved.

.fbwins
Saves information about the windows (explore and file set views) that where open when FileBoss was last closed. This file will be read by FileBoss when it first starts to reload all the Explore and File Set views that were open when it was last closed.
(Note that whether or not a default .fbwins file is processed and, if so, how it is processed can be controlled by settings in the Startup Options panel of the Options dialog (accessed by 'Tools | Options...' command from the main menu.
.fbwins files can also be saved and loaded while FileBoss is running. Use the 'File | Open Window List...' and 'File | Save Window List...' commands from the main menu or double-clicking on an icon or shortcut.

.fbdzones
Stores information about the current state of Drop Zones. The default file is loaded by FileBoss when it first start to restore all the Drop Zones that were open when the program last closed.

.fbdzones files can also be saved and loaded while FileBoss is running. Use the 'Drop Zones | Save...' and 'Drop Zones | Load...' commands from the main menu.

Ref: FileBossExtensions


Meta-Folders & CSIDL Codes
Meta Folders allow you to enter
Where ever a meta folder can be used in the place of a normal path you can enter:
1) The complete meta folder name, e.g. <Windows>, <My Documents>
2) The abbreviated meta folder name, e.g. <W>, <MD>
3) A Bookmark name, e.g. <predfinded bookmark> see Using Bookmarks for more infomation.

Admin Tools
File system directory used to store administrative tools for an individual user. The Microsoft Management Console (MMC) saves customized consoles to this directory, and it roams with the user.
Example: C:\Documents and Settings\John\Start Menu\Programs\Administrative Tools\
Programmer's symbol: CSIDL_ADMINTOOLS

Admin Tools, Common
Folder that contains administrative tools for all users.
Example: C:\Documents and Settings\All Users\Start Menu\Programs\Administrative Tools
Programmer's symbol: CSIDL_COMMON_ADMINTOOLS

App Data
Default folder for storing application-specific data files.
Example: C:\Documents and Settings\John\Application Data
Programmer's symbol: CSIDL_APPDATA

App Data, Common
Application data for all users.
Example: C:\Documents and Settings\All Users\Application Data
Programmer's symbol: CSIDL_COMMON_APPDATA

App Data, Local
Default folder for storing local (nonroaming) applications.
Example: C:\Documents and Settings\John\Local Settings\Application Data
Programmer's symbol: CSIDL_LOCAL_APPDATA

CD Burn Area
File system folder used to hold data for burning to a CD.
Example: C:\Documents and Settings\John\Local Settings\Application Data\Microsoft\CD Burning\
Programmer's symbol: CSIDL_CDBURN_AREA

Cookies
Default folder for storing Internet cookies.
Example: C:\Documents and Settings\John\Cookies
Programmer's symbol: CSIDL_COOKIES

Desktop
Windows desktop: All of the items you see on the screen that represent real files and folders. See also Desktop, Common and Desktop Directoy.
Example: C:\Documents and Settings\John\Desktop
Programmer's symbol: CSIDL_DESKTOP

Desktop Dir
Folder that physically stores file objects on the desktop (this may or may not be the same folder as the Desktop folder itself). See also Desktop, Common and Desktop.
Example: C:\Documents and Settings\John\Desktop
Programmer's symbol: CSIDL_DESKTOPDIRECTORY
Desktop Dir, Common
Folder that contains files and folders that appear on the desktop for all users. See also Desktop and Desktop Directoy.
Example: C:\Documents and Settings\All Users\Desktop\
Programmer's symbol: CSIDL_COMMON_DESKTOPDIRECTORY
Documents, Common
Folder containing documents that are common to all users.
Example: C:\Documents and Settings\All Users\Documents
Programmer's symbol: CSIDL_COMMON_DOCUMENTS
Favorites
Default folder for storing a user's favorite items.
Example: C:\Documents and Settings\John\Favorites
Programmer's symbol: CSIDL_FAVORITES
Favorites, Common
Default folder for storing all user's favorite items.
Example: C:\Documents and Settings\All Users\Favorites
Programmer's symbol: CSIDL_COMMON_FAVORITES
Fonts
Folder that contains the font definition files.
Example: C:\Windows\Fonts
Programmer's symbol: CSIDL_ FONTS
History
Default folder for storing Internet history items.
Example: C:\Documents and Settings\John\Local Settings\History
Programmer's symbol: CSIDL_HISTORY
Internet Temp Files
Default folder for storing temporary Internet files.
Example: C:\Documents and Settings\John\Local Settings\Temporary Internet Files
Programmer's symbol: CSIDL_INTERNET_CACHE
My Documents
Default folder for storing documents. Note that this is usually different from the virtual My Documents folder in the name space (normally on the desktop).
Example: C:\Documents and Settings\John\My Documents
Programmer's symbol: CSIDL_PERSONAL
My Music
Folder that serves as a common place to store music files.
Example: C:\Documents and Settings\John\My Music
Programmer's symbol: CSIDL_ MYMUSIC
My Music, Common
My Music folder for all users. For more information, see CSIDL_MYMUSIC.
Example: C:\Documents and Settings\All Users\Documents\My Music
Programmer's symbol: CSIDL_COMMON_MUSIC
My Pictures
My Pictures folder for current user. Typically located below the user's My Documents folder
Example: C:\Documents and Settings\John\My Documents\My Pictures
Programmer's symbol: CSIDL_MYPICTURES
My Pictures, Common
My Pictures folder for all users. For more information, see CSIDL_MYPICTURES.
Example: C:\Documents and Settings\All Users\Documents\My Pictures
Programmer's symbol: CSIDL_COMMON_PICTURES
My Video
Folder that serves as a common place to store video files.
Example: C:\Documents and Settings\John\My Video
Programmer's symbol: CSIDL_ MYVIDEO
My Video, Common
My Video folder for all users. For more information, see CSIDL_MYVIDEO.
Example: C:\Documents and Settings\All Users\Documents\My Video
Programmer's symbol: CSIDL_COMMON_VIDEO
NetHood
Contains the physical link objects that can exist in the My Network Places virtual folder.
Example: C:\Documents and Settings\John\NetHood
Programmer's symbol: CSIDL_ NETHOOD
OEM Links, Common
Folder containing links to OEM specific applications for all users.
Example: C:\
Programmer's symbol: CSIDL_COMMON_OEM_LINKS
PrintHood
Folder containing link objects that can exist in the Printers virtual folder.
Example: C:\Documents and Settings\John\PrintHood
Programmer's symbol: CSIDL_PRINTHOOD
Profile
See User Profile.
Program Files
Program Files folder.
Example: C:\Program Files
Programmer's symbol: CSIDL_PROGRAM_FILES
Program Files, Common
A folder for components that are shared across applications.
Example: C:\Program Files\Common Files
Programmer's symbol: CSIDL_PROGRAM_FILES_COMMON
Program Groups
Folder containing the user's program groups (folders). These are the entries that appear in the Programs section of the Start Menu.
Example: C:\Documents and Settings\John\Start Menu\Programs
Programmer's symbol: CSIDL_ PROGRAMS
Program Groups, Common
Folder that contains the directories for the common program groups that appear in the Start Menu for all users.
Example: C:\Documents and Settings\All Users\Start Menu\Programs
Programmer's symbol: CSIDL_COMMON_PROGRAMS
Recently Used Docs
Folder that contains the user's most recently used documents. The entries in this folder are short cuts to the actual documents.
Example: C:\Documents and Settings\John\My Recent Documents
Programmer's symbol: CSIDL_RECENT
Resources
System resource directory.
Example: C:\Windows\Resources
Programmer's symbol: CSIDL_RESOURCES
Resources, Localized
Localized resource directory. For more information, see CSIDL_RESOURCES.
Example: C:\
Programmer's symbol: CSIDL_RESOURCES_LOCALIZED
SendTo
Folder that contains Send To menu items. Normally theses are the folders, both real and virtual, that appear under the Send To item on the Edit and popup menus
Example: C:\Documents and Settings\John\SendTo
Programmer's symbol: CSIDL_SENDTO
StartMenu
Folder that contains Start Menu items.
Example: C:\Documents and Settings\John\Start Menu
Programmer's symbol: CSIDL_STARTMENU
StartMenu, Common
Folder that contains the programs and folders that appear on the Start Menu for all users.
Example: C:\Documents and Settings\All Users\Start Menu
Programmer's symbol: CSIDL_COMMON_STARTMENU
StartUp
Folder that corresponds to the user's Startup program group. The system starts these programs whenever a user logs onto Windows NT®, 2000, XP or starts Windows® 98.
Example: C:\Documents and Settings\John\Start Menu\Programs\Startup
Programmer's symbol: CSIDL_STARTUP
StartUp, Alternate
Folder that corresponds to the user's nonlocalized Startup program group.
Programmer's symbol: CSIDL_ALTSTARTUP
StartUp, Common
Folder that contains the programs that appear in the Startup folder for all users.
Example: C:\Documents and Settings\All Users\Start Menu\Programs\Start Up
Programmer's symbol: CSIDL_COMMON_STARTUP
StartUp, Common Alternate
Folder that corresponds to the nonlocalized Startup program group for all users. Programmer's symbol: CSIDL_COMMON_ALTSTARTUP
System
System folder. Contains operating system files and application extensions.
Example: C:\Windows\System32\
Programmer's symbol: CSIDL_SYSTEM
SystemX86
The x86 system directory on Reduced Instruction Set Computer (RISC) systems. (Also valid on some recent versions of Windows where it is commonly set to the same directory as System.
Example: C:\Windows\System32
Programmer's symbol: CSIDL_SYSTEMX86
Templates
Default folder for storing document templates.
Example: C:\Documents and Settings\John\Templates
Programmer's symbol: CSIDL_TEMPLATES
Templates, Common
Folder that contains the templates that are available to all users.
Example: C:\Documents and Settings\All Users\Templates
Programmer's symbol: CSIDL_COMMON_TEMPLATES
User Profile
User's profile folder.
Example: C:\Documents and Settings\John
Programmer's symbol: CSIDL_PROFILE
Windows
Windows directory or SYSROOT. This is the same as the %windir% or %SYSTEMROOT% environment variables.
Example: C:\Windows\
Programmer's symbol: CSIDL_WINDOWS
Ref: Meta_Folders_Defined


Operating System Error Codes
The following are the raw codes reported by system functions when an error occurs with in a Windows Operating System. These are straight from Microsoft with no editing by The Utility Factory. Sometimes the codes are very informative other times less so.

Code Description
0 The operation completed successfully.
1 Incorrect function.
2 The system cannot find the file specified.
3 The system cannot find the path specified.
4 The system cannot open the file.
5 Access is denied.
6 The handle is invalid.
7 The storage control blocks were destroyed.
8 Not enough storage is available to process this command.
9 The storage control block address is invalid.
10 The environment is incorrect.
11 An attempt was made to load a program with an incorrect format.
12 The access code is invalid.
13 The data is invalid.
14 Not enough storage is available to complete this operation.
15 The system cannot find the drive specified.
16 The directory cannot be removed.
17 The system cannot move the file to a different disk drive.
18 There are no more files.
19 The media is write protected.
20 The system cannot find the device specified.
21 The device is not ready.
22 The device does not recognize the command.
23 Data error (cyclic redundancy check).
24 The program issued a command but the command length is incorrect.
25 The drive cannot locate a specific area or track on the disk.
26 The specified disk or diskette cannot be accessed.
27 The drive cannot find the sector requested.
28 The printer is out of paper.
29 The system cannot write to the specified device.
30 The system cannot read from the specified device.
31 A device attached to the system is not functioning.
32 The process cannot access the file because it is being used by another process.
33 The process cannot access the file because another process has locked a portion of the file.
34 The wrong diskette is in the drive. Insert %2 (Volume Serial Number: %3) into drive %1.
36 Too many files opened for sharing.
38 Reached the end of the file.
39 The disk is full.
50 The request is not supported.
51 Windows cannot find the network path. Verify that the network path is correct and the destination computer is not busy or turned off. If Windows still cannot find the network path, contact your network administrator.
52 You were not connected because a duplicate name exists on the network. Go to System in the Control Panel to change the computer name and try again.
53 The network path was not found.
54 The network is busy.
55 The specified network resource or device is no longer available.
56 The network BIOS command limit has been reached.
57 A network adapter hardware error occurred.
58 The specified server cannot perform the requested operation.
59 An unexpected network error occurred.
60 The remote adapter is not compatible.
61 The printer queue is full.
62 Space to store the file waiting to be printed is not available on the server.
63 Your file waiting to be printed was deleted.
64 The specified network name is no longer available.
65 Network access is denied.
66 The network resource type is not correct.
67 The network name cannot be found.
68 The name limit for the local computer network adapter card was exceeded.
69 The network BIOS session limit was exceeded.
70 The remote server has been paused or is in the process of being started.
71 No more connections can be made to this remote computer at this time because there are already as many connections as the computer can accept.
72 The specified printer or disk device has been paused.
80 The file exists.
82 The directory or file cannot be created.
83 Fail on INT 24.
84 Storage to process this request is not available.
85 The local device name is already in use.
86 The specified network password is not correct.
87 The parameter is incorrect.
88 A write fault occurred on the network.
89 The system cannot start another process at this time.
100 Cannot create another system semaphore.
101 The exclusive semaphore is owned by another process.
102 The semaphore is set and cannot be closed.
103 The semaphore cannot be set again.
104 Cannot request exclusive semaphores at interrupt time.
105 The previous ownership of this semaphore has ended.
106 Insert the diskette for drive %1.
107 The program stopped because an alternate diskette was not inserted.
108 The disk is in use or locked by another process.
109 The pipe has been ended.
110 The system cannot open the device or file specified.
111 The file name is too long.
112 There is not enough space on the disk.
113 No more internal file identifiers available.
114 The target internal file identifier is incorrect.
117 The IOCTL call made by the application program is not correct.
118 The verify-on-write switch parameter value is not correct.
119 The system does not support the command requested.
120 This function is not supported on this system.
121 The semaphore timeout period has expired.
122 The data area passed to a system call is too small.
123 The filename, directory name, or volume label syntax is incorrect.
124 The system call level is not correct.
125 The disk has no volume label.
126 The specified module could not be found.
127 The specified procedure could not be found.
128 There are no child processes to wait for.
129 The %1 application cannot be run in Win32 mode.
130 Attempt to use a file handle to an open disk partition for an operation other than raw disk I/O.
131 An attempt was made to move the file pointer before the beginning of the file.
132 The file pointer cannot be set on the specified device or file.
133 A JOIN or SUBST command cannot be used for a drive that contains previously joined drives.
134 An attempt was made to use a JOIN or SUBST command on a drive that has already been joined.
135 An attempt was made to use a JOIN or SUBST command on a drive that has already been substituted.
136 The system tried to delete the JOIN of a drive that is not joined.
137 The system tried to delete the substitution of a drive that is not substituted.
138 The system tried to join a drive to a directory on a joined drive.
139 The system tried to substitute a drive to a directory on a substituted drive.
140 The system tried to join a drive to a directory on a substituted drive.
141 The system tried to SUBST a drive to a directory on a joined drive.
142 The system cannot perform a JOIN or SUBST at this time.
143 The system cannot join or substitute a drive to or for a directory on the same drive.
144 The directory is not a subdirectory of the root directory.
145 The directory is not empty.
146 The path specified is being used in a substitute.
147 Not enough resources are available to process this command.
148 The path specified cannot be used at this time.
149 An attempt was made to join or substitute a drive for which a directory on the drive is the target of a previous substitute.
150 System trace information was not specified in your CONFIG.SYS file, or tracing is disallowed.
151 The number of specified semaphore events for DosMuxSemWait is not correct.
152 DosMuxSemWait did not execute; too many semaphores are already set.
153 The DosMuxSemWait list is not correct.
154 The volume label you entered exceeds the label character limit of the target file system.
155 Cannot create another thread.
156 The recipient process has refused the signal.
157 The segment is already discarded and cannot be locked.
158 The segment is already unlocked.
159 The address for the thread ID is not correct.
160 The argument string passed to DosExecPgm is not correct.
161 The specified path is invalid.
162 A signal is already pending.
164 No more threads can be created in the system.
167 Unable to lock a region of a file.
170 The requested resource is in use.
173 A lock request was not outstanding for the supplied cancel region.
174 The file system does not support atomic changes to the lock type.
180 The system detected a segment number that was not correct.
182 The operating system cannot run %1.
183 Cannot create a file when that file already exists.
186 The flag passed is not correct.
187 The specified system semaphore name was not found.
188 The operating system cannot run %1.
189 The operating system cannot run %1.
190 The operating system cannot run %1.
191 Cannot run %1 in Win32 mode.
192 The operating system cannot run %1.
193 %1 is not a valid Win32 application.
194 The operating system cannot run %1.
195 The operating system cannot run %1.
196 The operating system cannot run this application program.
197 The operating system is not presently configured to run this application.
198 The operating system cannot run %1.
199 The operating system cannot run this application program.
200 The code segment cannot be greater than or equal to 64K.
201 The operating system cannot run %1.
202 The operating system cannot run %1.
203 The system could not find the environment option that was entered.
205 No process in the command subtree has a signal handler.
206 The filename or extension is too long.
207 The ring 2 stack is in use.
208 The global filename characters, * or ?, are entered incorrectly or too many global filename characters are specified.
209 The signal being posted is not correct.
210 The signal handler cannot be set.
212 The segment is locked and cannot be reallocated.
214 Too many dynamic-link modules are attached to this program or dynamic-link module.
215 Cannot nest calls to LoadModule.
216 The image file %1 is valid, but is for a machine type other than the current machine.
230 The pipe state is invalid.
231 All pipe instances are busy.
232 The pipe is being closed.
233 No process is on the other end of the pipe.
234 More data is available.
240 The session was canceled.
254 The specified extended attribute name was invalid.
255 The extended attributes are inconsistent.
258 The wait operation timed out.
259 No more data is available.
266 The copy functions cannot be used.
267 The directory name is invalid.
275 The extended attributes did not fit in the buffer.
276 The extended attribute file on the mounted file system is corrupt.
277 The extended attribute table file is full.
278 The specified extended attribute handle is invalid.
282 The mounted file system does not support extended attributes.
288 Attempt to release mutex not owned by caller.
298 Too many posts were made to a semaphore.
299 Only part of a ReadProcessMemory or WriteProcessMemory request was completed.
300 The oplock request is denied.
301 An invalid oplock acknowledgment was received by the system.
302 The volume is too fragmented to complete this operation.
303 The file cannot be opened because it is in the process of being deleted.
317 The system cannot find message text for message number 0x%1 in the message file for %2.
487 Attempt to access invalid address.
534 Arithmetic result exceeded 32 bits.
535 There is a process on other end of the pipe.
536 Waiting for a process to open the other end of the pipe.
994 Access to the extended attribute was denied.
995 The I/O operation has been aborted because of either a thread exit or an application request.
996 Overlapped I/O event is not in a signaled state.
997 Overlapped I/O operation is in progress.
998 Invalid access to memory location.
999 Error performing inpage operation.
1001 Recursion too deep; the stack overflowed.
1002 The window cannot act on the sent message.
1003 Cannot complete this function.
1004 Invalid flags.
1005 The volume does not contain a recognized file system. Please make sure that all required file system drivers are loaded and that the volume is not corrupted.
1006 The volume for a file has been externally altered so that the opened file is no longer valid.
1007 The requested operation cannot be performed in full-screen mode.
1008 An attempt was made to reference a token that does not exist.
1009 The configuration registry database is corrupt.
1010 The configuration registry key is invalid.
1011 The configuration registry key could not be opened.
1012 The configuration registry key could not be read.
1013 The configuration registry key could not be written.
1014 One of the files in the registry database had to be recovered by use of a log or alternate copy. The recovery was successful.
1015 The registry is corrupted. The structure of one of the files containing registry data is corrupted, or the system's memory image of the file is corrupted, or the file could not be recovered because the alternate copy or log was absent or corrupted.
1016 An I/O operation initiated by the registry failed unrecoverably. The registry could not read in, or write out, or flush, one of the files that contain the system's image of the registry.
1017 The system has attempted to load or restore a file into the registry, but the specified file is not in a registry file format.
1018 Illegal operation attempted on a registry key that has been marked for deletion.
1019 System could not allocate the required space in a registry log.
1020 Cannot create a symbolic link in a registry key that already has subkeys or values.
1021 Cannot create a stable subkey under a volatile parent key.
1022 A notify change request is being completed and the information is not being returned in the caller's buffer. The caller now needs to enumerate the files to find the changes.
1051 A stop control has been sent to a service that other running services are dependent on.
1052 The requested control is not valid for this service.
1053 The service did not respond to the start or control request in a timely fashion.
1054 A thread could not be created for the service.
1055 The service database is locked.
1056 An instance of the service is already running.
1057 The account name is invalid or does not exist, or the password is invalid for the account name specified.
1058 The service cannot be started, either because it is disabled or because it has no enabled devices associated with it.
1059 Circular service dependency was specified.
1060 The specified service does not exist as an installed service.
1061 The service cannot accept control messages at this time.
1062 The service has not been started.
1063 The service process could not connect to the service controller.
1064 An exception occurred in the service when handling the control request.
1065 The database specified does not exist.
1066 The service has returned a service-specific error code.
1067 The process terminated unexpectedly.
1068 The dependency service or group failed to start.
1069 The service did not start due to a logon failure.
1070 After starting, the service hung in a start-pending state.
1071 The specified service database lock is invalid.
1072 The specified service has been marked for deletion.
1073 The specified service already exists.
1074 The system is currently running with the last-known-good configuration.
1075 The dependency service does not exist or has been marked for deletion.
1076 The current boot has already been accepted for use as the last-known-good control set.
1077 No attempts to start the service have been made since the last boot.
1078 The name is already in use as either a service name or a service display name.
1079 The account specified for this service is different from the account specified for other services running in the same process.
1080 Failure actions can only be set for Win32 services, not for drivers.
1081 This service runs in the same process as the service control manager. Therefore, the service control manager cannot take action if this service's process terminates unexpectedly.
1082 No recovery program has been configured for this service.
1083 The executable program that this service is configured to run in does not implement the service.
1084 This service cannot be started in Safe Mode.
1100 The physical end of the tape has been reached.
1101 A tape access reached a filemark.
1102 The beginning of the tape or a partition was encountered.
1103 A tape access reached the end of a set of files.
1104 No more data is on the tape.
1105 Tape could not be partitioned.
1106 When accessing a new tape of a multivolume partition, the current block size is incorrect.
1107 Tape partition information could not be found when loading a tape.
1108 Unable to lock the media eject mechanism.
1109 Unable to unload the media.
1110 The media in the drive may have changed.
1111 The I/O bus was reset.
1112 No media in drive.
1113 No mapping for the Unicode character exists in the target multi-byte code page.
1114 A dynamic link library (DLL) initialization routine failed.
1115 A system shutdown is in progress.
1116 Unable to abort the system shutdown because no shutdown was in progress.
1117 The request could not be performed because of an I/O device error.
1118 No serial device was successfully initialized. The serial driver will unload.
1119 Unable to open a device that was sharing an interrupt request (IRQ) with other devices. At least one other device that uses that IRQ was already opened.
1120 A serial I/O operation was completed by another write to the serial port. (The IOCTL_SERIAL_XOFF_COUNTER reached zero.)
1121 A serial I/O operation completed because the timeout period expired. (The IOCTL_SERIAL_XOFF_COUNTER did not reach zero.)
1122 No ID address mark was found on the floppy disk.
1123 Mismatch between the floppy disk sector ID field and the floppy disk controller track address.
1124 The floppy disk controller reported an error that is not recognized by the floppy disk driver.
1125 The floppy disk controller returned inconsistent results in its registers.
1126 While accessing the hard disk, a recalibrate operation failed, even after retries.
1127 While accessing the hard disk, a disk operation failed even after retries.
1128 While accessing the hard disk, a disk controller reset was needed, but even that failed.
1129 Physical end of tape encountered.
1130 Not enough server storage is available to process this command.
1131 A potential deadlock condition has been detected.
1132 The base address or the file offset specified does not have the proper alignment.
1140 An attempt to change the system power state was vetoed by another application or driver.
1141 The system BIOS failed an attempt to change the system power state.
1142 An attempt was made to create more links on a file than the file system supports.
1150 The specified program requires a newer version of Windows.
1151 The specified program is not a Windows or MS-DOS program.
1152 Cannot start more than one instance of the specified program.
1153 The specified program was written for an earlier version of Windows.
1154 One of the library files needed to run this application is damaged.
1155 No application is associated with the specified file for this operation.
1156 An error occurred in sending the command to the application.
1157 One of the library files needed to run this application cannot be found.
1158 The current process has used all of its system allowance of handles for Window Manager objects.
1159 The message can be used only with synchronous operations.
1160 The indicated source element has no media.
1161 The indicated destination element already contains media.
1162 The indicated element does not exist.
1163 The indicated element is part of a magazine that is not present.
1164 The indicated device requires reinitialization due to hardware errors.
1165 The device has indicated that cleaning is required before further operations are attempted.
1166 The device has indicated that its door is open.
1167 The device is not connected.
1168 Element not found.
1169 There was no match for the specified key in the index.
1170 The property set specified does not exist on the object.
1171 The point passed to GetMouseMovePointsEx is not in the buffer.
1172 The tracking (workstation) service is not running.
1173 The Volume ID could not be found.
1175 Unable to remove the file to be replaced.
1176 Unable to move the replacement file to the file to be replaced. The file to be replaced has retained its original name.
1177 Unable to move the replacement file to the file to be replaced. The file to be replaced has been renamed using the backup name.
1178 The volume change journal is being deleted.
1179 The volume change journal is not active.
1180 A file was found, but it may not be the correct file.
1181 The journal entry has been deleted from the journal.
1200 The specified device name is invalid.
1201 The device is not currently connected but it is a remembered connection.
1202 The local device name has a remembered connection to another network resource.
1203 No network provider accepted the given network path.
1204 The specified network provider name is invalid.
1205 Unable to open the network connection profile.
1206 The network connection profile is corrupted.
1207 Cannot enumerate a noncontainer.
1208 An extended error has occurred.
1209 The format of the specified group name is invalid.
1210 The format of the specified computer name is invalid.
1211 The format of the specified event name is invalid.
1212 The format of the specified domain name is invalid.
1213 The format of the specified service name is invalid.
1214 The format of the specified network name is invalid.
1215 The format of the specified share name is invalid.
1216 The format of the specified password is invalid.
1217 The format of the specified message name is invalid.
1218 The format of the specified message destination is invalid.
1219 Multiple connections to a server or shared resource by the same user, using more than one user name, are not allowed. Disconnect all previous connections to the server or shared resource and try again.
1220 An attempt was made to establish a session to a network server, but there are already too many sessions established to that server.
1221 The workgroup or domain name is already in use by another computer on the network.
1222 The network is not present or not started.
1223 The operation was canceled by the user.
1224 The requested operation cannot be performed on a file with a user-mapped section open.
1225 The remote system refused the network connection.
1226 The network connection was gracefully closed.
1227 The network transport endpoint already has an address associated with it.
1228 An address has not yet been associated with the network endpoint.
1229 An operation was attempted on a nonexistent network connection.
1230 An invalid operation was attempted on an active network connection.
1231 The network location cannot be reached. For information about network troubleshooting, see Windows Help.
1232 The network location cannot be reached. For information about network troubleshooting, see Windows Help.
1233 The network location cannot be reached. For information about network troubleshooting, see Windows Help.
1234 No service is operating at the destination network endpoint on the remote system.
1235 The request was aborted.
1236 The network connection was aborted by the local system.
1237 The operation could not be completed. A retry should be performed.
1238 A connection to the server could not be made because the limit on the number of concurrent connections for this account has been reached.
1239 Attempting to log in during an unauthorized time of day for this account.
1240 The account is not authorized to log in from this station.
1241 The network address could not be used for the operation requested.
1242 The service is already registered.
1243 The specified service does not exist.
1244 The operation being requested was not performed because the user has not been authenticated.
1245 The operation being requested was not performed because the user has not logged on to the network. The specified service does not exist.
1246 Continue with work in progress.
1247 An attempt was made to perform an initialization operation when initialization has already been completed.
1248 No more local devices.
1249 The specified site does not exist.
1250 A domain controller with the specified name already exists.
1251 This operation is supported only when you are connected to the server.
1252 The group policy framework should call the extension even if there are no changes.
1253 The specified user does not have a valid profile.
1254 This operation is not supported on a Microsoft Small Business Server.
1255 The server machine is shutting down.
1256 The remote system is not available. For information about network troubleshooting, see Windows Help.
1257 The security identifier provided is not from an account domain.
1258 The security identifier provided does not have a domain component.
1259 AppHelp dialog canceled thus preventing the application from starting.
1260 Windows cannot open this program because it has been prevented by a software restriction policy. For more information, open Event Viewer or contact your system administrator.
1261 A program attempt to use an invalid register value. Normally caused by an uninitialized register. This error is Itanium specific.
1262 The share is currently offline or does not exist.
1263 The kerberos protocol encountered an error while validating the KDC certificate during smartcard logon.
1264 The kerberos protocol encountered an error while attempting to utilize the smartcard subsystem.
1265 The system detected a possible attempt to compromise security. Please ensure that you can contact the server that authenticated you.
1266 The smartcard certificate used for authentication has been revoked. Please contact your system administrator. There may be additional information in the event log.
1267 An untrusted certificate authority was detected while processing the smartcard certificate used for authentication. Please contact your system administrator.
1268 The revocation status of the smartcard certificate used for authentication could not be determined. Please contact your system administrator.
1269 The smartcard certificate used for authentication was not trusted. Please contact your system administrator.
1270 The smartcard certificate used for authentication has expired. Please contact your system administrator.
1271 The machine is locked and cannot be shut down without the force option.
1273 An application-defined callback gave invalid data when called.
1274 The group policy framework should call the extension in the synchronous foreground policy refresh.
1275 This driver has been blocked from loading.
1276 A dynamic link library (DLL) referenced a module that was neither a DLL nor the process' executable image.
1300 Not all privileges referenced are assigned to the caller.
1301 Some mapping between account names and security IDs was not done.
1302 No system quota limits are specifically set for this account.
1303 No encryption key is available. A well-known encryption key was returned.
1304 The password is too complex to be converted to a LAN Manager password. The LAN Manager password returned is a NULL string.
1305 The revision level is unknown.
1306 Indicates two revision levels are incompatible.
1307 This security ID may not be assigned as the owner of this object.
1308 This security ID may not be assigned as the primary group of an object.
1309 An attempt has been made to operate on an impersonation token by a thread that is not currently impersonating a client.
1310 The group may not be disabled.
1311 There are currently no logon servers available to service the logon request.
1312 A specified logon session does not exist. It may already have been terminated.
1313 A specified privilege does not exist.
1314 A required privilege is not held by the client.
1315 The name provided is not a properly formed account name.
1316 The specified user already exists.
1317 The specified user does not exist.
1318 The specified group already exists.
1319 The specified group does not exist.
1320 Either the specified user account is already a member of the specified group, or the specified group cannot be deleted because it contains a member.
1321 The specified user account is not a member of the specified group account.
1322 The last remaining administration account cannot be disabled or deleted.
1323 Unable to update the password. The value provided as the current password is incorrect.
1324 Unable to update the password. The value provided for the new password contains values that are not allowed in passwords.
1325 Unable to update the password. The value provided for the new password does not meet the length, complexity, or history requirement of the domain.
1326 Logon failure: unknown user name or bad password.
1327 Logon failure: user account restriction. Possible reasons are blank passwords not allowed, logon hour restrictions, or a policy restriction has been enforced.
1328 Logon failure: account logon time restriction violation.
1329 Logon failure: user not allowed to log on to this computer.
1330 Logon failure: the specified account password has expired.
1331 Logon failure: account currently disabled.
1332 No mapping between account names and security IDs was done.
1333 Too many local user identifiers (LUIDs) were requested at one time.
1334 No more local user identifiers (LUIDs) are available.
1335 The subauthority part of a security ID is invalid for this particular use.
1336 The access control list (ACL) structure is invalid.
1337 The security ID structure is invalid.
1338 The security descriptor structure is invalid.
1340 The inherited access control list (ACL) or access control entry (ACE) could not be built.
1341 The server is currently disabled.
1342 The server is currently enabled.
1343 The value provided was an invalid value for an identifier authority.
1344 No more memory is available for security information updates.
1345 The specified attributes are invalid, or incompatible with the attributes for the group as a whole.
1346 Either a required impersonation level was not provided, or the provided impersonation level is invalid.
1347 Cannot open an anonymous level security token.
1348 The validation information class requested was invalid.
1349 The type of the token is inappropriate for its attempted use.
1350 Unable to perform a security operation on an object that has no associated security.
1351 Configuration information could not be read from the domain controller, either because the machine is unavailable, or access has been denied.
1352 The security account manager (SAM) or local security authority (LSA) server was in the wrong state to perform the security operation.
1353 The domain was in the wrong state to perform the security operation.
1354 This operation is only allowed for the Primary Domain Controller of the domain.
1355 The specified domain either does not exist or could not be contacted.
1356 The specified domain already exists.
1357 An attempt was made to exceed the limit on the number of domains per server.
1358 Unable to complete the requested operation because of either a catastrophic media failure or a data structure corruption on the disk.
1359 An internal error occurred.
1360 Generic access types were contained in an access mask which should already be mapped to nongeneric types.
1361 A security descriptor is not in the right format (absolute or self-relative).
1362 The requested action is restricted for use by logon processes only. The calling process has not registered as a logon process.
1363 Cannot start a new logon session with an ID that is already in use.
1364 A specified authentication package is unknown.
1365 The logon session is not in a state that is consistent with the requested operation.
1366 The logon session ID is already in use.
1367 A logon request contained an invalid logon type value.
1368 Unable to impersonate using a named pipe until data has been read from that pipe.
1369 The transaction state of a registry subtree is incompatible with the requested operation.
1370 An internal security database corruption has been encountered.
1371 Cannot perform this operation on built-in accounts.
1372 Cannot perform this operation on this built-in special group.
1373 Cannot perform this operation on this built-in special user.
1374 The user cannot be removed from a group because the group is currently the user's primary group.
1375 The token is already in use as a primary token.
1376 The specified local group does not exist.
1377 The specified account name is not a member of the local group.
1378 The specified account name is already a member of the local group.
1379 The specified local group already exists.
1380 Logon failure: the user has not been granted the requested logon type at this computer.
1381 The maximum number of secrets that may be stored in a single system has been exceeded.
1382 The length of a secret exceeds the maximum length allowed.
1383 The local security authority database contains an internal inconsistency.
1384 During a logon attempt, the user's security context accumulated too many security IDs.
1385 Logon failure: the user has not been granted the requested logon type at this computer.
1386 A cross-encrypted password is necessary to change a user password.
1387 A new member could not be added to or removed from the local group because the member does not exist.
1388 A new member could not be added to a local group because the member has the wrong account type.
1389 Too many security IDs have been specified.
1390 A cross-encrypted password is necessary to change this user password.
1391 Indicates an ACL contains no inheritable components.
1392 The file or directory is corrupted and unreadable.
1393 The disk structure is corrupted and unreadable.
1394 There is no user session key for the specified logon session.
1395 The service being accessed is licensed for a particular number of connections. No more connections can be made to the service at this time because there are already as many connections as the service can accept.
1396 Logon Failure: The target account name is incorrect.
1397 Mutual Authentication failed. The server's password is out of date at the domain controller.
1398 There is a time and/or date difference between the client and server.
1399 This operation cannot be performed on the current domain.
1400 Invalid window handle.
1401 Invalid menu handle.
1402 Invalid cursor handle.
1403 Invalid accelerator table handle.
1404 Invalid hook handle.
1405 Invalid handle to a multiple-window position structure.
1406 Cannot create a top-level child window.
1407 Cannot find window class.
1408 Invalid window; it belongs to other thread.
1409 Hot key is already registered.
1410 Class already exists.
1411 Class does not exist.
1412 Class still has open windows.
1413 Invalid index.
1414 Invalid icon handle.
1415 Using private DIALOG window words.
1416 The list box identifier was not found.
1417 No wildcards were found.
1418 Thread does not have a clipboard open.
1419 Hot key is not registered.
1420 The window is not a valid dialog window.
1421 Control ID not found.
1422 Invalid message for a combo box because it does not have an edit control.
1423 The window is not a combo box.
1424 Height must be less than 256.
1425 Invalid device context (DC) handle.
1426 Invalid hook procedure type.
1427 Invalid hook procedure.
1428 Cannot set nonlocal hook without a module handle.
1429 This hook procedure can only be set globally.
1430 The journal hook procedure is already installed.
1431 The hook procedure is not installed.
1432 Invalid message for single-selection list box.
1433 LB_SETCOUNT sent to non-lazy list box.
1434 This list box does not support tab stops.
1435 Cannot destroy object created by another thread.
1436 Child windows cannot have menus.
1437 The window does not have a system menu.
1438 Invalid message box style.
1439 Invalid system-wide (SPI_*) parameter.
1440 Screen already locked.
1441 All handles to windows in a multiple-window position structure must have the same parent.
1442 The window is not a child window.
1443 Invalid GW_* command.
1444 Invalid thread identifier.
1445 Cannot process a message from a window that is not a multiple document interface (MDI) window.
1446 Popup menu already active.
1447 The window does not have scroll bars.
1448 Scroll bar range cannot be greater than MAXLONG.
1449 Cannot show or remove the window in the way specified.
1450 Insufficient system resources exist to complete the requested service.
1451 Insufficient system resources exist to complete the requested service.
1452 Insufficient system resources exist to complete the requested service.
1453 Insufficient quota to complete the requested service.
1454 Insufficient quota to complete the requested service.
1455 The paging file is too small for this operation to complete.
1456 A menu item was not found.
1457 Invalid keyboard layout handle.
1458 Hook type not allowed.
1459 This operation requires an interactive window station.
1460 This operation returned because the timeout period expired.
1461 Invalid monitor handle.
1500 The event log file is corrupted.
1501 No event log file could be opened, so the event logging service did not start.
1502 The event log file is full.
1503 The event log file has changed between read operations.
1601 The Windows Installer service could not be accessed. This can occur if you are running Windows in safe mode, or if the Windows Installer is not correctly installed. Contact your support personnel for assistance.
1602 User cancelled installation.
1603 Fatal error during installation.
1604 Installation suspended, incomplete.
1605 This action is only valid for products that are currently installed.
1606 Feature ID not registered.
1607 Component ID not registered.
1608 Unknown property.
1609 Handle is in an invalid state.
1610 The configuration data for this product is corrupt. Contact your support personnel.
1611 Component qualifier not present.
1612 The installation source for this product is not available. Verify that the source exists and that you can access it.
1613 This installation package cannot be installed by the Windows Installer service. You must install a Windows service pack that contains a newer version of the Windows Installer service.
1614 Product is uninstalled.
1615 SQL query syntax invalid or unsupported.
1616 Record field does not exist.
1617 The device has been removed.
1618 Another installation is already in progress. Complete that installation before proceeding with this install.
1619 This installation package could not be opened. Verify that the package exists and that you can access it, or contact the application vendor to verify that this is a valid Windows Installer package.
1620 This installation package could not be opened. Contact the application vendor to verify that this is a valid Windows Installer package.
1621 There was an error starting the Windows Installer service user interface. Contact your support personnel.
1622 Error opening installation log file. Verify that the specified log file location exists and that you can write to it.
1623 The language of this installation package is not supported by your system.
1624 Error applying transforms. Verify that the specified transform paths are valid.
1625 This installation is forbidden by system policy. Contact your system administrator.
1626 Function could not be executed.
1627 Function failed during execution.
1628 Invalid or unknown table specified.
1629 Data supplied is of wrong type.
1630 Data of this type is not supported.
1631 The Windows Installer service failed to start. Contact your support personnel.
1632 The Temp folder is on a drive that is full or inaccessible. Free up space on the drive or verify that you have write permission on the Temp folder.
1633 This installation package is not supported by this processor type. Contact your product vendor.
1634 Component not used on this computer.
1635 This patch package could not be opened. Verify that the patch package exists and that you can access it, or contact the application vendor to verify that this is a valid Windows Installer patch package.
1636 This patch package could not be opened. Contact the application vendor to verify that this is a valid Windows Installer patch package.
1637 This patch package cannot be processed by the Windows Installer service. You must install a Windows service pack that contains a newer version of the Windows Installer service.
1638 Another version of this product is already installed. Installation of this version cannot continue. To configure or remove the existing version of this product, use Add/Remove Programs on the Control Panel.
1639 Invalid command line argument. Consult the Windows Installer SDK for detailed command line help.
1640 Only administrators have permission to add, remove, or configure server software during a Terminal Services remote session. If you want to install or configure software on the server, contact your network administrator.
1641 The requested operation completed successfully. The system will be restarted so the changes can take effect.
1642 The upgrade patch cannot be installed by the Windows Installer service because the program to be upgraded may be missing, or the upgrade patch may update a different version of the program. Verify that the program to be upgraded exists on your computer and that you have the correct upgrade patch.
1643 The patch package is not permitted by software restriction policy.
1644 One or more customizations are not permitted by software restriction policy.
1700 The string binding is invalid.
1701 The binding handle is not the correct type.
1702 The binding handle is invalid.
1703 The RPC protocol sequence is not supported.
1704 The RPC protocol sequence is invalid.
1705 The string universal unique identifier (UUID) is invalid.
1706 The endpoint format is invalid.
1707 The network address is invalid.
1708 No endpoint was found.
1709 The timeout value is invalid.
1710 The object universal unique identifier (UUID) was not found.
1711 The object universal unique identifier (UUID) has already been registered.
1712 The type universal unique identifier (UUID) has already been registered.
1713 The RPC server is already listening.
1714 No protocol sequences have been registered.
1715 The RPC server is not listening.
1716 The manager type is unknown.
1717 The interface is unknown.
1718 There are no bindings.
1719 There are no protocol sequences.
1720 The endpoint cannot be created.
1721 Not enough resources are available to complete this operation.
1722 The RPC server is unavailable.
1723 The RPC server is too busy to complete this operation.
1724 The network options are invalid.
1725 There are no remote procedure calls active on this thread.
1726 The remote procedure call failed.
1727 The remote procedure call failed and did not execute.
1728 A remote procedure call (RPC) protocol error occurred.
1730 The transfer syntax is not supported by the RPC server.
1732 The universal unique identifier (UUID) type is not supported.
1733 The tag is invalid.
1734 The array bounds are invalid.
1735 The binding does not contain an entry name.
1736 The name syntax is invalid.
1737 The name syntax is not supported.
1739 No network address is available to use to construct a universal unique identifier (UUID).
1740 The endpoint is a duplicate.
1741 The authentication type is unknown.
1742 The maximum number of calls is too small.
1743 The string is too long.
1744 The RPC protocol sequence was not found.
1745 The procedure number is out of range.
1746 The binding does not contain any authentication information.
1747 The authentication service is unknown.
1748 The authentication level is unknown.
1749 The security context is invalid.
1750 The authorization service is unknown.
1751 The entry is invalid.
1752 The server endpoint cannot perform the operation.
1753 There are no more endpoints available from the endpoint mapper.
1754 No interfaces have been exported.
1755 The entry name is incomplete.
1756 The version option is invalid.
1757 There are no more members.
1758 There is nothing to unexport.
1759 The interface was not found.
1760 The entry already exists.
1761 The entry is not found.
1762 The name service is unavailable.
1763 The network address family is invalid.
1764 The requested operation is not supported.
1765 No security context is available to allow impersonation.
1766 An internal error occurred in a remote procedure call (RPC).
1767 The RPC server attempted an integer division by zero.
1768 An addressing error occurred in the RPC server.
1769 A floating-point operation at the RPC server caused a division by zero.
1770 A floating-point underflow occurred at the RPC server.
1771 A floating-point overflow occurred at the RPC server.
1772 The list of RPC servers available for the binding of auto handles has been exhausted.
1773 Unable to open the character translation table file.
1774 The file containing the character translation table has fewer than 512 bytes.
1775 A null context handle was passed from the client to the host during a remote procedure call.
1777 The context handle changed during a remote procedure call.
1778 The binding handles passed to a remote procedure call do not match.
1779 The stub is unable to get the remote procedure call handle.
1780 A null reference pointer was passed to the stub.
1781 The enumeration value is out of range.
1782 The byte count is too small.
1783 The stub received bad data.
1784 The supplied user buffer is not valid for the requested operation.
1785 The disk media is not recognized. It may not be formatted.
1786 The workstation does not have a trust secret.
1787 The security database on the server does not have a computer account for this workstation trust relationship.
1788 The trust relationship between the primary domain and the trusted domain failed.
1789 The trust relationship between this workstation and the primary domain failed.
1790 The network logon failed.
1791 A remote procedure call is already in progress for this thread.
1792 An attempt was made to logon, but the network logon service was not started.
1793 The user's account has expired.
1794 The redirector is in use and cannot be unloaded.
1795 The specified printer driver is already installed.
1796 The specified port is unknown.
1797 The printer driver is unknown.
1798 The print processor is unknown.
1799 The specified separator file is invalid.
1800 The specified priority is invalid.
1801 The printer name is invalid.
1802 The printer already exists.
1803 The printer command is invalid.
1804 The specified datatype is invalid.
1805 The environment specified is invalid.
1806 There are no more bindings.
1807 The account used is an interdomain trust account. Use your global user account or local user account to access this server.
1808 The account used is a computer account. Use your global user account or local user account to access this server.
1809 The account used is a server trust account. Use your global user account or local user account to access this server.
1810 The name or security ID (SID) of the domain specified is inconsistent with the trust information for that domain.
1811 The server is in use and cannot be unloaded.
1812 The specified image file did not contain a resource section.
1813 The specified resource type cannot be found in the image file.
1814 The specified resource name cannot be found in the image file.
1815 The specified resource language ID cannot be found in the image file.
1816 Not enough quota is available to process this command.
1817 No interfaces have been registered.
1818 The remote procedure call was cancelled.
1819 The binding handle does not contain all required information.
1820 A communications failure occurred during a remote procedure call.
1821 The requested authentication level is not supported.
1822 No principal name registered.
1823 The error specified is not a valid Windows RPC error code.
1824 A UUID that is valid only on this computer has been allocated.
1825 A security package specific error occurred.
1826 Thread is not canceled.
1827 Invalid operation on the encoding/decoding handle.
1828 Incompatible version of the serializing package.
1829 Incompatible version of the RPC stub.
1830 The RPC pipe object is invalid or corrupted.
1831 An invalid operation was attempted on an RPC pipe object.
1832 Unsupported RPC pipe version.
1898 The group member was not found.
1899 The endpoint mapper database entry could not be created.
1900 The object universal unique identifier (UUID) is the nil UUID.
1901 The specified time is invalid.
1902 The specified form name is invalid.
1903 The specified form size is invalid.
1904 The specified printer handle is already being waited on
1905 The specified printer has been deleted.
1906 The state of the printer is invalid.
1907 The user's password must be changed before logging on the first time.
1908 Could not find the domain controller for this domain.
1909 The referenced account is currently locked out and may not be logged on to.
1910 The object exporter specified was not found.
1911 The object specified was not found.
1912 The object resolver set specified was not found.
1913 Some data remains to be sent in the request buffer.
1914 Invalid asynchronous remote procedure call handle.
1915 Invalid asynchronous RPC call handle for this operation.
1916 The RPC pipe object has already been closed.
1917 The RPC call completed before all pipes were processed.
1918 No more data is available from the RPC pipe.
1919 No site name is available for this machine.
1920 The file cannot be accessed by the system.
1921 The name of the file cannot be resolved by the system.
1922 The entry is not of the expected type.
1923 Not all object UUIDs could be exported to the specified entry.
1924 Interface could not be exported to the specified entry.
1925 The specified profile entry could not be added.
1926 The specified profile element could not be added.
1927 The specified profile element could not be removed.
1928 The group element could not be added.
1929 The group element could not be removed.
1930 The printer driver is not compatible with a policy enabled on your computer that blocks NT 4.0 drivers.
1931 The context has expired and can no longer be used.
2000 The pixel format is invalid.
2001 The specified driver is invalid.
2002 The window style or class attribute is invalid for this operation.
2003 The requested metafile operation is not supported.
2004 The requested transformation operation is not supported.
2005 The requested clipping operation is not supported.
2010 The specified color management module is invalid.
2011 The specified color profile is invalid.
2012 The specified tag was not found.
2013 A required tag is not present.
2014 The specified tag is already present.
2015 The specified color profile is not associated with any device.
2016 The specified color profile was not found.
2017 The specified color space is invalid.
2018 Image Color Management is not enabled.
2019 There was an error while deleting the color transform.
2020 The specified color transform is invalid.
2021 The specified transform does not match the bitmap's color space.
2022 The specified named color index is not present in the profile.
2108 The network connection was made successfully, but the user had to be prompted for a password other than the one originally specified.
2109 The network connection was made successfully using default credentials.
2202 The specified username is invalid.
2250 This network connection does not exist.
2401 This network connection has files open or requests pending.
2402 Active connections still exist.
2404 The device is in use by an active process and cannot be disconnected.
3000 The specified print monitor is unknown.
3001 The specified printer driver is currently in use.
3002 The spool file was not found.
3003 A StartDocPrinter call was not issued.
3004 An AddJob call was not issued.
3005 The specified print processor has already been installed.
3006 The specified print monitor has already been installed.
3007 The specified print monitor does not have the required functions.
3008 The specified print monitor is currently in use.
3009 The requested operation is not allowed when there are jobs queued to the printer.
3010 The requested operation is successful. Changes will not be effective until the system is rebooted.
3011 The requested operation is successful. Changes will not be effective until the service is restarted.
3012 No printers were found.
3013 The printer driver is known to be unreliable.
3014 The printer driver is known to harm the system.
4000 WINS encountered an error while processing the command.
4001 The local WINS cannot be deleted.
4002 The importation from the file failed.
4003 The backup failed. Was a full backup done before?
4004 The backup failed. Check the directory to which you are backing the database.
4005 The name does not exist in the WINS database.
4006 Replication with a nonconfigured partner is not allowed.
4100 The DHCP client has obtained an IP address that is already in use on the network. The local interface will be disabled until the DHCP client can obtain a new address.
4200 The GUID passed was not recognized as valid by a WMI data provider.
4201 The instance name passed was not recognized as valid by a WMI data provider.
4202 The data item ID passed was not recognized as valid by a WMI data provider.
4203 The WMI request could not be completed and should be retried.
4204 The WMI data provider could not be located.
4205 The WMI data provider references an instance set that has not been registered.
4206 The WMI data block or event notification has already been enabled.
4207 The WMI data block is no longer available.
4208 The WMI data service is not available.
4209 The WMI data provider failed to carry out the request.
4210 The WMI MOF information is not valid.
4211 The WMI registration information is not valid.
4212 The WMI data block or event notification has already been disabled.
4213 The WMI data item or data block is read only.
4214 The WMI data item or data block could not be changed.
4300 The media identifier does not represent a valid medium.
4301 The library identifier does not represent a valid library.
4302 The media pool identifier does not represent a valid media pool.
4303 The drive and medium are not compatible or exist in different libraries.
4304 The medium currently exists in an offline library and must be online to perform this operation.
4305 The operation cannot be performed on an offline library.
4306 The library, drive, or media pool is empty.
4307 The library, drive, or media pool must be empty to perform this operation.
4308 No media is currently available in this media pool or library.
4309 A resource required for this operation is disabled.
4310 The media identifier does not represent a valid cleaner.
4311 The drive cannot be cleaned or does not support cleaning.
4312 The object identifier does not represent a valid object.
4313 Unable to read from or write to the database.
4314 The database is full.
4315 The medium is not compatible with the device or media pool.
4316 The resource required for this operation does not exist.
4317 The operation identifier is not valid.
4318 The media is not mounted or ready for use.
4319 The device is not ready for use.
4320 The operator or administrator has refused the request.
4321 The drive identifier does not represent a valid drive.
4322 Library is full. No slot is available for use.
4323 The transport cannot access the medium.
4324 Unable to load the medium into the drive.
4325 Unable to retrieve status about the drive.
4326 Unable to retrieve status about the slot.
4327 Unable to retrieve status about the transport.
4328 Cannot use the transport because it is already in use.
4329 Unable to open or close the inject/eject port.
4330 Unable to eject the media because it is in a drive.
4331 A cleaner slot is already reserved.
4332 A cleaner slot is not reserved.
4333 The cleaner cartridge has performed the maximum number of drive cleanings.
4334 Unexpected on-medium identifier.
4335 The last remaining item in this group or resource cannot be deleted.
4336 The message provided exceeds the maximum size allowed for this parameter.
4337 The volume contains system or paging files.
4338 The media type cannot be removed from this library since at least one drive in the library reports it can support this media type.
4339 This offline media cannot be mounted on this system since no enabled drives are present which can be used.
4340 A cleaner cartridge is present in the tape library.
4350 The remote storage service was not able to recall the file.
4351 The remote storage service is not operational at this time.
4352 The remote storage service encountered a media error.
4390 The file or directory is not a reparse point.
4391 The reparse point attribute cannot be set because it conflicts with an existing attribute.
4392 The data present in the reparse point buffer is invalid.
4393 The tag present in the reparse point buffer is invalid.
4394 There is a mismatch between the tag specified in the request and the tag present in the reparse point.
4500 Single Instance Storage is not available on this volume.
5001 The cluster resource cannot be moved to another group because other resources are dependent on it.
5002 The cluster resource dependency cannot be found.
5003 The cluster resource cannot be made dependent on the specified resource because it is already dependent.
5004 The cluster resource is not online.
5005 A cluster node is not available for this operation.
5006 The cluster resource is not available.
5007 The cluster resource could not be found.
5008 The cluster is being shut down.
5009 A cluster node cannot be evicted from the cluster unless the node is down.
5010 The object already exists.
5011 The object is already in the list.
5012 The cluster group is not available for any new requests.
5013 The cluster group could not be found.
5014 The operation could not be completed because the cluster group is not online.
5015 The cluster node is not the owner of the resource.
5016 The cluster node is not the owner of the group.
5017 The cluster resource could not be created in the specified resource monitor.
5018 The cluster resource could not be brought online by the resource monitor.
5019 The operation could not be completed because the cluster resource is online.
5020 The cluster resource could not be deleted or brought offline because it is the quorum resource.
5021 The cluster could not make the specified resource a quorum resource because it is not capable of being a quorum resource.
5022 The cluster software is shutting down.
5023 The group or resource is not in the correct state to perform the requested operation.
5024 The properties were stored but not all changes will take effect until the next time the resource is brought online.
5025 The cluster could not make the specified resource a quorum resource because it does not belong to a shared storage class.
5026 The cluster resource could not be deleted since it is a core resource.
5027 The quorum resource failed to come online.
5028 The quorum log could not be created or mounted successfully.
5029 The cluster log is corrupt.
5030 The record could not be written to the cluster log since it exceeds the maximum size.
5031 The cluster log exceeds its maximum size.
5032 No checkpoint record was found in the cluster log.
5033 The minimum required disk space needed for logging is not available.
5034 The cluster node failed to take control of the quorum resource because the resource is owned by another active node.
5035 A cluster network is not available for this operation.
5036 A cluster node is not available for this operation.
5037 All cluster nodes must be running to perform this operation.
5038 A cluster resource failed.
5039 The cluster node is not valid.
5040 The cluster node already exists.
5041 A node is in the process of joining the cluster.
5042 The cluster node was not found.
5043 The cluster local node information was not found.
5044 The cluster network already exists.
5045 The cluster network was not found.
5046 The cluster network interface already exists.
5047 The cluster network interface was not found.
5048 The cluster request is not valid for this object.
5049 The cluster network provider is not valid.
5050 The cluster node is down.
5051 The cluster node is not reachable.
5052 The cluster node is not a member of the cluster.
5053 A cluster join operation is not in progress.
5054 The cluster network is not valid.
5056 The cluster node is up.
5057 The cluster IP address is already in use.
5058 The cluster node is not paused.
5059 No cluster security context is available.
5060 The cluster network is not configured for internal cluster communication.
5061 The cluster node is already up.
5062 The cluster node is already down.
5063 The cluster network is already online.
5064 The cluster network is already offline.
5065 The cluster node is already a member of the cluster.
5066 The cluster network is the only one configured for internal cluster communication between two or more active cluster nodes. The internal communication capability cannot be removed from the network.
5067 One or more cluster resources depend on the network to provide service to clients. The client access capability cannot be removed from the network.
5068 This operation cannot be performed on the cluster resource as it the quorum resource. You may not bring the quorum resource offline or modify its possible owners list.
5069 The cluster quorum resource is not allowed to have any dependencies.
5070 The cluster node is paused.
5071 The cluster resource cannot be brought online. The owner node cannot run this resource.
5072 The cluster node is not ready to perform the requested operation.
5073 The cluster node is shutting down.
5074 The cluster join operation was aborted.
5075 The cluster join operation failed due to incompatible software versions between the joining node and its sponsor.
5076 This resource cannot be created because the cluster has reached the limit on the number of resources it can monitor.
5077 The system configuration changed during the cluster join or form operation. The join or form operation was aborted.
5078 The specified resource type was not found.
5079 The specified node does not support a resource of this type. This may be due to version inconsistencies or due to the absence of the resource DLL on this node.
5080 The specified resource name is supported by this resource DLL. This may be due to a bad (or changed) name supplied to the resource DLL.
5081 No authentication package could be registered with the RPC server.
5082 You cannot bring the group online because the owner of the group is not in the preferred list for the group. To change the owner node for the group, move the group.
5083 The join operation failed because the cluster database sequence number has changed or is incompatible with the locker node. This may happen during a join operation if the cluster database was changing during the join.
5084 The resource monitor will not allow the fail operation to be performed while the resource is in its current state. This may happen if the resource is in a pending state.
5085 A non locker code got a request to reserve the lock for making global updates.
5086 The quorum disk could not be located by the cluster service.
5087 The backup up cluster database is possibly corrupt.
5088 A DFS root already exists in this cluster node.
5089 An attempt to modify a resource property failed because it conflicts with another existing property.
5890 An operation was attempted that is incompatible with the current membership state of the node.
5891 The quorum resource does not contain the quorum log.
5892 The membership engine requested shutdown of the cluster service on this node.
5893 The join operation failed because the cluster instance ID of the joining node does not match the cluster instance ID of the sponsor node.
5894 A matching network for the specified IP address could not be found. Please also specify a subnet mask and a cluster network.
5895 The actual data type of the property did not match the expected data type of the property.
5896 The cluster node was evicted from the cluster successfully, but the node was not cleaned up. Extended status information explaining why the node was not cleaned up is available.
5897 Two or more parameter values specified for a resource's properties are in conflict.
5898 This computer cannot be made a member of a cluster.
5899 This computer cannot be made a member of a cluster because it does not have the correct version of Windows installed.
5900 A cluster cannot be created with the specified cluster name because that cluster name is already in use. Specify a different name for the cluster.
6000 The specified file could not be encrypted.
6001 The specified file could not be decrypted.
6002 The specified file is encrypted and the user does not have the ability to decrypt it.
6003 There is no valid encryption recovery policy configured for this system.
6004 The required encryption driver is not loaded for this system.
6005 The file was encrypted with a different encryption driver than is currently loaded.
6006 There are no EFS keys defined for the user.
6007 The specified file is not encrypted.
6008 The specified file is not in the defined EFS export format.
6009 The specified file is read only.
6010 The directory has been disabled for encryption.
6011 The server is not trusted for remote encryption operation.
6012 Recovery policy configured for this system contains invalid recovery certificate.
6013 The encryption algorithm used on the source file needs a bigger key buffer than the one on the destination file.
6014 The disk partition does not support file encryption.
6015 This machine is disabled for file encryption.
6016 A newer system is required to decrypt this encrypted file.
6118 The list of servers for this workgroup is not currently available.
6200 The Task Scheduler service must be configured to run in the System account to function properly. Individual tasks may be configured to run in other accounts.
7001 The specified session name is invalid.
7002 The specified protocol driver is invalid.
7003 The specified protocol driver was not found in the system path.
7004 The specified terminal connection driver was not found in the system path.
7005 A registry key for event logging could not be created for this session.
7006 A service with the same name already exists on the system.
7007 A close operation is pending on the session.
7008 There are no free output buffers available.
7009 The MODEM.INF file was not found.
7010 The modem name was not found in MODEM.INF.
7011 The modem did not accept the command sent to it. Verify that the configured modem name matches the attached modem.
7012 The modem did not respond to the command sent to it. Verify that the modem is properly cabled and powered on.
7013 Carrier detect has failed or carrier has been dropped due to disconnect.
7014 Dial tone not detected within the required time. Verify that the phone cable is properly attached and functional.
7015 Busy signal detected at remote site on callback.
7016 Voice detected at remote site on callback.
7017 Transport driver error
7022 The specified session cannot be found.
7023 The specified session name is already in use.
7024 The requested operation cannot be completed because the terminal connection is currently busy processing a connect, disconnect, reset, or delete operation.
7025 An attempt has been made to connect to a session whose video mode is not supported by the current client.
7035 The application attempted to enable DOS graphics mode. DOS graphics mode is not supported.
7037 Your interactive logon privilege has been disabled. Please contact your administrator.
7038 The requested operation can be performed only on the system console. This is most often the result of a driver or system DLL requiring direct console access.
7040 The client failed to respond to the server connect message.
7041 Disconnecting the console session is not supported.
7042 Reconnecting a disconnected session to the console is not supported.
7044 The request to control another session remotely was denied.
7045 The requested session access is denied.
7049 The specified terminal connection driver is invalid.
7050 The requested session cannot be controlled remotely. This may be because the session is disconnected or does not currently have a user logged on.
7051 The requested session is not configured to allow remote control.
7052 Your request to connect to this Terminal Server has been rejected. Your Terminal Server client license number is currently being used by another user. Please call your system administrator to obtain a unique license number.
7053 Your request to connect to this Terminal Server has been rejected. Your Terminal Server client license number has not been entered for this copy of the Terminal Server client. Please contact your system administrator.
7054 The system has reached its licensed logon limit. Please try again later.
7055 The client you are using is not licensed to use this system. Your logon request is denied.
7056 The system license has expired. Your logon request is denied.
7057 Remote control could not be terminated because the specified session is not currently being remotely controlled.
7058 The remote control of the console was terminated because the display mode was changed. Changing the display mode in a remote control session is not supported.
8001 The file replication service API was called incorrectly.
8002 The file replication service cannot be started.
8003 The file replication service cannot be stopped.
8004 The file replication service API terminated the request. The event log may have more information.
8005 The file replication service terminated the request. The event log may have more information.
8006 The file replication service cannot be contacted. The event log may have more information.
8007 The file replication service cannot satisfy the request because the user has insufficient privileges. The event log may have more information.
8008 The file replication service cannot satisfy the request because authenticated RPC is not available. The event log may have more information.
8009 The file replication service cannot satisfy the request because the user has insufficient privileges on the domain controller. The event log may have more information.
8010 The file replication service cannot satisfy the request because authenticated RPC is not available on the domain controller. The event log may have more information.
8011 The file replication service cannot communicate with the file replication service on the domain controller. The event log may have more information.
8012 The file replication service on the domain controller cannot communicate with the file replication service on this computer. The event log may have more information.
8013 The file replication service cannot populate the system volume because of an internal error. The event log may have more information.
8014 The file replication service cannot populate the system volume because of an internal timeout. The event log may have more information.
8015 The file replication service cannot process the request. The system volume is busy with a previous request.
8016 The file replication service cannot stop replicating the system volume because of an internal error. The event log may have more information.
8017 The file replication service detected an invalid parameter.
8200 An error occurred while installing the directory service. For more information, see the event log.
8201 The directory service evaluated group memberships locally.
8202 The specified directory service attribute or value does not exist.
8203 The attribute syntax specified to the directory service is invalid.
8204 The attribute type specified to the directory service is not defined.
8205 The specified directory service attribute or value already exists.
8206 The directory service is busy.
8207 The directory service is unavailable.
8208 The directory service was unable to allocate a relative identifier.
8209 The directory service has exhausted the pool of relative identifiers.
8210 The requested operation could not be performed because the directory service is not the master for that type of operation.
8211 The directory service was unable to initialize the subsystem that allocates relative identifiers.
8212 The requested operation did not satisfy one or more constraints associated with the class of the object.
8213 The directory service can perform the requested operation only on a leaf object.
8214 The directory service cannot perform the requested operation on the RDN attribute of an object.
8215 The directory service detected an attempt to modify the object class of an object.
8216 The requested cross-domain move operation could not be performed.
8217 Unable to contact the global catalog server.
8218 The policy object is shared and can only be modified at the root.
8219 The policy object does not exist.
8220 The requested policy information is only in the directory service.
8221 A domain controller promotion is currently active.
8222 A domain controller promotion is not currently active
8224 An operations error occurred.
8225 A protocol error occurred.
8226 The time limit for this request was exceeded.
8227 The size limit for this request was exceeded.
8228 The administrative limit for this request was exceeded.
8229 The compare response was false.
8230 The compare response was true.
8231 The requested authentication method is not supported by the server.
8232 A more secure authentication method is required for this server.
8233 Inappropriate authentication.
8234 The authentication mechanism is unknown.
8235 A referral was returned from the server.
8236 The server does not support the requested critical extension.
8237 This request requires a secure connection.
8238 Inappropriate matching.
8239 A constraint violation occurred.
8240 There is no such object on the server.
8241 There is an alias problem.
8242 An invalid dn syntax has been specified.
8243 The object is a leaf object.
8244 There is an alias dereferencing problem.
8245 The server is unwilling to process the request.
8246 A loop has been detected.
8247 There is a naming violation.
8248 The result set is too large.
8249 The operation affects multiple DSAs
8250 The server is not operational.
8251 A local error has occurred.
8252 An encoding error has occurred.
8253 A decoding error has occurred.
8254 The search filter cannot be recognized.
8255 One or more parameters are illegal.
8256 The specified method is not supported.
8257 No results were returned.
8258 The specified control is not supported by the server.
8259 A referral loop was detected by the client.
8260 The preset referral limit was exceeded.
8261 The search requires a SORT control.
8262 The search results exceed the offset range specified.
8301 The root object must be the head of a naming context. The root object cannot have an instantiated parent.
8302 The add replica operation cannot be performed. The naming context must be writable in order to create the replica.
8303 A reference to an attribute that is not defined in the schema occurred.
8304 The maximum size of an object has been exceeded.
8305 An attempt was made to add an object to the directory with a name that is already in use.
8306 An attempt was made to add an object of a class that does not have an RDN defined in the schema.
8307 An attempt was made to add an object using an RDN that is not the RDN defined in the schema.
8308 None of the requested attributes were found on the objects.
8309 The user buffer is too small.
8310 The attribute specified in the operation is not present on the object.
8311 Illegal modify operation. Some aspect of the modification is not permitted.
8312 The specified object is too large.
8313 The specified instance type is not valid.
8314 The operation must be performed at a master DSA.
8315 The object class attribute must be specified.
8316 A required attribute is missing.
8317 An attempt was made to modify an object to include an attribute that is not legal for its class
8318 The specified attribute is already present on the object.
8320 The specified attribute is not present, or has no values.
8321 Multiple values were specified for an attribute that can have only one value.
8322 A value for the attribute was not in the acceptable range of values.
8323 The specified value already exists.
8324 The attribute cannot be removed because it is not present on the object.
8325 The attribute value cannot be removed because it is not present on the object.
8326 The specified root object cannot be a subref.
8327 Chaining is not permitted.
8328 Chained evaluation is not permitted.
8329 The operation could not be performed because the object's parent is either uninstantiated or deleted.
8330 Having a parent that is an alias is not permitted. Aliases are leaf objects.
8331 The object and parent must be of the same type, either both masters or both replicas.
8332 The operation cannot be performed because child objects exist. This operation can only be performed on a leaf object.
8333 Directory object not found.
8334 The aliased object is missing.
8335 The object name has bad syntax.
8336 It is not permitted for an alias to refer to another alias.
8337 The alias cannot be dereferenced.
8338 The operation is out of scope.
8339 The operation cannot continue because the object is in the process of being removed.
8340 The DSA object cannot be deleted.
8341 A directory service error has occurred.
8342 The operation can only be performed on an internal master DSA object.
8343 The object must be of class DSA.
8344 Insufficient access rights to perform the operation.
8345 The object cannot be added because the parent is not on the list of possible superiors.
8346 Access to the attribute is not permitted because the attribute is owned by the Security Accounts Manager (SAM).
8347 The name has too many parts.
8348 The name is too long.
8349 The name value is too long.
8350 The directory service encountered an error parsing a name.
8351 The directory service cannot get the attribute type for a name.
8352 The name does not identify an object; the name identifies a phantom.
8353 The security descriptor is too short.
8354 The security descriptor is invalid.
8355 Failed to create name for deleted object.
8356 The parent of a new subref must exist.
8357 The object must be a naming context.
8358 It is not permitted to add an attribute which is owned by the system.
8359 The class of the object must be structural; you cannot instantiate an abstract class.
8360 The schema object could not be found.
8361 A local object with this GUID (dead or alive) already exists.
8362 The operation cannot be performed on a back link.
8363 The cross reference for the specified naming context could not be found.
8364 The operation could not be performed because the directory service is shutting down.
8365 The directory service request is invalid.
8366 The role owner attribute could not be read.
8367 The requested FSMO operation failed. The current FSMO holder could not be reached.
8368 Modification of a DN across a naming context is not permitted.
8369 The attribute cannot be modified because it is owned by the system.
8370 Only the replicator can perform this function.
8371 The specified class is not defined.
8372 The specified class is not a subclass.
8373 The name reference is invalid.
8374 A cross reference already exists.
8375 It is not permitted to delete a master cross reference.
8376 Subtree notifications are only supported on NC heads.
8377 Notification filter is too complex.
8378 Schema update failed: duplicate RDN.
8379 Schema update failed: duplicate OID
8380 Schema update failed: duplicate MAPI identifier.
8381 Schema update failed: duplicate schema-id GUID.
8382 Schema update failed: duplicate LDAP display name.
8383 Schema update failed: range-lower less than range upper
8384 Schema update failed: syntax mismatch
8385 Schema deletion failed: attribute is used in must-contain
8386 Schema deletion failed: attribute is used in may-contain
8387 Schema update failed: attribute in may-contain does not exist
8388 Schema update failed: attribute in must-contain does not exist
8389 Schema update failed: class in aux-class list does not exist or is not an auxiliary class
8390 Schema update failed: class in poss-superiors does not exist
8391 Schema update failed: class in subclassof list does not exist or does not satisfy hierarchy rules
8392 Schema update failed: Rdn-Att-Id has wrong syntax
8393 Schema deletion failed: class is used as auxiliary class
8394 Schema deletion failed: class is used as sub class
8395 Schema deletion failed: class is used as poss superior
8396 Schema update failed in recalculating validation cache.
8397 The tree deletion is not finished.
8398 The requested delete operation could not be performed.
8399 Cannot read the governs class identifier for the schema record.
8400 The attribute schema has bad syntax.
8401 The attribute could not be cached.
8402 The class could not be cached.
8403 The attribute could not be removed from the cache.
8404 The class could not be removed from the cache.
8405 The distinguished name attribute could not be read.
8406 A required subref is missing.
8407 The instance type attribute could not be retrieved.
8408 An internal error has occurred.
8409 A database error has occurred.
8410 The attribute GOVERNSID is missing.
8411 An expected attribute is missing.
8412 The specified naming context is missing a cross reference.
8413 A security checking error has occurred.
8414 The schema is not loaded.
8415 Schema allocation failed. Please check if the machine is running low on memory.
8416 Failed to obtain the required syntax for the attribute schema.
8417 The global catalog verification failed. The global catalog is not available or does not support the operation. Some part of the directory is currently not available.
8418 The replication operation failed because of a schema mismatch between the servers involved.
8419 The DSA object could not be found.
8420 The naming context could not be found.
8421 The naming context could not be found in the cache.
8422 The child object could not be retrieved.
8423 The modification was not permitted for security reasons.
8424 The operation cannot replace the hidden record.
8425 The hierarchy file is invalid.
8426 The attempt to build the hierarchy table failed.
8427 The directory configuration parameter is missing from the registry.
8428 The attempt to count the address book indices failed.
8429 The allocation of the hierarchy table failed.
8430 The directory service encountered an internal failure.
8431 The directory service encountered an unknown failure.
8432 A root object requires a class of 'top'.
8433 This directory server is shutting down, and cannot take ownership of new floating single-master operation roles.
8434 The directory service is missing mandatory configuration information, and is unable to determine the ownership of floating single-master operation roles.
8435 The directory service was unable to transfer ownership of one or more floating single-master operation roles to other servers.
8436 The replication operation failed.
8437 An invalid parameter was specified for this replication operation.
8438 The directory service is too busy to complete the replication operation at this time.
8439 The distinguished name specified for this replication operation is invalid.
8440 The naming context specified for this replication operation is invalid.
8441 The distinguished name specified for this replication operation already exists.
8442 The replication system encountered an internal error.
8443 The replication operation encountered a database inconsistency.
8444 The server specified for this replication operation could not be contacted.
8445 The replication operation encountered an object with an invalid instance type.
8446 The replication operation failed to allocate memory.
8447 The replication operation encountered an error with the mail system.
8448 The replication reference information for the target server already exists.
8449 The replication reference information for the target server does not exist.
8450 The naming context cannot be removed because it is replicated to another server.
8451 The replication operation encountered a database error.
8452 The naming context is in the process of being removed or is not replicated from the specified server.
8453 Replication access was denied.
8454 The requested operation is not supported by this version of the directory service.
8455 The replication remote procedure call was cancelled.
8456 The source server is currently rejecting replication requests.
8457 The destination server is currently rejecting replication requests.
8458 The replication operation failed due to a collision of object names.
8459 The replication source has been reinstalled.
8460 The replication operation failed because a required parent object is missing.
8461 The replication operation was preempted.
8462 The replication synchronization attempt was abandoned because of a lack of updates.
8463 The replication operation was terminated because the system is shutting down.
8464 The replication synchronization attempt failed as the destination partial attribute set is not a subset of source partial attribute set.
8465 The replication synchronization attempt failed because a master replica attempted to sync from a partial replica.
8466 The server specified for this replication operation was contacted, but that server was unable to contact an additional server needed to complete the operation.
8467 The version of the Active Directory schema of the source forest is not compatible with the version of Active Directory on this computer. You must upgrade the operating system on a domain controller in the source forest before this computer can be added as a domain controller to that forest.
8468 Schema update failed: An attribute with the same link identifier already exists.
8469 Name translation: Generic processing error.
8470 Name translation: Could not find the name or insufficient right to see name.
8471 Name translation: Input name mapped to more than one output name.
8472 Name translation: Input name found, but not the associated output format.
8473 Name translation: Unable to resolve completely, only the domain was found.
8474 Name translation: Unable to perform purely syntactical mapping at the client without going out to the wire.
8475 Modification of a constructed att is not allowed.
8476 The OM-Object-Class specified is incorrect for an attribute with the specified syntax.
8477 The replication request has been posted; waiting for reply.
8478 The requested operation requires a directory service, and none was available.
8479 The LDAP display name of the class or attribute contains non-ASCII characters.
8480 The requested search operation is only supported for base searches.
8481 The search failed to retrieve attributes from the database.
8482 The schema update operation tried to add a backward link attribute that has no corresponding forward link.
8483 Source and destination of a cross domain move do not agree on the object's epoch number. Either source or destination does not have the latest version of the object.
8484 Source and destination of a cross domain move do not agree on the object's current name. Either source or destination does not have the latest version of the object.
8485 Source and destination of a cross domain move operation are identical. Caller should use local move operation instead of cross domain move operation.
8486 Source and destination for a cross domain move are not in agreement on the naming contexts in the forest. Either source or destination does not have the latest version of the Partitions container.
8487 Destination of a cross domain move is not authoritative for the destination naming context.
8488 Source and destination of a cross domain move do not agree on the identity of the source object. Either source or destination does not have the latest version of the source object.
8489 Object being moved across domains is already known to be deleted by the destination server. The source server does not have the latest version of the source object.
8490 Another operation which requires exclusive access to the PDC PSMO is already in progress.
8491 A cross domain move operation failed such that the two versions of the moved object exist - one each in the source and destination domains. The destination object needs to be removed to restore the system to a consistent state.
8492 This object may not be moved across domain boundaries either because cross domain moves for this class are disallowed, or the object has some special characteristics, eg: trust account or restricted RID, which prevent its move.
8493 Can't move objects with memberships across domain boundaries as once moved, this would violate the membership conditions of the account group. Remove the object from any account group memberships and retry.
8494 A naming context head must be the immediate child of another naming context head, not of an interior node.
8495 The directory cannot validate the proposed naming context name because it does not hold a replica of the naming context above the proposed naming context. Please ensure that the domain naming master role is held by a server that is configured as a global catalog server, and that the server is up to date with its replication partners. (Applies only to Windows 2000 Domain Naming masters)
8496 Destination domain must be in native mode.
8497 The operation cannot be performed because the server does not have an infrastructure container in the domain of interest.
8498 Cross-domain move of non-empty account groups is not allowed.
8499 Cross-domain move of non-empty resource groups is not allowed.
8500 The search flags for the attribute are invalid. The ANR bit is valid only on attributes of Unicode or Teletex strings.
8501 Tree deletions starting at an object which has an NC head as a descendant are not allowed.
8502 The directory service failed to lock a tree in preparation for a tree deletion because the tree was in use.
8503 The directory service failed to identify the list of objects to delete while attempting a tree deletion.
8504 Security Accounts Manager initialization failed because of the following error: %1.
8505 Only an administrator can modify the membership list of an administrative group.
8506 Cannot change the primary group ID of a domain controller account.
8507 An attempt is made to modify the base schema.
8508 Adding a new mandatory attribute to an existing class, deleting a mandatory attribute from an existing class, or adding an optional attribute to the special class Top that is not a backlink attribute (directly or through inheritance, for example, by adding or deleting an auxiliary class) is not allowed.
8509 Schema update is not allowed on this DC because the DC is not the schema FSMO Role Owner.
8510 An object of this class cannot be created under the schema container. You can only create attribute-schema and class-schema objects under the schema container.
8511 The replica/child install failed to get the objectVersion attribute on the schema container on the source DC. Either the attribute is missing on the schema container or the credentials supplied do not have permission to read it.
8512 The replica/child install failed to read the objectVersion attribute in the SCHEMA section of the file schema.ini in the system32 directory.
8513 The specified group type is invalid.
8514 Cannot nest global groups in a mixed domain if the group is security-enabled.
8515 Cannot nest local groups in a mixed domain if the group is security-enabled.
8516 A global group cannot have a local group as a member.
8517 A global group cannot have a universal group as a member.
8518 A universal group cannot have a local group as a member.
8519 A global group cannot have a cross-domain member.
8520 A local group cannot have another cross-domain local group as a member.
8521 A group with primary members cannot change to a security-disabled group.
8522 The schema cache load failed to convert the string default SD on a class-schema object.
8523 Only DSAs configured to be Global Catalog servers should be allowed to hold the Domain Naming Master FSMO role. (Applies only to Windows 2000 servers)
8524 The DSA operation is unable to proceed because of a DNS lookup failure.
8525 While processing a change to the DNS Host Name for an object, the Service Principal Name values could not be kept in sync.
8526 The Security Descriptor attribute could not be read.
8527 The object requested was not found, but an object with that key was found.
8528 The syntax of the linked attributed being added is incorrect. Forward links can only have syntax 2.5.5.1, 2.5.5.7, and 2.5.5.14, and backlinks can only have syntax 2.5.5.1.
8529 Security Account Manager needs to get the boot password.
8530 Security Account Manager needs to get the boot key from floppy disk.
8531 Directory Service cannot start.
8532 Directory Services could not start.
8533 The connection between client and server requires packet privacy or better.
8534 The source domain may not be in the same forest as destination.
8535 The destination domain must be in the forest.
8536 The operation requires that destination domain auditing be enabled.
8537 The operation couldn't locate a DC for the source domain.
8538 The source object must be a group or user.
8539 The source object's SID already exists in destination forest.
8540 The source and destination object must be of the same type.
8542 Schema information could not be included in the replication request.
8543 The replication operation could not be completed due to a schema incompatibility.
8544 The replication operation could not be completed due to a previous schema incompatibility.
8545 The replication update could not be applied because either the source or the destination has not yet received information regarding a recent cross-domain move operation.
8546 The requested domain could not be deleted because there exist domain controllers that still host this domain.
8547 The requested operation can be performed only on a global catalog server.
8548 A local group can only be a member of other local groups in the same domain.
8549 Foreign security principals cannot be members of universal groups.
8550 The attribute is not allowed to be replicated to the GC because of security reasons.
8551 The checkpoint with the PDC could not be taken because there are too many modifications being processed currently.
8552 The operation requires that source domain auditing be enabled.
8553 Security principal objects can only be created inside domain naming contexts.
8554 A Service Principal Name (SPN) could not be constructed because the provided hostname is not in the necessary format.
8555 A Filter was passed that uses constructed attributes.
8556 The unicodePwd attribute value must be enclosed in double quotes.
8557 Your computer could not be joined to the domain. You have exceeded the maximum number of computer accounts you are allowed to create in this domain. Contact your system administrator to have this limit reset or increased.
8558 For security reasons, the operation must be run on the destination DC.
8559 For security reasons, the source DC must be NT4SP4 or greater.
8560 Critical Directory Service System objects cannot be deleted during tree delete operations. The tree delete may have been partially performed.
8563 This version of Windows is too old to support the current directory forest behavior. You must upgrade the operating system on this server before it can become a domain controller in this forest.
8564 This version of Windows is too old to support the current domain behavior. You must upgrade the operating system on this server before it can become a domain controller in this domain.
8565 This version of Windows no longer supports the behavior version in use in this directory forest. You must advance the forest behavior version before this server can become a domain controller in the forest.
8566 This version of Windows no longer supports the behavior version in use in this domain. You must advance the domain behavior version before this server can become a domain controller in the domain.
8567 The version of Windows is incompatible with the behavior version of the domain or forest.
8568 The behavior version cannot be increased to the requested value because Domain Controllers still exist with versions lower than the requested value.
8569 The behavior version value cannot be increased while the domain is still in mixed domain mode. You must first change the domain to native mode before increasing the behavior version.
8570 The sort order requested is not supported.
8571 Found an object with a non unique name.
8572 The machine account was created pre-NT4. The account needs to be recreated.
8573 The database is out of version store.
8574 Unable to continue operation because multiple conflicting controls were used.
8575 Unable to find a valid security descriptor reference domain for this partition.
8576 Schema update failed: The link identifier is reserved.
8577 Schema update failed: There are no link identifiers available.
8578 An account group cannot have a universal group as a member.
8579 Rename or move operations on naming context heads or read-only objects are not allowed.
8580 Move operations on objects in the schema naming context are not allowed.
8581 A system flag has been set on the object and does not allow the object to be moved or renamed.
8582 This object is not allowed to change its grandparent container. Moves are not forbidden on this object, but are restricted to sibling containers.
8583 Unable to resolve completely, a referral to another forest is generated.
8584 The requested action is not supported on standard server.
8585 Could not access a partition of the Active Directory located on a remote server. Make sure at least one server is running for the partition in question.
8586 The directory cannot validate the proposed naming context (or partition) name because it does not hold a replica nor can it contact a replica of the naming context above the proposed naming context. Please ensure that the parent naming context is properly registered in DNS, and at least one replica of this naming context is reachable by the Domain Naming master.
8587 The thread limit for this request was exceeded.
8588 The Global catalog server is not in the closet site.
8589 The DS cannot derive a service principal name (SPN) with which to mutually authenticate the target server because the corresponding server object in the local DS database has no serverReference attribute.
8590 The Directory Service failed to enter single user mode.
8591 The Directory Service cannot parse the script because of a syntax error.
8592 The Directory Service cannot process the script because of an error.
8593 The directory service cannot perform the requested operation because the servers involved are of different replication epochs (which is usually related to a domain rename that is in progress).
8594 The directory service binding must be renegotiated due to a change in the server extensions information.
8595 Operation not allowed on a disabled cross ref.
8596 Schema update failed: No values for msDS-IntId are available.
8597 Schema update failed: Duplicate msDS-INtId. Retry the operation.
8598 Schema deletion failed: attribute is used in rDNAttID.
8599 The directory service failed to authorize the request.
8600 The Directory Service cannot process the script because it is invalid.
8601 The remote create cross reference operation failed on the Domain Naming Master FSMO. The operation's error is in the extended data.
9001 DNS server unable to interpret format.
9002 DNS server failure.
9003 DNS name does not exist.
9004 DNS request not supported by name server.
9005 DNS operation refused.
9006 DNS name that ought not exist, does exist.
9007 DNS RR set that ought not exist, does exist.
9008 DNS RR set that ought to exist, does not exist.
9009 DNS server not authoritative for zone.
9010 DNS name in update or prereq is not in zone.
9016 DNS signature failed to verify.
9017 DNS bad key.
9018 DNS signature validity expired.
9501 No records found for given DNS query.
9502 Bad DNS packet.
9503 No DNS packet.
9504 DNS error, check rcode.
9505 Unsecured DNS packet.
9551 Invalid DNS type.
9552 Invalid IP address.
9553 Invalid property.
9554 Try DNS operation again later.
9555 Record for given name and type is not unique.
9556 DNS name does not comply with RFC specifications.
9557 DNS name is a fully-qualified DNS name.
9558 DNS name is dotted (multi-label).
9559 DNS name is a single-part name.
9560 DSN name contains an invalid character.
9561 DNS name is entirely numeric.
9562 The operation requested is not permitted on a DNS root server.
9601 DNS zone does not exist.
9602 DNS zone information not available.
9603 Invalid operation for DNS zone.
9604 Invalid DNS zone configuration.
9605 DNS zone has no start of authority (SOA) record.
9606 DNS zone has no name server (NS) record.
9607 DNS zone is locked.
9608 DNS zone creation failed.
9609 DNS zone already exists.
9610 DNS automatic zone already exists.
9611 Invalid DNS zone type.
9612 Secondary DNS zone requires master IP address.
9613 DNS zone not secondary.
9614 Need secondary IP address.
9615 WINS initialization failed.
9616 Need WINS servers.
9617 NBTSTAT initialization call failed.
9618 Invalid delete of start of authority (SOA)
9619 A conditional forwarding zone already exists for that name.
9620 This zone must be configured with one or more master DNS server IP addresses.
9621 The operation cannot be performed because this zone is shutdown.
9651 Primary DNS zone requires datafile.
9652 Invalid datafile name for DNS zone.
9653 Failed to open datafile for DNS zone.
9654 Failed to write datafile for DNS zone.
9655 Failure while reading datafile for DNS zone.
9701 DNS record does not exist.
9702 DNS record format error.
9703 Node creation failure in DNS.
9704 Unknown DNS record type.
9705 DNS record timed out.
9706 Name not in DNS zone.
9707 CNAME loop detected.
9708 Node is a CNAME DNS record.
9709 A CNAME record already exists for given name.
9710 Record only at DNS zone root.
9711 DNS record already exists.
9712 Secondary DNS zone data error.
9713 Could not create DNS cache data.
9714 DNS name does not exist.
9715 Could not create pointer (PTR) record.
9716 DNS domain was undeleted.
9717 The directory service is unavailable.
9718 DNS zone already exists in the directory service.
9719 DNS server not creating or reading the boot file for the directory service integrated DNS zone.
9751 DNS AXFR (zone transfer) complete.
9752 DNS zone transfer failed.
9753 Added local WINS server.
9801 Secure update call needs to continue update request.
9851 TCP/IP network protocol not installed.
9852 No DNS servers configured for local system.
9901 The specified directory partition does not exist.
9902 The specified directory partition already exists.
9903 The DS is not enlisted in the specified directory partition.
9904 The DS is already enlisted in the specified directory partition.
10004 A blocking operation was interrupted by a call to WSACancelBlockingCall.
10009 The file handle supplied is not valid.
10013 An attempt was made to access a socket in a way forbidden by its access permissions.
10014 The system detected an invalid pointer address in attempting to use a pointer argument in a call.
10022 An invalid argument was supplied.
10024 Too many open sockets.
10035 A non-blocking socket operation could not be completed immediately.
10036 A blocking operation is currently executing.
10037 An operation was attempted on a non-blocking socket that already had an operation in progress.
10038 An operation was attempted on something that is not a socket.
10039 A required address was omitted from an operation on a socket.
10040 A message sent on a datagram socket was larger than the internal message buffer or some other network limit, or the buffer used to receive a datagram into was smaller than the datagram itself.
10041 A protocol was specified in the socket function call that does not support the semantics of the socket type requested.
10042 An unknown, invalid, or unsupported option or level was specified in a getsockopt or setsockopt call.
10043 The requested protocol has not been configured into the system, or no implementation for it exists.
10044 The support for the specified socket type does not exist in this address family.
10045 The attempted operation is not supported for the type of object referenced.
10046 The protocol family has not been configured into the system or no implementation for it exists.
10047 An address incompatible with the requested protocol was used.
10048 Only one usage of each socket address (protocol/network address/port) is normally permitted.
10049 The requested address is not valid in its context.
10050 A socket operation encountered a dead network.
10051 A socket operation was attempted to an unreachable network.
10052 The connection has been broken due to keep-alive activity detecting a failure while the operation was in progress.
10053 An established connection was aborted by the software in your host machine.
10054 An existing connection was forcibly closed by the remote host.
10055 An operation on a socket could not be performed because the system lacked sufficient buffer space or because a queue was full.
10056 A connect request was made on an already connected socket.
10057 A request to send or receive data was disallowed because the socket is not connected and (when sending on a datagram socket using a sendto call) no address was supplied.
10058 A request to send or receive data was disallowed because the socket had already been shut down in that direction with a previous shutdown call.
10059 Too many references to some kernel object.
10060 A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond.
10061 No connection could be made because the target machine actively refused it.
10062 Cannot translate name.
10063 Name component or name was too long.
10064 A socket operation failed because the destination host was down.
10065 A socket operation was attempted to an unreachable host.
10066 Cannot remove a directory that is not empty.
10067 A Windows Sockets implementation may have a limit on the number of applications that may use it simultaneously.
10068 Ran out of quota.
10069 Ran out of disk quota.
10070 File handle reference is no longer available.
10071 Item is not available locally.
10091 WSAStartup cannot function at this time because the underlying system it uses to provide network services is currently unavailable.
10092 The Windows Sockets version requested is not supported.
10093 Either the application has not called WSAStartup, or WSAStartup failed.
10101 Returned by WSARecv or WSARecvFrom to indicate the remote party has initiated a graceful shutdown sequence.
10102 No more results can be returned by WSALookupServiceNext.
10103 A call to WSALookupServiceEnd was made while this call was still processing. The call has been canceled.
10104 The procedure call table is invalid.
10105 The requested service provider is invalid.
10106 The requested service provider could not be loaded or initialized.
10107 A system call that should never fail has failed.
10108 No such service is known. The service cannot be found in the specified name space.
10109 The specified class was not found.
10110 No more results can be returned by WSALookupServiceNext.
10111 A call to WSALookupServiceEnd was made while this call was still processing. The call has been canceled.
10112 A database query failed because it was actively refused.
11001 No such host is known.
11002 This is usually a temporary error during hostname resolution and means that the local server did not receive a response from an authoritative server.
11003 A non-recoverable error occurred during a database lookup.
11004 The requested name is valid and was found in the database, but it does not have the correct associated data being resolved for.
11005 At least one reserve has arrived.
11006 At least one path has arrived.
11007 There are no senders.
11008 There are no receivers.
11009 Reserve has been confirmed.
11010 Error due to lack of resources.
11011 Rejected for administrative reasons - bad credentials.
11012 Unknown or conflicting style.
11013 Problem with some part of the filterspec or providerspecific buffer in general.
11014 Problem with some part of the flowspec.
11015 General QOS error.
11016 An invalid or unrecognized service type was found in the flowspec.
11017 An invalid or inconsistent flowspec was found in the QOS structure.
11018 Invalid QOS provider-specific buffer.
11019 An invalid QOS filter style was used.
11020 An invalid QOS filter type was used.
11021 An incorrect number of QOS FILTERSPECs were specified in the FLOWDESCRIPTOR.
11022 An object with an invalid ObjectLength field was specified in the QOS provider-specific buffer.
11023 An incorrect number of flow descriptors was specified in the QOS structure.
11024 An unrecognized object was found in the QOS provider-specific buffer.
11025 An invalid policy object was found in the QOS provider-specific buffer.
11026 An invalid QOS flow descriptor was found in the flow descriptor list.
11027 An invalid or inconsistent flowspec was found in the QOS provider-specific buffer.
11028 An invalid FILTERSPEC was found in the QOS provider-specific buffer.
11029 An invalid shape discard mode object was found in the QOS provider-specific buffer.
11030 An invalid shaping rate object was found in the QOS provider-specific buffer.
11031 A reserved policy element was found in the QOS provider-specific buffer.
13000 The specified quick mode policy already exists.
13001 The specified quick mode policy was not found.
13002 The specified quick mode policy is being used.
13003 The specified main mode policy already exists.
13004 The specified main mode policy was not found.
13005 The specified main mode policy is being used.
13006 The specified main mode filter already exists.
13007 The specified main mode filter was not found.
13008 The specified transport mode filter already exists.
13009 The specified transport mode filter does not exist.
13010 The specified main mode authentication list exists.
13011 The specified main mode authentication list was not found.
13012 The specified quick mode policy is being used.
13013 The specified main mode policy was not found.
13014 The specified quick mode policy was not found.
13015 The manifest file contains one or more syntax errors.
13016 The application attempted to activate a disabled activation context.
13017 The requested lookup key was not found in any active activation context.
13018 The Main Mode filter is pending deletion.
13019 The transport filter is pending deletion.
13020 The tunnel filter is pending deletion.
13021 The Main Mode policy is pending deletion.
13022 The Main Mode authentication bundle is pending deletion.
13023 The Quick Mode policy is pending deletion.
13801 IKE authentication credentials are unacceptable.
13802 IKE security attributes are unacceptable.
13803 IKE Negotiation in progress.
13804 General processing error.
13805 Negotiation timed out.
13806 IKE failed to find valid machine certificate.
13807 IKE SA deleted by peer before establishment completed.
13808 IKE SA deleted before establishment completed.
13809 Negotiation request sat in Queue too long.
13810 Negotiation request sat in Queue too long.
13811 Negotiation request sat in Queue too long.
13812 Negotiation request sat in Queue too long.
13813 No response from peer.
13814 Negotiation took too long.
13815 Negotiation took too long.
13816 Unknown error occurred.
13817 Certificate Revocation Check failed.
13818 Invalid certificate key usage.
13819 Invalid certificate type.
13820 No private key associated with machine certificate.
13822 Failure in Diffie-Helman computation.
13824 Invalid header.
13825 No policy configured.
13826 Failed to verify signature.
13827 Failed to authenticate using Kerberos.
13828 Peer's certificate did not have a public key.
13829 Error processing error payload.
13830 Error processing SA payload.
13831 Error processing Proposal payload.
13832 Error processing Transform payload.
13833 Error processing KE payload.
13834 Error processing ID payload.
13835 Error processing Cert payload.
13836 Error processing Certificate Request payload.
13837 Error processing Hash payload.
13838 Error processing Signature payload.
13839 Error processing Nonce payload.
13840 Error processing Notify payload.
13841 Error processing Delete Payload.
13842 Error processing VendorId payload.
13843 Invalid payload received.
13844 Soft SA loaded.
13845 Soft SA torn down.
13846 Invalid cookie received..
13847 Peer failed to send valid machine certificate.
13848 Certification Revocation check of peer's certificate failed.
13849 New policy invalidated SAs formed with old policy.
13850 There is no available Main Mode IKE policy.
13851 Failed to enabled TCB privilege.
13852 Failed to load SECURITY.DLL.
13853 Failed to obtain security function table dispatch address from SSPI.
13854 Failed to query Kerberos package to obtain max token size.
13855 Failed to obtain Kerberos server credentials for ISAKMP/ERROR_IPSEC_IKE service. Kerberos authentication will not function. The most likely reason for this is lack of domain membership. This is normal if your computer is a member of a workgroup.
13856 Failed to determine SSPI principal name for ISAKMP/ERROR_IPSEC_IKE service (QueryCredentialsAttributes).
13857 Failed to obtain new SPI for the inbound SA from Ipsec driver. The most common cause for this is that the driver does not have the correct filter. Check your policy to verify the filters.
13858 Given filter is invalid.
13859 Memory allocation failed.
13860 Failed to add Security Association to IPSec Driver. The most common cause for this is if the IKE negotiation took too long to complete. If the problem persists, reduce the load on the faulting machine.
13861 Invalid policy.
13862 Invalid DOI.
13863 Invalid situation.
13864 Diffie-Hellman failure.
13865 Invalid Diffie-Hellman group.
13866 Error encrypting payload.
13867 Error decrypting payload.
13868 Policy match error.
13869 Unsupported ID.
13870 Hash verification failed.
13871 Invalid hash algorithm.
13872 Invalid hash size.
13873 Invalid encryption algorithm.
13874 Invalid authentication algorithm.
13875 Invalid certificate signature.
13876 Load failed.
13877 Deleted via RPC call.
13878 Temporary state created to perform reinit. This is not a real failure.
13879 The lifetime value received in the Responder Lifetime Notify is below the Windows 2000 configured minimum value. Please fix the policy on the peer machine.
13881 Key length in certificate is too small for configured security requirements.
13882 Max number of established MM SAs to peer exceeded.
13883 IKE received a policy that disables negotiation.
13884 ERROR_IPSEC_IKE_NEG_STATUS_END
14000 The requested section was not present in the activation context.
14001 This application has failed to start because the application configuration is incorrect. Reinstalling the application may fix this problem.
14002 The application binding data format is invalid.
14003 The referenced assembly is not installed on your system.
14004 The manifest file does not begin with the required tag and format information.
14005 The manifest file contains one or more syntax errors.
14006 The application attempted to activate a disabled activation context.
14007 The requested lookup key was not found in any active activation context.
14008 A component version required by the application conflicts with another component version already active.
14009 The type requested activation context section does not match the query API used.
14010 Lack of system resources has required isolated activation to be disabled for the current thread of execution.
14011 An attempt to set the process default activation context failed because the process default activation context was already set.
14012 The encoding group identifier specified is not recognized.
14013 The encoding requested is not recognized.
14014 The manifest contains a reference to an invalid URI.
14015 The application manifest contains a reference to a dependent assembly which is not installed.
14016 The manifest for an assembly used by the application has a reference to a dependent assembly which is not installed.
14017 The manifest contains an attribute for the assembly identity which is not valid.
14018 The manifest is missing the required default namespace specification on the assembly element.
14019 The manifest has a default namespace specified on the assembly element but its value is not "urn:schemas-microsoft-com:asm.v1".
14020 The private manifest probe has crossed the reparse-point-associated path.
14021 Two or more components referenced directly or indirectly by the application manifest have files by the same name.
14022 Two or more components referenced directly or indirectly by the application manifest have window classes with the same name.
14023 Two or more components referenced directly or indirectly by the application manifest have the same COM server CLSIDs.
14024 Two or more components referenced directly or indirectly by the application manifest have proxies for the same COM interface IIDs.
14025 Two or more components referenced directly or indirectly by the application manifest have the same COM type library TLBIDs.
14026 Two or more components referenced directly or indirectly by the application manifest have the same COM ProgIDs.
14027 Two or more components referenced directly or indirectly by the application manifest are different versions of the same component which is not permitted.
14028 A component's file does not match the verification information present in the component manifest.
14029 The policy manifest contains one or more syntax errors.
14030 Manifest Parse Error : A string literal was expected, but no opening quote character was found.
14031 Manifest Parse Error : Incorrect syntax was used in a comment.
14032 Manifest Parse Error : A name was started with an invalid character.
14033 Manifest Parse Error : A name contained an invalid character.
14034 Manifest Parse Error : A string literal contained an invalid character.
14035 Manifest Parse Error : Invalid syntax for an XML declaration.
14036 Manifest Parse Error : An invalid character was found in text content.
14037 Manifest Parse Error : Required white space was missing.
14038 Manifest Parse Error : The character '>' was expected.
14039 Manifest Parse Error : A semi colon character was expected.
14040 Manifest Parse Error : Unbalanced parentheses.
14041 Manifest Parse Error : Internal error.
14042 Manifest Parse Error : White space is not allowed at this location.
14043 Manifest Parse Error : End of file reached in invalid state for current encoding.
14044 Manifest Parse Error : Missing parenthesis.
14045 Manifest Parse Error : A single or double closing quote character (\' or \") is missing.
14046 Manifest Parse Error : Multiple colons are not allowed in a name.
14047 Manifest Parse Error : Invalid character for decimal digit.
14048 Manifest Parse Error : Invalid character for hexadecimal digit.
14049 Manifest Parse Error : Invalid Unicode character value for this platform.
14050 Manifest Parse Error : Expecting white space or '?'.
14051 Manifest Parse Error : End tag was not expected at this location.
14052 Manifest Parse Error : The following tags were not closed: %1.
14053 Manifest Parse Error : Duplicate attribute.
14054 Manifest Parse Error : Only one top level element is allowed in an XML document.
14055 Manifest Parse Error : Invalid at the top level of the document.
14056 Manifest Parse Error : Invalid XML declaration.
14057 Manifest Parse Error : XML document must have a top level element.
14058 Manifest Parse Error : Unexpected end of file.
14059 Manifest Parse Error : Parameter entities cannot be used inside markup declarations in an internal subset.
14060 Manifest Parse Error : Element was not closed.
14061 Manifest Parse Error : End element was missing the character '>'.
14062 Manifest Parse Error : A string literal was not closed.
14063 Manifest Parse Error : A comment was not closed.
14064 Manifest Parse Error : A declaration was not closed.
14065 Manifest Parse Error : A CDATA section was not closed.
14066 Manifest Parse Error : The namespace prefix is not allowed to start with the reserved string "xml".
14067 Manifest Parse Error : System does not support the specified encoding.
14068 Manifest Parse Error : Switch from current encoding to specified encoding not supported.
14069 Manifest Parse Error : The name 'xml' is reserved and must be lower case.
14070 Manifest Parse Error : The standalone attribute must have the value 'yes' or 'no'.
14071 Manifest Parse Error : The standalone attribute cannot be used in external entities.
14072 Manifest Parse Error : Invalid version number.
14073 Manifest Parse Error : Missing equals sign between attribute and attribute value.
14074 Assembly Protection Error: Unable to recover the specified assembly.
14075 Assembly Protection Error: The public key for an assembly was too short to be allowed.
14076 Assembly Protection Error: The catalog for an assembly is not valid, or does not match the assembly's manifest.
14077 An HRESULT could not be translated to a corresponding Win32 error code.
14078 Assembly Protection Error: The catalog for an assembly is missing.
14079 The supplied assembly identity is missing one or more attributes which must be present in this context.
14080 The supplied assembly identity has one or more attribute names that contain characters not permitted in XML names.

Ref: Operating_System_Error_Codes


Windows Integration

Windows 2000
[HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Directory\shell]
@="none"
[HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Drive\shell]
@="none"
[HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Folder\shell]

Windows 98

Ref: HIDH_WINDOWS_INTEGRATION


Dialogs

<close>
Entering Dates & Times in Dialogs
These formats tell FileBoss how to display file times. Most notably these file times are seen in the Modified, Accessed and Created columns in the contents window of any view. The format for each of these columns can be set separately.
To set the formats use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Date Formats from the list of option pages on the left side.

To see formats for displaying file times click here .

Default Formats
If a format is blank the dialog controls will display dates and times in a format determined by how your version of Windows is setup.

Quick Examples
For Tuesday, 31 October 2003 at 1:15:30 in the afternoon
Dates
31-Oct-2003 dd-MMM-yyyy
10/31/2003 MM/dd/yyyy
31/10/03 dd/MM/yy
20031031 yyyyMMdd
2003 10 31 yyyy MM dd

Times
13:15:30 HH:mm:ss
01:15:30AM hh:mm:sstt
1:15:30 AM h:mm:ss tt

Complete List of Formats
Element Description
d The one- or two-digit day.
dd The two-digit day. Single-digit day values are preceded by a zero.
ddd The three-character weekday abbreviation.
dddd The full weekday name.
h The one- or two-digit hour in 12-hour format.
hh The two-digit hour in 12-hour format. Single-digit values are preceded by a zero.
H The one- or two-digit hour in 24-hour format.
HH The two-digit hour in 24-hour format. Single-digit values are preceded by a zero.
m The one- or two-digit minute.
mm The two-digit minute. Single-digit values are preceded by a zero.
M The one- or two-digit month number.
MM The two-digit month number. Single-digit values are preceded by a zero.
MMM The three-character month abbreviation.
MMMM The full month name.
t The one-letter AM/PM abbreviation (that is, AM is displayed as "A").
tt The two-letter AM/PM abbreviation (that is, AM is displayed as "AM").
yy The last two digits of the year (that is, 1996 would be displayed as "96").
yyyy The full year (that is, 1996 would be displayed as "1996").

Ref: HIDH_FILE_DATE_FORMATS


FileTimes

<close>
File Date and Time Formats
These formats tell FileBoss how to display file times. Most notably these file times are seen in the Modified, Accessed and Created columns in the contents window of any view. The format for each of these columns can be set separately.
To set the formats use the 'Tools | Options...' command from the main menu (or click its command button [image]) and select Date Formats from the list of option pages on the left side.

To see formats for entering dates and times into dialog controls click here .

Quick Examples:
For Tuesday, 19 March 2002 at 1:15:30 in the afternoon
(Note the the colon and slashes are not used as these can not be part of a file name!)
02-03-19 %y-%m-%d
20020319 %Y%m%d
2002-03-19 %Y-%m-%d
19-Mar-2002 %d-%b-%Y
Tuesday, March 19, 2002 %A, %B %d, %Y
Tue, 19 Mar 2002 %a, %d %b %Y
Tuesday the 078 day of 2002 %A the %j day of %Y
2002-078 %Y-%j
01-15-30PM %I-%M-%S%p

Complete Secifications
Year:
%y Year without century, as decimal number (00 – 99)
%Y Year with century, as decimal number

Month:
%b Abbreviated month name
%B Full month name
%m Month as decimal number (01 – 12)

Week:
%w Weekday as decimal number (0 – 6; Sunday is 0)
%W Week of year as decimal number, with Monday as first day of week (00 – 53)
%U Week of year as decimal number, with Sunday as first day of week (00 – 53)

Day:
%a Abbreviated weekday name
%A Full weekday name
%d Day of month as decimal number (01 – 31)
%j Day of year as decimal number (001 – 366)

Hour:
%H Hour in 24-hour format (00 – 23)
%I Hour in 12-hour format (01 – 12)
%p Current locale's A.M./P.M. indicator for 12-hour clock

Minutes:
%M Minute as decimal number (00 – 59)

Seconds:
%S Second as decimal number (00 – 59)

Miscellaneous:
%c Date and time representation appropriate for locale
%x Date representation for current locale
%X Time representation for current locale
%z (or %Z) Time-zone name or abbreviation; no characters if time zone is unknown
%% Percent sign

Alphabetical list:
%a Abbreviated weekday name
%A Full weekday name
%b Abbreviated month name
%B Full month name
%c Date and time representation appropriate for locale
%d Day of month as decimal number (01 – 31)
%H Hour in 24-hour format (00 – 23)
%I Hour in 12-hour format (01 – 12)
%j Day of year as decimal number (001 – 366)
%m Month as decimal number (01 – 12)
%M Minute as decimal number (00 – 59)
%p Current locale's A.M./P.M. indicator for 12-hour clock
%S Second as decimal number (00 – 59)
%U Week of year as decimal number, with Sunday as first day of week (00 – 53)
%w Weekday as decimal number (0 – 6; Sunday is 0)
%W Week of year as decimal number, with Monday as first day of week (00 – 53)
%x Date representation for current locale
%X Time representation for current locale
%y Year without century, as decimal number (00 – 99)
%Y Year with century, as decimal number
%z, %Z Time-zone name or abbreviation; no characters if time zone is unknown
%% Percent sign

Format Code Meaning
%#a, %#A, %#b, %#B, %#p, %#X, %#z, %#Z, %#% # flag is ignored.
%#c Long date and time representation, appropriate for current locale. For example: "Tuesday, March 14, 1995, 12:41:29".
%#x Long date representation, appropriate to current locale. For example: "Tuesday, March 14, 1995".
%#d, %#H, %#I, %#j, %#m, %#M, %#S, %#U, %#w, %#W, %#y, %#Y Remove leading zeros (if any).

Ref: HIDH_FILE_DATE_FORMATS


File Times And Windows
The C Run-time (CRT) has a limitation with the time/date functions. Time is measured in seconds from Jan 1, 1970. This value is a 32-bit signed integer, so it has a maximum date of Jan 18, 2038 19:14:07 or 2^31 seconds (2,147,483,648 seconds) from Jan 1, 1970 00:00:00. Because the development environment depends on time/date routines from the CRT, the time functions will fail and cause the error.

Ref: File_Times_In_Windows


File Deletion, File Destruction & Security
How FileBoss deletes a file.

How FileBoss destroys a file.
magnetic domains
Is destroying files enough?
Scenario centric answers:
Will destroying files keep my spouse from finding out what I'm giving for our Anniversary? Probably Yes.
Will destroying files keep my boss from seeing my new resume? Probably
Will destroying files keep a government, any government, from knowing what was on them? Probably Not

What could go wrong?
Data from old copies could still exist in sectors or clusters used by old files (file saved to new space from previous version, only last version destroyed) (use Save As rather than Save, (turn off automatic saves)
Temporary or cached files
Truncated files old parts not destroyed
DOS better than windows

Ref: DOC_GENERAL_DESTROYING_FILES


Search Method & Test

<close>
Search Method for Finding Text to Replace

Search Method
Three different types of searching can be performed.
FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.
The type of search to be done is specified by choosing on of the following options:

Exact
Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.
Normal
In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.
The question mark (?) matches any one character.
The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss
To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix (Regular Expression)
See Unix Style Searches for a complete definition of FileBoss' Unix style search implementation. A Regular Expression. (This is an advanced technique.)

The 'Test' Button
If you would like to experiment with different patterns to see exactly what text they will and will not match, click the 'Test' button. It will bring up a dialog where you can experiment with different formats and see how they match text that you enter.

More Help
Click the Help button for complete details on renaming files by searching for and replacing text in the filenames.